<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("../liberror.php");
	require_once("hdd_play_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = my_parse_ini_file( $ini_file['Setup'] );
			
			if( is_file( $setup_conf['GROUPS']['FILE_PATH']) ){
				// グループリストを取得
				$group_conf = parse_ini_file( $setup_conf['GROUPS']['FILE_PATH'], true );
			}
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
<?php view_jquery_sub();?>
		<script type="text/javascript" src="../js/common.js"></script>
		<script type="text/javascript" src="../js/hdd_play.js"></script>
		<script type="text/javascript" src="../js/hdd_play_ctrl.js"></script>
	</head>
	<body>
		<div class="page_body">
			<form action="hdd_play_set_file_ctrl.php" method="POST" name="set_hdd" class="set_hdd_play">
				<h3 class="table_caption">TSファイル再生操作</h3>
				<table class="list">
					<tr>
						<th class="list_subject" width="150px">再生状態</th>
						<td>
							<select name='status'>
								<option value="0"<?php echo (($setup_conf['HDDPlay']['STATUS'] == 0) ? " selected":""); ?>>停止</option>
								<option value="1"<?php echo (($setup_conf['HDDPlay']['STATUS'] == 1) ? " selected":""); ?>>再生</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>再生種別</th>
						<td>
<?php
if( $setup_conf['HDDPlay']['PLAY_TYPE'] == 3 ) {
?>
							緊急切替中
<?php
}else{
?>
							<select name='play_type' class="play_type">
								<option value="0"<?php echo (($setup_conf['HDDPlay']['PLAY_TYPE'] == 0) ? " selected":""); ?>>個別ファイル</option>
								<option value="1"<?php echo (($setup_conf['HDDPlay']['PLAY_TYPE'] == 1) ? " selected":""); ?>>グループ</option>
<?php
	if(is_fucnction($function_conf, BOARD_TYPE_SCHEDULE)){
?>
<!--								<option value="2"<?php echo (($setup_conf['HDDPlay']['PLAY_TYPE'] == 2) ? " selected":""); ?>>DLリスト</option>-->
								<option value="4"<?php echo (($setup_conf['HDDPlay']['PLAY_TYPE'] == 4) ? " selected":""); ?>>DLリスト</option>
<?php
	}
	if( is_function_option( $function_conf, BOARD_TYPE_HDD_PLAY, FUNCTION_TS_AUTO ) ){
?>
								<option value="5"<?php echo (($setup_conf['HDDPlay']['PLAY_TYPE'] == 4) ? " selected":""); ?>>自動再生</option>
<?php
	}
?>
							</select>
<?php
}
?>
						</td>
					</tr>
					<tr name="file_bitrate" class="file_bitrate">
						<th>ファイル間ビットレート調整</th>
						<td>
							<select name='bitrate_adj' class="bitrate_adj">
								<option value="0"<?php echo (($setup_conf['HDDPlay']['BITRATE_ADJ'] == 0) ? " selected":""); ?>>無効</option>
								<option value="1"<?php echo (($setup_conf['HDDPlay']['BITRATE_ADJ'] == 1) ? " selected":""); ?>>有効</option>
							</select>
						</td>
					</tr>
				</table>
				<br/>
				<br/>
				<div class="each_file_setup">
				<h3 class="table_caption">TSファイル再生 個別ファイル設定</h3>
				<table class="list">
					<tr>
						<th style="text-align: center;">ファイル名</th>
						<th style="text-align: center;">選択</th>
					</tr>
<?php
	$cnt = 0;
	if(isset($setup_conf['FILES'])){
		foreach($setup_conf['FILES'] as $key => $val){
			// ファイルが存在しない場合は表示しない
	//		if( !file_exists($val) ) continue;
			$cnt++;
			// $number = mb_substr($key, -1);
			$number = mb_substr($key, strlen("PLAY_FILE"));
			$files[$number] = $val;
?>
					<tr>
						<td><?php echo htmlspecialchars( basename( $val ) ); ?></td>
						<td align="center"><input type="radio" value="<?php echo $number; ?>" name="set_play"<?php echo (( $key == 'FILE_PATH' . $setup_conf['HDDPlay']['PLAY_FILE'] ) ? " checked":""); ?>/></td>
					</tr>
<?php
		}
	}
	if(0 >= $cnt){
		echo "					<tr><td colspan=\"3\">再生できるファイルがありません。</td></tr>\n";
	}
?>
				</table>
				</div>
				<div class="group_file_setup">
				<h3 class="table_caption">TSファイル再生 グループ設定</h3>
				<table class="list">
					<tr>
						<th width="100">再生グループ</th>
						<td>
							<select name="hdd_play_group" class="hdd_play_group">
<?php
	if( isset( $group_conf ) ){
		$cnt = 0;
		foreach($group_conf as $key => $val){
			$number = mb_substr($key, strlen("GROUP"));
			echo "								<option value=\"$number\"". (($setup_conf['HDDPlay']['PLAY_GROUP'] == $number)?" selected":"") .">$key</option>\n";
		}
	}
?>
								<option value="0">新規作成</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>グループファイル</th>
						<td>
<?php
	$cnt = 0;
	if( isset($group_conf)){
		foreach($group_conf as $key => $val){
			$number = mb_substr($key, strlen("GROUP"));
			echo "							<select name=\"hdd_play_group_file_list".$number."[]\" class=\"hdd_play_group_file_list".$number."\" size=\"10\" multiple=\"multiple\">\n";
			foreach($val as $key => $file_name){
				echo "								<option value=\"$file_name\">".basename($file_name)."</option>\n";
			}

			echo "							</select>\n";
		}
	}
?>
													
							<select name="hdd_play_group_file_list0[]" class="hdd_play_group_file_list0" size="10" multiple="multiple">
							</select>
						</td>
					</tr>
					<tr>
						<th>登録・削除</th>
						<td>
							<input type="button" class="file_list_add" value=" ↑ ">
							<input type="button" class="file_list_del" value=" ↓ ">
						</td>
					</tr>
					<tr>
						<th>全ファイル一覧</th>
						<td>
							<select name="hdd_play_all_file_list" class="hdd_play_all_file_list" size="10" multiple="multiple">
<?php
	foreach($files as $key => $value){
		echo "							<option value=\"$value\">".basename($value)."</option>\n";
	}
?>
							</select>
							<br/>
							選択して「↑」ボタンでグループに登録<br>グループファイルを選択して「↓」ボタンでグループから削除
						</td>
					</tr>					
				</table>
				</div>
				<div class="list_file_setup">
				<h3 class="table_caption">TSファイル再生 ダウンロードリスト設定</h3>
					<table>
						<tr><td>ダウンロードリストは毎日設定された時間にサーバーからダウンロードされます。スケジューラの設定を確認してください。</td></tr>
					</table>
					<br/>
				</div>
<?php
	if( is_function_option( $function_conf, BOARD_TYPE_HDD_PLAY, FUNCTION_TS_AUTO ) ){
?>
				<div class="list_file_auto">
				<h3 class="table_caption">TSファイル再生 自動設定</h3>
					<table>
						<tr><td>自動再生は外部ストレージを接続すると記録されているTSファイルを、ファイル名の昇順に順次再生します。</td></tr>
					</table>
					<br/>
				</div>
<?php
	}
?>
				<input type="hidden" name="set_file" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
<?php
if( $setup_conf['HDDPlay']['PLAY_TYPE'] != 3 ) {
?>
				<input type="submit" value="設定">
<?php
}
?>
			</form>
			<br/>
			<br/>
			<form action="hdd_play_set_file_ctrl.php" method="POST" name="refrash_file_list" class="refrash_file_list" onSubmit="return checkDialog('更新するとTSファイル再生は停止となり、\nグループ情報はクリアされます。更新しますか？')">
				<h3 class="table_caption">再生ファイルリストの更新</h3>
				<table class="list">
					<tr>
						<th width="80">更新</th>
						<td>
							<input type="submit" value="ファイルリストを更新">
							<br/>
							<font color="red">※ファイルリストの更新を行うと、再生状態が停止となり、グループファイル情報がすべて削除されます。</font>
						</td>						
					</tr>
				</table>
				<input type="hidden" name="refrash_file_list" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
			</form>
			<br/>
			<br/>
			<h3 class="table_caption">再生コントロール</h3>
				<table class="list">
					<tr>
						<td>
							<input type="button" name="back10m" class="back10m" id="back10m" value=" <<< " title="10分戻る" />
							<input type="button" name="back60s" class="back60s" id="back60s" value=" <<  " title="60秒戻る" />
							<input type="button" name="back10s" class="back10s" id="back10s" value=" <   " title="10秒戻る" />
							<input type="button" name="fast10s" class="fast10s" id="fast10s" value=" >   " title="10秒進む" />
							<input type="button" name="fast60s" class="fast60s" id="fast60s" value=" >>  " title="60秒進む" />
							<input type="button" name="fast10m" class="fast10m" id="fast10m" value=" >>> " title="10分進む" />
							<br/>
							<br/>
							<input type="range" name="seek_range" class="seek_range" id="seek_range"  min="0" max="100" value="0" width="400px" />
						</td>
					</tr>
				</table>
			<div style="width:400px">
				<font size="-1" color="red">再生コントロール機能は動作確認用となります。再生切り替え時に画面が乱れることがあります。</font><font size="-1">また、再生するTSファイルの切り替え前後では、ファイル切替処理のために再生コントロール機能が無効となっています。</font>
				<br/>
<?php
	if( OEM_YOOZMA == $system_conf[ 'DBSSystem' ][ 'CustumInfo' ] ){
?>
				<font size="-1">再生コントロール機能を使用する場合は<a href="http://www.google.co.jp/chrome" target="_blank">Google Chrome</a>ブラウザ最新バージョンの使用を推奨します。</font>
<?php
	}else{
?>
				<font size="-1">再生コントロール機能を使用する場合は<a href="http://www.w3.org/" target="_blank">HTML5</a>に対応した最新のブラウザを使用して下さい。</font>
<?php
	}
?>
				
			</div>
<?php
	if( USE_EMERGENCY_CHANGE && ( OEM_YOOZMA != $system_conf[ 'DBSSystem' ][ 'CustumInfo' ] ) ){
?>
			<br/>
			<br/>
			<h3 class="table_caption">緊急再生ファイル選択</h3>
			<form action="hdd_play_set_file_ctrl.php" method="POST" name="refrash_file_list" class="refrash_file_list">
				<table class="list">
					<tr>
						<th style="width:30%;">
							ファイル選択
						</th>
						<td>
							<select name="emergency_file_no">
<?php
	for( $i = 1 ; isset( $setup_conf[ 'FILES' ][ 'FILE_PATH' . $i ] ) ; $i++ ){
		if( $setup_conf['HDDPlay']['EMERGENCY_FILE'] == $setup_conf[ 'FILES' ][ 'FILE_PATH' . $i ] ){
			echo '								<option value="' . $i . '" selected>'. basename( $setup_conf[ 'FILES' ][ 'FILE_PATH' . $i ] ) .'</option>' . "\n";
		}else{
			echo '								<option value="' . $i . '">'. basename( $setup_conf[ 'FILES' ][ 'FILE_PATH' . $i ] ) .'</option>' . "\n";
		}
	}
?>
							</select>
						</td>
					</tr>
				</table>
				<input type="submit" value="設定">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
				<input type="hidden" name="emergency" value="true">
			</form>
<?php
	}
?>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
