<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("hdd_play_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = my_parse_ini_file( $ini_file['Setup'] );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
		<META http-equiv="Content-Type" content="text/html;charset=UTF-8">
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
		<script type="text/javascript" src="../js/common.js"></script>
	</head>
	<body>
		<div class="page_body">
			<form action="hdd_play_set_file_del_ctrl.php" method="POST" name="del_hdd" onSubmit="return checkDialog('チェックしたファイルを本当に削除しますか？')">
				<h3 class="table_caption">削除TSファイル選択</h3>
				<table>
					<tr>
						<th style="text-align: center">ファイル名</th>
						<th style="text-align: center">選択</th>
					</tr>
<?php
	foreach(search_dir_file(HDD_DIR , 'ts', true) as $path){
?>
					<tr>
						<td><?php echo htmlspecialchars( basename($path) ); ?></td>
						<td align="center"><input type="checkbox" name="delete[]" value="<?php echo $path; ?>"/></td>
					</tr>
<?php
	}
?>
				</table>
				<input type="hidden" name="del_file" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
				<input type="submit" value="チェックしたファイルを削除">
			</form>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
