<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("../liberror.php");
	require_once("hdd_play_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
			
			if( is_file( $setup_conf['GROUPS']['FILE_PATH']) ){
				// グループリストを取得
				$group_conf = parse_ini_file( $setup_conf['GROUPS']['FILE_PATH'], true );
			}
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
	
	if($_GET['board'] != ''){
		// PSIの拡張機能の設定ファイルを取得する
		$status_file = get_status_file($function_conf, $_GET['board']);
		if( is_file( $status_file ) ){
			$status = parse_ini_file( $status_file, true );
		}else {
			//echo "INI File Not Found(". $status_file .")<br>\n";
			//exit(1);
			$loading = true;
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
<?php view_jquery_sub();?>
		<script type="text/javascript" src="../js/common.js"></script>
		<script type="text/javascript" src="../js/hdd_play_ctrl.js"></script>
		
	</head>
	<body>
		<div class="page_body">
			<form action="hdd_play_set_file_ctrl.php" method="POST" name="set_hdd" class="set_hdd_play">
				<h3 class="table_caption">再生コントロール</h3>
				<table class="list">
					<tr>
						<td>
							<input type="button" name="back10m" class="back10m" id="back10m" value=" <<< " title="10分戻る" />
							<input type="button" name="back60s" class="back60s" id="back60s" value=" <<  " title="60秒戻る" />
							<input type="button" name="back10s" class="back10s" id="back10s" value=" <   " title="10秒戻る" />
<?php
	if($status['HDDPlay']['STATUS'] == 0){
?>
							<input type="button" name="stop" class="stop" id="stop" value=" Stop " title="停止" />
<?php
	}else{
?>
							<input type="button" name="play" class="play" id="play" value=" Play " title="再生" />
<?php
	}
?>
							<input type="button" name="fast10s" class="fast10s" id="fast10s" value=" >   " title="10秒進む" />
							<input type="button" name="fast60s" class="fast60s" id="fast60s" value=" >>  " title="60秒進む" />
							<input type="button" name="fast10m" class="fast10m" id="fast10m" value=" >>> " title="10分進む" />
							<br/>
							<br/>
							<input type="range" name="seek_range" class="seek_range" id="seek_range"  min="0" max="100" value="10" width="400px" />
						</td>
					</tr>
				</table>
			</form>			
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
