<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("hdd_play_lib.php");
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// PSIの拡張機能の設定ファイルを取得する
		$status_file = get_status_file($function_conf, $_GET['board']);
		if( is_file( $status_file ) ){
			$status =  my_parse_ini_file( $status_file );
			if( NULL == $status ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			//echo "INI File Not Found(". $status_file .")<br>\n";
			//exit(1);
			$loading = true;
		}
	}
?>
	<head>
		<META http-equiv="Content-Type" content="text/html;charset=UTF-8">
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
<!--		<META HTTP-EQUIV="Refresh" CONTENT="3">-->
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 style="width:1000px;" class="table_caption">プレイリスト情報</h3>
			<table style="width:1000px;">
				<tr>
					<th style="text-align:center;">#</th>
					<th style="text-align:center;">開始絶対時刻</th>
					<th style="text-align:center;">開始予定時刻</th>
					<th style="text-align:center;">ファイル名</th>
					<th style="text-align:center;">OPT</th>
				</tr>
<?php
		if(file_exists($status['LIST']['LIST_PATH'])){
			$fp = fopen( $status['LIST']['LIST_PATH'], 'r' );
			while( $datas = fgetcsv($fp) ){
				echo "					<tr>\n";
//				if(isset($datas[0])){ echo '						<td style="text-align:center;">' . $datas[0] . "</td>\n"; }
//				if(isset($datas[1])){ echo '						<td style="text-align:center;">' . $datas[1] . "</td>\n"; }
				if(isset($datas[0]) && isset($datas[1])){ echo '						<td style="text-align:center;">' . $datas[0] . '-' . $datas[1] . "</td>\n"; }
				if(isset($datas[2])){
					if( strlen($datas[2]) >= strlen( "YYYYMMDDHHMMSS" ) ){
						echo '						<td style="text-align:center;">' . format_YYYYMMDDHHMMSS( basename($datas[2] ) ) . "</td>\n";
					}else{
						echo "						<td style=\"text-align:center;\">-</td>\n";
					}
				}
				if(isset($datas[3])){ echo '						<td style="text-align:center;">' . format_YYYYMMDDHHMMSS( $datas[3] ) . "</td>\n"; }
				if(isset($datas[4])){ echo '						<td style="text-align:left;">' . basename( $datas[4] ) . "</td>\n"; }
				if(isset($datas[5])){ 
					if( hexdec( $datas[5] ) & LIST_PLAY_OPT_DELETE ){
						echo "						<td style=\"text-align:center;\">DEL</td>\n";
					}else if( hexdec( $datas[5] ) & LIST_PLAY_OPT_LOOP ){
						echo "						<td style=\"text-align:center;\">LOOP</td>\n";
					}else{
						echo "						<td style=\"text-align:center;\">-</td>\n";
					}
				}
				echo "					</tr>\n";
			}
		}
?>
			</table>
<?php
?>
			<h1 style="width:1000px; text-align: left;" class="version"><input type="button" value="リロード" onclick="location.reload();" /></h1>
			<h1 style="width:1000px;" class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
