<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("../liberror.php");
	require_once("hidden_system_lib.php");
	
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_jquery_sub();
?>
	<link rel="stylesheet" href="hidden.css">
	<script type="text/javascript" src="../js/common.js"></script>
	<style type="text/css">
	<!--
	.input_even{ background-color: #ccffcc; color: #003333; }
	.input_odd{ background-color: #ccffff; color:blue; }
	//-->
	</style>
	</head>
	<body>
		<div class="page_body">
			<form action="hidden_system_setting_ctrl.php" method="POST" name="hidden_system" class="hidden_system" onSubmit="return checkDialog('更新後にシステムが正常に動作しない場合もあります。\nそれでも更新しますか？')">
				<h3 class="table_caption">システム設定</h3>
				<table class="list">
					<tr>
						<th style="width:20%;">ユニットID</th>
						<td colspan="2">
							0x<input type="text" name="unitid" size="10" maxlength="8" value="<?php echo $system_conf['DBSSystem']['UnitID'] ?>" style="ime-mode:disabled" />(16進数、32Bit)
						</td>
					</tr>
					<tr>
						<th>ユニット名称</th>
						<td colspan="2">
							<input type="text" name="unitname" size="35" maxlength="31" value="<?php echo $system_conf['DBSSystem']['UnitName'] ?>" style="ime-mode:disabled" />(半角31文字まで)
						</td>
					</tr>
					<tr>
						<th rowspan="<?php echo count($table_system_info) + 1 ; ?>">システム情報</th>
						<th style="text-align:center;">機能</th>
						<th style="text-align:center;">Bit</th>
					</tr>
<?php
	$hex = intval($system_conf['DBSSystem']['SystemInfo'], 16);
	$cnt = 0;
	foreach( $table_system_info as $key => $val ){
		if( $cnt % 2 == 0){
			$class_text = 'input_even';
		}else{
			$class_text = 'input_odd';
		}
		$cnt++;
		
//		echo "							<tr class=\"". $class_text ."\">";
		echo "							<tr>";
		
		if( is_array( $val ) ){
			echo "							<span class=\"". $class_text ."\">" . $val[0];
			foreach( $val as $array_key => $array_val ){
				if( $array_key == 0 ) continue;
				if( $array_key & $hex ){
					echo "<input type=\"radio\" name=\"systeminfo[]\" value=\"" .$array_key ."\" style=\"margin-left:1em;\" checked>" . $array_val . "</input>";
				}  else {
					echo "<input type=\"radio\" name=\"systeminfo[]\" value=\"" .$array_key ."\" style=\"margin-left:1em;\">" . $array_val . "</input>";
				}
			}
			echo "</span><br/>\n";
			continue;
		}else{
			if( $key & $hex ){
				echo "							<td><input name=\"systeminfo[]\" type=\"checkbox\" value=\"".$key."\" checked=\"checked\" />" . $val . "</td>\n";
			}else{
				echo "							<td><input name=\"systeminfo[]\" type=\"checkbox\" value=\"".$key."\" />" . $val . "</td>\n";
			}
		}
		echo "								<td style=\"text-align: center;\">" . sprintf("0x%08X", $key) . "</td>";
		echo "							</tr>";
	}
?>
					<tr>
						<th rowspan="<?php echo count($table_option_info) + 1 ; ?>">オプション情報</th>
						<th style="text-align:center;">オプション機能</th>
						<th style="text-align:center;">Bit</th>
					</tr>
<?php
	$hex = hexdec($system_conf['DBSSystem']['OptionInfo']);
	foreach( $table_option_info as $key => $val ){
?>
					<tr>
						<td>
<?php
		if( $key & $hex ){
			echo "							<input name=\"optioninfo[]\" type=\"checkbox\" value=\"".$key."\" checked=\"checked\" />" . $val . "<br/>\n";
		}else{
			echo "							<input name=\"optioninfo[]\" type=\"checkbox\" value=\"".$key."\" />" . $val . "<br/>\n";
		}
?>
						</td>
						<td style="text-align:center;"><?php echo sprintf("0x%08X", $key); ?></td>
					</tr>
<?php
	}
?>
					<tr>
						<th>顧客情報</th>
						<td colspan="2">
							<select name="custuminfo">
								<option value="0" <?php echo (($system_conf['DBSSystem']['CustumInfo'] == 0)? " selected": "") ?>>なし</option>
<?php
	foreach( $table_customer_info as $key => $val ){
		if( $key == $system_conf['DBSSystem']['CustumInfo'] ){
			echo "								<option value=\"".$key."\" selected>" . $val . "</option>\n";
		}else{
			echo "								<option value=\"".$key."\">" . $val . "</option>\n";
		}
	}
?>
							</select>
						</td>
					</tr>
					<tr>
						<th>言語</th>
						<td colspan="2">
							<select name="language">
								<option value="0" <?php echo (($system_conf['DBSSystem']['Language'] == 0)? " selected": "") ?>>日本語</option>
<!--								<option value="1" <?php echo (($system_conf['DBSSystem']['Language'] == 1)? " selected": "") ?>>英語</option>-->
							</select>
						</td>
					</tr>
				</table>
				<input type="hidden" name="hidden_system_setting" value="true">
				<input type="submit" value="設定">
			</form>			
			<p><a href="../system/fact_set.php">工場出荷設定画面表示</a></p>
			<p><a href="../system/fact_storage.php">ストレージ管理</a></p>
			<p><a href="../">TOP</a></p>
			<br/>
		</div>
	</body>
</html>
