<?php 
	$current_conf = NULL;
	require_once("libdefault.php");
	require_once("libfunction.php");
	
	
	$menu = array(
		BOARD_TYPE_VOIP => array(  
			'LABEL' => 'VoIP Rx',
			'SETTING' => array( 
							array(  'LABEL' => 'ネットワーク設定', 
									'URL'	=> './voip/voip_network_set.php' ),
							array(  'LABEL' => 'PIDフィルター設定', 
									'URL'	=> './mux_inputsrc/mux_inputsrc_pid.php' ),
			),
			'STATUS' => array( 
							array(  'LABEL' => '基本ステータス', 
									'URL'	=> './voip/voip_status.php' ),
							array(  'LABEL' => 'PIDフィルター設定', 
									'URL'	=> './mux_inputsrc/mux_inputsrc_status_pid.php' ),
			),
		),
		BOARD_TYPE_HDD_PLAY => array(  
			'LABEL' => 'TSファイル再生',
			'SETTING' => array( 
							array(  'LABEL' => '再生ファイル選択', 
									'URL'	=> './hdd_play/hdd_play_set_file.php' ),
							array(  'LABEL' => '再生ファイル削除', 
									'URL'	=> './hdd_play/hdd_play_set_file_del.php' ),
			),
			'STATUS' => array( 
							array(  'LABEL' => '再生ステータス', 
									'URL'	=> './hdd_play/hdd_play_status_file.php' ),
							array(  'LABEL' => 'PIDフィルター設定', 
									'URL'	=> './mux_inputsrc/mux_inputsrc_status_pid.php' ),
			),
		),
	);
	
?>
<!DOCTYPE html>
<html>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
?>
		<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
<!--		<meta name="viewport" content="width=device-width">-->
		<style>
		<!--
			body{
				background-color: #fff;
				-webkit-text-size-adjust: 100%;
			}
			.header{
				background-color:#6B8E23;
				color: #333333;
				margin:0;
				padding: 0.5em;
				background-repeat:repeat-x;
			}
			.company{
			}
			.model{
				font-family: Verdana;
				font-weight: bold;
				text-align: center;
				float:left;
			}
			.version{
				text-align: right;
				float:none;
			}
			.navi{
				color: #7BEE68;
				background-color: #304000;
				padding: 0.5em;
			}
			.operation{
				background-color:#FFF;
				color: #333333;
				margin:0;
				padding:0em;
				background-repeat:repeat-x;
			}
			.footer{
				background-color:#6B8E23;
				color:#333333;
				margin:0;
				padding:0.5em;
				background-repeat:repeat-x;
			}
			iframe.operation_frame{
				border:0px;
				overflow: hidden;
			}
		-->
		</style>
	</head>
	<body>
		<div class="header">
<!--			<div class="company"><a href="http://www.hirotech.com"><img width="100px" src="images/hirotech_logo.png"></img></a></div>-->
			<div class="model">DBS7000</div>
<!--			<div class="model"><?php echo $system_conf['DBSSystem']['UnitName']; ?></div>-->
			<div class="version">Ver.<?php echo $system_conf['DBSSystem']['Version']; ?></div>
		</div>
		<div class="navi">
			<form>
				<select>
					<option>設定</option>
					<option>ステータス</option>
				</select>
				<select>
					<option>VoIP Rx</option>
					<option>TSファイル再生</option>
					<option>ユニット設定</option>
					<option>リセット</option>
					<option>システムログ</option>
				</select>
			</form>
		</div>
		<div class="operation">
			<iframe class="operation_frame" src="./voip/voip_network_set_m.php?board=82_01" name="operattion_frame" width="100%" height="800px">
			</iframe>
		</div>
		<div class="footer">
			フッター
		</div>
	</body>
</html>
