<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("../liberror.php");
	require_once("./input_sw_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file(__FILE__) );	// Languageファイル読み込み
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
	</head>
	<body>
		<div class="page_body">
			<form action="input_sw_set_ctrl.php" method="post" name="input_sw" class="input_sw">
<?php
	if(ENABLE_TS2){
?>				
				<h3 class="table_caption"><?php echo $lng['TC0_FULL'] ?></h3>
<?php
	}else{
?>				
				<h3 class="table_caption"><?php echo $lng['TC0'] ?></h3>				
<?php
	}
?>				
				<table class="list">
					<tr>
						<th width="150px"><?php echo $lng['TB0_TH0'] ?></th>
						<td>
							<select name='input'>
<?php
$exp_asi_in = false;
if( OEM_YOOZMA == $system_conf['DBSSystem']['CustumInfo'] ){
		echo "								<option value=\"".BOARD_TYPE_VOIP."\" ". (($setup_conf['INPUT_SW']['INPUT1'] == BOARD_TYPE_VOIP) ? " selected":"") .">". $lng['LBL_VOIP'] ."</option>\n";
		echo "								<option value=\"".BOARD_TYPE_HDD_PLAY."\" ". (($setup_conf['INPUT_SW']['INPUT1'] == BOARD_TYPE_HDD_PLAY) ? " selected":"") .">". $lng['LBL_TSPLAY'] ."</option>\n";
		if( is_fucnction($function_conf, BOARD_TYPE_HDSD) ){	// エンコーダ搭載時のみ表示
			echo "								<option value=\"".BOARD_TYPE_HDSD."\" ". (($setup_conf['INPUT_SW']['INPUT1'] == BOARD_TYPE_HDSD) ? " selected":"") .">". $lng['LBL_ENC'] ."</option>\n";
			$exp_asi_in = true;
		}
}else{
	$system_info = (hexdec($system_conf['DBSSystem']['SystemInfo']));
	$option_info = (hexdec($system_conf['DBSSystem']['OptionInfo']));
	
	if( INPUT_SW_ENA_VOIPRX & $system_info ){
		echo "								<option value=\"".BOARD_TYPE_VOIP."\" ". (($setup_conf['INPUT_SW']['INPUT1'] == BOARD_TYPE_VOIP) ? " selected":"") .">". $lng['LBL_VOIP'] ."</option>\n";
	}
	// VOIP version2
	if(INPUT_SW_ENA_RVOIPRX & $system_info){
		echo "								<option value=\"".BOARD_TYPE_RVOIP_RX."\" ". (($setup_conf['INPUT_SW']['INPUT1'] == BOARD_TYPE_RVOIP_RX) ? " selected":"") .">". $lng['LBL_VOIP'] ."</option>\n";
	}
	if( INPUT_SW_ENA_HDD & $system_info ){
		echo "								<option value=\"".BOARD_TYPE_HDD_PLAY."\" ". (($setup_conf['INPUT_SW']['INPUT1'] == BOARD_TYPE_HDD_PLAY) ? " selected":"") .">". $lng['LBL_TSPLAY'] ."</option>\n";
	}
	if( INPUT_SW_ENA_TUNER & $system_info ){
		echo "								<option value=\"".BOARD_TYPE_TUNE."\" ". (($setup_conf['INPUT_SW']['INPUT1'] == BOARD_TYPE_TUNE) ? " selected":"") .">". $lng['LBL_TUNER'] ."</option>\n";
	}
	if( is_fucnction($function_conf, BOARD_TYPE_HDSD) ){	// エンコーダ搭載時のみ表示
		echo "								<option value=\"".BOARD_TYPE_HDSD."\" ". (($setup_conf['INPUT_SW']['INPUT1'] == BOARD_TYPE_HDSD) ? " selected":"") .">". $lng['LBL_ENC'] ."</option>\n";
		
		if( INPUT_SW_ENA_VOIPTX & $system_info ){
			// VoIP Txが有効であれば必ずASI入力を表示 => オプションでのASI入力指定有無は考慮しない
			$exp_asi_in = true;
		}else if( ( INPUT_SW_ENA_VOIPRX & $system_info ) && ( INPUT_SW_ENA_ASI & $option_info ) ){
			// VoIP Rxが有効であり、かつオプションでASI入力が有効であればASI入力を表示
			$exp_asi_in = true;
		}
	}
	
	if( is_fucnction($function_conf, BOARD_TYPE_OFDM) ){	// OFDM変調器にASI機能あり？
		$func = get_function_file_info($function_conf, BOARD_TYPE_OFDM . "_01");
		$func_dec = hexdec($func['Func']);
		if( FUNCTION_MUX & $func_dec ){
			$exp_asi_in = true;
		}
	}
	
	// 外部基板のオプションにASI入力があるかチェック
	if( $exp_asi_in == false ){
		foreach( $function_conf as $slot => $funcs ){
			if( false !== strpos( $slot, 'ExpSlot' ) ){
				foreach( $funcs as $key => $value ){
					if( $key === 'Func' ){
						$func_dec = hexdec( $value );
						if( FUNCTION_ASI_IN & $func_dec ){
							$exp_asi_in = true;
							break 2;
						}
					}
				}
			}
		}
	}
}

// ASI入力 内部ASIを優先する
if( is_fucnction($function_conf, BOARD_TYPE_IN_ASI_IN) ){
	echo "								<option value=\"".BOARD_TYPE_IN_ASI_IN."\" ". (($setup_conf['INPUT_SW']['INPUT1'] == BOARD_TYPE_IN_ASI_IN) ? " selected":"") .">". $lng['LBL_ASI'] ."</option>\n";
}else if( $exp_asi_in ){
	echo "								<option value=\"".BOARD_TYPE_ASIINPUT."\" ". (($setup_conf['INPUT_SW']['INPUT1'] == BOARD_TYPE_ASIINPUT) ? " selected":"") .">". $lng['LBL_ASI'] ."</option>\n";
}
?>
							</select>
						</td>
					</tr>
				</table>
				<input type="hidden" name="set_file" value="true" />
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>" /> 
				<input type="submit" value="<?php echo $clng['SUBMIT'] ?>" />
			</form>
<?php
	if(ENABLE_TS2){
?>
			<br/>
			<br/>
			<form action="input_sw_set_ctrl.php" method="post" name="input_sw" class="input_sw">
				<h3 class="table_caption"><?php echo $lng['TC1_ONE'] ?></h3>
				<table class="list">
					<tr>
						<th width="150px"><?php echo $lng['TB1_TH0'] ?></th>
						<td>
							<select name='input1'>
<?php
$exp_asi_in = false;
if( OEM_YOOZMA == $system_conf['DBSSystem']['CustumInfo'] ){
		echo "								<option value=\"".BOARD_TYPE_VOIP."\" ". (($setup_conf['INPUT_SW']['INPUT2'] == BOARD_TYPE_VOIP) ? " selected":"") .">". $lng['LBL_VOIP'] ."</option>\n";
		echo "								<option value=\"".BOARD_TYPE_HDD_PLAY."\" ". (($setup_conf['INPUT_SW']['INPUT2'] == BOARD_TYPE_HDD_PLAY) ? " selected":"") .">". $lng['LBL_TSPLAY'] ."</option>\n";
		if( is_fucnction($function_conf, BOARD_TYPE_ONEENC) ){	// エンコーダ搭載時のみ表示
			echo "								<option value=\"".BOARD_TYPE_HDSD."\" ". (($setup_conf['INPUT_SW']['INPUT2'] == BOARD_TYPE_HDSD) ? " selected":"") .">". $lng['LBL_ENC_ONE'] ."</option>\n";
		}
		if( is_fucnction($function_conf, BOARD_TYPE_IN_ASI_IN) ){
			echo "								<option value=\"".BOARD_TYPE_IN_ASI_IN."\" ". (($setup_conf['INPUT_SW']['INPUT2'] == BOARD_TYPE_IN_ASI_IN) ? " selected":"") .">". $lng['LBL_ASI'] ."</option>\n";
		}else{
			echo "								<option value=\"".BOARD_TYPE_ASIINPUT."\" ". (($setup_conf['INPUT_SW']['INPUT2'] == BOARD_TYPE_ASIINPUT) ? " selected":"") .">". $lng['LBL_ASI'] ."</option>\n";
		}
}else{
	$system_info = (hexdec($system_conf['DBSSystem']['SystemInfo']));
	$option_info = (hexdec($system_conf['DBSSystem']['OptionInfo']));
	
	
	if( ( INPUT_SW_ENA_VOIPRX & $system_info ) || ( INPUT_SW_ENA_RVOIPRX & $system_info ) ){
		echo "								<option value=\"".BOARD_TYPE_VOIP."\" ". (($setup_conf['INPUT_SW']['INPUT2'] == BOARD_TYPE_VOIP) ? " selected":"") .">". $lng['LBL_VOIP'] ."</option>\n";
	}
	if( INPUT_SW_ENA_HDD & $system_info ){
		echo "								<option value=\"".BOARD_TYPE_HDD_PLAY."\" ". (($setup_conf['INPUT_SW']['INPUT2'] == BOARD_TYPE_HDD_PLAY) ? " selected":"") .">". $lng['LBL_TSPLAY'] ."</option>\n";
	}
	
	if( is_fucnction($function_conf, BOARD_TYPE_ONEENC) ){	// エンコーダ搭載時のみ表示
		echo "								<option value=\"".BOARD_TYPE_HDSD."\" ". (($setup_conf['INPUT_SW']['INPUT2'] == BOARD_TYPE_HDSD) ? " selected":"") .">". $lng['LBL_ENC_ONE'] ."</option>\n";
	}
	
	if( is_fucnction($function_conf, BOARD_TYPE_IN_ASI_IN) ){
		echo "								<option value=\"".BOARD_TYPE_IN_ASI_IN."\" ". (($setup_conf['INPUT_SW']['INPUT2'] == BOARD_TYPE_IN_ASI_IN) ? " selected":"") .">". $lng['LBL_ASI'] ."</option>\n";
	}else if( INPUT_SW_ENA_VOIPTX & $system_info ){
		// VoIP Txが有効であれば必ずASI入力を表示 => オプションでのASI入力指定有無は考慮しない
		echo "								<option value=\"".BOARD_TYPE_ASIINPUT."\" ". (($setup_conf['INPUT_SW']['INPUT2'] == BOARD_TYPE_ASIINPUT) ? " selected":"") .">". $lng['LBL_ASI'] ."</option>\n";
	}else if( ( INPUT_SW_ENA_VOIPRX & $system_info ) && ( INPUT_SW_ENA_ASI & $option_info ) ){
		// VoIP Rxが有効であり、かつオプションでASI入力が有効であればASI入力を表示
		echo "								<option value=\"".BOARD_TYPE_ASIINPUT."\" ". (($setup_conf['INPUT_SW']['INPUT2'] == BOARD_TYPE_ASIINPUT) ? " selected":"") .">". $lng['LBL_ASI'] ."</option>\n";
	}
}
?>
							</select>
						</td>
					</tr>
				</table>
				<input type="hidden" name="set_file" value="true" />
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>" /> 
				<input type="submit" value="<?php echo $clng['SUBMIT'] ?>" />
			</form>
<?php
	}
	if(USE_EMERGENCY_CHANGE){
?>
			<br/>
			<br/>
			<form action="input_sw_set_ctrl.php" method="post">
				<h3 class="table_caption"><?php echo $lng['TC2'] ?></h3>
				<table class="list">
					<tr>
						<th width="150px"><?php echo $lng['TB2_TH0'] ?></th>
						<td>
							<input type="radio" value="0" name="emergency"<?php echo (($setup_conf['INPUT_SW']['EMERGENCY'] == 0)? " checked=\"checked\"":"") ?>/><?php echo $lng['LBL_NORMAL'] ?><br/><br/>
							<input type="radio" value="1" name="emergency"<?php echo (($setup_conf['INPUT_SW']['EMERGENCY'] == 1)? " checked=\"checked\"":"") ?>/><?php echo $lng['LBL_EMERGENCY'] ?>
						</td>
					</tr>
				</table>
				<input type="hidden" name="set_emergency" value="true" />
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>" />
				<input type="submit" value="<?php echo $clng['SUBMIT'] ?>" />
			</form>
<?php
	}
?>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
