<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("input_sw_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		$board =  $_POST['board'];
	}else if($_SERVER['REQUEST_METHOD'] == "GET"){
			$board =  $_GET['board'];
	}else{
		$board='';
	}
	if($board != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $board );
		
		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
		if($_SERVER['REQUEST_METHOD'] == "POST"){
			if( isset( $_POST['set_file'] ) && $_POST['set_file'] == 'true' ){
				
				if( VOIP_HDD_CONTROL ){
					$voiprx_ini_file = get_setup_file( $function_conf, '82_01' );
					$hdd_play_ini_file = get_setup_file( $function_conf, '85_01' );
					if( '82' == $_POST['input'] ){		// VOIP Rxへ変更
						input_sw_hdd_play_ctrl(false, $hdd_play_ini_file);
						input_sw_voiprx_ctrl(true, $voiprx_ini_file);
					}else{
						input_sw_voiprx_ctrl(false, $voiprx_ini_file);
						input_sw_hdd_play_ctrl(true, $hdd_play_ini_file);
					}
				}
				
				// 変更後のものを起動
				$result = save_conf_input($setup_conf, $_POST, $ini_file);
			}else if( $_POST['set_emergency'] == 'true' ){
				$result = save_conf_emergency($setup_conf, $_POST, $ini_file);
			}
		}
		
		$result['BACK_URL'] = "./input_sw_set.php?board=". $board;
	}
	
	// 結果の表示
	require_once("../libsetresult.php");
?>
