<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("./input_sw_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file(__FILE__) );	// Languageファイル読み込み
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// PSIの拡張機能の設定ファイルを取得する
		$status_file = get_status_file($function_conf, $_GET['board']);
		if( is_file( $status_file ) ){
			$status = my_parse_ini_file( $status_file );
			if( NULL == $status ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			$loading = true;
		}
	}
?>
	<head>
		<META http-equiv="Content-Type" content="text/html;charset=UTF-8">
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "Loading...";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
<?php
	if(ENABLE_TS2){
?>				
			<h3 class="table_caption"><?php echo $lng['TC0_FULL'] ?></h3>
<?php
	}else{
?>				
			<h3 class="table_caption"><?php echo $lng['TC0'] ?></h3>				
<?php
	}
?>
			<table>
				<tr>
					<th width="150px"><?php echo $lng['TB0_TH0'] ?></th>
					<td>
<?php
	if( isset($status['INPUT_SW']['INPUT1']) && isset($input_sw_device_name[$status['INPUT_SW']['INPUT1']])){
		echo '						' . $input_sw_device_name[$status['INPUT_SW']['INPUT1']];
	}else{
		echo '						-';
	}
?>

					</td>
				</tr>
			</table>
<?php
	if(ENABLE_TS2){
?>
			<br/>
			<br/>
			<h3 class="table_caption"><?php echo $lng['TC1_ONE'] ?></h3>
			<table>
				<tr>
					<th width="150px"><?php echo $lng['TB1_TH0'] ?></th>
					<td>
<?php
	if( isset($status['INPUT_SW']['INPUT2']) && isset($input_sw_device_name[$status['INPUT_SW']['INPUT2']])){
		echo '						' . $input_sw_device_name[$status['INPUT_SW']['INPUT2']];
	}else{
		echo '						-';
	}
?>

					</td>
				</tr>
			</table>
<?php
	}
	if(USE_EMERGENCY_CHANGE){
?>
			<br/>
			<br/>
			<h3 class="table_caption"><?php echo $lng['TC2'] ?></h3>
			<table>
				<tr>
					<th width="150px"><?php echo $lng['TB2_TH0'] ?></th>
					<td class="<?php echo (($status['INPUT_SW']['EMERGENCY'] == 0) ? "on":"off"); ?>">
						<?php echo (($status['INPUT_SW']['EMERGENCY'] == 0) ? $lng['LBL_NORMAL'] . "\n":$lng['LBL_EMERGENCY'] . "\n"); ?>
					</td>
				</tr>
			</table>
<?php
	}
?>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
