$(function(){
	jQuery.event.add(window, "load", function(){
		$(this).showMenu( $(".hdd_play_group option:selected").val());
		$(this).showSetup( $(".play_type option:selected").val());
	});
	
	$(".hdd_play_group").change(function(){
		$(this).showMenu($('.hdd_play_group option:selected').val());
	});
	
	$(".hdd_play_group").keyup(function(){
		$(this).showMenu($('.hdd_play_group option:selected').val());
	});
	
	$(".play_type").change(function(){
		$(this).showSetup($('.play_type option:selected').val());
	});
	
	$(".play_type").keyup(function(){
		$(this).showSetup($('.play_type option:selected').val());
	});
	
	$(".set_hdd_play").submit(function(){
		no = $('.hdd_play_group option:selected').val();
		
		var show_name = '.hdd_play_group_file_list' + no + ' option';
		$(show_name).each(function() {
			$(this).attr('selected', 'selected');
		});
	});
	
	$(".file_list_add").click(function(){
		group_no = $('.hdd_play_group option:selected').val();
		$('.hdd_play_all_file_list option:selected').each(function(){
			var sel = '.hdd_play_group_file_list' + group_no;
			$(sel).append($(this).clone());
		});
	});
	
	$(".file_list_del").click(function(){
		group_no = $('.hdd_play_group option:selected').val();
		$('.hdd_play_group_file_list' + group_no + ' option:selected').each(function(){
			$(this).remove();
		});
	});
	
	jQuery.fn.extend({
		showMenu:function(show){
			var i = 0;
			var max = 0;
			var num = $(".hdd_play_group").children().length;
			
			var hogehgoe3 = $('.hdd_play_group option:eq(8)').val();
			var hogehgoe2 = $('.hdd_play_group option:eq(9)').val();
			var hogehoge  = $('.hdd_play_group option:eq(10)').val();
			var hogehgoe1 = $('.hdd_play_group option:eq(11)').val();
			for( i = 0 ; i < num ; i++ ){
				var no = $('.hdd_play_group option:eq('+i+')').val();
				if( parseInt(max) < parseInt(no)){
					max = no;
				}
			}

			for( i = 0 ; i <= max ; i++ ){
				var name = '.hdd_play_group_file_list' + i;
				$(name).hide();
			}

			var show_name = '.hdd_play_group_file_list' + show;
			$(show_name).show();
		}
	});
	
	jQuery.fn.extend({
		showSetup:function(show){
			$('.group_file_setup').each(function(){
				$(this).hide();
			});
			$('.each_file_setup').each(function(){
				$(this).hide();
			});
			$('.list_file_setup').each(function(){
				$(this).hide();
			});
			$('.file_bitrate').each(function(){
				$(this).hide();
			});
			$('.list_file_auto').each(function(){
				$(this).hide();
			});
			
			if(show == 0){
				$('.each_file_setup').each(function(){
					$(this).show();
				});
				$('.file_bitrate').each(function(){
					$(this).show();
				});
			}else if(show == 1){
				$('.group_file_setup').each(function(){
					$(this).show();
				});
				$('.file_bitrate').each(function(){
					$(this).show();
				});
			}else if( show == 2 || show == 4 ){
				$('.file_bitrate').each(function(){
					$(this).show();
				});
				$('.list_file_setup').each(function(){
					$(this).show();
				});
			}
			
			
			/*
			else if( show == 4 ){
				$('.list_file_auto').each(function(){
					$(this).show();
				});
			}*/
		}
	});
});
