function makeAudioBitrate(obj, mode, bit){
	var sel_rate  = obj.audio_rate;
	
	switch( mode ){
		case 0:		// モノラル
		case 3:		// EXT
			sel_rate.length = 3;
			sel_rate.options[0].text=" 96 kbps";
			sel_rate.options[0].value="2";
			sel_rate.options[1].text="128 kbps";
			sel_rate.options[1].value="3";
			sel_rate.options[2].text="192 kbps";
			sel_rate.options[2].value="4";
			if (bit > 2) {
				sel_rate.selectedIndex = ( 2 );
			}else {
				sel_rate.selectedIndex = bit;
			}
			break;
		default:	// その他（ステレオ、DUAL）
			sel_rate.length = 6;
			sel_rate.options[0].text=" 96 kbps";
			sel_rate.options[0].value="2";
			sel_rate.options[1].text="128 kbps";
			sel_rate.options[1].value="3";
			sel_rate.options[2].text="192 kbps";
			sel_rate.options[2].value="4";
			sel_rate.options[3].text="256 kbps";
			sel_rate.options[3].value="5";
			sel_rate.options[4].text="320 kbps";
			sel_rate.options[4].value="6";
			sel_rate.options[5].text="384 kbps";
			sel_rate.options[5].value="7";
			sel_rate.selectedIndex = bit;
			break;
	}
}

function loadInit(obj, mode, bit){
	makeAudioBitrate(obj, mode, bit - 2);
}

function changeRate(obj){
	var index  = obj.form.audio_mode.selectedIndex;
	var index1 = obj.form.audio_rate.selectedIndex;
	makeAudioBitrate(obj.form, index, index1);
	return;
}
