<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">


<?php
	// 共通情報の読み込み
	require_once("libdefault.php");
	
	// ネットワーク情報の読み込み
	if( is_file( NETWORK_CONF ) ){		// ネットワーク情報
		$network_conf = parse_ini_file( NETWORK_CONF, true );
	}else{
		echo "INI File Not Found(".NETWORK_CONF.")<br>\n";
	}
	
	// INIファイル読み込み
	require('libfunction.php');
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file(__FILE__) );
?>

	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
?>
		<link rel="stylesheet" href="<?php echo $oem_css[get_customer()] ?>/menu.css">
<?php view_jquery();?>
		<script type="text/javascript" src="js/menu.js"></script>
	</head>
	<body leftMargin=0 topMargin=0 marginheight="0" marginwidth="0" size="10">
		<table cellSpacing=0 cellPadding=0 width=150 align=center border=0>
			<tr align=left><td>
				<table cellSpacing=6 cellPadding=0 border=0>
					<tr><td class="subject"><?php echo $lng['LBL_FUNCTION'] ?></td></tr>
<?php
	// 機能選択メニューの表示
	show_function_menu($function_conf);
?>
					<tr><td><br></td></tr>
					<tr><td><hr></td></tr>
					<tr><td><br></td></tr>
					<tr ><td class="subject"><?php echo $lng['LBL_SYSTEM'] ?></td></tr>
					<tr><td><a href="./unit/unit_setup.php" target="Display_Contents"><?php echo $lng['system']['SET_UNIT'] ?></a></td></tr>
					<tr><td><a href="./unit/unit_security.php" target="Display_Contents"><?php echo $lng['system']['SET_SECURITY'] ?></a></td></tr>
					<tr><td><a href="./unit/unit_file.php" target="Display_Contents"><?php echo $lng['system']['SET_FILE'] ?></a></td></tr>
					<tr><td><a href="./unit/unit_reset.php" target="Display_Contents"><?php echo $lng['system']['SET_POWER'] ?></a></td></tr>

<?php
	if( !check_tuner8toip() ){
?>
					<tr><td><br></td></tr>
					<tr ><td class="subject"><?php echo $lng['LBL_LOG'] ?></td></tr>
					<tr><td><a href="./StatusLog.txt" target="_blank"><?php echo $lng['system']['STS_LOG'] ?></a></td></tr>
<?php
	}
?>
<?php
	$funcs = get_fucnction( $function_conf, BOARD_TYPE_TRANSCODER );
	if( 0 < count( $funcs ) ){
?>
					<tr><td><br></td></tr>
					<tr ><td class="subject">Language</td></tr>
					<tr>
						<td>
							<form action="./unit/unit_setup_ctrl.php" method="POST" target="_top">
								<select name="language">
									<option value="0"<?php echo (($system_conf['DBSSystem']['Language'] == 0) ? " selected":""); ?>>Japanese</option>
									<option value="1"<?php echo (($system_conf['DBSSystem']['Language'] == 1) ? " selected":""); ?>>English</option>
								</select>
								<input type="submit" value="Rel">
								<input type="hidden" name="sys_lang" value="true">
							</form>
						</td>
					</tr>
<?php
	}
?>
				</table>
			</td></tr>
		</table>
	</body>
</html>
