<?php
define ('PROGRAM_MXX', 16);

define ('INPUT_TYPE_INSIDE',     0);		// デコーダ設定 入力：内部
define ('INPUT_TYPE_OUTSIDE',    1);		// デコーダ設定 入力：ASI

define ('OUTPUT_TYPE_SDI',       0);
define ('OUTPUT_TYPE_COMPOSITE', 1);

define ('PROGRAM_TYPE_AUTO',     0);

// MAMEDOの設定情報の保存
function save_conf_mamedo( &$old_config, $new_config, $filename ){
	$old_config['MAMEDO']['OUTPUT']      = $new_config['mamedo_output'];
	
	if( $old_config['MAMEDO']['INPUT'] != $new_config['mamedo_input'] ){
		$old_config['MAMEDO']['SEL_PROGRAM'] = 0;
	}else{
		$old_config['MAMEDO']['SEL_PROGRAM'] = $new_config['mamedo_program'];
	}
	$old_config['MAMEDO']['INPUT']       = $new_config['mamedo_input'];
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

// MAMEDO プログラムをリセット
function reset_program_mamedo( &$old_config, $filename ){
	$old_config['MAMEDO']['SEL_PROGRAM'] = 0;
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}
?>
