<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mamedo_lib.php");
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_status_file( $function_conf, $_GET['board'] );

		if( is_file(  $ini_file ) ){
			// $status_conf = parse_ini_file( $ini_file, true );
			$status_conf = my_parse_ini_file( $ini_file );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			//echo "INI File Not Found(". $ini_file .")<br>\n";
			//exit(1);
			$loading = true;
		}
	}

?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 class="table_caption">デコーダステータス</h3>
			<table class="list">
				<tr>
					<th width="150px">入力選択</th>
					<td>
<?php
switch ($status_conf['MAMEDO']['INPUT']){
	case INPUT_TYPE_INSIDE:
		echo "						内部\n";
		break;
	case INPUT_TYPE_OUTSIDE:
		echo "						ASI\n";
		break;
}
?>
					</td>
				</tr>
				<tr>
					<th>出力選択</th>
					<td>
<?php
switch ($status_conf['MAMEDO']['OUTPUT']){
	case OUTPUT_TYPE_SDI:
		echo "						SDI\n";
		break;
	case OUTPUT_TYPE_COMPOSITE:
		echo "						コンポジット\n";
		break;
}
?>
					</td>
				</tr>
			</table>
			<br/>
			<br/>
			<h3 class="table_caption">プログラム</h3>
			<table class="list">
				<tr>
					<th style="text-align: center;">#</th>
					<th style="text-align: center;">Ch番号</th>
<!--					<th style="text-align: center;">名前</th>-->
					<th style="text-align: center;">状態</th>
				</tr>
<?php
for($i = 1 ; $i <= PROGRAM_MXX ; $i++){
	$program_no = sprintf('PROGRAM_%02X_NO', $i );
//	$program_name = sprintf('PROGRAM_%02X_NAME', $i );
//	if( isset($status_conf['MAMEDO'][$program_no]) && isset($status_conf['MAMEDO'][$program_name])){
//		if( '' !=  $status_conf['MAMEDO'][$program_no] && '' !=  $status_conf['MAMEDO'][$program_name]){
	if( isset($status_conf['MAMEDO'][$program_no])){
		if( '' !=  $status_conf['MAMEDO'][$program_no] ){
			echo "				<tr>\n";
			echo "					<td align=\"center\">" . $i . "</td>\n";
			echo "					<td align=\"center\">" . str_replace( '*' , "<span style=\"width:1em;\">　</span>", sprintf( "%'*5d", hexdec($status_conf["MAMEDO"][$program_no]) )) . ' (0x' . sprintf( "%04X", hexdec( $status_conf["MAMEDO"][$program_no] ) ). ')' .  "</td>\n";
//			echo "					<td>" . $status_conf["MAMEDO"][$program_name] .  "</td>\n";
			if( $status_conf["MAMEDO"]['SEL_PROGRAM'] + 1 == $i ){
				echo "					<td class=\"select\" align=\"center\">出力中</td>\n";
			}else{
				echo "					<td align=\"center\">入力中</td>\n";
			}
			echo "				</tr>\n";
		}
	}
}
?>
			</table>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
