<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
		<script type="text/javascript" src="../js/magnum_hdsd.js"></script>
		
<SCRIPT language="JavaScript">
<!--
function	statusChange(){
	setInputForm(set_bml.elements['select'].value);
}
function	setInputForm(sel){
	if( sel == 0 ){
		set_bml.elements['bml_file'].disabled = true;
	}else{
		set_bml.elements['bml_file'].disabled = false;
	}
}
// -->
</SCRIPT>
	</head>
	<body  onload="setInputForm( <?php echo $setup_conf['BML']['SELECT']; ?> );">
		<div class="page_body">
			<form action="mux_set_bml_ctrl.php" method="POST" name="set_bml" enctype="multipart/form-data">
				<h3 class="table_caption">BML設定</h3>
				<table class="list">
					<tr>
						<th width="150px">BML選択</th>
						<td>
							<select name="select" onchange="statusChange()">
								<option value="0"<?php echo (($setup_conf['BML']['SELECT'] == 0) ? " selected":""); ?>>無し（PSI設定も無し)</option>
								<option value="1"<?php echo (($setup_conf['BML']['SELECT'] == 1) ? " selected":""); ?>>固定（ファイル）</option>
							</select>
						</td>
					</tr>
					<tr>
						<th width="150px">ビットレート</th>
						<td>
							<select name="rate">
<?php
	for( $i = BML_RATE_START ; $i <= BML_RATE_END ; $i += BML_RATE_INC ){
		echo "								<option value=\"".$i."\" ". (($setup_conf['BML']['RATE']== $i) ? "selected" : "" ) . ">" . sprintf("%.1f", $i * BML_RATE_LSB) ." Mbps</option>\n";
	}
?>
							</select>
						</td>
					</tr>
					<tr>
						<th>視聴制限</th>
						<td>
							<select name="restriction">
								<option value="0"<?php echo (($setup_conf['BML']['RESTRICTION'] == 0) ? " selected":""); ?>>無し</option>
								<option value="1"<?php echo (($setup_conf['BML']['RESTRICTION'] == 1) ? " selected":""); ?>>有り</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>DVB No.</th>
						<td>
							<select name="dvb_ts_no" id="dvb_ts_no">
<?php
	for($dvb_no = 1 ; $dvb_no <= DVB_END ; $dvb_no += DVB_INC){
		if($setup_conf['EPG_FILE_PID']['DVB_NO'] == $dvb_no) continue;
		echo "								<option value=\"" . $dvb_no . "\"". (( $setup_conf['BML'][DVB_NO] == $dvb_no ) ? "selected" : "") . ">" . $dvb_no . "</option>\n";
	}
?>
							</select>
						</td>
					</tr>
					<tr>
						<th>設定済みファイル</th>
						<td>
<!--							<a href="<?php echo $setup_conf['BML']['FILE']; ?>"><?php echo basename($setup_conf['BML']['FILE']); ?></a>-->
							<?php echo basename($setup_conf['BML']['FILE']); ?>
						</td>
					</tr>
					<tr>
						<th>ファイル</th>
						<td>
							<input type="file" name="bml_file" size="20" /><br/>
							ファイルを変更する場合にのみ指定して下さい。
						</td>
					</tr>
				</table>
				<input type="hidden" name="set_bml" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
				<input type="submit" value="設定">
			</form>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
