<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	$board = "";
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		$board =  $_POST['board'];
	}else if($_SERVER['REQUEST_METHOD'] == "GET"){
		$board =  $_GET['board'];
	}
	if($board != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $board );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
		
		if($_SERVER['REQUEST_METHOD'] == "POST"){
			if( $_POST['set_bml'] == 'true' ){
				$result = save_conf_bml($setup_conf, $_POST, $ini_file);
					
				if( false != $result['RESULT'] ){
					if( $_POST['select'] == 1 ){
						if(is_uploaded_file($_FILES["bml_file"]["tmp_name"] )) {
							if ( move_uploaded_file($_FILES["bml_file"]["tmp_name"], BML_SETUP_PATH.$_FILES["bml_file"]["name"] )) {
								chmod( BML_SETUP_PATH.$_FILES["bml_file"]["name"], 0666 );
								// ファイル名を保存
								$result = save_conf_bml_file( $setup_conf, BML_SETUP_PATH.$_FILES["bml_file"]["name"], $ini_file );
							} else {
								$result = array('RESULT'  => false,
												'MESSAGE' => 'ファイルのアップデートに失敗しました。入力に間違いがないか確認してください。');
							}
						}
					}
				}
			}
		}
		$result['BACK_URL'] = "./mux_set_bml.php?board=". $board;
	}
	// 結果の表示
	require_once("../libsetresult.php");
?>
