<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
		<script type="text/javascript" src="../js/common.js"></script>
<SCRIPT language="JavaScript">
<!--
function	selectChange(){
	var sel = document.getElementById('dvb_ts_no').value;
	setInputForm(sel);
}

function	setInputForm(sel){
	var sts;
	var pid;
	for(cnt=<?php echo DVB_START; ?>;cnt<=<?php echo DVB_END; ?> ;cnt+=<?php echo DVB_INC; ?>){
		sts = document.getElementById('dvb_no_sts_'+cnt);
		pid = document.getElementById('dvb_no_pid_'+cnt);
		sts.style.display='none';
		pid.style.display='none';
	}
	sts = document.getElementById('dvb_no_sts_'+sel);
	pid = document.getElementById('dvb_no_pid_'+sel);
	sts.style.display='';
	pid.style.display='';
}
// -->
</SCRIPT>
	</head>
	<body onload="setInputForm(1)">
		<div class="page_body">
			<form action="mux_set_dvb_ts_ctrl.php" method="POST" name="set_input">
				<h3 class="table_caption">DVB TS 設定</h3>
				<table>
					<tr>
						<th width="150px">DBV No.</th>
						<td>
							<select name="dvb_ts_no" id="dvb_ts_no" onchange="selectChange()">
<?php
	for($dvb_no = 1 ; $dvb_no <= DVB_END ; $dvb_no += DVB_INC){
		echo "								<option value=\"" . $dvb_no . "\">" . $dvb_no . "</option>";
	}
?>
							</select>
						</td>
					</tr>
				</table>
				<br/>
				<br/>
<?php
	for($dvb_no = 1 ; $dvb_no <= DVB_END ; $dvb_no += DVB_INC){
?>				
				<table id="dvb_no_sts_<?php echo $dvb_no; ?>">
					<caption>DBV No.<?php echo $dvb_no; ?>設定</caption>
					<tr>
						<th width="150px">状態</th>
						<td>
							<select name="status[<?php echo $dvb_no; ?>]">
								<option value="0"<?php echo (($setup_conf['DVB_TS'.$dvb_no]['STATUS'] == 0) ? " selected":""); ?>>停止</option>
								<option value="1"<?php echo (($setup_conf['DVB_TS'.$dvb_no]['STATUS'] == 1) ? " selected":""); ?>>起動</option>
							</select>							
						</td>
					</tr>
					<tr>
						<th width="150px">ビットレート設定</th>
						<td>
							<select name="bitrate[<?php echo $dvb_no; ?>]">
<?php
		for($i = DBV_TS_BIT_START; $i <= DBV_TS_BIT_END ; $i += DBV_TS_BIT_INC){
			echo "								<option value=\"" . $i . "\" ". (($setup_conf['DVB_TS'.$dvb_no]['BITRATE'] == $i) ? " selected":"") . ">". sprintf("%.1f", $i * DBV_TS_BIT_LSB) ."</option>\n";
		}
?>
							</select>
							Mbps
						</td>
					</tr>
				</table>
				<table id="dvb_no_pid_<?php echo $dvb_no; ?>" style="margin-top: 10px;margin-bottom: 5px;">
					<tr>
						<th>#</th>
						<th>入力PID</th>
						<th>変換後PID</th>
						<th>PMT組込設定</th>
					</tr>
<?php 
		for( $pid_no = DVB_PID_START ; $pid_no <= DVB_PID_END ; $pid_no += DVB_PID_INC ){
?>
					<tr align="center">
						<th><?php echo $pid_no; ?></th>
						<td>
							0x<input type="text" size="3" name="dvb_pid_input[<?php echo $dvb_no; ?>][<?php echo $pid_no; ?>]" value="<?php echo str_replace("0x", "", $setup_conf['DVB_TS'.$dvb_no]['INPUT'.$pid_no]); ?>"  size="10"/>
						</td>
						<td>
							0x<input type="text" size="3" name="dvb_pid_changed[<?php echo $dvb_no; ?>][<?php echo $pid_no; ?>]" value="<?php echo str_replace("0x", "", $setup_conf['DVB_TS'.$dvb_no]['CHANGED'.$pid_no]); ?>"  size="10"/>
						</td>
						<td>
							<select name="dvb_pid_setting[<?php echo $dvb_no; ?>][<?php echo $pid_no; ?>]">
								<option value="0"<?php echo (($setup_conf['DVB_TS'.$dvb_no]['SETTING'.$pid_no] == 0) ? " selected":""); ?>>無効</option>
								<option value="1"<?php echo (($setup_conf['DVB_TS'.$dvb_no]['SETTING'.$pid_no] == 1) ? " selected":""); ?>>有効</option>
							</select>
						</td>
					</tr>
<?php
		}
?>
				</table>

<?php
	}
?>
				<input type="hidden" name="set_dvb_ts" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
				<input type="submit" value="設定">
			</form>			
		</div>
	</body>
</html>
