<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
		<script type="text/javascript" src="../js/common.js"></script>
<SCRIPT language="JavaScript">
<!--
var asi_array = new Array(<?php echo $function_conf['DBSFunction']['ExpSlotNum']; ?>);
<?php
	for($i = 0;$i < $function_conf['DBSFunction']['ExpSlotNum']; $i++){
		if( $function_conf['ExpSlot'.($i+1)]['BoadID'] == '04' ){		// マルチプレクサの場合
			//echo "	asi_array[" . $i . "] = \"". ( $function_conf['ExpSlot'.($i+1)]['Func'] & 0x07) . "\";\n";
			echo "asi_array[" . $i . "] = ". ( $function_conf['ExpSlot'.($i+1)]['Func'] & 0x07) . ";\n";
		}
	}
?>

function	statusChange(){
	
	setInputForm(set_input.elements['type'].value,
				 set_input.elements['extinput'].value);
}

function	setInputForm(sel, mux){
	var row_base = document.getElementById('tr_base_input');
	var row_ext = document.getElementById('tr_ext_input');
return;
	if( sel == 0 ){
		set_input.elements['baseinput'].disabled = false;
		set_input.elements['extinput'].disabled = true;
		set_input.elements['muxinput'].disabled = true;
//		row_base.style.display = '';
//		row_ext.style.display = 'none';
	}else{
		set_input.elements['baseinput'].disabled = true;
		set_input.elements['extinput'].disabled = false;
		
		if(mux.toString().match(/04+/)){
			set_input.elements['muxinput'].disabled = false;
		}else{
			set_input.elements['muxinput'].disabled = true;
		}
//		row_base.style.display = 'none';
//		row_ext.style.display = '';
	}
}
// -->
</SCRIPT>
	</head>
	<body onload="setInputForm(<?php echo $setup_conf['INPUT']['TYPE1']; ?>, '<?php echo $setup_conf['INPUT']['EXTINPUT']; ?>')">
		<div class="page_body">
			<form action="mux_set_input_ctrl.php" method="POST" name="set_input">
				<h3 class="table_caption">マルチプレクサ入力設定</h3>
				<table class="list">
					<tr>
						<th width="150px">マルチプレクサ</th>
						<td>
							<select name="status" onchange="statusChange()">
								<option value="0"<?php echo (($setup_conf['INPUT']['STATUS'] == 0) ? " selected":""); ?>>ON</option>
								<option value="1"<?php echo (($setup_conf['INPUT']['STATUS'] == 1) ? " selected":""); ?>>OFF</option>
							</select>
						</td>
					</tr>
					<tr>
						<th width="150px">入力切り替え</th>
						<td>
							<select name="type" onchange="statusChange()">
								<option value="0"<?php echo (($setup_conf['INPUT']['TYPE'] == 0) ? " selected":""); ?>>無し</option>
<?php
	$bit = 0x00000001;
	$flag = hexdec($system_conf['DBSSystem']['SystemInfo']);
	foreach ($base_inputs as $key => $val ) {
		$bit = hexdec($key);
		if($flag & $bit){
			echo "								<option value=\"" . $val . "\" ". (($setup_conf['INPUT']['TYPE'] == $val) ? " selected":"") . ">". $base_inputs_ini[$val] ."</option>\n";
		}
	}
	
	$board_num = get_board_num($function_conf);
	// DBS_FunctionのBordIdとSubIdを使用してリストボックスを作成
	for($i = 1 ; $i <= $function_conf['DBSFunction']['ExpSlotNum'] ; $i++){
		switch( $function_conf['ExpSlot'.$i]['BoadID'] ){
			case BOARD_TYPE_OFDM:
			case BOARD_TYPE_HDSD:
			case BOARD_TYPE_MAMEDO:
			case BOARD_TYPE_MUX:	// マルチプレクサのみ
				if( $board_num[$function_conf['ExpSlot'.$i]['BoadID']] > 1 ){
					echo "								<option value=\"" . ($function_conf['ExpSlot'.$i]['BoadID'].$function_conf['ExpSlot'.$i]['SubID']) . "\" ".
															((($function_conf['ExpSlot'.$i]['BoadID'].$function_conf['ExpSlot'.$i]['SubID']) == $setup_conf['INPUT']['TYPE']) ? "selected":"") . ">". 
															$function_conf['ExpSlot'.$i]['Name'] . "[". $function_conf['ExpSlot'.$i]['SubID'] ."]" ."</option>\n";
				}else{
					echo "								<option value=\"" . ($function_conf['ExpSlot'.$i]['BoadID'].$function_conf['ExpSlot'.$i]['SubID']) . "\" ".
															((($function_conf['ExpSlot'.$i]['BoadID'].$function_conf['ExpSlot'.$i]['SubID']) == $setup_conf['INPUT']['TYPE']) ? "selected":"") . ">". 
															$function_conf['ExpSlot'.$i]['Name'] ."</option>\n";
				}
				break;
		}
	}
?>

							</select>
						</td>
					</tr>
				</table>
				<input type="hidden" name="set_input" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
				<input type="submit" value="設定">
			</form>			
<?php
	$flag = hexdec($system_conf['DBSSystem']['CustumInfo']);
	if( OEM_YOOZMA & $flag ){
?>
			<br />
			<br />
			<form action="mux_set_input_ctrl.php" method="POST" name="set_force_output">
				<input type="submit" name="on" value="強制切替ボタンON" class="force_button_on"  onclick="return checkDialog('強制出力を開始しますか？')">
				<input type="submit" name="off" value="強制切替ボタンOFF" class="force_button_off" onclick="return checkDialog('強制出力を停止しますか？')">
				<input type="hidden" name="force_ctrl" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
			</form>
<?php
	}
?>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
