<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	$board = "";
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		$board =  $_POST['board'];
	}else if($_SERVER['REQUEST_METHOD'] == "GET"){
		$board =  $_GET['board'];
	}
	if($board != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $board );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
	
	$result = false;
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		if( $_POST['set_input_pid'] == 'true' ){
			$result = save_conf_input_pid($setup_conf, $_POST, $ini_file);
		}
		$result['BACK_URL'] = "./mux_set_input_pid.php?board=". $board;
	}
	// 結果の表示
	require_once("../libsetresult.php");
?>
