<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_in_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	$board = "";
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		$board =  $_POST['board'];
	}else if($_SERVER['REQUEST_METHOD'] == "GET"){
		$board =  $_GET['board'];
	}
	if($board != ''){
		// Setupファイル名を取得
		$board_type = substr( $board, 0, 2 );
		$board_no = substr( $board, 3, 2 );
		if($board_type == BOARD_TYPE_OFDM){
			// OFDMのMUXはファイル名が固定
			$ini_file['Save'] = sprintf( SETUP_OFDM_MUX_SAVE, $board_no );
			$ini_file['Setup'] = sprintf( SETUP_OFDM_MUX_CONF, $board_no );
		}else{
			// Setupファイル名を取得
			$ini_file = get_setup_file( $function_conf, $board );
		}
		
		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
	
	$result = false;
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		if( $_POST['mux_in_set'] == 'true' ){
			switch( $board_type ){
				case BOARD_TYPE_MUX_IN:
					$result = save_conf_mux_in_set($setup_conf, $_POST, $ini_file);
					break;
				case BOARD_TYPE_MUX_2:
					$result = save_conf_mux2_in_set($setup_conf, $_POST, $ini_file);
					break;
				default:
					break;
			}
		}
		$result['BACK_URL'] = "./mux_in_set.php?board=". $board;
	}
	// 結果の表示
	require_once("../libsetresult.php");
?>
