<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_inputsrc_lib.php");
	
	$loading = false;
	$ts_no = 0;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// 入力状態の取得
		$borad_info = get_board_info($function_conf, $_GET['board']);
		if( isset( $borad_info['FilterStatus'] ) && is_file( $borad_info['FilterSetup'] ) ){
			// $status =  parse_ini_file( $borad_info['FilterStatus'], true );
			$status =  my_parse_ini_file( $borad_info['FilterStatus'] );
			if( NULL == $status ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else{
			echo "Filter info not found.";
			exit();
		}
		// セクション解析結果であるtextファイルを連想配列へ読み込む
        if( file_exists(PAT_TXT) ){
        	$PAT_file = parse_ini_file(PAT_TXT,true );
        }
        if( file_exists(NIT_TXT) ){
            $NIT_file = parse_ini_file(NIT_TXT,true );
        }
		if( file_exists(SDT_TXT) ){
            $SDT_file = parse_ini_file(SDT_TXT,true );
        }
	}
	
	
	function show_ts_status( $ts_no, $show_ts_no = false ){
		global $status;
		global $borad_info;
		
		if( $show_ts_no ){
?>
		<h3 class="table_caption"><?php echo $borad_info['Name']; ?> TS<?php echo $ts_no + 1; ?>入力ステータス</h3>
<?php
		}else{
?>
		<h3 class="table_caption"><?php echo $borad_info['Name']; ?> 入力ステータス</h3>			
<?php
		}
?>
			<table>
				<tr>
					<th width="50%">PIDフィルター</th>
					<td class="<?php echo (($status['TS'.$ts_no]['Enable'] == 0) ? "off":"on"); ?>"><?php echo (($status['TS'.$ts_no]['Enable'] == 0) ? "無効":"有効"); ?></td>
				</tr>
				<tr>
					<th width="50%">入力信号</th>
					<td class="<?php echo (($status['TS'.$ts_no]['Sync'] != 0) ? "off":"on"); ?>"><?php echo (($status['TS'.$ts_no]['Sync'] != 0) ? "信号無し":"信号有り"); ?></td>
				</tr>
				<tr>
					<th>バケットサイズ</th>
					<td><?php echo $status['TS'.$ts_no]['ByteCnt']; ?></td>
				</tr>
			</table>
			<table style="margin-top: 5px;">
<?php
		$packet_size = ( 0 != $status['TS'.$ts_no]['ByteCnt'] ) ? $status['TS'.$ts_no]['ByteCnt'] : 188;
		$bitrate_val = calc_bitrate( $packet_size, $status['TS'.$ts_no]['PacketCnt'] );
		$bitrate_total = calc_bitrate( $packet_size, $status['TS'.$ts_no]['TotalRate'] );

		$bitrate_val_err = false;
		$bitrate_total_err = false;
		// 必ずOK表示に変更
//		if( $bitrate_val > $bitrate_total ){
//			$bitrate_val_err = true;
//		}
//
//		if( $bitrate_val >= MUX_INPUTSRC_BITRATE_ERR ){
//			$bitrate_val_err = true;
//		}
//		if( $bitrate_total >= MUX_INPUTSRC_BITRATE_ERR ){
//			$bitrate_total_err = true;
//		}

		if($bitrate_val_err){
			$css_bitrate_bitrate_val = 'graph_mux_in_bitrate_ng';
			$css_graph_base_val = 'graph_mux_in_graph_base_ng';
		}else{
			$css_bitrate_bitrate_val = 'graph_mux_in_bitrate_ok';
			$css_graph_base_val = 'graph_mux_in_graph_base_ok';
		}

		if($bitrate_total_err){
			$css_bitrate_bitrate_total = 'graph_mux_in_bitrate_ng';
			$css_graph_base_total = 'graph_mux_in_graph_base_ng';
		}else{
			$css_bitrate_bitrate_total = 'graph_mux_in_bitrate_ok';
			$css_graph_base_total = 'graph_mux_in_graph_base_ok';
		}
?>
				<tr>
					<th class="graph_mux_inputsrc_title" style="padding-left: 0.5em;">入力TSレート</th>
					<td class="<?php echo $css_bitrate_bitrate_total; ?>"><?php echo $bitrate_total; ?>Mbps</td>
					<td class="<?php echo $css_graph_base_total; ?>"><?php draw_graph( 0, MUX_INPUTSRC_BITRATE_MAX, $bitrate_total, "graph_div_ok" ); ?></td>
				</tr>
				<tr>
					<th class="graph_mux_inputsrc_title" style="padding-left: 0.5em;"><?php echo ( $borad_info['BoadID'] == BOARD_TYPE_MUX_IN ) ? "フィルター後有効データレート" : "有効データレート"; ?></th>
					<td class="<?php echo $css_bitrate_bitrate_val; ?>"><?php echo $bitrate_val; ?>Mbps</td>
					<td class="<?php echo $css_graph_base_val; ?>"><?php draw_graph( 0, MUX_INPUTSRC_BITRATE_MAX, $bitrate_val, "graph_div_ok" ); ?></td>
				</tr>
			</table>
<?php
		if( $status['TS'.$ts_no]['Sync'] == 0 ){	// 入力信号有りの場合のみ表示する
?>
			<h4 class="table_caption">取得PID</h4>
			<table>
				<tr style="margin: 0px;">
<?php
			$count = 0;
			$sort_pid = array();
			$i = 0;
			foreach( $status['GETPID'.$ts_no] as $key => $value){
				$sort_pid[$i++] = hexdec($value);
			}
			asort($sort_pid);
			foreach( $sort_pid as $key => $value){
				if($count == GET_PID_TABLE_COL_NUM){
					echo '</tr><tr>';
					$count = 0;
				}
				if($value != 0x1FFF){
					echo "					<td class=\"show_get_pid\">".sprintf("%04X",$value)."</td>\n";
					$count++;
				}
			}
			if( count( $sort_pid ) == 0 ){
				echo '					<tr><td></td></tr>';
			}
?>
				</tr>
			</table>
<?php
		}
	}
?>

<?php
	function show_ts_mux2_status($filter_status_93_01){
?>
		<h3 class="table_caption">マルチプレクサ 入力ステータス</h3>
			<table>
				<tr>
					<th width="50%">PIDフィルター</th>
					<td class="<?php echo (($filter_status_93_01['TS0']['Enable'] == 0) ? "off":"on"); ?>"><?php echo (($filter_status_93_01['TS0']['Enable'] == 0) ? "無効":"有効"); ?></td>
				</tr>
				<tr>
					<th width="50%">入力信号</th>
					<td class="<?php echo (($filter_status_93_01['TS0']['Sync'] != 0) ? "off":"on"); ?>"><?php echo (($filter_status_93_01['TS0']['Sync'] != 0) ? "信号無し":"信号有り"); ?></td>
				</tr>
				<tr>
					<th>バケットサイズ</th>
					<td><?php echo $filter_status_93_01['TS0']['ByteCnt']; ?></td>
				</tr>
			</table>
			<table style="margin-top: 5px;">
<?php
		$packet_size = ( 0 != $filter_status_93_01['TS0']['ByteCnt'] ) ? $filter_status_93_01['TS0']['ByteCnt'] : 188;
		$bitrate_val[0] = calc_bitrate( $packet_size, $filter_status_93_01['TS0']['PacketCnt'] );
		$bitrate_total[0] = calc_bitrate( $packet_size, $filter_status_93_01['TS0']['TotalRate'] );
		
		$bitrate_val[1] = calc_bitrate( $packet_size, $filter_status_93_01['TS1']['PacketCnt'] );
		$bitrate_total[1] = calc_bitrate( $packet_size, $filter_status_93_01['TS1']['TotalRate'] );
		
		$css_bitrate_bitrate_val = 'graph_mux_in_bitrate_ok';
		$css_graph_base_val = 'graph_mux_in_graph_base_ok';

		$css_bitrate_bitrate_total = 'graph_mux_in_bitrate_ok';
		$css_graph_base_total = 'graph_mux_in_graph_base_ok';
?>
				<tr>
					<th class="graph_mux_inputsrc_title" style="padding-left: 0.5em;">入力TSレート</th>
					<td class="<?php echo $css_bitrate_bitrate_total; ?>"><?php echo $bitrate_total[0]; ?>Mbps</td>
					<td class="<?php echo $css_graph_base_total; ?>"><?php draw_graph( 0, MUX_INPUTSRC_BITRATE_MAX, $bitrate_total[0], "graph_div_ok" ); ?></td>
				</tr>
				<tr>
					<th class="graph_mux_inputsrc_title" style="padding-left: 0.5em;"><?php echo "固定受信<br>フィルター後有効データレート"; ?></th>
					<td class="<?php echo $css_bitrate_bitrate_val; ?>"><?php echo $bitrate_val[0]; ?>Mbps</td>
					<td class="<?php echo $css_graph_base_val; ?>"><?php draw_graph( 0, MUX_INPUTSRC_BITRATE_MAX, $bitrate_val[0], "graph_div_ok" ); ?></td>
				</tr>
<?php
if( 0 != $bitrate_val[1] ){
echo "				<tr>\n";
echo "					<th class=\"graph_mux_inputsrc_title\" style=\"padding-left: 0.5em;\">部分受信<br>フィルター後有効データレート</th>\n";
echo "					<td class=\"".$css_bitrate_bitrate_val."\">".$bitrate_val[1]."Mbps</td>\n";
echo "					<td class=\"".$css_graph_base_val."\">";
draw_graph( 0, MUX_INPUTSRC_BITRATE_MAX, $bitrate_val[1], "graph_div_ok" );
echo "</td>\n";
echo "				</tr>\n";
}
?>
			</table>
<?php
		if( $filter_status_93_01['TS0']['Sync'] == 0 ){	// 入力信号有りの場合のみ表示する
?>
			<h4 class="table_caption">取得PID</h4>
			<table>
				<tr style="margin: 0px;">
<?php
			$count = 0;
			$sort_pid = array();
			$i = 0;
			foreach( $filter_status_93_01['GETPID0'] as $key => $value){
				$sort_pid[$i++] = hexdec($value);
			}
			asort($sort_pid);
			foreach( $sort_pid as $key => $value){
				if($count == GET_PID_TABLE_COL_NUM){
					echo '</tr><tr>';
					$count = 0;
				}
				if($value != 0x1FFF){
					echo "					<td class=\"show_get_pid\">".sprintf("%04X",$value)."</td>\n";
					$count++;
				}
			}
			if( count( $sort_pid ) == 0 ){
				echo '					<tr><td></td></tr>';
			}
?>
				</tr>
			</table>
<?php
		}
	}
?>

<?php
	function show_ts_analyze($PAT_file, $NIT_file, $SDT_file){
?>
			<h3 class="table_caption">TS 解析</h3>
			<table>
				<tr>
					<th>サービスID</th><th>サービス名</th><th>詳細</th>
				</tr>
<?php
				for( $i=0 ; $i<MAX_PROGRAM_NUMBER ; $i++ ){
					$str_buff = sprintf("program%d",$i);
					if( isset($PAT_file[$str_buff]) ){
						$temp_sid = $PAT_file[$str_buff]['program_number'];
						echo "<tr>\n";
						echo "							<td>".hexdec($temp_sid)." (0x".$temp_sid.")</td>\n";
						$str_buff = sprintf("sdt_loop%d",$i);
						if( isset($SDT_file[$str_buff]['service_name']) ){
							echo "							<td>".(mb_convert_encoding($SDT_file[$str_buff]['service_name'], "UTF-8", "SJIS"))."</td>\n";
						}else{
							echo "<td>---</td>\n";
						}
						$str_buff = sprintf("%s/PMT_%d.txt",TS_SECTION,$i);
						if( file_exists($str_buff) ){
							echo "<td><a href=\"./mux_inputsrc_ts_detail.php?service_no=".$i."\">表示</a></td>\n";
						}else{
							echo "<td>---</td>\n";
						}
						echo "</tr>\n";
					}else{
						break;
					}
				}
?>
			</table>
			
<?php
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="5">
	</head>
	<body>
		<div class="page_body">
<?php
	switch($borad_info['BoadID']){
		case BOARD_TYPE_MUX_2:
			show_ts_mux2_status($status);
			show_ts_analyze($PAT_file,$NIT_file,$SDT_file);
			break;
		case BOARD_TYPE_MUX_IN:
		case BOARD_TYPE_MUX:
			show_ts_status( 0, true );
			echo "			<br/>\n";
			show_ts_status( 1, true );
			break;
		default:
			show_ts_status( 0, true );
			break;
	}
?>
		<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>

