<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("../libarea.php");
	require_once("ofdm_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	$board = "";
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		$board =  $_POST['board'];
	}else if($_SERVER['REQUEST_METHOD'] == "GET"){
		$board =  $_GET['board'];
	}
	if($board != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $board );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
		
		if($_SERVER['REQUEST_METHOD'] == "POST"){
			if( $_POST['set_psi'] == 'true' ){
				$setup_conf['FileLink']['PSI_File'] = basename($setup_conf['FileLink']['PSI_File']);
				if(file_exists(CONF_DIR ."/". $setup_conf['FileLink']['PSI_File']) &&
				   file_exists(SD_DIR ."/". $setup_conf['FileLink']['PSI_File'])){
					$psi_setup_conf = parse_ini_file( CONF_DIR ."/".$setup_conf['FileLink']['PSI_File'], true );
					$ini_file['Setup'] = CONF_DIR ."/". $setup_conf['FileLink']['PSI_File'];
					$ini_file['Save'] = SD_DIR ."/". $setup_conf['FileLink']['PSI_File'];
					
					$result = save_conf_psi($psi_setup_conf, $_POST, $ini_file);
				}
			}
		}
		$result['BACK_URL'] = "./ofdm_set_psi.php?board=". $board;
	}
	// 結果の表示
	require_once("../libsetresult.php");
?>
