<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("ofdm_lib.php");
	
	$loading = false;
	
	$ini_file = '';
	if($_GET['board'] != ''){
		$status_file = get_status_file($function_conf, $_GET['board']);
		if( is_file( $status_file ) ){
			$status = my_parse_ini_file( $status_file );
			if( NULL == $status ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			$loading = true;
		}
	}
?>
	<head>
		<META http-equiv="Content-Type" content="text/html;charset=UTF-8">
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 class="table_caption">OFDMステータス</h3>
			<table>
				<tr>
					<th width="50%">動作状態</th>
					<td class="<?php echo (($status['OFDM']['Enable'] != 0) ? "on":"off"); ?>">
						<?php echo (($status['OFDM']['Enable'] != 0) ? "起動":"停止"); ?>
					</td>
				</tr>
				<tr>
					<th>エラー情報</th>
					<td class="<?php echo (( hexdec( $status['STATUS']['Error'] ) != 0) ? "off":"on"); ?>">
						<?php echo (( hexdec( $status['STATUS']['Error'] ) != 0) ? ( '0x' . $status['STATUS']['Error'] ) : "正常"); ?>
					</td>
				</tr>
<?php
	if( is_fact() ){
?>
				<tr>
					<th>リブート情報</th>
					<td>
						<?php echo (($status['STATUS']['Reboot'] == 0) ? "なし":"リブート中"); ?>
					</td>
				</tr>
				<tr>
					<th>PLLロック</th>
					<td class="<?php echo (($status['STATUS']['PLL_Lock'] == '4F') ? "on":"off"); ?>">
						<?php echo (($status['STATUS']['PLL_Lock'] == '4F') ? "Lock":"Unlock"); ?>
					</td>
				</tr>
				<tr>
					<th>FPGA動作</th>
					<td>
						<?php echo sprintf( '0x%02X', $status['STATUS']['FPGA_Run'] ); ?>
					</td>					
				</tr>
				<tr>
					<th>Missing I MAP</th>
					<td>
						<?php echo sprintf( '0x%02X', $status['STATUS']['I_map'] ); ?>
					</td>
				</tr>
				<tr>
					<th>Missing Q MAP</th>
					<td>
						<?php echo sprintf( '0x%02X', $status['STATUS']['Q_map'] ); ?>
					</td>
				</tr>
				<tr>
					<th>MIG</th>
					<td>
						<?php echo sprintf( '0x%02X', hexdec( $status['STATUS']['MIG'] ) ); ?>
					</td>
				</tr>
				<tr>
					<th>TS Sync</th>
					<td>
						<?php echo sprintf( '0x%02X', hexdec( $status['STATUS']['TS_Sync'] ) ); ?>
					</td>
				</tr>
				<tr>
					<th>65Mhz周波数カウンタ</th>
					<td>
						<?php echo $status['STATUS']['freq_65Mhz_cnt']; ?>
					</td>
				</tr>
<?php
	}
?>
			</table>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
