<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("ofdm_lib.php");
	
	$loading = false;
	
	$ini_file = '';
	if($_GET['board'] != ''){
		$status_file = get_status_file($function_conf, $_GET['board']);
		if( is_file( $status_file ) ){
			// $status = parse_ini_file( $status_file, true );
			$status = my_parse_ini_file( $status_file );
			if( NULL == $status ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			$loading = true;
		}
	}
?>
	<head>
		<META http-equiv="Content-Type" content="text/html;charset=UTF-8">
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 class="table_caption">SFNステータス</h3>
			<table>
				<tr>
					<th width="50%">GPSロック</th>
					<td class="<?php echo (($status['SFN']['GPS_Lock'] != 0) ? "on":"off"); ?>">
						<?php echo (($status['SFN']['GPS_Lock'] != 0) ? "ON":"OFF"); ?>
					</td>
				</tr>
				<tr>
					<th>SFNステータス</th>
					<td><?php echo $status['SFN']['SFN_Status']; ?></td>
				</tr>
				<tr>
					<th>IP送出元で設定された遅延設定値</th>
					<td><?php echo sprintf( '%.4f', $status['SFN']['Maximum_Delay'] / NETWORK_TIME_LSB ); ?> ms</td>
				</tr>
<?php
	$func = get_function_file_info($function_conf, $_GET['board']);
	if( FUNCTION_SFN_DST == ( FUNCTION_SFN_MSK & hexdec( $func['Func'] ) ) ){
?>
				<tr>
					<th>送受信間の時刻差から算出した伝送遅延量</th>
					<td><?php echo sprintf( '%.4f', $status['SFN']['Network_Delay'] / NETWORK_TIME_LSB ); ?> ms</td>
				</tr>
				<tr>
					<th>遅延設定値</th>
					<td><?php echo sprintf( '%.4f', $status['SFN']['SFN_Delay_Value'] / NETWORK_TIME_LSB ); ?> ms</td>
				</tr>
				<tr>
					<th>IP送出元の時刻情報</th>
					<td><?php echo $status['SFN']['IIP_Sec_Info']; ?> </td>
				</tr>
<?php
	}
?>
				<tr>
					<th>GPS年月日(UTC)</th>
					<td><?php echo ( substr( $status['SFN']['GPS_UTC_Date'], 6, 2 ) + 2000 ) . "年 " . substr( $status['SFN']['GPS_UTC_Date'], 4, 2 ) . "月 " . substr( $status['SFN']['GPS_UTC_Date'], 2, 2 ) . "日"; ?></td>
				</tr>
				<tr>
					<th>GPS時刻(UTC)</th>
					<td><?php echo substr( $status['SFN']['GPS_UTC_Time'], 2, 2 ) . "時 " . substr( $status['SFN']['GPS_UTC_Time'], 4, 2 ) . "分 " . substr( $status['SFN']['GPS_UTC_Time'], 6, 2 ) . "秒"; ?></td>
				</tr>
<!--				<tr>
					<th>北緯／南緯フラグ</th>
					<td><?php echo (($status['SFN']['NS_Flag'] == 0) ? "北":"南"); ?></td>
				</tr>
				<tr>
					<th>東経／西経フラグ</th>
					<td><?php echo (($status['SFN']['GPS_Lock'] == 0) ? "東":"西"); ?></td>
				</tr>
				<tr>
					<th>GPSモジュールから受信した緯度情報 ddmm</th>
					<td><?php echo $status['SFN']['Latitude_ddmm']; ?></td>
				</tr>
				<tr>
					<th>GPSモジュールから受信した緯度情報 mmmm</th>
					<td><?php echo $status['SFN']['Latitude_mmmm']; ?></td>
				</tr>
				<tr>
					<th>GPSモジュールから受信した経度情報 dddmm</th>
					<td><?php echo $status['SFN']['Longitude_dddmm']; ?></td>
				</tr>
				<tr>
					<th>GPSモジュールから受信した経度情報 mmmm</th>
					<td><?php echo $status['SFN']['Longitude_mmmm']; ?></td>
				</tr>-->
<?php
	$sn = (($status['SFN']['NS_Flag'] == 0) ? "N":"S");
	$ew = (($status['SFN']['GPS_Lock'] == 0) ? "W":"E");
	$lati = substr($status['SFN']['Latitude_ddmm'],4,2) + (substr($status['SFN']['Latitude_ddmm'],6,2) + ( $status['SFN']['Latitude_mmmm'] / 10000))/60;
	$long = substr($status['SFN']['Longitude_dddmm'],3,3) + (substr($status['SFN']['Longitude_dddmm'],6,2) + ( $status['SFN']['Longitude_mmmm'] / 10000))/60;
?>
				<tr>
					<th>GPS 緯度情報</th>
					<td>
						<?php echo $sn . "" . substr($status['SFN']['Latitude_ddmm'],4,2) .".". substr($status['SFN']['Latitude_ddmm'],6,2); ?>.<?php echo substr($status['SFN']['Latitude_mmmm'], 4, 4); ?>

						<br/>
						(<?php echo $sn . "" . sprintf( "%.6f", $lati ); ?>)
					</td>
				</tr>
				<tr>
					<th>GPS 経度情報</th>
					<td>
						<?php echo $ew . "" . substr($status['SFN']['Longitude_dddmm'],3,3) .".". substr($status['SFN']['Longitude_dddmm'],6,2); ?>.<?php echo substr($status['SFN']['Longitude_mmmm'], 4, 4); ?>

						<br/>
						(<?php echo $ew . "" . sprintf( "%.6f", $long ); ?>)
					</td>
				</tr>
				<tr>
					<th>地図で表示</th>
					<td>
						<a href="http://maps.google.com/maps?q=<?php echo $lati ?>,<?php echo $long ?>+(計測場所)&z=18" target="_blank">表示</a>
					</td>
				</tr>
			<?php
/*
				<tr>
					<th>GPSモジュールから受信した緯度情報</th>
					<td><?php echo substr($status['SFN']['Latitude_ddmm'],0,2) .".". substr($status['SFN']['Latitude_ddmm'],2,2); ?>.<?php echo $status['SFN']['Latitude_mmmm']; ?></td>
				</tr>
				<tr>
					<th>GPSモジュールから受信した経度情報</th>
					<td><?php echo substr($status['SFN']['Longitude_dddmm'],0,3) .".". substr($status['SFN']['Longitude_dddmm'],3,2); ?>.<?php echo $status['SFN']['Longitude_mmmm']; ?></td>
				</tr>
 */
?>
			</table>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
