<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("psi_si_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );
		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = my_parse_ini_file( $ini_file['Setup'] );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf, 0 );
	view_css_left_sub();
	view_jquery_sub();
?>
		<script type="text/javascript">
		<!--
			$(function(){
				$(".num_of_emission_point").change(function(){
					$(this).showEmissionPoint();
				});
				jQuery.fn.extend({
					showEmissionPoint:function(){
						for( i = 1 ; i <= <?php echo AREA_POINT_NUM_MAX ?> ; i++ ){
							$(".emission_point_" + i).hide();
						}

						for( i = 1 ; i <= $(".num_of_emission_point").val() ; i++ ){
							$(".emission_point_" + i).show();
						}
					}
				});
				
				$(".area_pattern_flag_1").change(function(){ $(this).showAreaPatternFlag(1); });
				$(".area_pattern_flag_2").change(function(){ $(this).showAreaPatternFlag(2); });
				$(".area_pattern_flag_3").change(function(){ $(this).showAreaPatternFlag(3); });
				jQuery.fn.extend({
					showAreaPatternFlag:function( no ){
						if( 0 == $(".area_pattern_flag_" + no).val() ){
							$(".bitmap_" + no).hide();
							$(".max_distance_" + no).hide();
						}else{
							$(".bitmap_" + no).show();
							$(".max_distance_" + no).show();
						}
					}
				});
				
				$(".emission_power_flag_1").change(function(){ $(this).showEmissionPowerFlag(1); });
				$(".emission_power_flag_2").change(function(){ $(this).showEmissionPowerFlag(2); });
				$(".emission_power_flag_3").change(function(){ $(this).showEmissionPowerFlag(3); });
				jQuery.fn.extend({
					showEmissionPowerFlag:function( no ){
						if( 0 == $(".emission_power_flag_" + no).val() ){
							$(".emission_power_" + no).hide();
						}else{
							$(".emission_power_" + no).show();
						}
					}
				});
				
				$(".geodetic_system_1").change(function(){ $(this).showGeodeticSystem(1); });
				$(".geodetic_system_2").change(function(){ $(this).showGeodeticSystem(2); });
				$(".geodetic_system_3").change(function(){ $(this).showGeodeticSystem(3); });
				jQuery.fn.extend({
					showGeodeticSystem:function( no ){
						if( 0 == $(".geodetic_system_" + no).val() ){
							$(".north_south_flag_" + no).hide();
							$(".west_east_flag_" + no).hide();
							$(".height_set_" + no).hide();
							$(".latitude_" + no).hide();
							$(".logitude_" + no).hide();
						}else{
							$(".north_south_flag_" + no).show();
							$(".west_east_flag_" + no).show();
							$(".height_set_" + no).show();
							$(".latitude_" + no).show();
							$(".logitude_" + no).show();
						}
					}
				});
				
				$(".height_flag_1").change(function(){ $(this).showHeight(1); });
				$(".height_flag_2").change(function(){ $(this).showHeight(2); });
				$(".height_flag_3").change(function(){ $(this).showHeight(3); });
				jQuery.fn.extend({
					showHeight:function( no ){
						if( ( 0 != $(".height_flag_" + no).val() ) &&
							( 1 != $(".height_flag_" + no).val() ) ) {
							$(".height_" + no).removeAttr('disabled', 'disabled');
						}else{
							$(".height_" + no).attr('disabled', 'disabled');
						}
					}
				});
				
				$(window).load(function () {
					$(this).showEmissionPoint();
					$(this).showAreaPatternFlag(1);
					$(this).showAreaPatternFlag(2);
					$(this).showAreaPatternFlag(3);
					$(this).showEmissionPowerFlag(1);
					$(this).showEmissionPowerFlag(2);
					$(this).showEmissionPowerFlag(3);
					$(this).showGeodeticSystem(1);
					$(this).showGeodeticSystem(2);
					$(this).showGeodeticSystem(3);
					$(this).showHeight(1);
					$(this).showHeight(2);
					$(this).showHeight(3);
				});
			});
		-->
		</script>
	</head>
	<body>
		<div class="page_body">
			<form action="psi_si_set_area_ctrl.php" method="POST">
				<h3 class="table_caption">エリア放送設定</h3>
				<table class="list">
					<tr>
						<th width="150px">エリア放送情報記述子</th>
						<td>
							<select name="psi_area_enable" class="psi_area_enable">
								<option value="0"<?php echo ((0 == $setup_conf['AREA_BROAD']['ENABLE'])?" selected":""); ?>>無効</option>;
								<option value="1"<?php echo ((1 == $setup_conf['AREA_BROAD']['ENABLE'])?" selected":""); ?>>有効</option>;
							</select>
						</td>
					</tr>
					<tr>
						<th>エリア放送送信局識別ID</th>
						<td>
							0x<input name="station_id" class="network_name" type="text" size="8" maxlength="6" value="<?php echo sprintf("%06X", hexdec( $setup_conf['AREA_BROAD']['STATION_ID'] ) ); ?>">
							<p class="table_notes"><?php echo sprintf("0x%06X ～ 0x%06X", 0, STATION_ID_MAX); ?></p>
						</td>
					</tr>
					<tr>
						<th>全国地方公共団体コード上位5桁</th>
						<td>
							<input name="location_code" class="network_name" type="text" size="7" maxlength="5" value="<?php echo sprintf("%05d", $setup_conf['AREA_BROAD']['LOCATION_CODE'] ); ?>">
							<a href="http://www.soumu.go.jp/denshijiti/code.html" style="font-size:0.8em;" target="_blank">【参考】</a>
							<p class="table_notes"><?php echo sprintf("%05d ～ %05d", 0, LOCATION_CODE_MAX); ?></p>
						</td>
					</tr>
					<tr>
						<th>送信点情報個数</th>
						<td>
							<select name="num_of_emission_point" class="num_of_emission_point">
<?php
	for( $i = 0 ; $i <= AREA_POINT_NUM_MAX ; $i++ ){
?>
								<option value="<?php echo $i; ?>"<?php echo (($i == $setup_conf['AREA_BROAD']['NUM_OF_EMISSION_POINT'])?" selected":""); ?>><?php echo $i; ?></option>;								
<?php
	}
?>
							</select>個
						</td>
					</tr>
				</table>
<?php
for( $i = 1 ; $i <= AREA_POINT_NUM_MAX ; $i++ ){
?>
				<div class="emission_point_<?php echo $i; ?>">
					<br/>
					<br/>
					<h3 class="table_caption">送信点情報<?php echo $i; ?></h3>
					<table>
						<tr width="150px">
							<th>屋外設定</th>
							<td>
								<select name="open_air_flag<?php echo '_'.$i; ?>">
									<option value="0"<?php echo ((0 == $setup_conf['ADD_EMISSION' . $i]['OPEN_AIR_FLAG'])?" selected":""); ?>>屋外を業務区域としない</option>;
									<option value="1"<?php echo ((1 == $setup_conf['ADD_EMISSION' . $i]['OPEN_AIR_FLAG'])?" selected":""); ?>>屋外を業務区域とする</option>;
								</select>
							</td>
						</tr>
						<tr>
							<th>屋内設定</th>
							<td>
								<select name="closed_space_flag<?php echo '_'.$i; ?>">
									<option value="0"<?php echo ((0 == $setup_conf['ADD_EMISSION' . $i]['CLOSED_SPACE_FLAG'])?" selected":""); ?>>屋内を業務区域としない</option>;
									<option value="1"<?php echo ((1 == $setup_conf['ADD_EMISSION' . $i]['CLOSED_SPACE_FLAG'])?" selected":""); ?>>屋内を業務区域とする</option>;
								</select>
							</td>
						</tr>
						<tr>
							<th>測地系</th>
							<td>
								<select name="geodetic_system<?php echo '_'.$i; ?>" class="geodetic_system<?php echo '_'.$i; ?>">
									<option value="0"<?php echo ((0 == $setup_conf['ADD_EMISSION' . $i]['GEODETIC_SYSTEM'])?" selected":""); ?>>無効</option>;
									<option value="1"<?php echo ((1 == $setup_conf['ADD_EMISSION' . $i]['GEODETIC_SYSTEM'])?" selected":""); ?>>WGS84</option>;
									<option value="2"<?php echo ((2 == $setup_conf['ADD_EMISSION' . $i]['GEODETIC_SYSTEM'])?" selected":""); ?>>JDG2000</option>;
								</select>
							</td>
						</tr>
						<tr class="north_south_flag<?php echo '_'.$i; ?>">
							<th>北緯南緯</th>
							<td>
								<select name="north_south_flag<?php echo '_'.$i; ?>" class="north_south_flag<?php echo '_'.$i; ?>">
									<option value="0"<?php echo ((0 == $setup_conf['ADD_EMISSION' . $i]['NORTH_SOUTH_FLAG'])?" selected":""); ?>>南緯</option>;
									<option value="1"<?php echo ((1 == $setup_conf['ADD_EMISSION' . $i]['NORTH_SOUTH_FLAG'])?" selected":""); ?>>北緯</option>;
								</select>
							</td>
						</tr>
						<tr class="west_east_flag<?php echo '_'.$i; ?>">
							<th>東経西経</th>
							<td>
								<select name="west_east_flag<?php echo '_'.$i; ?>" class="west_east_flag<?php echo '_'.$i; ?>">
									<option value="0"<?php echo ((0 == $setup_conf['ADD_EMISSION' . $i]['WEST_EAST_FLAG'])?" selected":""); ?>>西経</option>;
									<option value="1"<?php echo ((1 == $setup_conf['ADD_EMISSION' . $i]['WEST_EAST_FLAG'])?" selected":""); ?>>東経</option>;
								</select>
							</td>
						</tr>
						<tr class="height_set<?php echo '_'.$i; ?>">
							<th>地上高</th>
							<td>
<?php
	$height_val = hexdec($setup_conf['ADD_EMISSION' . $i]['HEIGHT']);
?>
								<select name="height_flag<?php echo '_'.$i; ?>" class="height_flag<?php echo '_'.$i; ?>">
									<option value="0"<?php echo ((HEIGHT_NON == $height_val)?" selected":""); ?>>無効</option>;
									<option value="1"<?php echo ((HEIGHT_GRD == $height_val)?" selected":""); ?>>地下</option>;
									<option value="2"<?php echo (((HEIGHT_NON != $height_val)&&(HEIGHT_GRD != $height_val))?" selected":""); ?>>値指定</option>;
								</select>
<?php
	if( ( HEIGHT_MIN <= $height_val ) && ( $height_val <= HEIGHT_MAX ) ){
?>
								<input name="height<?php echo '_'.$i; ?>" class="height<?php echo '_'.$i; ?>" style="text-align: right;" type="text" size="6" maxlength="5" value="<?php echo $height_val * HEIGHT_LSB; ?>">m
<?php
	}else{
?>
								<input name="height<?php echo '_'.$i; ?>" class="height<?php echo '_'.$i; ?>" style="text-align: right;" type="text" size="6" maxlength="5" value="<?php echo HEIGHT_MIN * HEIGHT_LSB; ?>">m
<?php
	}
?>
								<p class="table_notes"><?php echo sprintf("%.1f ～ %.1fm<br/>%.1fm単位で設定（%.1fm単位ではない場合、端数は切り捨て）", HEIGHT_MIN * HEIGHT_LSB, HEIGHT_MAX * HEIGHT_LSB, HEIGHT_LSB, HEIGHT_LSB); ?></p>
							</td>
						</tr>
						<tr class="latitude<?php echo '_'.$i; ?>">
							<th>緯度</th>
							<td>
								0x<input name="latitude<?php echo '_'.$i; ?>" type="text" size="8" maxlength="6" value="<?php echo $setup_conf['ADD_EMISSION' . $i]['LATITUDE']; ?>">
								<p class="table_notes"><?php echo sprintf("0x%06X ～ 0x%06X", 0, LATITUDE_MAX); ?></p>
							</td>
						</tr>
						<tr class="logitude<?php echo '_'.$i; ?>">
							<th>経度</th>
							<td>
								0x<input name="logitude<?php echo '_'.$i; ?>" type="text" size="8" maxlength="6" value="<?php echo $setup_conf['ADD_EMISSION' . $i]['LONGITUDE']; ?>">
								<p class="table_notes"><?php echo sprintf("0x%06X ～ 0x%06X", 0, LONGITUDE_MAX); ?></p>
							</td>
						</tr>
						<tr>
							<th>エリアパターンフラグ</th>
							<td>
								<select name="area_pattern_flag<?php echo '_'.$i; ?>" class="area_pattern_flag<?php echo '_'.$i; ?>">
									<option value="0"<?php echo ((0 == $setup_conf['ADD_EMISSION' . $i]['AREA_PATTERN_FLAG'])?" selected":""); ?>>無効</option>;
									<option value="1"<?php echo ((1 == $setup_conf['ADD_EMISSION' . $i]['AREA_PATTERN_FLAG'])?" selected":""); ?>>有効</option>;
								</select>
							</td>
						</tr>
						<tr class="bitmap<?php echo '_'.$i; ?>">
							<th>エリアパターンビットマップ</th>
							<td>
								0x<input name="bitmap<?php echo '_'.$i; ?>" type="text" size="10" maxlength="8" value="<?php echo $setup_conf['ADD_EMISSION' . $i]['BITMAP']; ?>">
								<p class="table_notes">4バイトで指定</p>
<!--								<p class="table_notes"><?php echo sprintf("0x%08X ～ 0x%08X", 0, BITMAP_MAX); ?></p>-->
							</td>
						</tr>
						<tr class="max_distance<?php echo '_'.$i; ?>">
							<th>最大受信距離</th>
							<td>
								<input name="max_distance<?php echo '_'.$i; ?>" style="text-align: right;" type="text" size="5" maxlength="3" value="<?php echo intval( $setup_conf['ADD_EMISSION' . $i]['MAX_DISTANCE'] ); ?>">0m
								<p class="table_notes"><?php echo sprintf("%.0f ～ %.0fm", MAX_DISTANCE_MIN * MAX_DISTANCE_LSB, MAX_DISTANCE_MAX * MAX_DISTANCE_LSB); ?></p>
							</td>
						</tr>
						<tr>
							<th>送信出力フラグ</th>
							<td>
								<select name="emission_power_flag<?php echo '_'.$i; ?>" class="emission_power_flag<?php echo '_'.$i; ?>">
									<option value="0"<?php echo ((0 == $setup_conf['ADD_EMISSION' . $i]['EMISSION_POWER_FLAG'])?" selected":""); ?>>無効</option>;
									<option value="1"<?php echo ((1 == $setup_conf['ADD_EMISSION' . $i]['EMISSION_POWER_FLAG'])?" selected":""); ?>>有効</option>;
								</select>
							</td>
						</tr>
						<tr class="emission_power<?php echo '_'.$i; ?>">
							<th>出力レベル</th>
							<td>
								0x<input name="emission_power<?php echo '_'.$i; ?>" type="text" size="6" maxlength="4" value="<?php echo $setup_conf['ADD_EMISSION' . $i]['EMISSION_POWER']; ?>">
								<p class="table_notes"><?php echo sprintf("0x%04X ～ 0x%4X<br/>LSB=%.2fdBm", 0, EMISSION_POWER_MAX, EMISSION_POWER_LSB); ?></p>
							</td>
						</tr>
					</table>
				</div>
<?php
}
?>
				<input type="hidden" name="set_psi_area" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="設定">
			</form>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>			
		</div>
	</body>
</html>
