<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("rvoip_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file( __FILE__ ) );
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
	$boards = preg_split( "/_/" , $_GET['board'] );
	$board_id = intval( $boards[1] );
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
	view_jquery_sub();
?>
	<script type="text/javascript">
	<!--
		$(function(){
			jQuery.event.add(window, "load", function(){
				$(this).updateStream(0);
				$(this).updateUseRedundant(<?php echo $setup_conf['RVOIPRx']['UseRedundant']; ?>);
			});
			
			$(".stream_select").change(function(){
				
				$(this).updateStream($('.stream_select option:selected').val());
			});
			
			jQuery.fn.extend({
				updateStream:function(sel){
					var i;
					for( i = 0 ; i <  <?php echo RVOIP_STREAM_NUM ?> ; i++ ){
						var name = ".stream" + i;
						$(name).hide();
					}
					
					name = ".stream" + sel;
					$(name).show();
				}
			});
			
			$(".use_redundant").change(function(){
				var sel = $(".use_redundant").val();
				$(this).updateUseRedundant(sel);
			});
			
			jQuery.fn.extend({
				updateUseRedundant:function(sel){
					if( sel == '1' ){
						$(".stream_redundant").show();
					}else{
						$(".stream_redundant").hide();
					}
				}
			});
		});
	-->
	</script>
	</head>
	<body>
		<div class="page_body">
<?php	if( isset( $_GET['bk'] ) && ( 't' == $_GET['bk'] ) ){ show_back_button(); } ?>
			<form action="./rvoip_network_set_ctrl.php" method="POST">
<?php
	if( 1 < $board_id ){
?>
				<h3 class="table_caption"><?php echo sprintf( $lng['TC0_ID'], $board_id - 1 );?></h3>
<?php
	}else{
?>
				<h3 class="table_caption"><?php echo $lng['TC0']?></h3>
<?php
	}
?>
				<table class="list">
					<tr>
						<th style="width:40%;"><?php echo $lng['TB0_TH0']?></th>
						<td>
							<select name='status'>
								<option value="0"<?php echo (($setup_conf['RVOIPRx']['Status'] == 0) ? " selected":""); ?>><?php echo $lng['LBL_STOP']?></option>
								<option value="1"<?php echo (($setup_conf['RVOIPRx']['Status'] == 1) ? " selected":""); ?>><?php echo $lng['LBL_PLAY']?></option>
							</select>
						</td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH1']?></th>
						<td><?php echo $setup_conf['RVOIPRx']['MAC']; ?></td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH2']?></th>
						<td><input type="text" name="setting_rx_ip" value="<?php echo $setup_conf['RVOIPRx']['RxIP']; ?>" /></td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH3']?></th>
						<td><input type="text" name="setting_net_mask" value="<?php echo $setup_conf['RVOIPRx']['Mask']; ?>" /></td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH4']?></th>
						<td><input type="text" name="setting_gw_ip" value="<?php echo $setup_conf['RVOIPRx']['GwIP']; ?>" /></td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH5']?></th>
						<td>
							<select name="firewall">
<?php
	for( $i = 0 ; $i < count( $firewall_label ) ; $i++ ){
?>
								<option value="<?php echo $i;?>"<?php echo (  $setup_conf['RVOIPRx']['Firewall'] == $i ) ? " selected" : ""; ?>><?php echo $firewall_label[$i] ?></option>
<?php
	}
?>
							</select>
						</td>
					</tr>
				</table>
				<input type="hidden" name="network_base" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="<?php echo $clng['SUBMIT'] ?>">
			</form>
<?php /* ?>
			<br/>
			<br/>
			<form action="./rvoip_network_set_ctrl.php" method="post">
				<h4 class="table_caption"><?php echo $lng['TC0_1']?></h4>	
				<table>
<?php
	if( is_function_option( $function_conf, BOARD_TYPE_RVOIP_RX, FUNCTION_RVOIP_EN ) ) {
?>
					<tr>
						<th><?php echo $lng['TB1_TH1']?></th>
						<td>
							<select name="use_redundant" class="use_redundant">
								<option value="1"<?php echo (($setup_conf['RVOIPRx']['UseRedundant'] == 1) ? " selected":""); ?>><?php echo $lng['LBL_ON']?></option>
								<option value="0"<?php echo (($setup_conf['RVOIPRx']['UseRedundant'] == 0) ? " selected":""); ?>><?php echo $lng['LBL_OFF']?></option>
							</select>
						</td>
					</tr>
<?php
	}
?>
					<tr>
						<th><?php echo $lng['TB1_TH3']?></th>
						<td>
							<input name="rx_your_ip_addr0" type="text" value="<?php echo $setup_conf['STREAM0']['RxYourIPAddr'] ?>" />
						</td>
					</tr>
					<tr>
						<th><?php echo $lng['TB1_TH4']?></th>
						<td>
							<input name="rx_udp_port0" type="text" value="<?php echo $setup_conf['STREAM0']['UdpPort'] ?>" size="6" />
						</td>
					</tr>
<?php
	if( is_function_option( $function_conf, BOARD_TYPE_RVOIP_RX, FUNCTION_RVOIP_EN ) ) {
?>
					<tr class="stream_redundant">
						<th><?php echo $lng['TB1_TH5']?></th>
						<td>
							<input name="rx_your_ip_addr1" type="text" value="<?php echo $setup_conf['STREAM1']['RxYourIPAddr'] ?>" />
						</td>
					</tr>
					<tr class="stream_redundant">
						<th><?php echo $lng['TB1_TH6']?></th>
						<td>
							<input name="rx_udp_port1" type="text" value="<?php echo $setup_conf['STREAM1']['UdpPort'] ?>" size="6" />
						</td>
					</tr>
<?php
	}
?>
					<tr>
						<th><?php echo $lng['TB1_TH7']?></th>
						<td>
							<input name="saving_time0" type="text" value="<?php echo $setup_conf['STREAM0']['SavingTime'] ?>" size="6" />ms
							<p class="table_notes"><?php echo sprintf( $lng['TB1_NOTE1'], SAVING_TIME_MIN, SAVING_TIME_MAX, 10 ); ?></p>
						</td>
					</tr>
					<tr>
						<th>SSRC</th>
						<td>
							<input name="rx_ssrc0" type="text" value="<?php echo $setup_conf['STREAM0']['Ssrc'] ?>" size="6" />
						</td>
					</tr>
				</table>
<?php
	if( !is_function_option( $function_conf, BOARD_TYPE_RVOIP_RX, FUNCTION_RVOIP_EN ) ) {
?>
				<input type="hidden" name="use_redundant" value="0">
				<input type="hidden" name="rx_your_ip_addr1" value="<?php echo $setup_conf['STREAM1']['RxYourIPAddr'] ?>">
				<input type="hidden" name="rx_udp_port1" value="<?php echo $setup_conf['STREAM1']['UdpPort'] ?>">
<?php
	}
?>
				<input type="hidden" name="stream_simple" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="<?php echo $clng['SUBMIT'] ?>">
			</form>
 <?php */ ?>
			
<?php
	if( 4 == $board_id ){		// Sub IDが4の場合にのみ設定画面を表示
?>
			<br/>
			<br/>
			<form action="./rvoip_network_set_ctrl.php" method="post">
				<h4 class="table_caption">ASI設定</h4>
				<table>
					<tr>
						<th>ASI選択0</th>
						<td>
							<select name="asi_select0" class="asi_select0">
								<option value="1"<?php echo (($setup_conf['RVOIPRx']['AsiSelect0'] == 1) ? " selected":""); ?>>外部TS選択</option>
								<option value="0"<?php echo (($setup_conf['RVOIPRx']['AsiSelect0'] == 0) ? " selected":""); ?>>ポート1 IP選択</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>ASI選択1</th>
						<td>
							<select name="asi_select1" class="asi_select1">
								<option value="1"<?php echo (($setup_conf['RVOIPRx']['AsiSelect1'] == 1) ? " selected":""); ?>>外部TS選択</option>
								<option value="0"<?php echo (($setup_conf['RVOIPRx']['AsiSelect1'] == 0) ? " selected":""); ?>>ポート2 IP選択</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>ASI選択2</th>
						<td>
							<select name="asi_select2" class="asi_select2">
								<option value="1"<?php echo (($setup_conf['RVOIPRx']['AsiSelect2'] == 1) ? " selected":""); ?>>外部TS選択</option>
								<option value="0"<?php echo (($setup_conf['RVOIPRx']['AsiSelect2'] == 0) ? " selected":""); ?>>ポート3 IP選択</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>ASI選択3</th>
						<td>
							<select name="asi_select3" class="asi_select3">
								<option value="1"<?php echo (($setup_conf['RVOIPRx']['AsiSelect3'] == 1) ? " selected":""); ?>>外部TS選択</option>
								<option value="0"<?php echo (($setup_conf['RVOIPRx']['AsiSelect3'] == 0) ? " selected":""); ?>>ポート4 IP選択</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>ASI0入出力モード</th>
						<td>
							<select name="asi_tx_mode0">
								<option value="1"<?php echo ($setup_conf['RVOIPRx']['AsiTxMode0']=='1') ? " selected" : ""; ?>>ASI出力</option>
								<option value="0"<?php echo ($setup_conf['RVOIPRx']['AsiTxMode0']=='0') ? " selected" : ""; ?>>ASI入力</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>ASI1入出力モード</th>
						<td>
							<select name="asi_tx_mode1">
								<option value="1"<?php echo ($setup_conf['RVOIPRx']['AsiTxMode1']=='1') ? " selected" : ""; ?>>ASI出力</option>
								<option value="0"<?php echo ($setup_conf['RVOIPRx']['AsiTxMode1']=='0') ? " selected" : ""; ?>>ASI入力</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>ASI2入出力モード</th>
						<td>
							<select name="asi_tx_mode2">
								<option value="1"<?php echo ($setup_conf['RVOIPRx']['AsiTxMode2']=='1') ? " selected" : ""; ?>>ASI出力</option>
								<option value="0"<?php echo ($setup_conf['RVOIPRx']['AsiTxMode2']=='0') ? " selected" : ""; ?>>ASI入力</option>
							</select>
						</td>
					</tr>
				</table>
				<input type="hidden" name="asi_setting" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="<?php echo $clng['SUBMIT'] ?>">
			</form>
<?php
	}
?>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
