<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("rvoiptx_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file( __FILE__ ) );
	
	$board_rx1 = '8E_02';
	$board_rx2 = '8E_03';
	$board_tx1 = '8F_04';
	
	$board_rx1_link = '<a xlink:href="../rvoip/rvoip_network_set.php?board='. $board_rx1 . '&bk=t" target="Display_Contents">';
	$board_rx2_link = '<a xlink:href="../rvoip/rvoip_network_set.php?board='. $board_rx2 . '&bk=t" target="Display_Contents">';
	$board_tx1_link = '<a xlink:href="../rvoiptx/rvoiptx_network_set.php?board='. $board_tx1 . '&bk=t" target="Display_Contents">';
	
	function load_block_ini( $board ){
		global $function_conf;
		
		$ini_tx1 = get_setup_file( $function_conf, $board );
		if( is_file( $ini_tx1['Setup'] ) ){
			return parse_ini_file( $ini_tx1['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_tx1['Setup'] .")<br>\n";
			exit(1);
		}
	}
	
	$setup_conf_rx1 = load_block_ini( $board_rx1 );
	$setup_conf_rx2 = load_block_ini( $board_rx2 );
	$setup_conf_tx1 = load_block_ini( $board_tx1 );
	
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
	view_jquery_sub();
?>
		<script type="text/javascript">
				
		$(function(){
			$(document).ready(function(){
				$(this).set_interface( null, $('#text_src1')[0], '<?php echo $setup_conf_rx1['STREAM0']['RxYourIPAddr']; ?>', true );
				$(this).set_interface( null, $('#text_src2')[0], '<?php echo $setup_conf_rx2['STREAM0']['RxYourIPAddr']; ?>', true );
				$(this).set_interface( $('#rect_recv1')[0], $('#text_recv1')[0], '<?php echo $setup_conf_rx1['RVOIPRx']['RxIP'] .'/'. get_netmask_bit($setup_conf_rx1['RVOIPRx']['Mask']); ?>', <?php echo ( $setup_conf_rx1['RVOIPRx']['Status'] )?'true':'false'; ?> );
				$(this).set_interface( $('#rect_recv2')[0], $('#text_recv2')[0], '<?php echo $setup_conf_rx2['RVOIPRx']['RxIP'] .'/'. get_netmask_bit($setup_conf_rx2['RVOIPRx']['Mask']); ?>', <?php echo ( $setup_conf_rx2['RVOIPRx']['Status'] )?'true':'false'; ?> );
				$(this).set_interface( $('#rect_send1')[0], $('#text_send1')[0], '<?php echo $setup_conf_tx1['RVOIPTx']['TxIP'] .'/'. get_netmask_bit($setup_conf_tx1['RVOIPTx']['Mask']); ?>', <?php echo ( $setup_conf_tx1['RVOIPTx']['Status'] )?'true':'false'; ?> );
				$(this).set_interface( null, $('#text_dest1')[0], '<?php echo $setup_conf_tx1['STREAM0']['YourIpAddr']; ?> etc.', true );
			});
		});
		-->
		</script>
		<script type="text/javascript" src="../js/rvoiptx.js"></script>
	</head>
	<body>
		<div class="page_body">
<!--			<h3 class="table_caption">設定状態</h3>
			<table class="list" style="text-align: center; border:none;">				
				<tr>
					<td width="100px">送信元</td>
					<td width="300px" colspan="2"><?php echo $setup_conf_rx1['STREAM0']['RxYourIPAddr']; ?></td>
				</tr>
				<tr>
					<td></td>
					<td colspan="2">↓</td>
				</tr>
				<tr class="unit">
					<td>受信I/F</td>
					<td colspan="2"><a href="./rvoiptx_network_set.php?board=8F_01"><?php echo $setup_conf_rx1['RVOIPRx']['RxIP'];?></a></td>
				</tr>
				<tr class="unit">
					<td></td>
					<td style="text-align:right; padding-right:3em;">↓</td>
					<td style="text-align:left; padding-left:3em;">↓</td>
				</tr>
				<tr class="unit">
					<td>送信I/F</td>
					<td><a href="./rvoiptx_network_set.php?board=8F_01"><?php echo $setup_conf_tx1['RVOIPTx']['TxIP'];?></a></td>
					<td><a href="./rvoiptx_network_set.php?board=8F_02"><?php echo $setup_conf_tx2['RVOIPTx']['TxIP'];?></a></td>
				</tr>
				<tr>
					<td></td>
					<td>↓</td>
					<td>↓</td>
				</tr>
				<tr>
					<td>宛先</td>
					<td><?php echo $setup_conf_tx1['STREAM0']['YourIpAddr']; ?></td>
					<td><?php echo $setup_conf_tx2['STREAM0']['YourIpAddr']; ?></td>
				</tr>	
			</table>
			<br/>
			<br/>-->
			<h3 class="table_caption"><?php echo $lng['TC0']; ?></h3>
			<div style="text-align: center; width: 400px; margin-top: 20px;">
				<?php include_once '../images/rvoip_hnu2000.svg'; ?>
				<!--[if lt IE 9]>
				<p class="warning"><?php echo $lng['SVG_WARNNING']; ?></p>
				<![endif]-->
			</div>
		</div>
	</body>
</html>
