<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("rvoiptx_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file( __FILE__ ) );
	
	$loading = false;

	// ネットワーク情報の読み込み
	if( is_file( NETWORK_CONF ) ){		// ネットワーク情報
		$network_conf = my_parse_ini_file( NETWORK_CONF );
		if( NULL == $network_conf ){
			echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
			echo "Now loading...";
			exit(1);
		}
	}else{
		//echo "INI File Not Found(".NETWORK_CONF.")<br>\n";
		//exit(1);
		$loading = true;
	}
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_status_file( $function_conf, $_GET['board'] );

		if( is_file(  $ini_file ) ){
			$status_conf = my_parse_ini_file( $ini_file );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			echo "INI File Not Found(". $ini_file .")<br>\n";
			exit(1);
		}
	}
	$boards = preg_split( "/_/" , $_GET['board'] );
	$board_id = intval( $boards[1] );
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "Loading...";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
<?php	if( isset( $_GET['bk'] ) && ( 't' == $_GET['bk'] ) ){ show_back_button(); } ?>
<?php
	if( 1 < $board_id ){
?>
			<h3 class="table_caption"><?php echo sprintf( $lng['TC0_ID'], $board_id - 1 ) ?></h3>
<?php
	}else{
?>
			<h3 class="table_caption"><?php echo $lng['TC0']; ?></h3>
<?php
	}
?>
			<h4 class="table_caption"><?php echo $lng['TC0_1']; ?></h4>
			<table class="list">
				<tr>
					<th width="180px"><?php echo $lng['TB0_TH0']; ?></th>
					<td class=<?php echo ($status_conf['RVOIPTx']['Status'])? "\"on\"":"\"off\""; ?>><?php echo ($status_conf['RVOIPTx']['Status'])? $lng['LBL_PLAY']:$lng['LBL_STOP']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB0_TH1']; ?></th>
					<td class=<?php echo ($status_conf['RVOIPTx']['Link'])? "\"on\"":"\"off\""; ?>>
<?php
	if( $status_conf['RVOIPTx']['Link'] == 0 ){
?>
						Link Down
<?php
	}else{
		$speed = array( 1 => '10BASE', 2 => '100BASE', 3 => '1000BASE' );
		$duples = array( 0 => 'Full', 1 => 'Half' );
?>
						<?php echo $speed[ $status_conf['RVOIPTx']['Speed'] ]; ?> - <?php echo $duples[ $status_conf['RVOIPTx']['Duplex'] ]; ?>
						
<?php
	}
?>
					</td>
				</tr>
				<tr>
					<th><?php echo $lng['TB0_TH2']; ?></th>
					<td class="on"><?php echo $status_conf['RVOIPTx']['MAC']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB0_TH3']; ?></th>
					<td class="on"><?php echo $status_conf['RVOIPTx']['TxIP']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB0_TH4']; ?></th>
					<td class="on"><?php echo $status_conf['RVOIPTx']['Mask']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB0_TH5']; ?></th>
					<td class="on"><?php echo $status_conf['RVOIPTx']['GwIP']; ?></td>
				</tr>
<?php
	if(is_debug()){
?>
				<tr>
					<th><?php echo $lng['TB0_TH6']; ?></th>
					<td class="on"><?php echo $status_conf['RVOIPTx']['GwMAC']; ?></td>
				</tr>
<?php
	}
?>
<!--
				<tr>
					<th><?php echo $lng['TB0_TH7']; ?></th>
					<td class="on"><?php echo $firewall_label[ $status_conf['RVOIPTx']['Firewall'] ]; ?></td>
				</tr>
-->
				<tr>
					<th><?php echo $lng['TB0_TH8'] ?></th>
					<td class="on">
						<?php echo $status_conf['STREAM0']['TsPIp'] ?>
					</td>
				</tr>
				<tr>
					<th>FEC(ROW)</th>
					<td class="on">
<?php
	if( $status_conf['STREAM0']['EnableRowFec'] == 1 ){
?>
						ON						
<?php
	}else {
?>
						OFF
<?php
	}
?>
					</td>
				</tr>
				<tr>
					<th>FEC(COLUMN)</th>
					<td class="on">
<?php
	if( $status_conf['STREAM0']['EnableColumnFec'] == 1 ){
?>
						ON						
<?php
	}else {
?>
						OFF
<?php
	}
?>
					</td>
				</tr>
                            <tr>
                                <th>FEC L param</th>
                                <td class="on">
                                    <?php echo $status_conf['STREAM0']['RowFec'];?>
                                </td>
                            </tr>
                           <tr>
                                <th>FEC D param</th>
                                <td class="on">
                                    <?php echo $status_conf['STREAM0']['ColumnFec'];?>
                                </td>
                            </tr>
			</table>
			<br/>
			<br/>
<?php
	/*
	if( !check_tuner8toip() ){
?>
			<h4 class="table_caption"><?php echo $lng['TC0_4']; ?></h4>
			<table class="list">
				<tr>
					<th><?php echo $lng['TB3_TH0'] ?></th>
					<td class=<?php echo ($status_conf['STREAM0']['TsValid'])? "\"on\"":"\"off\""; ?>>
						<?php echo ($status_conf['STREAM0']['TsValid'])? $lng['LBL_INPUT']:$lng['LBL_NOT_INPUT']; ?>
					</td>
				</tr>
<?php
		$bitrate = ($status_conf['STREAM0']['ValidPacketNum']) * $status_conf['STREAM0']['PacketSize'] * 8;
		$bitrate *= TX_BITRATE_TIMES;
		$bitrate_all = ($status_conf['STREAM0']['NullPacketNum'] + $status_conf['STREAM0']['ValidPacketNum']) * $status_conf['STREAM0']['PacketSize'] * 8;
		$bitrate_all *= TX_BITRATE_TIMES;
		
		$bitrate_max = ( $bitrate_all <  TS_IP_BITRATE_MAX ) ? TS_IP_BITRATE_MAX : TS_IP_BITRATE_MAX_G ;
?>
				<tr>
					<th rowspan="2" width="180px" ><?php echo $lng['TB3_TH1']; ?><br /><p class="table_notes">range : 0 - <?php echo sprintf("%d", $bitrate_max / 1000 / 1000) ?> Mbps</p></th>
					
					
					<td class="on"><?php echo sprintf( "%.3f", $bitrate_all / 1000000 ); ?> Mbps</td>
				</tr>
				<tr>
					<td class="graph_base" style="padding-top: 0.5em; padding-bottom: 0.5em;">
						<?php draw_graph( TS_BITRATE_MIN, $bitrate_max, $bitrate_all, "graph_div_ng" ); ?>
						<?php draw_graph( TS_BITRATE_MIN, $bitrate_all, $bitrate, "graph_div_ok" ); ?>
					</td>
				</tr>				
<?php
	$bitrate_valid = ($status_conf['STREAM0']['ValidPacketNum']) * $status_conf['STREAM0']['PacketSize'] * 8;
	$bitrate_valid *= TX_BITRATE_TIMES;
	$bitrate_null = ($status_conf['STREAM0']['NullPacketNum']) * $status_conf['STREAM0']['PacketSize'] * 8;
	$bitrate_null *= TX_BITRATE_TIMES;
?>
				<tr>
					<th><?php echo $lng['TB3_TH2'] ?></th>
					<td class="on"><?php echo sprintf( "%.3f", $bitrate_valid / 1000000 ); ?> Mbps</td>
				</tr>
				<tr>
					<th><?php echo $lng['TB3_TH3'] ?></th>
					<td class="on"><?php echo sprintf( "%.3f", $bitrate_null / 1000000 ); ?> Mbps</td>
				</tr>
			</table>
			<br/>
			<br/>
<?php
	}
	*/
?>
			<h4 class="table_caption"><?php echo $lng['TC0_2']; ?></h4>
			<table class="list">
				<tr>
					<th><?php echo $lng['TB1_TH0']; ?></th>
					<td class=<?php echo ($status_conf['RVOIPTx']['TxRtpRate'])? "\"on\"":"\"off\""; ?>>
						<?php echo ( 0 <  $status_conf['RVOIPTx']['TxRtpRate'] ) ? $lng['LBL_SEND'] : $lng['LBL_NOT_SEND']; ?>
					</td>
				</tr>
				<tr>
<?php
	$bitrate_max = ( $status_conf['RVOIPTx']['TxRtpRate'] <  TS_IP_BITRATE_MAX ) ? TS_IP_BITRATE_MAX : TS_IP_BITRATE_MAX_G ;
	$bitrate = $status_conf['RVOIPTx']['TxRtpRate'] / 1000 / 1000;
?>
					<th width="180px" rowspan="2"><?php echo $lng['TB1_TH1']; ?><br /><p class="table_notes">range : 0 - <?php echo sprintf("%d", $bitrate_max / 1000 / 1000) ?> Mbps</p></th>
					<td class=<?php echo ($status_conf['RVOIPTx']['TxRtpRate'])? "\"on\"":"\"off\""; ?>>
						<?php echo sprintf( "%3.3f" , $bitrate ); ?> Mbps
					</td>
				</tr>
				<tr>
					<td class="graph_base" style="padding-top: 0.5em; padding-bottom: 0.5em;">
						<?php draw_graph( TS_BITRATE_MIN, $bitrate_max, $status_conf['RVOIPTx']['TxRtpRate'], "graph_div_ok" ); ?>
					</td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH2']; ?></th>
					<td class=<?php echo ($status_conf['RVOIPTx']['TxBufferError'] == 0)? "\"on\"":"\"off\""; ?>>
						<?php echo ( 0 <  $status_conf['RVOIPTx']['TxBufferError'] == 0 ) ? $lng['LBL_NORMAL'] : $lng['LBL_ERROR']; ?>
					</td>
				</tr>
			</table>
			<br/>
			<br/>
			<h4 class="table_caption"><?php echo $lng['TC0_3']; ?></h4>
			<table class="list">
				<tr>
					<th style="text-align: center; width : 30px ; padding: 0px;"><?php echo $lng['TB2_TH0']; ?></th>
					<th style="text-align: center; width : 50px ;"><?php echo $lng['TB2_TH1']; ?></th>
<?php
		if( check_tuner8toip() ){
?>
					<th style="text-align: center;" colspan="2"><?php echo $lng['TB2_TH2_TS']; ?></th>
<?php
		}else{
?>
					<th style="text-align: center;" colspan="2"><?php echo $lng['TB2_TH2_IP']; ?></th>
<?php
		}
?>
					<th style="text-align: center; width : 50px ; padding: 0px;"><?php echo $lng['TB2_TH3']; ?></th>
				</tr>
<?php
	$num = get_voip_stream_num();

	for( $i = 0 ; $i < $num ; $i++ ){
		if(!isset($status_conf['STREAM' . $i])){
			break;
		}
?>				
				<tr>
					<td class="on" style="text-align: center; width : 0px ; padding: 0px;"><?php echo $i + 1; ?></td>
<?php
	if( $status_conf['STREAM' . $i]['EnableTs'] ){
		if( true === check_multicast_ip( $status_conf['STREAM' . $i]['YourIpAddr'] ) ){
?>
					<td class="on" style="text-align: center;">
<?php
			echo $lng['LBL_SEND'];
		}else{ 
                    $temp = check_address($status_conf,$status_conf['STREAM' . $i]['YourIpAddr']);
                    if( 1 === $temp ){
			// ネットワークアドレスが同じであるなら
			if( 0 != strcmp( '00:00:00:00:00:00', $status_conf['STREAM' . $i]['YourMacAddr'] ) ){
				// 送信中
				echo "<td class=\"on\" style=\"text-align: center;\">";
				echo  $lng['LBL_SEND'];
			}else{
				// 探索中
				echo "<td class=\"warn\" style=\"text-align: center;\">";
				echo $lng['LBL_SEARCH'];
			}
                    }else{
			if( 0 != strcmp( '00:00:00:00:00:00', $status_conf['RVOIPTx']['GwMAC'] ) ){
				// 送信中
				echo "<td class=\"on\" style=\"text-align: center;\">";
				echo  $lng['LBL_SEND'];
			}else{
				// 探索中
				echo "<td class=\"warn\" style=\"text-align: center;\">";
				echo $lng['LBL_SEARCH'];
			}
                    }
                }
	}else{
?>
					<td class="off" style="text-align: center;">
<?php
		echo $lng['LBL_NOT_SEND'];
	}
?>
					</td>
<?php
		// 出力ビットレートの計算  ★ ここで使用する値は今後変わるはず TSとIPで使用するデータが異なるはずなので
		$bitrate = ($status_conf['STREAM' . $i]['ValidPacketNum']) * $status_conf['STREAM' . $i]['PacketSize'] * 8;
		$bitrate *= TX_BITRATE_TIMES;
		$bitrate_all = ($status_conf['STREAM' . $i]['NullPacketNum'] + $status_conf['STREAM' . $i]['ValidPacketNum']) * $status_conf['STREAM' . $i]['PacketSize'] * 8;
		$bitrate_all *= TX_BITRATE_TIMES;
		
		if( check_tuner8toip() ){
?>
					<td class="on" style="text-align: center; width:110px; padding: 0px;"><?php echo sprintf( "%.3f", $bitrate_all / 1000000 ); ?> Mbps</td>
					<td class="graph_base">
						<?php draw_graph( TS_BITRATE_MIN, TS_BITRATE_MAX, $bitrate_all, "graph_div_ng" ); ?>
						<?php draw_graph( TS_BITRATE_MIN, $bitrate_all, $bitrate, "graph_div_ok" ); ?>
					</td>
<?php
		}else{
			$ip_bitrate_ts = $status_conf['STREAM' . $i]['RtpPacketNum'] * 8;
			$ip_bitrate_fec = $status_conf['STREAM' . $i]['FecPacketNum'] * 8;
			$ip_bitrate = $ip_bitrate_ts + $ip_bitrate_fec;
?>
					
					<td class="on" style="text-align: center; width:110px; padding: 0px;"><?php echo sprintf( "%.3f", $ip_bitrate / 1000000 ); ?> Mbps</td>
					<td class="graph_base">
						<?php draw_graph( TS_BITRATE_MIN, TS_BITRATE_MAX, $ip_bitrate, "graph_div_white" ); ?>
						<?php draw_graph( TS_BITRATE_MIN, $ip_bitrate, $ip_bitrate_ts, "graph_div_ok" ); ?>
					</td>
<?php
		}
?>						
					<td style="text-align: center; width : 0px ; padding: 0px; "><a style="text-decoration: none" href="./rvoiptx_status_detail.php?board=<?php echo $_GET['board']; ?>&n=<?php echo $i + 1; ?>"><?php echo $lng['LBL_DISPLAY']; ?></a></td>
				</tr>
<?php
	}
?>
			</table>
<?php
	$boards = preg_split( "/_/" , $_GET['board'] );
	$board_id = intval( $boards[1] );
	if( 4 == $board_id ){		// Sub IDが4の場合にのみ設定画面を表示
?>
			<br/>
			<br/>
			<h4 class="table_caption">ASIステータス</h4>
			<table class="list">
				<tr>
					<th>ASI選択0</th>
					<td><?php echo ( 0 == $status_conf['RVOIPTx']['AsiSelect0'] ) ? 'ポート1 IP選択' : '外部TS選択'; ?></td>
				</tr>
				<tr>
					<th>ASI選択1</th>
					<td><?php echo ( 0 == $status_conf['RVOIPTx']['AsiSelect1'] ) ? 'ポート2 IP選択' : '外部TS選択'; ?></td>
				</tr>
				<tr>
					<th>ASI選択2</th>
					<td><?php echo ( 0 == $status_conf['RVOIPTx']['AsiSelect2'] ) ? 'ポート3 IP選択' : '外部TS選択'; ?></td>
				</tr>
				<tr>
					<th>ASI選択3</th>
					<td><?php echo ( 0 == $status_conf['RVOIPTx']['AsiSelect3'] ) ? 'ポート4 IP選択' : '外部TS選択'; ?></td>
				</tr>
				<tr>
					<th>ASI0入出力モード</th>
					<td><?php echo ( 0 == $status_conf['RVOIPTx']['AsiTxMode0'] ) ? 'ASI入力' : 'ASI出力'; ?></td>
				</tr>
				<tr>
					<th>ASI1入出力モード</th>
					<td><?php echo ( 0 == $status_conf['RVOIPTx']['AsiTxMode1'] ) ? 'ASI入力' : 'ASI出力'; ?></td>
				</tr>
				<tr>
					<th>ASI2入出力モード</th>
					<td><?php echo ( 0 == $status_conf['RVOIPTx']['AsiTxMode2'] ) ? 'ASI入力' : 'ASI出力'; ?></td>
				</tr>
				<tr>
					<th>ASI0入力</th>
					<td class=<?php echo ($status_conf['RVOIPTx']['AsiInPresent0'])? "\"on\"":"\"off\""; ?>>
						<?php echo ( 0 == $status_conf['RVOIPTx']['AsiInPresent0'] ) ? 'なし' : 'あり'; ?>
					</td>
				</tr>
				<tr>
					<th>ASI0入力</th>
					<td class=<?php echo ($status_conf['RVOIPTx']['AsiInPresent1'])? "\"on\"":"\"off\""; ?>>
						<?php echo ( 0 == $status_conf['RVOIPTx']['AsiInPresent1'] ) ? 'なし' : 'あり'; ?>
					</td>
				</tr>
				<tr>
					<th>ASI0入力</th>
					<td class=<?php echo ($status_conf['RVOIPTx']['AsiInPresent2'])? "\"on\"":"\"off\""; ?>>
						<?php echo ( 0 == $status_conf['RVOIPTx']['AsiInPresent2'] ) ? 'なし' : 'あり'; ?>
					</td>
				</tr>
				<tr>
					<th>外部TS入力</th>
					<td class=<?php echo ($status_conf['RVOIPTx']['ExtTsPresent'])? "\"on\"":"\"off\""; ?>>
						<?php echo ( 0 == $status_conf['RVOIPTx']['ExtTsPresent'] ) ? 'なし' : 'あり'; ?>
					</td>
				</tr>
				<tr>
					<th>ASI0入力モード</th>
					<td><?php echo ( 0 == $status_conf['RVOIPTx']['AsiPacketMode0'] ) ? 'バースト' : 'パケット（最高速）'; ?></td>
				</tr>
				<tr>
					<th>ASI1入力モード</th>
					<td><?php echo ( 0 == $status_conf['RVOIPTx']['AsiPacketMode1'] ) ? 'バースト' : 'パケット（最高速）'; ?></td>
				</tr>
				<tr>
					<th>ASI2入力モード</th>
					<td><?php echo ( 0 == $status_conf['RVOIPTx']['AsiPacketMode2'] ) ? 'バースト' : 'パケット（最高速）'; ?></td>
				</tr>
				<tr>
					<th>ASI0パケットサイズ</th>
					<td><?php echo ( 0 == $status_conf['RVOIPTx']['Asi204Byte0'] ) ? '188' : '204'; ?> Byte</td>
				</tr>
				<tr>
					<th>ASI1パケットサイズ</th>
					<td><?php echo ( 0 == $status_conf['RVOIPTx']['Asi204Byte1'] ) ? '188' : '204'; ?> Byte</td>
				</tr>
				<tr>
					<th>ASI2パケットサイズ</th>
					<td><?php echo ( 0 == $status_conf['RVOIPTx']['Asi204Byte2'] ) ? '188' : '204'; ?> Byte</td>
				</tr>
				<tr>
					<th>外部TSパケットサイズ</th>
					<td><?php echo ( 0 == $status_conf['RVOIPTx']['ExtTs204Byte'] ) ? '188' : '204'; ?> Byte</td>
				</tr>
			</table>
<?php
	}
?>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
