<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("schedule_lib.php");
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		$status_file = get_status_file($function_conf, $_GET['board']);
		if( is_file( $status_file ) ){
			$status = my_parse_ini_file( $status_file );
		}else {
			$loading = true;
		}
	}
?>
	<head>
		<META http-equiv="Content-Type" content="text/html;charset=UTF-8">
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 class="table_caption">ファイルダウンロードスケジュールステータス</h3>
			<table style="table-layout:fixed;">
				<tr>
					<th width="150px" style="width:150px; table-layout:fixed;">状態</th>
					<td class="<?php echo (($status['Schedule']['ENABLE'] != 0) ? "on":"off"); ?>">
						<?php echo (($status['Schedule']['ENABLE'] != 0) ? "有効":"無効"); ?>
					</td>
				</tr>
				<tr>
					<th>ダウンロードリスト更新時間</th>
					<td>毎日 <?php echo format_HHMM($status['Schedule']['DL_TIME']); ?></td>
				</tr>
				<tr>
					<th>サーバーアドレス</th>
					<td style="width:150px; word-wrap: break-word;">
						<div width="150px"><?php echo str_replace( '>', '&gt;', str_replace( '<', '&lt;', $status['Schedule']['URL'] )); ?></div>
					</td>
				</tr>
				<tr>
					<th>最終取得結果</th>
					<td class="<?php echo (($status['Schedule']['LAST_ERROR'] <= 0) ? "on":"off"); ?>">
<?php
	if( 0 <= $status['Schedule']['LAST_ERROR'] ){
		$error = (isset($hwget_result[$status['Schedule']['LAST_ERROR']]['message'])) ? $hwget_result[$status['Schedule']['LAST_ERROR']]['message'] : "失敗" ;
	}else if( -2 == $status['Schedule']['LAST_ERROR'] ){
		$error = "ダウンロード無し";
	}else if( -1 == $status['Schedule']['LAST_ERROR'] ){
		$error = "ダウンロード中";
	}
?>
						<div width="150px"><?php echo $error; ?></div>
					</td>
				</tr>
			</table>
			<br/>
			<br/>
			<h3 class="table_caption">取得ファイル</h3>
			<table  style="width: 1000px;" class="dllist_status">
				<tr>
					<th>Grp#</th>
					<th>時間</th>
					<th>曜日</th>
					<th>種別</th>
					<th>ファイル名</th>
					<th>保存先</th>
					<th>状態</th>
					<th>取得結果</th>
				</tr>
<?php
	for($i = 0 ; $i < 9999 ; $i++){
		$file_no = "FILE" . sprintf("%04d", $i);
		if( isset($status[$file_no]) ){
			$group_no = sprintf("GROUP%02d", $status[$file_no]['GROUP']);
			echo "				<tr>\n";
			echo "					<td>". $status[$file_no]['GROUP'] ."</td>\n";
			if(isset($status[$group_no])){
				echo "					<td>". format_HHMM( $status[$group_no]['DL_TIME'] ) ."</td>\n";
				echo "					<td>". $WEEK_OF_DAY[$status[$group_no]['DAY_OF_WEEK']] ."</td>\n";
			}else{
				echo "					<td>". format_HHMM( $status[$file_no]['DL_TIME'] ) ."</td>\n";
				echo "					<td>". $WEEK_OF_DAY[$status[$file_no]['DAY_OF_WEEK']] ."</td>\n";
			}
			echo "					<td>". $FILE_TYPE[$status[$file_no]['TYPE']] ."</td>\n";
			echo "					<td>". basename ($status[$file_no]['DST']) ."</td>\n";
			echo "					<td>". dirname ($status[$file_no]['DST']) ."</td>\n";
			echo "					<td>". $DL_STATUS[$status[$file_no]['STATUS']] ."</td>\n";
			
			if( ( $system_conf['DBSSystem']['CustumInfo'] == 0 ) && 
				( $status[$file_no]['STATUS'] == 2 ) ){
				// ダウンロード中のファイルサイズを表示する
				echo "					<td>". number_format( doubleval( real_filesize( $status[$file_no]['DST'] ) ) ) . " Byte<br/>ダウンロード済み</td>\n";
			}else if( $status[$file_no]['STATUS'] == 0 || 
				$status[$file_no]['STATUS'] == 1 || 
				$status[$file_no]['STATUS'] == 2 || 
				$status[$file_no]['STATUS'] == 3 || 
				$status[$file_no]['STATUS'] == 4 || 
				$status[$file_no]['STATUS'] == 7 ){
				echo "					<td></td>\n";
			}else{
				if( isset( $hwget_result[$status[$file_no]['RESULT']] ) ){
					$result_css = ($hwget_result[$status[$file_no]['RESULT']]['result']) ? "on" : "off" ;
					echo "					<td class=\"". $result_css ."\">". $hwget_result[$status[$file_no]['RESULT']]['message'] ."</td>\n";
				}else{
					echo "					<td class=\"off\">異常</td>\n";
				}
			}
			echo "				</tr>\n";
		}else{
			break;
		}
	}
?>
			</table>			
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
