<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("schedule_lib.php");
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		$status_file = get_status_file($function_conf, $_GET['board']);
		if( is_file( $status_file ) ){
			if( $_SERVER['DOCUMENT_ROOT'] != 'C:/xampp/htdocs' ){
				system( "cp -rf $status_file /tmp/". basename( $status_file ) );
				$status_file = "/tmp/". basename( $status_file );
			}
			
			$status = my_parse_ini_file( $status_file );
		}else {
			$loading = true;
		}
	}
?>
	<head>
		<META http-equiv="Content-Type" content="text/html;charset=UTF-8">
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
<!--		<META HTTP-EQUIV="Refresh" CONTENT="3">-->
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">	
			<h3 style="width:1000px;" class="table_caption">ダウンロードリスト</h3>
			<table  style="width:1000px;" class="dllist_status">
				<tr>
					<th style="text-align: center; padding-left: 0.5em; padding-right: 0.5em;">開始時間</th>
					<th style="text-align: center;">種別</th>
					<th style="text-align: center;">ファイル名</th>
					<th style="text-align: center;">サイズ</th>
					<th style="text-align: center;">結果</th>
				</tr>
<?php
	for($i = 0 ; $i < 9999 ; $i++){
		$file_no = "FILE" . sprintf("%04d", $i);
		if( isset($status[$file_no]) ){
			if( 0 == $status[$file_no]['TYPE'] ){
				if( ( 0 == $status[$file_no]['STATUS'] ) ||
					( 1 == $status[$file_no]['STATUS'] ) ) {
					continue;
				}
			}
			
			echo "				<tr>\n";

			$yyyy = intval( substr( $status[$file_no]['START_DATETIME'], 0, 4 ) );
			if( $yyyy <= 1999 ){
				echo "					<td style=\"text-align: center; padding-left: 0.1em; padding-right: 0.5em;\">即時</td>\n";
			}else{
				echo "					<td style=\"text-align: center; padding-left: 0.1em; padding-right: 0.5em;\">". format_YYYYMMDDHHMM( $status[$file_no]['START_DATETIME'] ) ."</td>\n";
			}
			echo "					<td style=\"text-align: center; padding-left: 0.5em; padding-right: 0.5em;\">". $FILE_TYPE[$status[$file_no]['TYPE']] ."</td>\n";
			
			if( 0 == $status[$file_no]['TYPE'] ){
				echo "					<td style=\"text-align: lefg;   padding-left: 0.5em; padding-right: 0.5em;\">". $FILE_TYPE[$status[$file_no]['TYPE']] ."</td>\n";
				echo "					<td style=\"text-align: right; padding-left: 0.5em; padding-right: 0.5em;\">". show_filesize( doubleval( real_filesize( $status[$file_no]['PATH'] ) ), TRUE ) . "</td>\n";
			}else{
				echo "					<td style=\"text-align: lefg;   padding-left: 0.5em; padding-right: 0.5em;\">". basename ($status[$file_no]['PATH']) ."</td>\n";
				if( ( 0 == $status[$file_no]['STATUS'] ) || ( 1 == $status[$file_no]['STATUS'] ) ){
					// 未処理の場合は0固定
					echo "					<td style=\"text-align: right; padding-left: 0.5em; padding-right: 0.5em;\"> 0 / " . show_filesize( $status[$file_no]['SIZE'], TRUE ) . "</td>\n";
				}else{
					echo "					<td style=\"text-align: right; padding-left: 0.5em; padding-right: 0.5em;\">". show_filesize( doubleval( real_filesize( $status[$file_no]['PATH'] ) ), TRUE ) . " / " . show_filesize( $status[$file_no]['SIZE'], TRUE ) . "</td>\n";
				}

			}
			
			if( 0 ){
				echo "					<td style=\"text-align: right; padding-left: 0.5em; padding-right: 0.5em;\">". show_filesize( $status[$file_no]['SIZE'], TRUE ) ." </td>\n";
			}
			echo "					<td style=\"text-align: center; padding-left: 0.5em; padding-right: 0.5em;\">". $DL_STATUS[$status[$file_no]['STATUS']] ."</td>\n";
			echo "				</tr>\n";
		}else{
			break;
		}
	}
?>
			</table>			
			<h1 style="width:1000px; text-align: left;" class="version"><input type="button" value="リロード" onclick="location.reload();" /></h1>
			<h1 style="width:1000px;" class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
