<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("../liberror.php");
	require_once("simple_dvb_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
<?php view_jquery_sub();?>
		<script type="text/javascript" src="../js/common.js"></script>
		<script type="text/javascript">
		<!--
$(function(){
	jQuery.event.add(window, "load", function(){
		$(this).showTr(0, '.set_dvb_tr_');
		$(this).showTr(0, '.set_dvb_bml_tr_');
	});
	
	$(".set_dvb_no").change(function(){
		$(this).showTr($('.set_dvb_no option:selected').val(), '.set_dvb_tr_');
	});
	$(".set_dvb_no").keyup(function(){
		$(this).showTr($('.set_dvb_no option:selected').val(), '.set_dvb_tr_');
	});
	
	$(".bml_file_upload").click(function(){
		var sel = $('.set_dvb_no_bml option:selected').val();
		if( 0 != $('.bml_file_save_' + sel ).val() ){
			return confirm("既にファイルは保存されていますが、上書き保存しますか？");
		}
		return true;
	});
	
	$(".set_dvb_no_bml").change(function(){
		$(this).showTr($('.set_dvb_no_bml option:selected').val(), '.set_dvb_bml_tr_');
	});
	$(".set_dvb_no_bml").keyup(function(){
		$(this).showTr($('.set_dvb_no_bml option:selected').val(), '.set_dvb_bml_tr_');
	});
	
	jQuery.fn.extend({
		showTr:function(show, set_name){
			var i = 0;
			var max = <?php echo $setup_conf['DVBe']['DVBe_MAX']; ?>;
			
			for( i = 0 ; i < max ; i++ ){
				var name = set_name + i;
				$(name).hide();
			}

			var show_name = set_name + show;
			$(show_name).show();
		}
	});
	
});
		-->
		</script>
	</head>
	<body>
		<div class="page_body">
			<form action="simple_dvb_set_ctrl.php" method="POST" name="set_hdd" class="set_hdd_play">
				<h3 class="table_caption">簡易DVB設定</h3>
				<table class="list">
					<tr>
						<th class="list_subject" width="150px">DVB No.</th>
						<td>
							<select name="set_dvb_no" class="set_dvb_no">
<?php
	for( $i = 0 ; $i < $setup_conf['DVBe']['DVBe_MAX'] ; $i++ ){
?>
								<option value="<?php echo $i; ?>" class="set_dvb_<?php echo $i; ?>"><?php echo $i; ?></option>
<?php
	}
?>
							</select>
						</td>
					</tr>
<?php
	for( $i = 0 ; $i < $setup_conf['DVBe']['DVBe_MAX'] ; $i++ ){
?>					
					<tr class="set_dvb_tr_<?php echo $i; ?>">
						<th>サービス</th>
						<td>
							<select name="dvb<?php echo $i; ?>_layer" class="dvb<?php echo $i; ?>_layer">
								<option value="00"<?php echo (($setup_conf['Index'.$i]['Layer'] == '00') ? " selected":""); ?>>PMT1～PMT4</option>
								<option value="10"<?php echo (($setup_conf['Index'.$i]['Layer'] == '10') ? " selected":""); ?>>PMT1</option>
								<option value="20"<?php echo (($setup_conf['Index'.$i]['Layer'] == '20') ? " selected":""); ?>>PMT2</option>
								<option value="30"<?php echo (($setup_conf['Index'.$i]['Layer'] == '30') ? " selected":""); ?>>PMT3</option>
								<option value="40"<?php echo (($setup_conf['Index'.$i]['Layer'] == '40') ? " selected":""); ?>>PMT4</option>
								<option value="01"<?php echo (($setup_conf['Index'.$i]['Layer'] == '01') ? " selected":""); ?>>ワンセグ</option>
							</select>
						</td>
					</tr>
					<tr class="set_dvb_tr_<?php echo $i; ?>">
						<th>ビットレート</th>
						<td>
							<input style="text-align: right;" name="dvb<?php echo $i; ?>_bitrate" type="text" size="4" value="<?php echo $setup_conf['Index'.$i]['BitRate'] / BITRATE_LSB; ?>" title="<?php echo number_format( BITRATE_MIN * BITRATE_LSB ); ?> ～ <?php echo number_format( BITRATE_MAX * BITRATE_LSB ); ?> bps の範囲で設定可能">
							<?php echo substr( number_format( BITRATE_LSB ), 1 ); ?>bps
							<br/>
							<p class="table_notes"><?php echo number_format( BITRATE_MIN * BITRATE_LSB ); ?> ～ <?php echo number_format( BITRATE_MAX * BITRATE_LSB ); ?> bps</p>
						</td>
					</tr>
					<tr class="set_dvb_tr_<?php echo $i; ?>">
						<th>コントロール</th>
						<td>
							<select name="dvb<?php echo $i; ?>_control" class="dvb<?php echo $i; ?>_control">
								<option value="0"<?php echo (($setup_conf['Index'.$i]['Play'] == 0) ? " selected":""); ?>>停止</option>
								<option value="1"<?php echo (($setup_conf['Index'.$i]['Play'] == 1) ? " selected":""); ?>>再生</option>
							</select>
						</td>
					</tr>
					<tr class="set_dvb_tr_<?php echo $i; ?>">
						<th>リピート回数</th>
						<td>
							<input type="text" name="dvb<?php echo $i; ?>_repeat" size="5" value="<?php echo $setup_conf['Index'.$i]['Repeat']; ?>" title="0 ～ <?php echo REPEAT_MAX; ?>の数値を設定してください。" />
							<br/>
							<p class="table_notes">0 : 連続送信</p>
							<p class="table_notes">1 ～ <?php echo REPEAT_MAX; ?> : 指定回数送信</p>
						</td>
					</tr>
<?php
	}
?>
					<tr></tr>
				</table>
				<input type="hidden" name="simple_dvb" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
				<input type="submit" value="設定">
			</form>
			<br/>
			<br/>
			<form action="simple_dvb_set_ctrl.php" method="post" enctype="multipart/form-data">
				<h3 class="table_caption">BMLデータ登録</h3>
				<table class="list">
					<tr>
						<th>対象 DVB No.</th>
						<td>
							<select name="set_dvb_no_bml" class="set_dvb_no_bml">
<?php
	for( $i = 0 ; $i < $setup_conf['DVBe']['DVBe_MAX'] ; $i++ ){
?>
								<option value="<?php echo $i; ?>" class="set_dvb_<?php echo $i; ?>"><?php echo $i; ?></option>
<?php
	}
?>
							</select>
						</td>
					</tr>
<?php
	for( $i = 0 ; $i < $setup_conf['DVBe']['DVBe_MAX'] ; $i++ ){
?>
					<tr class="set_dvb_bml_tr_<?php echo $i; ?>">
						<th>ファイル設定有無</th>
						<td>
<?php
	$file_saved = ( file_exists($setup_conf['Index'.$i]['FileName'])) ? true : false ;
?>
							<?php echo (($file_saved) ? "ファイルあり":"ファイルなし"); ?>
							
							<input type="hidden" name="bml_file_save_<?php echo $i; ?>" class="bml_file_save_<?php echo $i; ?>" value="<?php echo ($file_saved) ? "1" : "0"; ?>" />
						</td>
					</tr>
<?php
	}
?>
					<tr>
						<th nowrap align="center">BMLファイル</th>
						<td valign="middle" align="center">
						<input type="file" name="upfile" size="20" />
						</td>
					</tr>
					<tr class="set_dvb_tr_<?php echo $i; ?>">
						<th>保存</th>
						<td>
							<input type="checkbox" name='bml_default_save' class="bml_default_save" title="チェックした場合に機器起動時のデフォルトBMLファイルとして保存します" >デフォルトBMLファイルとして保存する</input>
						</td>
					</tr>
				</table>
				<input type="submit" value="アップロード" class="bml_file_upload" id="bml_file_upload">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="hidden" name="upload" value="true">
				<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
			</form>
			</div>
		</div>
	</body>
</html>
