<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("simple_dvb_lib.php");
	
	// 設定情報の読み込み
	$ini_file = '';
	$board = "";
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		$board =  $_POST['board'];
	}else if($_SERVER['REQUEST_METHOD'] == "GET"){
		$board =  $_GET['board'];
	}
	if($board != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $board );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
		
		if($_SERVER['REQUEST_METHOD'] == "POST"){
			if( isset( $_POST['simple_dvb'] ) && $_POST['simple_dvb'] == 'true' ){
				$result = save_conf_simple_dvb($setup_conf, $_POST, $ini_file);
			}else if( isset( $_POST['upload'] ) && $_POST['upload'] == 'true' ){
				$filename = sprintf( DVB_SETUP_FILE, $_POST['set_dvb_no_bml'] );
				if(is_uploaded_file($_FILES["upfile"]["tmp_name"] )) {
					if ( move_uploaded_file($_FILES["upfile"]["tmp_name"], $filename )) {
						chmod( $filename, 0666 );
						
						if( isset( $_POST['bml_default_save'] ) ){		// SDカードへの保存有無
							$is_save = "1";
						}else{
							$is_save = "0";
						}
						
						save_conf_simple_dvb_file_save($setup_conf, $_POST['set_dvb_no_bml'], $filename, $is_save, $ini_file );
						
						$result = array('RESULT'  => true,
										'MESSAGE' => $_FILES["upfile"]["name"] ."を機器にアップロードしました。" );
					} else {
						echo "			<div><h1 class=\"setup_ng\">ファイルのアップデートに失敗しました。入力に間違いがないか確認してください。</h1></div>\n";
						$result = array('RESULT'  => false,
										'MESSAGE' => "ファイルのアップデートに失敗しました。入力に間違いがないか確認してください。" );
					}
				} else {
					$result = array('RESULT'  => false,
									'MESSAGE' => "ファイルのアップデートに失敗しました。ファイル名の指定ミス、ファイルサイズがオーバしています。" );
				}
			}
		}
		$result['BACK_URL'] = "./simple_dvb_set.php?board=". $board;
	}
	
	// 結果の表示
	require_once("../libsetresult.php");
?>
