<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("../simple_dvb/simple_dvb_lib.php");
	require_once("../mux_inputsrc/mux_inputsrc_lib.php");
	
	$fixed_in_pid_ts1 = array(
		0   => FALSE,
		1   => FALSE,
		2   => FALSE,
		3   => FALSE,
		4   => FALSE,
		5   => FALSE,
		6   => FALSE,
		7   => FALSE,
		8   => FALSE,
		9   => FALSE,
		10  => FALSE,
		11  => FALSE,
		12  => FALSE,
		13  => FALSE,
		14  => FALSE,
		15  => FALSE,
	);
	
	$fixed_in_pid_ts2 = array(
		0   => TRUE,
		1   => TRUE,
		2   => TRUE,
		3   => FALSE,
		4   => FALSE,
		5   => FALSE,
		6   => FALSE,
		7   => FALSE,
		8   => FALSE,
		9   => FALSE,
		10  => FALSE,
		11  => FALSE,
		12  => FALSE,
		13  => FALSE,
		14  => FALSE,
		15  => FALSE,
	);
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	if($_GET['board'] != ''){
		$borad_info = get_board_info($function_conf, $_GET['board']);
		if( isset( $borad_info['FilterSetup'] )){
			if( is_file( $borad_info['FilterSetup'] ) ){
				$setup_conf = parse_ini_file( $borad_info['FilterSetup'], true );
			}else {
				echo "INI File Not Found(". $borad_info['FilterSetup'] .")<br>\n";
				exit(1);
			}
		}
	}
	
	if( $borad_info['BoadID'] == BOARD_TYPE_MUX_IN ){
		// マルチプレクサのモード設定を取得する
		$setup_conf_mux = parse_ini_file( $borad_info['Setup'], true );
	}else{
		$setup_conf_mux = null;
	}
	
	require_once '../mux_inputsrc/mux_inputsrc_set_pid_func.php';

?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
<?php view_jquery_sub();?>
		<script type="text/javascript">
		<!--
$(function(){
	jQuery.event.add(window, "load", function(){
		$(this).showTr(0);
	});
	
	$(".set_dvb_no").change(function(){
		$(this).showTr($('.set_dvb_no option:selected').val());
	});
	
	jQuery.fn.extend({
		showTr:function(show){
			var i = 0;
			var max = <?php echo DVB_NUM; ?>;
			for( i = 0 ; i < max ; i++ ){
				var name = '.dvb' + i + '_pid';
				$(name).hide();
			}
			var show_name = '.dvb' + show + '_pid';
			$(show_name).show();
		}
	});
});
		-->
		</script>
	</head>
	<body>
		<div class="page_body">
			
			<form action="simple_dvb_set_pid_ctrl.php" method="POST" name="set_hdd" class="set_hdd_play">
				<h3 class="table_caption">設定DVB番号選択</h3>
				<table class="list">
					<tr>
						<th class="list_subject" width="150px">DVB No.</th>
						<td>
							<select name="set_dvb_no" class="set_dvb_no">
<?php
	for( $i = 0 ; $i < DVB_NUM ; $i++ ){
?>
								<option value="<?php echo $i; ?>" class="set_dvb_<?php echo $i; ?>"><?php echo $i; ?></option>
<?php
	}
?>
							</select>
						</td>
					</tr>
				</table>
				<br/>
				<br/>				
<?php
	for( $i = 0 ; $i < DVB_NUM ; $i++ ){
?>
				<div class="dvb<?php echo $i; ?>_pid">
					<form action="simple_dvb_set_pid_ctrl.php" method="POST" name="set_input">
<?php
		
		mux_inputsrc_set_show_table(  $borad_info['Name'] . $i . " PIDフィルター", 'FILTER' . $i, 1 );
?>
					<input type="hidden" name="set_input_pid" value="true">
					<input type="hidden" name="ts" value="<?php echo $i + 1; ?>">
					<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
					<input type="submit" value="設定">
				</form>	
				</div>
<?php
	}
?>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>

