<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("../liberror.php");
	require_once("./fact_storage_lib.php");
	
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_jquery_sub();
	view_css_left_sub();
?>
	<script type="text/javascript" src="../js/common.js"></script>
	</head>
	<body>
		<div class="page_body">
<?php
	// TSファイル再生機能が搭載されている場合のみ表示
	if( is_fucnction( $function_conf, BOARD_TYPE_HDD_PLAY ) ){
?>
			<h3 class="table_caption">HDD/SSDフォーマット</h3>
			<table style="width:800px;">
				<tr>
					<th style="width:20%;">HDD/SSD 0</th>
					<td>
						<form action="fact_storage_ctrl.php" method="POST" name="fact_storage" class="fact_storage" onSubmit="return checkDialog('フォーマットを実行すると記録されている内容がすべて消去されます。本当に実行しますか？')">
<?php
	if( file_exists( DEV0_CHECK_DRIVER0 ) || file_exists( DEV0_CHECK_DRIVER1 ) ){
		// フォーマット済みファイルが存在するのであればファイル内の日付を読込表示
		if( file_exists( DEV0_CHECK_FILE ) ) {
			$file = fopen( DEV0_CHECK_FILE, 'r' );
			if( $file ){
				$date = fgets( $file );
				$formated = 'フォーマット済み（' . $date . '）';
				fclose( $file );
			}else{
				$formated = '未フォーマット';
			}
		}else{
			$formated = '未フォーマット';
		}
?>							
							<input type="submit" value="フォーマット実行"/>
<?php
		echo $formated;
	}else{
?>
							<input type="submit" value="フォーマット実行" disabled="disabled" /> （機器が接続されていません）
<?php
	}
?>
							<input type="hidden" name="type" value="hdd0_format"/>
						</form>
					</td>
				</tr>
				<tr>
					<th>HDD/SSD 1</th>
					<td>
						<form action="fact_storage_ctrl.php" method="POST" name="fact_storage" class="fact_storage" onSubmit="return checkDialog('フォーマットを実行すると記録されている内容がすべて消去されます。本当に実行しますか？')">
<?php
	if( file_exists( DEV1_CHECK_DRIVER0 ) || file_exists( DEV1_CHECK_DRIVER1 ) ){
		// フォーマット済みファイルが存在するのであればファイル内の日付を読込表示
		if( file_exists( DEV1_CHECK_FILE ) ) {
			$file = fopen( DEV1_CHECK_FILE, 'r' );
			if( $file ){
				$date = fgets( $file );
				$formated = 'フォーマット済み（' . $date . '）';
				fclose( $file );
			}else{
				$formated = '未フォーマット';
			}
		}else{
			$formated = '未フォーマット';
		}
?>							
							<input type="submit" value="フォーマット実行"/>
<?php
		echo $formated;
	}else{
?>
							<input type="submit" value="フォーマット実行" disabled="disabled" /> （機器が接続されていません）
<?php
	}
?>
							<input type="hidden" name="type" value="hdd1_format"/>
						</form>
					</td>
				</tr>
			</table>
			<div style="width:800px">
				※ HDD/SSD 0は内蔵機器、HDD/SSD 1は外付け（USB接続）機器になります。ただし、内蔵HDD/SSDが存在せず外付け機器のみの場合、HDD/SSD 0が外付け機器となります。
				<br/>
				<br/>
				※ フォーマット有無は機器のルートディレクトリに保存されている「DBS_HDD」ファイルの有無で判定しています。本サイトの機能を使用せずにフォーマットした場合、フォーマット済みでも「未フォーマット」と表示される場合があります。
			</div>
			<br/>
			<br/>
<?php
	}
?>
			<h3 class="table_caption">SDカード複製</h3>
			<table style="width:800px;">
				<tr>
					<th style="width:20%;">SDカードへの複製</th>
					<td>
						<form action="fact_storage_ctrl.php" method="POST" name="fact_storage" class="fact_storage" onSubmit="return checkDialog('フォーマットを実行すると記録されている内容がすべて消去されます。本当に実行しますか？')">
<?php
	if( file_exists( SD_CARD_MMC1 ) || file_exists( SD_CARD_MMC1P1 ) ){
?>
							<input type="submit" value="複製実行"/>
<?php
	}else{
?>
							<input type="submit" value="複製実行" disabled="disabled" /> （SDカード無し）
<?php
	}
?>
<?php
	if( file_exists( SD_CARD_MMC1P1 ) ){
?>
							<input type="hidden" name="type" value="copy_sdp1"/>
<?php
	}else {
?>
							<input type="hidden" name="type" value="copy_sd"/>
<?php
	}
?>
						</form>
					</td>
				</tr>
			</table>
			<div style="width:800px">
				※ 複製先となるSDカードは、機器起動後に基板裏面のSDカードスロットに挿入してください。
			</div>
			<br/>
			<br/>
			<a href="../">TOP</a>
		</div>
	</body>
</html>
