<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("../liberror.php");
	
	// PSI/SI Configファイルを読込
	$ini_file = sprintf( SETUP_CONF, '89_01' );
	if( is_file( $ini_file ) ){
		$setup_conf = my_parse_ini_file( $ini_file );
	}else {
		echo "INI File Not Found(". $ini_file .")<br>\n";
		exit(1);
	}
	
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_jquery_sub();
	view_css_left_sub();
?>
	</head>
	<body>
		<div class="page_body">
			<form action="tot_cancel_ctrl.php" method="POST">
				<h3 class="table_caption">TOT動作</h3>
				<table class="list">
					<tr>
						<th width="150px">TOT動作設定</th>
						<td>
							<select name='tot_cancel'>
								<option value="0"<?php echo ((0 == $setup_conf['PSI']['TOT_CANCEL']) ? " selected":""); ?>>通常動作</option>
								<option value="1"<?php echo ((0 != $setup_conf['PSI']['TOT_CANCEL']) ? " selected":""); ?>>キャンセル</option>
							</select>
						</td>
					</tr>
				</table>
				<input type="hidden" name="tot_cancel_setting" value="true">
				<input type="submit" value="設定">
			</form>
			<br/>
			<br/>
			<a href="../">TOP</a>
		</div>
	</body>
</html>
