<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require("tuner_lib.php");
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );
		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
	view_jquery_sub();
?>
	<script type="text/javascript" src="channel_sel.js"></script>
	</head>
	<body>
		<div class="page_body">
			<form action="./unit_name_setting_ctrl.php" method="POST">
				<h3 class="table_caption">製品名称変更画面</h3>
				<table class="list">
					<tr>
						<th style="width:40%;">製品名称設定 (MAX31文字)</th>
						<td>
							<input type="text" size="25" name="unitname" value="<?php echo htmlspecialchars($system_conf['DBSSystem']['UnitName'], ENT_QUOTES, 'UTF-8'); ?>" />
						</td>
					</tr>
				</table>
				<input type="hidden" name="tot_set_mainte" value="true">
				<input type="submit" value="設定">
			</form>
			
			<form action="./header_time_setting_ctrl.php" method="POST">
				<h3 class="table_caption">時刻表示設定</h3>
				<table class="list">
					<tr>
						<th style="width:40%;">TOT時刻表示</th>
						<td>
							<select name='headertime'>
								<option value="0"<?php echo (($system_conf['DBSSystem']['HeaderTime'] == 0) ? " selected":""); ?>><?php echo "OFF"; ?></option>
								<option value="1"<?php echo (($system_conf['DBSSystem']['HeaderTime'] == 1) ? " selected":""); ?>><?php echo "ON"; ?></option>
							</select>
						</td>
					</tr>
				</table>
				
				<input type="hidden" name="tot_set_mainte" value="true">
				<input type="submit" value="設定">
			</form>
		</div>
	</body>
</html>
