<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require("transcoder_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file( __FILE__ ) );
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );
		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
	view_jquery_sub();
?>
		<script type="text/javascript" src="channel_sel.js"></script>
	</head>
	<body>
		<div class="page_body">
			<form action="./transcoder_set_ctrl.php" method="post">
				<h3 class="table_caption"><?php echo $lng['TC0']; ?></h3>
				<table>
					<tr>
						<th style="text-align: center;"><?php echo $lng['TB0_TH0']; ?></th>
						<th style="text-align: center;"><?php echo $lng['TB0_TH1']; ?></th>
					</tr>
<?php
	for( $i = 0 ; $i < $setup_conf['base']['TranscoderNum'] ; $i++ ){
?>
					<tr>
						<th style="text-align: center;"><?php echo $i + 1; ?></th>
						<td>
							<input name="transcode_out_rate<?php echo $i; ?>" type="number" min="<?php echo TRANSCODE_BITRATE_MIN; ?>" max="<?php echo TRANSCODE_BITRATE_MAX; ?>" value="<?php echo $setup_conf['transcoder'.$i]['TranscodeOutRate'] / TRANSCODE_BITRATE_LSB; ?>"/> kbps
						</td>						
					</tr>					
<?php
	}
?>
				</table>
				<input type="hidden" name="transcoder_base_bitrate" value="true">
				<input type="hidden" name="detail_setting" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="<?php echo $clng['SUBMIT']; ?>">
			</form>
			<br/>
			<br/>
			<form action="./transcoder_set_ctrl.php" method="post">
				<h3 class="table_caption"><?php echo $lng['TC1']; ?></h3>
				<table class="list">
<?php /* ?>
					<tr>
						<th style="text-align: center;"><?php echo $lng['TB1_TH0']; ?></th>
						<td>
							<input name="mux_rate" type="number" min="<?php echo MUX_BITRATE_MIN; ?>" max="<?php echo MUX_BITRATE_MAX; ?>" value="<?php echo $setup_conf['base']['MuxRate'] / TRANSCODE_BITRATE_LSB; ?>"/> kbps
						</td>
					</tr>
<?php */ ?>
					<tr>
						<th style="text-align: center;"><?php echo $lng['TB1_TH1']; ?></th>
						<td>
							<select name="mode">
								<option value="1"<?php echo ('1' == $setup_conf['base']['Mode'])? ' selected':'';?>>H.264</option>
								<option value="0"<?php echo ('0' == $setup_conf['base']['Mode'])? ' selected':'';?>>MPEG2</option>
							</select>
						</td>
					</tr>
				</table>
				<input type="hidden" name="transcoder_mux" value="true">
				<input type="hidden" name="detail_setting" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="<?php echo $clng['SUBMIT']; ?>">
			</form>
			<br />
			<br />
		</div>
	</body>
</html>
