<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("transcoder_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file( __FILE__ ) );
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_status_file( $function_conf, $_GET['board'] );

		if( is_file(  $ini_file ) ){
			$status_conf = my_parse_ini_file( $ini_file );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			$loading = true;
		}
	}
	
	if( is_file( TS_ANALYZE_FILE ) ){
		$pid_status = parse_ini_file( TS_ANALYZE_FILE, true );
	}else {
		echo "TS data not found.<br>\n";
		exit(1);
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
<!--		<META HTTP-EQUIV="Refresh" CONTENT="5">-->
	</head>
	<body>
<?php
	if( $loading ){
		echo "Loading...";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
<?php
	for( $i = 0 ; $i < $status_conf['base']['TranscoderNum'] ; $i++ ){
?>
			<h3 class="table_caption"><?php echo sprintf( $lng['TC0'], $i + 1, $i + 1 ); ?></h3>
			<table class="list">
<?php
		if( $pid_status['tuner'.$i]['TsDetect'] != '1' ){
?>
				<tr>
					<th style="width:100px;"><?php echo $lng['TB0_TH0'] ?></th>
					<td class="off"><?php echo $lng['LBL_IN_DISABLE'] ?></td>
				</tr>
<?php
		}else if( ( $pid_status['tuner'.$i]['TsDetect'] == '1' ) &&
				  ( ( !isset( $pid_status['tuner'.$i]['ProgramNum'] ) ) || 
				    ( isset( $pid_status['tuner'.$i]['ProgramNum'] ) && ( '0' == ( $pid_status['tuner'.$i]['ProgramNum'] ) ) ) ) ) {
?>
				<tr>
					<th style="width:100px;"><?php echo $lng['TB0_TH0'] ?></th>
					<td class="warn"><?php echo $lng['LBL_IN_SEARCH'] ?></td>
				</tr>
<?php
		}else{
?>
				<tr>
					<th colspan="2"><?php echo $lng['TB0_TH0'] ?></th>
					<td><?php echo $lng['LBL_IN_ENABLE'] ?></td>
				</tr>
				<tr>
					<th colspan="2">PAT PID</th>
					<td class="on"><?php echo $pid_status['tuner'.$i]['PatPid']; ?></td>
				</tr>
				<tr>
					<th colspan="2"><?php echo $lng['TB0_TH1'] ?></th>
					<td class="on"><?php echo $pid_status['tuner'.$i]['ProgramNum']; ?></td>
				</tr>
<?php
			for( $j = 0 ; $j < $pid_status['tuner'.$i]['ProgramNum'] ; $j++ ){
				$cnt_rowspan = 2;		// PCRとPMTがそれぞれ1個
				for( $k = 0 ; $k < 255 ; $k++ ){
					if( isset( $pid_status['tuner'.$i]['StreamType_' . $j . '_' . $k ] ) ){
						if( ( '02' == $pid_status['tuner'.$i]['StreamType_'.$j.'_'. $k] ) || 
							( '1B' == $pid_status['tuner'.$i]['StreamType_'.$j.'_'. $k]) ){		// Video 
							$cnt_rowspan++;
						}else if( ( '03' == $pid_status['tuner'.$i]['StreamType_'.$j.'_'. $k] ) ||
								  ( '04' == $pid_status['tuner'.$i]['StreamType_'.$j.'_'. $k] ) ||
								  ( '0F' == $pid_status['tuner'.$i]['StreamType_'.$j.'_'. $k] ) ||
								  ( '11' == $pid_status['tuner'.$i]['StreamType_'.$j.'_'. $k] ) ){		// Audio 
							$cnt_rowspan++;
						}
					}else{
						break;
					}
				}
?>
				<tr>
					<th rowspan="<?php echo $cnt_rowspan; ?>"><?php echo $pid_status['tuner'.$i]['PmtProgramNumber_'.$j] ?></th>
					<th>PMT PID</th>
					<td class="on"><?php echo $pid_status['tuner'.$i]['PmtPid_'.$j]; ?></td>
				</tr>
				<tr>
					<th>PCR PID</th>
					<td class="on"><?php echo $pid_status['tuner'.$i]['PmtPcrPid_'.$j]; ?></td>
				</tr>

<?php
				for( $k = 0 ; $k < 255 ; $k++ ){
					if( isset( $pid_status['tuner'.$i]['StreamType_' . $j . '_' . $k ] ) ){
						if( ( '02' == $pid_status['tuner'.$i]['StreamType_'.$j.'_'. $k] ) || 
							( '1B' == $pid_status['tuner'.$i]['StreamType_'.$j.'_'. $k]) ){		// Video 
?>
				<tr>
					<th>Video PID</th>
					<td class="on"><?php echo $pid_status['tuner'.$i]['StreamPid_'.$j.'_'. $k]; ?></td>
				</tr>
<?php
							
						}else if( ( '03' == $pid_status['tuner'.$i]['StreamType_'.$j.'_'. $k] ) ||
								  ( '04' == $pid_status['tuner'.$i]['StreamType_'.$j.'_'. $k] ) ||
								  ( '0F' == $pid_status['tuner'.$i]['StreamType_'.$j.'_'. $k] ) ||
								  ( '11' == $pid_status['tuner'.$i]['StreamType_'.$j.'_'. $k] ) ){		// Audio 
?>
				<tr>
					<th>Audio PID</th>
					<td class="on"><?php echo $pid_status['tuner'.$i]['StreamPid_'.$j.'_'. $k]; ?></td>
				</tr>
<?php
						}
					}else{
						break;
					}
				}
			}
		}
?>
			</table>
			<input type="button" value="<?php echo $clng['RELOAD'] ?>" onclick="location.reload();" />
			<br/>
<?php
	}
?>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
0