<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("tuner_lib.php");
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_status_file( $function_conf, $_GET['board'] );

		if( is_file(  $ini_file ) ){
			$status_conf = my_parse_ini_file( $ini_file );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			$loading = true;
		}
		// セクション解析結果であるtextファイルを連想配列へ読み込む
        if( file_exists(PAT_TXT) ){
            $PAT_file = parse_ini_file(PAT_TXT,true );
        }
        if( file_exists(NIT_TXT) ){
            $NIT_file = parse_ini_file(NIT_TXT,true );
        }
		if( file_exists(SDT_TXT) ){
            $SDT_file = parse_ini_file(SDT_TXT,true );
        }
	}

	
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="5">
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 class="table_caption">Tuner ステータス</h3>
			<h4 class="table_caption">ステータス</h4>
			<table class="list">
				<tr>
					<th width="170px">ロック状態</th>
<?php	// チューナロック状態
if($status_conf["TunerStatus"]["Now_TunerLock"] == 1 ){
	echo "					<td class=\"on\">チューナロック中\n";
}else{
	echo "					<td class=\"off\">チューナアンロック中\n";
}
?>
					</td>
				</tr>
				<tr>
					<th width="170px">物理チャンネル</th>
<?php // 物理チャンネル
	if( @$status_conf['TunerStatus']['Now_TS_Select'] == 0 ){
		// 地デジの場合
		echo "					<td class=\"on\">".$status_conf['TunerStatus']['Now_Tuner1CHNUM']."</td>\n";
	}else{
		// BSCSの場合
		if( ( $status_conf["TunerStatus"]["Now_Tuner2CHNUM"] % 2 ) == 0 ){
			// CSの場合
			echo "					<td class=\"on\">CS-".$status_conf["TunerStatus"]["Now_Tuner2CHNUM"]."</td>\n";
		}else{
			// BSの場合
			echo "					<td class=\"on\">BS-".$status_conf["TunerStatus"]["Now_Tuner2CHNUM"]."</td>\n";
		}
	}
?>
				</tr>
<?php	// TSID表示 (BSCSの時のみ)
if($status_conf['TunerStatus']['Now_TS_Select'] == 1){
	// BSCS指定の場合
echo "				<tr>\n";
echo "					<th>指定TSID</th>\n";
	$flag = false;
	foreach($ISDB_S_TSID_table as $v1 => $v2 ){
		if( $status_conf['TunerStatus']['Now_Tuner2TSID'] == $v1){
			$flag = true;
			$ch_name_str = explode(":" , $v2);
		}
	}
	if( $flag == true ){
		echo "					<td class=\"on\">".$status_conf['TunerStatus']['Now_Tuner2TSID']."(".$ch_name_str[1].")"."</td>";
	}else{
		echo "					<td class=\"off\">該当無し</td>";
	}
echo "				</tr>\n";
}else{
	// 地デジの場合
}
?>
<?php
if( (true == $status_conf["TunerStatus"]["Now_TunerLock"])&& isset($NIT_file['2nd_loop0']['ts_name_char']) ){
	echo "<tr>\n";
        echo "<th>TS NAME</th>";
        echo "<td class=\"on\">".(mb_convert_encoding($NIT_file['2nd_loop0']['ts_name_char'], "UTF-8", "SJIS"))."</td>\n";
        echo "</tr>\n";
}
?>
				<tr>
					<th>CN比[dB]</th>
<?php	// CN表示
if($status_conf["Tuner"]["TS_Select"] == 0 ){
	// 地デジの場合
	if($status_conf["TunerStatus"]["Now_TunerLock"] == 1 ){
		// チューナロックしてる場合
		printf( "<td class=\"on\">%s[dB]</td>" , $status_conf["TunerStatus"]["Now_Tuner1CNR"]);
	}else{
		// チューナアンロックの場合
		echo "<td class=\"off\">---</td>";
	}
}else{
	// BSCSの場合
	if($status_conf["TunerStatus"]["Now_TunerLock"] == 1 ){
		// チューナロックしてる場合
		printf( "<td class=\"on\">%s[dB]</td>" , $status_conf["TunerStatus"]["Now_Tuner2CNR"]);
	}else{
		// チューナアンロックの場合
		echo "<td class=\"off\">---</td>";
	}
}
?>
				</tr>
<?php	// BER表示
if($status_conf["TunerStatus"]["Now_TunerLock"] == 1 ){
	// チューナロックしてる場合
	if($status_conf["Tuner"]["TS_Select"] == 0 ){
		// 地デジの場合
                if( "07" != $status_conf['TunerTmcc']['layA_carrier_mapping']){
                    echo "<tr>\n";
                    echo "<th>BER(layerA)</th>\n";
                    printf( "<td class=\"on\">%s</td>" , $status_conf["TunerStatus"]["Now_Tuner1berA"]);
                    echo "</tr>\n";
                }
                if( "07" != $status_conf['TunerTmcc']['layB_carrier_mapping']){
                    echo "<tr>\n";
                    echo "<th>BER(layerB)</th>\n";
                    printf( "<td class=\"on\">%s</td>" , $status_conf["TunerStatus"]["Now_Tuner1berB"]);
                    echo "</tr>\n";
                }
	}else{
            // BS/CSの場合
                echo "<tr>\n";
                echo "<th>BER</th>\n";
		printf( "<td class=\"on\">%s</td>" , $status_conf["TunerStatus"]["Now_Tuner2ber"]);
                echo "</tr>\n";
	}
}else{
	// チューナアンロックの場合
        echo "<tr>\n";
        echo "<th>BER</th>\n";
	echo "<td class=\"off\">---</td>\n";
        echo "</tr>\n";
}
?>
<?php
$in_valid_packet = $status_conf['TunerStatus']['in_valid_packet'];
$in_null_packet = $status_conf['TunerStatus']['in_null_packet'];
$in_all_packet = $in_valid_packet + $in_null_packet;
$out_valid_packet = $status_conf['TunerStatus']['out_valid_packet'];
$out_null_packet = $status_conf['TunerStatus']['out_null_packet'];
$out_all_packet = $out_valid_packet + $out_null_packet;
?>
                            <tr>
				<th rowspan="2">
					TS入力ビットレート<br>
						<p class="table_notes">range : 0 -
<?php
	if( ($out_all_packet*188*8) < TS_BITRATE_10M_MAX ){
		printf("%d Mbps",TS_BITRATE_10M_MAX/1000/1000);
		$bitrate_max = TS_BITRATE_10M_MAX;
	}else if( ($out_all_packet*188*8) < TS_BITRATE_50M_MAX ){
		printf("%d Mbps",TS_BITRATE_50M_MAX/1000/1000);
		$bitrate_max = TS_BITRATE_50M_MAX;
	}else{
		printf("%d Mbps",TS_BITRATE_100M_MAX/1000/1000);
		$bitrate_max = TS_BITRATE_100M_MAX;
	}
?>
				</th>
				<td class="on"><?php echo sprintf( "%.3f", ($in_all_packet*188*8) / 1000000 ); ?> Mbps</td>
                            </tr>
                            <tr>
                                <td class="graph_base" style="padding-top: 0.5em; padding-bottom: 0.5em;">
<?php
    draw_graph( TS_BITRATE_MIN, $bitrate_max, $in_all_packet*188*8, "graph_div_ng" );
    draw_graph( TS_BITRATE_MIN, $in_all_packet*188*8, $in_valid_packet*188*8, "graph_div_ok" );
?>
                                </td>
                            </tr>
							<tr>
								<th>TS入力有効ビットレート</th>
								<td>
<?php
									printf("%.3f Mbps",($in_valid_packet*188*8) / 1000000);
?>
								</td>
							</tr>
							<tr>
								<th>TS入力NULLビットレート</th>
								<td>
<?php
									printf("%.3f Mbps",($in_null_packet*188*8) / 1000000 );
?>
								</td>
							</tr>
                            <tr>
								<th rowspan="2">
									TS出力ビットレート<br>
										<p class="table_notes">range : 0 - 
<?php
	if( ($out_all_packet*188*8) < TS_BITRATE_10M_MAX ){
		printf("%d Mbps",TS_BITRATE_10M_MAX/1000/1000);
		$bitrate_max = TS_BITRATE_10M_MAX;
	}else if( ($out_all_packet*188*8) < TS_BITRATE_50M_MAX ){
		printf("%d Mbps",TS_BITRATE_50M_MAX/1000/1000);
		$bitrate_max = TS_BITRATE_50M_MAX;
	}else{
		printf("%d Mbps",TS_BITRATE_100M_MAX/1000/1000);
		$bitrate_max = TS_BITRATE_100M_MAX;
	}
?>
										</p>	
								</th>
								<td class="on">
<?php
	printf( "%.3f Mbps", ($out_all_packet*188*8) / 1000000 );
?>
                                </td>
                            </tr>
                            <tr>
                                <td class="graph_base" style="padding-top: 0.5em; padding-bottom: 0.5em;">
<?php
	draw_graph( TS_BITRATE_MIN, $bitrate_max, $out_all_packet*188*8, "graph_div_ng" );
    draw_graph( TS_BITRATE_MIN, $out_all_packet*188*8, $out_valid_packet*188*8, "graph_div_ok" );
?>
                                </td>
                            </tr>
							<tr>
								<th>TS出力有効ビットレート</th>
								<td>
<?php
									printf("%.3f Mbps",($out_valid_packet*188*8) / 1000000);
?>
								</td>
							</tr>
							<tr>
								<th>TS出力NULLビットレート</th>
								<td>
<?php
									printf("%.3f Mbps",($out_null_packet*188*8) / 1000000 );
?>
								</td>
							</tr>
							<tr>
								<th>レート設定エラー</th>
<?php
	if( '1' === $status_conf['TunerStatus']['tuner_ts_rate_over']){
		echo "<td class=\"off\">";
		echo "ERROR";
	}else{
		echo "<td class=\"on\">";
		echo "OK";
	}
	echo "</td>\n";
?>
							</tr>
<!--
				<tr>
					<th>送信側ポート番号</th>
					<td class="on"><?php echo $status_conf['VOIPTx']['TxPort']; ?></td>
				</tr>
-->
			</table>
			<br/>
			<!-- TS解析結果 -->
			<h4 class="table_caption">サービス一覧</h4>
			<table class="list">
                            <tr>
                                <th>サービスID</th><th>PMT-PID</th><th>サービス名</th>
                            </tr>
				<?php
                                if(true == $status_conf["TunerStatus"]["Now_TunerLock"]){
                                    for( $i=0 ; $i<MAX_PROGRAM_NUMBER ; $i++ ){
                                        $str_buff = sprintf("program%d",$i);
                                        if( isset($PAT_file[$str_buff]) ){
                                            echo "<tr>\n";
                                            echo "                          <td>".hexdec($PAT_file[$str_buff]['program_number'])." (0x".$PAT_file[$str_buff]['program_number'].")</td>\n";
                                            echo "                          <td>0x".$PAT_file[$str_buff]['program_map_pid']."</td>\n";
                                            $str_buff = sprintf("sdt_loop%d",$i);
                                            if( isset($SDT_file[$str_buff]['service_name']) ){
                                                echo "                          <td>".(mb_convert_encoding($SDT_file[$str_buff]['service_name'], "UTF-8", "SJIS"))."</td>\n";
                                            }else{
                                                echo "<td>---</td>\n";
                                            }
                                            echo "</tr>\n";
                                        }else{
                                            break;
                                        }
                                    }
                                }
				?>
			</table>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
