<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("tuner_lib.php");
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_status_file( $function_conf, $_GET['board'] );

		if( is_file(  $ini_file ) ){
			$status_conf = my_parse_ini_file( $ini_file );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			$loading = true;
		}
	}

	
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="5">
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 class="table_caption">Tuner ステータス</h3>
			<h4 class="table_caption">TMCC情報</h4>
			<table class="list">
<?php
if($status_conf["TunerStatus"]["Now_TunerLock"] == true){
	// チューナロック中の場合
	show_tuner_tmcc($status_conf["TunerStatus"]["Now_TS_Select"],$status_conf["TunerTmcc"]);
}else{
	// チューナアンロック中の場合
	if( $status_conf["TunerStatus"]["Now_TS_Select"] == true ){
		// BSCSの場合
		echo "				<tr>\n";
		echo "					<th>TMCC転送モード1</th>\n";
		echo "					<td class=\"off\">---</td>\n";
		echo "				</tr>\n";
		echo "				<tr>\n";
		echo "					<th>TMCC転送モード2</th>\n";
		echo "					<td class=\"off\">---</td>\n";
		echo "				</tr>\n";
		echo "				<tr>\n";
		echo "					<th>TMCC転送モード3</th>\n";
		echo "					<td class=\"off\">---</td>\n";
		echo "				</tr>\n";
		echo "				<tr>\n";
		echo "					<th>TMCC転送モード4</th>\n";
		echo "					<td class=\"off\">---</td>\n";
		echo "				</tr>\n";
	}else{
                echo "				<tr>\n";
                echo "					<th colspan=\"2\" width=\"180px\">緊急信号</th>\n";
                echo "					<td class=\"off\">---</td>\n";
                echo "				</tr>\n";
		echo "				<tr>\n";
		echo "					<th colspan=\"2\">システム識別</th>\n";
		echo "					<td class=\"off\">---</td>\n";
		echo "				</tr>\n";
		echo "				<tr>\n";
		echo "					<th colspan=\"2\">部分受信フラグ</th>\n";
		echo "					<td class=\"off\">---</td>\n";
		echo "				</tr>\n";
		
		echo "				<tr>\n";
		echo "					<th colspan=\"2\">伝送モード</th>\n";
		echo "					<td class=\"off\">---</td>\n";
		echo "				</tr>\n";
                
		echo "				<tr>\n";
		echo "					<th colspan=\"2\">ガードインターバル</th>\n";
		echo "					<td class=\"off\">---</td>\n";
		echo "				</tr>\n";
                
		echo "				<tr>\n";
		echo "					<th rowspan=\"4\"><nobr>lay A</nobr></th>\n";
                echo "					<th>変調マッピング方式</th>\n";
		echo "					<td class=\"off\">---</td>\n";
		echo "				</tr>\n";
		echo "				<tr>\n";
		echo "					<th>割り当てセグメント数</th>\n";
		echo "					<td class=\"off\">---</td>\n";
		echo "				</tr>\n";
		echo "				<tr>\n";
		echo "					<th>畳み込み</th>\n";
		echo "					<td class=\"off\">---</td>\n";
		echo "				</tr>\n";
		
                echo "				<tr>\n";
		echo "					<th>時間インターリーブ</th>\n";
		echo "					<td class=\"off\">---</td>\n";
		echo "				</tr>\n";
		echo "				<tr>\n";
		echo "					<th rowspan=\"4\"><nobr>lay B</nobr></th>\n";
                echo "					<th>変調マッピング方式</th>\n";
		echo "					<td class=\"off\">---</td>\n";
		echo "				</tr>\n";
		echo "				<tr>\n";
		echo "					<th>割り当てセグメント数</th>\n";
		echo "					<td class=\"off\">---</td>\n";
		echo "				</tr>\n";
		echo "				<tr>\n";
		echo "					<th>畳み込み</th>\n";
		echo "					<td class=\"off\">---</td>\n";
		echo "				</tr>\n";
		
                echo "				<tr>\n";
		echo "					<th>時間インターリーブ</th>\n";
		echo "					<td class=\"off\">---</td>\n";
		echo "				</tr>\n";
	}
}
?>
			</table>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
