<?php
	require("../libdefault.php");
	require("../libfunction.php");

	// setup.sh作成
	$sh_str = "#!/bin/sh\n\n".
			  "chmod 0777 ./conf\n".
			  "chmod 0666 ./conf/*\n".
			  "chown -R root.root ./conf/*\n".
			  "cp -Rfp ./conf/* /usr/hirotech/conf\n".
			  "rm -rf *\n".
			  "sync\n";
	
	// ファイル作成
	if( FALSE == file_exists(INI_SETUP_FILE) ){
		// ファイルを作成
		if( FALSE == touch(INI_SETUP_FILE) ){
			exit;	// 失敗した場合は終了
		}
	}
	
	if($fp = fopen(INI_SETUP_FILE, "w")){
		// 書き込み
		fwrite($fp, $sh_str);

		if( !(fclose($fp) ) ){
			exit;	// 失敗した場合は終了
		}
	}else{
		exit;	// 失敗した場合は終了
	}
	
	if( FALSE == chmod(INI_SETUP_FILE, 0777) ){
		exit;	// 失敗した場合は終了
	}
	
	$cmd = "rm -R /tmp/conf ; cp -R /usr/hirotech/conf /tmp";
	system($cmd);
	$cmd = "/var/hirotech/bin/filefunc -d > /dev/null";
	system($cmd, $ret);
	if( $ret ){
		exit;	// 失敗した場合は終了
	}
	
	// 送信
	header('Content-Type: application/octet-stream'); 
	header('Content-Disposition: attachment; filename="'. COMP_FILE_NAME .'"'); 
	header('Content-Length: '.filesize(COMP_FILE));
	readfile(COMP_FILE);
	
	$cmd ="cd " . CONF_DIR . " ; rm -rf " . INI_SETUP_FILE . " ; rm -rf " . COMP_FILE . " ; rm -rf /tmp/data.tar.gz\n";
	system($cmd);
	
	exit;
?>
