<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("../version.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file(__FILE__) );
	
	// ネットワーク情報の読み込み
	if( is_file( NETWORK_CONF ) ){		// ネットワーク情報
		$network_conf = parse_ini_file( NETWORK_CONF, true );
	}else{
		echo "INI File Not Found(".NETWORK_CONF.")<br>\n";
	}
	date_default_timezone_set("Asia/Tokyo");
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
	view_jquery_sub();
?>
		<script type="text/javascript">
			function changeDisabled() {
				var sel_no = document.time_set_form.time_set_method.selectedIndex;
				if( sel_no == 0 ){
					 document.time_set_form["setting_date"].disabled = false;
					 document.time_set_form["setting_time"].disabled = false;
				}else{ 
					 document.time_set_form["setting_date"].disabled = true;
					 document.time_set_form["setting_time"].disabled = true;
				}
				if( sel_no == 1 ){
					 document.time_set_form["time_adjust_int"].disabled = false;
				}else{
					 document.time_set_form["time_adjust_int"].disabled = true;
				}
				if( sel_no == 2 ){
					 document.time_set_form["time_adjust_int"].disabled = false;
				}
			}
			window.onload = changeDisabled;
<?php
	if( $system_conf['DBSSystem']['CustumInfo'] == OEM_DKK ){
?>
			$(function(){
				jQuery.event.add(window, "load", function(){
					$(this).changeAutoResetTiming( $(".auto_reset_timing option:selected").val());
				});
				$(".auto_reset_timing").change(function(){
					$(this).changeAutoResetTiming( $(".auto_reset_timing option:selected").val());
				});
				jQuery.fn.extend({
					changeAutoResetTiming:function( timing ){
						if( 0 == timing ){
//							$( ".tr_auto_reset_day" ).hide();
//							$( ".tr_auto_reset_week" ).hide();
							$( ".auto_reset_day" ).attr("disabled", "disabled");
							$( ".auto_reset_week" ).attr("disabled", "disabled");
						}else if( 1 == timing ){
//							$( ".tr_auto_reset_day" ).hide();
//							$( ".tr_auto_reset_week" ).show();
							$( ".auto_reset_day" ).attr("disabled", "disabled");
							$( ".auto_reset_week" ).removeAttr("disabled");
						}else{
//							$( ".tr_auto_reset_day" ).show();
//							$( ".tr_auto_reset_week" ).hide();
							$( ".auto_reset_day" ).removeAttr("disabled");
							$( ".auto_reset_week" ).attr("disabled", "disabled");
						}
					}
				});
			});
<?php
	}
?>
		</script>
		<script type="text/javascript" src="../js/common.js"></script>
	</head>
	<body>
		<div class="page_body">
			<form action="unit_setup_ctrl.php" method="POST" onSubmit="return checkDialog('<?php echo $lng['MSG_NETWORK'];?>')">
				<h3 class="table_caption"><?php echo $lng['TC0'] ?></h3>
				<table>
					<tr>
						<th><?php echo $lng['TB0_TH0'] ?></th>
						<td><?php echo $current_conf['DBSCurrent']['MAC']; ?></td>
					</tr>
					<tr>
						<th width="150"><?php echo $lng['TB0_TH1'] ?></th>
						<td><input type="text" name="setting_ip" value="<?php echo $network_conf['DBSNetwork']['IP']; ?>"></td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH2'] ?></th>
						<td><input type="text" name="setting_netmask" value="<?php echo $network_conf['DBSNetwork']['NetMask']; ?>"></td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH3'] ?></th>
						<td><input type="text" name="setting_gw" value="<?php echo $network_conf['DBSNetwork']['Gateway']; ?>"></td>
					</tr>
<?php
	if( OEM_JPNANT != $system_conf['DBSSystem']['CustumInfo'] ){
?>
					<tr>
						<th><?php echo $lng['TB0_TH5'] ?></th>
						<td><input type="text" name="setting_dnsp" value="<?php echo $network_conf['DBSNetwork']['DnsP']; ?>"></td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH6'] ?></th>
						<td><input type="text" name="setting_dnss" value="<?php echo $network_conf['DBSNetwork']['DnsS']; ?>"></td>
					</tr>
<?php
	}
?>
				</table>
				<?php echo"<font size=\"2\" >※IPアドレスの最下位は0及び255を設定できません</font>"; ?>
				<br />
				<?php echo"<font size=\"2\" >※ネットマスクは255.255.255.252が最小となります</font>"; ?>
				<br />
				<input type="hidden" name="network_base" value="true">
				<input type="submit" value="<?php echo $lng['LBL_NETWORK_SET'] ?>">
			</form>
			<br />
			<br />

	<form action="unit_setup_ctrl.php" method="POST" name="time_set_form" onSubmit="return checkDialog('<?php echo $lng['MSG_DATETIME'] ?>')">
		<h3 class="table_caption"><?php echo $lng['TC1']; ?></h3>
			<table class="list">
				<tr>
					<th width="150">日付</th>
					<td>
						<?php
							echo date( "Y/m/d" )
						?>
					</td>
				</tr>
				<tr>
					<th width="150">時刻</th>
					<td>
						<?php
							echo date( "H:i:s" )
						?>
					</td>
				</tr>
			</table>
	</form>
	<br />
	<br />

<?php
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		if( $_POST['ini_get'] == 'true' ){			// ネットワークの設定
			ini_download();
		}
	}
	
?>
			<h3 class="table_caption"><?php echo $lng['TC2'] ?></h3>
			<table>
				<tr>
					<th width="150"><?php echo $lng['TB2_TH0'] ?></th>
					<td><?php echo $system_conf['DBSSystem']['Version']; ?></td>
				</tr>
	<tr>
		<th><?php echo $lng['TB2_TH5'] ?></th>
		<td><?php echo $function_conf['IntSlot1']['Version']; ?></td>
	</tr>
<?php
	if( OEM_JPNANT == $system_conf['DBSSystem']['CustumInfo'] ){
?>
				<tr>
					<th><?php echo $lng['TB2_TH3'] ?></th>
					<td><?php show_version_jpnant(); ?></td>
				</tr>
<?php
	}
?>
			</table>
			<br/>
			<br/>
			<br />
			<br />
		</div>
	</body>
</html>
