<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	
	// ネットワーク情報の読み込み
	if( is_file( NETWORK_CONF ) ){		// ネットワーク情報
		$network_conf = parse_ini_file( NETWORK_CONF, true );
		
		if($_SERVER['REQUEST_METHOD'] == "POST"){
			if( @$_POST['network_base'] == 'true' ){			// ネットワークの設定
				$result = save_network_conf($network_conf, $_POST);
			}else if( @$_POST['network_datetime'] == 'true' ){			// 時刻の設定
				
				$result = save_datetime_conf($system_conf, $_POST, $current_conf);
				
				if( false != $result['RESULT'] ){
					if( $_POST['time_set_method'] == 0 ){	// 手動設定の場合にCurrentに保存
						$current_conf['DBSCurrent']['SetDate'] = $_POST['setting_date'];
						$current_conf['DBSCurrent']['SetTime'] = $_POST['setting_time'];
						$result = save_current_datetime_conf($current_conf);
					}
				}
			}else if( @$_POST['auto_reset_setup'] == 'true' ){
				$result = save_auto_reset_conf($system_conf, $_POST, $current_conf);
			}else if( @$_POST['sys_lang'] == 'true' ){
				$result = save_language_conf($system_conf, $_POST, $current_conf);
				// ブラウザ全体をリロードさせる。
				header("location:./");
				exit();
			}
		}
		
		$result['BACK_URL'] = "./unit_setup.php";
	}
	// 結果の表示
	require_once("../libsetresult.php");
?>
