<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("voiptx_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
	view_jquery_sub();
?>
		<script type="text/javascript" src="../js/voiptx.js"></script>
	</head>
	<body>
		<div class="page_body">
			<form action="./voiptx_network_set_ctrl.php" method="POST">
				<h3 class="table_caption">VoIP Tx設定</h3>
				<h4 class="table_caption">ネットワーク設定</h4>
				<table class="list">
					<tr>
						<th style="width:45%;">状態</th>
						<td>
							<select name='status'>
								<option value="0"<?php echo (($setup_conf['VOIPTx']['Status'] == 0) ? " selected":""); ?>>停止</option>
								<option value="1"<?php echo (($setup_conf['VOIPTx']['Status'] == 1) ? " selected":""); ?>>送信</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>MACアドレス</th>
						<td><?php echo $setup_conf['VOIPTx']['TxMAC']; ?></td>
					</tr>
					<tr>
						<th>送信IPアドレス</th>
						<td><input type="text" name="setting_tx_ip" value="<?php echo $setup_conf['VOIPTx']['TxIP']; ?>"></td>
					</tr>	
<!--					<tr>
						<td>送信ポート番号</td>
						<td><input type="text" name="setting_tx_port" value="<?php echo $setup_conf['VOIPTx']['TxPort']; ?>"></td>
					</tr>	-->
					<tr>
						<th>ネットワークマスク</th>
						<td><input type="text" name="setting_netmask" value="<?php echo $setup_conf['VOIPTx']['NetMask']; ?>"></td>
					</tr>
					<tr>
						<th>デフォルトゲートウェイ</th>
						<td><input type="text" name="setting_gw" value="<?php echo $setup_conf['VOIPTx']['Gw']; ?>"></td>
					</tr>
					<tr>
						<th>パケットサイズ指定</th>
						<td>
							<select name="setting_packet_size" class="setting_packet_size">
								<option value="188"<?php echo (($setup_conf['VOIPTx']['PacketSize'] == 188) ? " selected":""); ?>>188</option>
								<option value="204"<?php echo (($setup_conf['VOIPTx']['PacketSize'] == 204) ? " selected":""); ?>>204</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>1フレーム内パケット数</th>
						<td>
							<select name="setting_packet_cnt" class="setting_packet_cnt">
								<option value="1"<?php echo (($setup_conf['VOIPTx']['PacketCnt'] == 1) ? " selected":""); ?>>1</option>
								<option value="2"<?php echo (($setup_conf['VOIPTx']['PacketCnt'] == 2) ? " selected":""); ?>>2</option>
								<option value="3"<?php echo (($setup_conf['VOIPTx']['PacketCnt'] == 3) ? " selected":""); ?>>3</option>
								<option value="4"<?php echo (($setup_conf['VOIPTx']['PacketCnt'] == 4) ? " selected":""); ?>>4</option>
								<option value="5"<?php echo (($setup_conf['VOIPTx']['PacketCnt'] == 5) ? " selected":""); ?>>5</option>
								<option value="6"<?php echo (($setup_conf['VOIPTx']['PacketCnt'] == 6) ? " selected":""); ?>>6</option>
<?php
	if($setup_conf['VOIPTx']['PacketSize'] == 188){
		echo "								<option value=\"7\"" . (($setup_conf['VOIPTx']['PacketCnt'] == 7) ? " selected": "" ) . ">7</option>\n";
	}
?>
							</select>
						</td>
					</tr>
					<tr>
						<th>FEC D</th>
						<td>
							<select name="setting_fec_d_status" class="setting_fec_d_status">
								<option value="0"<?php echo (($setup_conf['VOIPTx']['FecD'] == 0) ? " selected":""); ?>>オフ</option>
								<option value="1"<?php echo (($setup_conf['VOIPTx']['FecD'] != 0) ? " selected":""); ?>>オン</option>
							</select>
							<select name="setting_fec_d" class="setting_fec_d" <?php echo (($setup_conf['VOIPTx']['FecD'] == 0) ? "disabled=disabled" : "") ?> style="width: 50px">
<?php
	for( $i = 4 ; $i <= 15 ; $i++ ){
		if( FEC_DXL_MAX < ( $i * $setup_conf['VOIPTx']['FecL'] ) ) break;
		echo "								<option value=\"".$i."\"". (($setup_conf['VOIPTx']['FecD'] == $i) ? " selected":"") . ">" . $i . "</option>\n";
	}
?>
							</select>
						</td>
					</tr>
					<tr>
						<th>FEC L</th>
						<td>
							<select name="setting_fec_l_status" class="setting_fec_l_status">
								<option value="0"<?php echo (($setup_conf['VOIPTx']['FecL'] == 0) ? " selected":""); ?>>オフ</option>
								<option value="1"<?php echo (($setup_conf['VOIPTx']['FecL'] != 0) ? " selected":""); ?>>オン</option>
							</select>
							<select name="setting_fec_l" class="setting_fec_l" <?php echo (($setup_conf['VOIPTx']['FecL'] == 0) ? "disabled=disabled" : "") ?> style="width: 50px">
<?php
	for( $i = 2 ; $i <= 15 ; $i++ ){
		if( $i == 3 ) continue;	// ★ FEC Lは3を設定不可
		if( FEC_DXL_MAX < ( $setup_conf['VOIPTx']['FecD'] * $i ) ) break;
		echo "								<option value=\"".$i."\"". (($setup_conf['VOIPTx']['FecL'] == $i) ? " selected":"") . ">" . $i . "</option>\n";
	}
?>
							</select>
						</td>
					</tr>
				</table>
				<br/>
				<table>
<!--					<tr>
						<td>IP送信転送</td>
						<td>
							<select name="setting_status">
								<option value="0"<?php echo (($setup_conf['VOIPTx']['Status'] == 0) ? " selected":""); ?>>無効</option>
								<option value="1"<?php echo (($setup_conf['VOIPTx']['Status'] == 1) ? " selected":""); ?>>有効</option>
							</select>
					</tr>-->
					<tr>
						<th style="width:45%;">受信IPアドレス</th>
						<td>
							<input type="text" name="setting_rx_ip" value="<?php echo $setup_conf['VOIPTx']['RxIP']; ?>">
							<p class="table_notes">※ マルチキャストIPアドレスを指定する場合、224.0.0.0 ～ 224.0.0.255は予約領域となります。基本的には使用しないでください。</p>
						</td>
					</tr>
					<tr>
						<th>受信ポート番号</th>
						<td><input type="text" name="setting_rx_port" value="<?php echo $setup_conf['VOIPTx']['RxPort']; ?>"></td>
					</tr>
				</table>
				<input type="hidden" name="voip_tx_network" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="ネットワーク設定">
			</form>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
