<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	
	$loading = false;
	
	// ネットワーク情報の読み込み
	if( is_file( NETWORK_CONF ) ){		// ネットワーク情報
		// $network_conf = parse_ini_file( NETWORK_CONF, true );
		$network_conf = my_parse_ini_file( NETWORK_CONF );
		if( NULL == $network_conf ){
			echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
			echo "Now loading...";
			exit(1);
		}
	}else{
		$loading = true;
	}
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_status_file( $function_conf, $_GET['board'] );

		if( is_file(  $ini_file ) ){
			$status_conf = my_parse_ini_file( $ini_file );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			$loading = true;
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 class="table_caption">VoIP Txステータス</h3>
			<h4 class="table_caption">設定値</h4>
			<table class="list">
				<tr>
					<th width="150px">IP送信</th>
<?php
	if( @$status_conf['VOIPTx']['Status'] == 0 ){
		echo "					<td class=\"off\">停止</td>\n";
	}else{
		echo "					<td class=\"on\">送信</td>\n";
	}
?>
				</tr>
 				<tr>
					<th>送信側MACアドレス</th>
					<td class="on"><?php echo $status_conf['VOIPTx']['TxMAC']; ?></td>
				</tr>
				<tr>
					<th>送信側IPアドレス</th>
					<td class="on"><?php echo $status_conf['VOIPTx']['TxIP']; ?></td>
				</tr>
<!--				<tr>
					<th>送信側ポート番号</th>
					<td class="on"><?php echo $status_conf['VOIPTx']['TxPort']; ?></td>
				</tr>-->
				<tr>
					<th>ネットワークマスク</th>
					<td class="on"><?php echo $status_conf['VOIPTx']['NetMask']; ?></td>
				</tr>
				<tr>
					<th>デフォルトゲートウェイ</th>
					<td class="on"><?php echo $status_conf['VOIPTx']['Gw']; ?></td>
				</tr>
				<tr>
					<th>パケットサイズ指定</th>
					<td class="on"><?php echo $status_conf['VOIPTx']['PacketSize']; ?></td>
				</tr>
				<tr>
					<th>1フレーム内パケット数</th>
					<td class="on"><?php echo $status_conf['VOIPTx']['PacketCnt']; ?></td>
				</tr>
				<tr>
					<th>FEC D</th>
					<td class="on"><?php echo $status_conf['VOIPTx']['FecD']; ?></td>
				</tr>
				<tr>
					<th>FEC L</th>
					<td class="on"><?php echo $status_conf['VOIPTx']['FecL']; ?></td>
				</tr>
			</table>
			<br/>
			<h4 class="table_caption">動作状態</h4>
			<table class="list">
<?php
	if( @$status_conf['VOIPTx']['Status'] == 0 ){
?>
				<tr>
					<th width="150px">受信側MACアドレス</th>
					<td class="on">-</td>
				</tr>
				<tr>
					<th>受信側IPアドレス</th>
					<td class="on">-</td>
				</tr>
				<tr>
					<th>ポート番号</th>
					<td class="on">-</td>
				</tr>
				<tr>
					<th>TSシンクバイト検出</th>
					<td class="on">-</td>
				</tr>
				<tr>
					<th>TS入力検出</th>
					<td class="on">-</td>
				</tr>
				<tr>
					<th>RAMオーバーフロー</th>
					<td class="on">-</td>
				</tr>
<?php
	}
	else{
		$mlt = is_multicast_ip4($status_conf['VOIPTx']['RxIP']);
?>
				<tr>
					<th width="150px">受信側MACアドレス</th>
<?php
	if( !$mlt && $status_conf['VOIPTx']['rx_lock'] == 0 ){
		echo "					<td class=\"off\">受信機探索中</td>\n";
	}else if( $mlt ){
		echo "					<td class=\"on\">マルチキャスト送信中</td>\n";
	}else{
		echo "					<td class=\"on\">". $status_conf['VOIPTx']['RxMAC'] ."</td>\n";
	}
?>
				</tr>
				<tr>
					<th>受信側IPアドレス</th>
					<td class="on"><?php echo $status_conf['VOIPTx']['RxIP']; ?></td>
				</tr>
				<tr>
					<th>ポート番号</th>
					<td class="on"><?php echo $status_conf['VOIPTx']['RxPort']; ?></td>
				</tr>
				<tr>
					<th>TSシンクバイト検出</th>
<?php
	if( $status_conf['VOIPTx']['ts_sync_byte_lock'] == 0 ){
		echo "					<td class=\"off\">アンロック</td>\n";
	}else{
		echo "					<td class=\"on\">ロック</td>\n";
	}
?>
				</tr>
				<tr>
					<th>TS入力検出</th>
<?php
	if( $status_conf['VOIPTx']['ts_input'] == 0 ){
		echo "					<td class=\"off\">入力なし</td>\n";
	}else{
		echo "					<td class=\"on\">入力あり</td>\n";
	}
?>
				</tr>
				<tr>
					<th>RAMオーバーフロー</th>
<?php
	if( $status_conf['VOIPTx']['ram_overflow'] != 0 ){
		echo "					<td class=\"off\">異常</td>\n";
	}else{
		echo "					<td class=\"on\">正常</td>\n";
	}
?>
				</tr>
<?php
	}
?>
			</table>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
