<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("../liberror.php");
	require_once("hdd_play_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
		<script type="text/javascript" src="../js/common.js"></script>
	</head>
	<body>
		<div class="page_body">
			<form action="hdd_play_set_file_wget_ctrl.php" method="POST" name="set_hdd">
				<h3 class="table_caption">TSファイル再生 再生ファイル取得</h3>
				<table>
					<tr>
						<th width="150px">サーバーIP</th>
						<td>
							http://<input type="text" name="server_name" size="20"></input>
						</td>
					</tr>
					<tr>
						<th>ファイル名</th>
						<td>
							<input type="text" name="file_name" size="30"></input>
						</td>
					</tr>
				</table>
				<input type="hidden" name="wget_file" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
				<input type="submit" value="実行">
			</form>
			<br/>
			<br/>
			<form action="hdd_play_set_file_wget_ctrl.php" method="POST" name="set_hdd" onSubmit="return checkDialog('TSファイルの取得処理を中断しますか？')">
				<h3 class="table_caption">再生ファイル取得操作</h3>
				<table>
					<tr>
						<th width="150px">取得処理の中断</th>
						<td>
							<input type="submit" value="中断">
						</td>
					</tr>
				</table>
				<input type="hidden" name="wget_file_stop" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
			</form>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
