<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("hdd_play_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		$board =  $_POST['board'];
	}else if($_SERVER['REQUEST_METHOD'] == "GET"){
		$board =  $_GET['board'];
	}else{
		$board='';
	}
	if($board != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $board );
		if($_SERVER['REQUEST_METHOD'] == "POST"){
			if( @$_POST['wget_file'] == 'true' && $_POST['server_name'] != '' && $_POST['file_name'] != '' ){
				
				$new_file_path = HDD_DIR . "/" . $_POST['file_name'];
				
				// 既存ファイルのチェック
				if(file_exists($new_file_path)){
					// 既存ファイルがあるので-エラー
					$result = array('RESULT'  => false,
									'MESSAGE' => '「'. $_POST['file_name'] . '」は機器に登録されています。');
				}else if( 0 == strlen($_POST['server_name']) || 0 == strlen($_POST['file_name']) ){
					$result = array('RESULT'  => false,
									'MESSAGE' => 'サーバーIP、ファイル名は必ず入力してください。<br>');
				}else if( HDD_PLAY_PATH_MAX <= strlen($new_file_path) ){
					$result = array('RESULT'  => false,
									'MESSAGE' => 'ファイル名が長すぎます。<br/>' .( HDD_PLAY_PATH_MAX - strlen(HDD_DIR) - 2 ) . '文字以下に設定してください。');
				}else if( true == check_process( WGET_SH_FILE ) ){
					$wget_conf = parse_ini_file( WGET_INI_FILE, true );
					if( NULL != $wget_conf ){
						$result = array('RESULT'  => false,
										'MESSAGE' => 'ファイル「' .  $wget_conf['INFO']['FILE_NAME'] . '」を取得中です。終了後に再度実行してください。');
					}else{
						$result = array('RESULT'  => false,
										'MESSAGE' => '他のファイルを取得中です。終了後に再度実行してください。');
					}
				}else{
					// WGET情報を記述したINIファイルを作成
					$wget_conf['INFO']['BOARD'] = $board;
					$wget_conf['INFO']['SERVER_NAME'] = $_POST['server_name'];
					$wget_conf['INFO']['FILE_NAME'] = $_POST['file_name'];
					if( false == save_ini_file( WGET_INI_FILE, $wget_conf ) ) {
						$result = array('RESULT'  => false,
										'MESSAGE' => 'ファイルの取得に失敗しました。INIファイルの作成エラーです。');
					}else{
						if(file_exists(WGET_LAST_RESULT)){
							unlink(WGET_LAST_RESULT);
						}
						
						// 実行ファイルを作成
						exec( "echo '#!/bin/sh\n\n' > " . WGET_SH_FILE );
						exec( "echo 'cd " . HDD_DIR . " ; nice -n 19 ". WGET_PATH . " -W " . WGET_LAST_RESULT . "  -c --limit-rate=".WGET_LIMIT_RATE." -T ". WGET_TIMEOUT ." http://" . $_POST['server_name'] . "/" .$_POST['file_name']. "\n\n' >> " . WGET_SH_FILE );
						exec( "echo '". PHP_PATH . " " . WGET_END_PROC . " >& /dev/null &\n\n' >> " . WGET_SH_FILE );
						
						// 実行権を与えて実行
						chmod(WGET_SH_FILE, 0777);
						exec( '/bin/sh ' . WGET_SH_FILE . ' >& /dev/null &');
						
						$result = array('RESULT'  => true,
										'MESSAGE' => 'ファイルの取得を開始しました。取得状況はステータスの「再生ファイル取得」で確認してください。<br/>ステータスが「取得処理実行中」の場合は機器の電源をOFFにしないでください。機器の電源をOFFにする場合は必ず取得処理の中断を行った後、機器の電源をOFFにしてください。');
					}
				}
			}else if( @$_POST['wget_file_stop'] == 'true' ){
				if( !check_process( WGET_SH_FILE ) ){
					$result = array('RESULT'  => false,
									'MESSAGE' => '再生ファイルの取得処理が実行されておりません。');
				}else{
					// プロセス停止
					// 順番が重要　先にwget.shを停止する
					system( "ps -w | grep \"" . WGET_SH_FILE . "\" | egrep -v grep | awk '{print $1}' | xargs kill -9 \n" );
					system( "ps -w | grep \"" . WGET_LAST_RESULT . "\" | egrep -v grep | awk '{print $1}' | xargs kill -9 \n" );

					$wget_conf = parse_ini_file( WGET_INI_FILE, true );
					if( NULL != $wget_conf ){
						unlink(HDD_DIR . "/" . basename($wget_conf['INFO']['FILE_NAME']));
					}

					if( file_exists(WGET_LAST_RESULT) ){
						unlink(WGET_LAST_RESULT);
					}

					// 取得処理の中断
					unlink(WGET_INI_FILE);
					unlink(WGET_SH_FILE);

					$result = array('RESULT'  => true,
									'MESSAGE' => '処理を中断しました。');
				}
			}else{
				$result = array('RESULT'  => false,
								'MESSAGE' => '入力内容が不正です。');
			}
		}else{
			$result = array('RESULT'  => false,
							'MESSAGE' => '入力内容が不正です。');
		}
		
		$result['BACK_URL'] = "./hdd_play_set_file_wget.php?board=". $board;
	}
	
	// 結果の表示
	require_once("../libsetresult.php");
?>
