<?php

if( 2 > $argc ){
	exit(1);		// 引数無し
}else{
	if(!file_exists($argv[1])){
		exit(1);	// ファイル無し
	}else{
		$file_path = $argv[1];
	}
}

// 共通情報の読み込み
if( $_SERVER['DOCUMENT_ROOT'] == 'C:/xampp/htdocs' ){
	require_once("C:/xampp/htdocs/xampp/web/libdefault.php");
	require_once("C:/xampp/htdocs/xampp/web/libfunction.php");
	require_once("C:/xampp/htdocs/xampp/web/hdd_play/hdd_play_lib.php");
}else{
	require_once("/var/www/libdefault.php");
	require_once("/var/www/libfunction.php");
	require_once("/var/www/hdd_play/hdd_play_lib.php");
}

$id = sprintf( "%02d_%02d", BOARD_TYPE_HDD_PLAY, 1);

$ini_file = get_setup_file( $function_conf, $id );
if( is_file( $ini_file['Setup'] ) ){
	$setup_conf = my_parse_ini_file( $ini_file['Setup'] );
	for($cnt = 1 ; $cnt <= HDD_PLAY_FILE_MAX ; $cnt++ ){
		if ( basename($setup_conf['FILES']['FILE_PATH' . $cnt]) == basename($file_path) ){
			// 既に登録済みであれば終了
			break;
		}
		if( false == array_key_exists('FILE_PATH' . $cnt, $setup_conf['FILES'])) {
			if(file_exists($file_path)){
				// ここに登録
				$setup_conf['FILES']['FILE_PATH' . $cnt] = $file_path;
					// ファイルに書き込み
				if( false == save_ini_file( $ini_file['Setup'], $setup_conf, false ) ) {
					echo "Ini file save error\n";
				}
				if( false == save_ini_file( $ini_file['Save'], $setup_conf, false ) ) {
					echo "Ini file save error\n";
				}
			}
			break;
		}
	}
}
?>
