<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("hdd_play_lib.php");
	
	// wget.iniのファイル情報を取得
	// wget.shが動作しているから確認する
	if(file_exists(WGET_INI_FILE)){
		$wget_conf = my_parse_ini_file( WGET_INI_FILE );
		if( NULL == $wget_conf ){
			echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
			echo "Now loading...";
			exit(1);
		}
	}else{
		$wget_conf['INFO']['FILE_NAME']= 'ファイル情報なし';
		$wget_conf['INFO']['SERVER_NAME']= 'サーバー情報なし';
 	}
	$proc_status = check_process( WGET_SH_FILE );
	
	// wgetの最終結果の読込
	if( file_exists(WGET_LAST_RESULT) ){
		// $wget_result = parse_ini_file( WGET_LAST_RESULT, true );
		$wget_result = my_parse_ini_file( WGET_LAST_RESULT );
		if( NULL == $wget_result ){
			echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
			echo "Now loading...";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
		<div class="page_body">
			<h3 class="table_caption">TSファイル再生 再生ファイル取得</h3>
			<table>
				<tr>
					<th width="150px">取得状態</th>
					<td class="<?php echo (($proc_status) ? "on":"off"); ?>">
						<?php echo (($proc_status) ? "取得処理実行中":"取得処理実行なし"); ?>
						
					</td>
				</tr>
<?php
	if($proc_status){
?>
				<tr>
					<th width="150px">サーバーIP</th>
					<td><?php echo $wget_conf['INFO']['SERVER_NAME']; ?></td>
				</tr>
				<tr>
					<th width="150px">取得中ファイル</th>
					<td><?php echo $wget_conf['INFO']['FILE_NAME']; ?></td>
				</tr>
<?php
		if( $system_conf['DBSSystem']['CustumInfo'] == 0 ){
?>
				<tr>
					<th>取得済みファイルサイズ</th>
					<td><?php echo number_format( doubleval( real_filesize( HDD_DIR . '/' . basename( $wget_conf['INFO']['FILE_NAME'] ) ) ) ) . " Byte"; ?></td>
				</tr>				
<?php
		}
	}else if(isset($wget_result)){
 ?>
				<tr>
					<th title="最後に実行した再生ファイル取得の結果">
						最終取得結果
					</th>
					<td class="<?php echo (($wget_result['hwget_Result']['RESULT'] == 0) ? "on":"off"); ?>">
<?php
	$error = (isset($hwget_result[$wget_result['hwget_Result']['RESULT']]['message'])) ? $hwget_result[$wget_result['hwget_Result']['RESULT']]['message'] : "失敗" ;
?>
						<?php echo (($wget_result['hwget_Result']['RESULT'] == 0) ? "成功": $error ); ?>
					</td>
				</tr>
<?php
	}
?>
			</table>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
