$(function(){
	jQuery.event.add(window, "load", function(){
		$(this).updateId();
		$(this).updateAreaCodeNit();
	});
	
	$(".area_code").change(function(){
		$(this).updateId();
		$(this).updateAreaCodeNit();
	});
	$(".area_bus_person").change(function(){
		$(this).updateId();
	});
	$(".prefectures_flag").change(function(){
		$(this).updateId();
	});
	$(".tv1_prg_number").change(function(){
		$(this).updateId();
	});
	$(".tv2_prg_number").change(function(){
		$(this).updateId();
	});
	$(".tv3_prg_number").change(function(){
		$(this).updateId();
	});
	$(".tv4_prg_number").change(function(){
		$(this).updateId();
	});
	$(".tv1_prg_kind").change(function(){
		$(this).updateId();
	});
	$(".tv2_prg_kind").change(function(){
		$(this).updateId();
	});
	$(".tv3_prg_kind").change(function(){
		$(this).updateId();
	});
	$(".tv4_prg_kind").change(function(){
		$(this).updateId();
	});
	$(".oneseg_prg_number").change(function(){
		$(this).updateId();
	});
	$(".oneseg_prg_kind").change(function(){
		$(this).updateId();
	});
	
	$(".area_code").keyup(function(){
		$(this).updateId();
	});
	$(".area_bus_person").keyup(function(){
		$(this).updateId();
	});
	$(".prefectures_flag").keyup(function(){
		$(this).updateId();
	});
	$(".tv1_prg_number").keyup(function(){
		$(this).updateId();
	});
	$(".tv2_prg_number").keyup(function(){
		$(this).updateId();
	});
	$(".tv3_prg_number").keyup(function(){
		$(this).updateId();
	});
	$(".tv4_prg_number").keyup(function(){
		$(this).updateId();
	});
	$(".tv1_prg_kind").keyup(function(){
		$(this).updateId();
	});
	$(".tv2_prg_kind").keyup(function(){
		$(this).updateId();
	});
	$(".tv3_prg_kind").keyup(function(){
		$(this).updateId();
	});
	$(".tv4_prg_kind").keyup(function(){
		$(this).updateId();
	});
	$(".oneseg_prg_number").keyup(function(){
		$(this).updateId();
	});
	$(".oneseg_prg_kind").keyup(function(){
		$(this).updateId();
	});
	
	jQuery.fn.extend({
		remakePrgSelect:function( obj, select, none1, none2, none3 ){
			var i = 0;
			for( i = 1 ; i <= 8 ; i++ ){
				if(none1 == i) {continue};
				if(none2 == i) {continue};
				if(none3 == i) {continue};
				
				if(select == i){
					obj.append($('<option value='+i+' selected>'+i+'</option>'));
				}else{
					obj.append($('<option value='+i+'>'+i+'</option>'));
				}
			}
			
			
		}
	});
	
	jQuery.fn.extend({
		getDecHexId:function(dec){
			var hex = dec.toString(16);
			var zero_num = 4 - hex.length;
			
			if( 0 > zero_num ) {
				zero_num = 0;
			}
			var zero = '';
			while(zero_num--){
				zero += '0';
			}
			return dec + '(0x' + zero + ( dec.toString(16) ).toUpperCase() + ')';
		}
	});
	jQuery.fn.extend({
		updateId:function(){
			// 選択されたIDを他のコンボボックスでは非表示にする
			var sel_tv1 = $(".tv1_prg_number").val();
			var sel_tv2 = $(".tv2_prg_number").val();
			var sel_tv3 = $(".tv3_prg_number").val();
			var sel_tv4 = $(".tv4_prg_number").val();
			
			$(".tv1_prg_number option").remove();
			$(".tv2_prg_number option").remove();
			$(".tv3_prg_number option").remove();
			$(".tv4_prg_number option").remove();
			$(this).remakePrgSelect($(".tv1_prg_number"), sel_tv1, sel_tv2, sel_tv3, sel_tv4);
			$(this).remakePrgSelect($(".tv2_prg_number"), sel_tv2, sel_tv1, sel_tv3, sel_tv4);
			$(this).remakePrgSelect($(".tv3_prg_number"), sel_tv3, sel_tv1, sel_tv2, sel_tv4);
			$(this).remakePrgSelect($(".tv4_prg_number"), sel_tv4, sel_tv1, sel_tv2, sel_tv3);
			
			$(".current_network_id").text( $(this).getDecHexId( $(this).calcNetworkId('1') ) );
			$(".tv1_service_id").text( $(this).getDecHexId( $(this).calcServiceID('1') ) );
			$(".tv2_service_id").text( $(this).getDecHexId( $(this).calcServiceID('2') ) );
			$(".tv3_service_id").text( $(this).getDecHexId( $(this).calcServiceID('3') ) );
			$(".tv4_service_id").text( $(this).getDecHexId( $(this).calcServiceID('4') ) );
			
			$(".oneseg_service_id").text( $(this).getDecHexId( $(this).calcOnesegServiceID('1')) );
		}
	});
	jQuery.fn.extend({
		calcNetworkId:function(){
			var area = parseInt( $(".area_code").val(), 10 );
			var area_bus_person = parseInt( $(".area_bus_person").val(), 10 );
			var prefectures_flag = parseInt( $(".prefectures_flag").val(), 10 );
			
			return 0x7FF0 - (0x0010 * area) + area_bus_person - (0x0400 * prefectures_flag);
		}
	});
	jQuery.fn.extend({
		calcServiceID:function(tv){
			var area = parseInt( $(".area_code").val(), 10 );
			var area_bus_person = parseInt( $(".area_bus_person").val(), 10 );
			var prefectures_flag = parseInt( $(".prefectures_flag").val(), 10 );
			var kind = parseInt( $(".tv" + tv +"_prg_kind").val(), 10 );
			var ch = parseInt( $(".tv" + tv +"_prg_number").val(), 10 ) - 1;
			
			var ser = ( area & 0x3F ) << 10;
			ser = ser | ( prefectures_flag & 0x01 ) << 9;
			ser = ser | ( kind & 0x03 ) << 7;
			ser = ser | ( area_bus_person & 0x0F ) << 3;
			ser = ser | ( ch & 0x07 ) << 0;
			return ser;
		}
	});
	jQuery.fn.extend({
		calcOnesegServiceID:function(tv){
			var area = parseInt( $(".area_code").val(), 10 );
			var area_bus_person = parseInt( $(".area_bus_person").val(), 10 );
			var prefectures_flag = parseInt( $(".prefectures_flag").val(), 10 );
			var kind = parseInt( $(".oneseg_prg_kind").val(), 10 );
			var ch = parseInt( $(".oneseg_prg_number").val(), 10 ) - 1;
			
			var ser = ( area & 0x3F ) << 10;
			ser = ser | ( prefectures_flag & 0x01 ) << 9;
			ser = ser | ( kind & 0x03 ) << 7;
			ser = ser | ( area_bus_person & 0x0F ) << 3;
			ser = ser | ( ch & 0x07 ) << 0;
			return ser;
		}
	});
	jQuery.fn.extend({
		updateAreaCodeNit:function(){
			if( 63 == $(".area_code").select().val()){
				$(".area_code_nit_input").show();
			}else{
				$(".area_code_nit_input").hide();
			}
		}
	});
	
   $.ipop = function() {
     var wx, wy;    // ウインドウの左上座標

     // ウインドウの座標を画面中央にする。
     wx = $(document).scrollLeft() + ($(window).width() - $('#ipop').outerWidth()) / 4;
     if (wx < 0) wx = 0;
     wy = $(document).scrollTop() + ($(window).height() - $('#ipop').outerHeight()) / 2;
     if (wy < 0) wy = 0;

     // ポップアップウインドウを表示する。
     $('#ipop').css({top: wy, left: wx}).fadeIn(100);

     // 閉じるボタンを押したとき
     $('#ipop_close').click(function() {$('#ipop').fadeOut(100);});

     // タイトルバーをドラッグしたとき
     $('#ipop_title').mousedown(function(e) {
       var mx = e.pageX;
       var my = e.pageY;
       $(document).on('mousemove.ipop', function(e) {
         wx += e.pageX - mx;
         wy += e.pageY - my;
         $('#ipop').css({top: wy, left: wx});
         mx = e.pageX;
         my = e.pageY;
         return false;
       }).one('mouseup', function(e) {
         $(document).off('mousemove.ipop');
       });
       return false;
     });
   };
   
	$('#open').click(function() {$.ipop();});
});