<?php

// 定義
/* ファイルへのパス */
if( $_SERVER['DOCUMENT_ROOT'] == 'C:/xampp/htdocs' ){
	// Windows環境でのデバッグ用
	define('LOG_DIR',   'C:\xampp\htdocs\xampp\tmp');
	define('SD_HDIR',   'C:\xampp\htdocs\xampp\tmp');
	define('SD_DIR',    'C:\xampp\htdocs\xampp\tmp');
	define('SD_SYS_DIR','C:\xampp\htdocs\xampp\tmp');
	define('RAM_DIR',   'C:\xampp\htdocs\xampp\tmp');
	define('CONF_DIR',  'C:\xampp\htdocs\xampp\tmp');
	define('SYS_DIR',  'C:\xampp\htdocs\xampp\tmp');
	define('SYS1_DIR',  CONF_DIR);
	define('CATCH_DIR', CONF_DIR);
	
	define('INI_SETUP_FILE_OPT_FORMAT', CONF_DIR.'\Setup_%s_%02X.ini');
	define('INI_SETUP_FILE_OPT_FORMAT_SD', SD_DIR.'\Setup_%s_%02X.ini');
	define('INI_STATUS_FILE_OPT_FORMAT', CONF_DIR.'\Status_%s_%02X.ini');
	
	define('LOG_DIR_PATH'		,'./log');			// ここはディレクトリの絶対パスではなくWebで見るときのTOPからの相対パスで指定すること
	define('LOG_FILE_EXT'		,'log');
        
	define('TS_SECTION','C:\xampp\htdocs\xampp\tmp');
}
else{
	define('MAINCONTROL',   '/var/hirotech/maincontrol');
	define('LOG_DIR',   '/var/hirotech/log1');
	define('SD_HDIR',   '/usr/hirotech');
	define('SD_DIR',    '/usr/hirotech/conf');
	define('SD_SYS_DIR','/usr/hirotech/sys');
	define('RAM_DIR',   '/var/hirotech/conf');
	define('CONF_DIR',  '/var/hirotech/conf');
	define('SYS_DIR',   '/var/hirotech/sys');
	define('SYS1_DIR',  CONF_DIR);
	define('CATCH_DIR', CONF_DIR.'/catch');
	define('COMP_FILE_NAME', 'ini.tar.gz');
	define('COMP_FILE', '/tmp/' . COMP_FILE_NAME);
	define('INI_SETUP_FILE_NAME', 'setup.sh');
	define('INI_SETUP_FILE', '/tmp/'.INI_SETUP_FILE_NAME);

	define('INI_SETUP_FILE_OPT_FORMAT', CONF_DIR.'/Setup_%s_%02X.ini');
	define('INI_SETUP_FILE_OPT_FORMAT_SD', SD_DIR.'/Setup_%s_%02X.ini');
	define('INI_STATUS_FILE_OPT_FORMAT', CONF_DIR.'/Status_%s_%02X.ini');
	
	define('LOG_DIR_PATH'		,'./log');			// ここはディレクトリの絶対パスではなくWebで見るときのTOPからの相対パスで指定すること
	define('LOG_FILE_EXT'		,'log');

	define('TS_SECTION','/var/hirotech/conf/ts_text');
}

// RAMアクセス用
define('SYSTEM_CONF',   CONF_DIR.'/DBS_System.ini');
define('NETWORK_CONF',  CONF_DIR.'/DBS_Network.ini');
define('CURRENT_CONF',  CONF_DIR.'/DBS_Current.ini');
define('FUNCTION_CONF', CONF_DIR.'/DBS_Function.ini');
define('LOGUPLOAD_CONF',	CONF_DIR.'/DBS_LogUpLoad.ini');
define("SECURITY_CONF", CONF_DIR."/.htpasswd");

// SDカードアクセス用
define('SYSTEM_CONF_SD',  SD_DIR.'/DBS_System.ini');
define('NETWORK_CONF_SD', SD_DIR.'/DBS_Network.ini');
define('LOGUPLOAD_CONF_SD',	SD_DIR.'/DBS_LogUpLoad.ini');
define("SD_SECURITY_CONF", "/etc/apache2/.htpasswd");

// TS解析結果格納先
define('SDT_TXT', TS_SECTION."/SDT.txt");
define('PAT_TXT', TS_SECTION."/PAT.txt");
define('NIT_TXT', TS_SECTION."/NIT.txt");
define('MAX_PROGRAM_NUMBER',16);
// OEM種別
define('OEM_NONE',				0x00000000);	// OEM無し
define('OEM_YOOZMA',			0x00000001);	// 株式会社ヨーズマー
define('OEM_DKK',				0x00000002);	// 電気興業
define('OEM_JPNANT',			0x00000004);	// 日本アンテナ

define('SET_NETMASK_MAX',		'255.0.0.0');		// 最大ネットマスク	/8
define('SET_NETMASK_MIN',		'255.255.255.252');	// 最小ネットマスク	/30
define('NETMASK1_MIN',			255);	// ネットマスク先頭の最小値 この値以下の設定不可とする
define('NETMASK4_MAX',			252);		// ネットマスク末尾の最大値 この値を超過するのは設定不可とする

$oem_customer = array( OEM_NONE		=> 'HIROTECH Inc.',
					   OEM_YOOZMA	=> 'Yoozma Corporation.',
					   OEM_DKK		=> 'Denki Kogyo Company, Limited',
					   OEM_JPNANT	=> 'NIPPON ANTENNA Co., Ltd.' );

$oem_css      = array( OEM_NONE		=> 'css_ht',
					   OEM_YOOZMA	=> 'css_yzm',
					   OEM_DKK		=> 'css_dkk',
					   OEM_JPNANT	=> 'css_ant' );

$layer_mode = array(
	"13セグモード",			// 0
	"1+12セグモード",		// 1
	"1+12(NULL)セグモード",	// 2
	"1セグのみモード");		// 3

/* SMTP メール送信ソフトウェア設定用ファイル */
// 将来使用するかも？
//define("RAM_SMTP_INI" , "/home/pi/conf/smtp.ini" );
//define("SD_SMTP_INI" , "/var/hirotech/conf/smtp.ini");

// 必ず、実行する部分
date_default_timezone_set("UTC");

// INIファイルの読み込み
if( is_file( SYSTEM_CONF ) ){		// システム設定
	// $system_conf = parse_ini_file( SYSTEM_CONF, true );
	$system_conf = my_parse_ini_file( SYSTEM_CONF );
	if( NULL == $system_conf ){
		echo "Now Loading...";
		echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
		exit(1);
	}
	
	if( 0 == $system_conf['DBSSystem']['WebControl'] ){
		// Webコントロール不可
		exit();
	}
	
}else{
	// システムファイルが見つからないと起動できないためエラーで終了
	echo "INI File Not Found(".SYSTEM_CONF.")<br>\n";
	exit;
}
if( is_file( CURRENT_CONF ) ){		// システム設定
	// $current_conf = parse_ini_file( CURRENT_CONF, true );
	$current_conf = my_parse_ini_file( CURRENT_CONF );
	if( NULL == $current_conf ){
		echo "Now Loading...";
		echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
		exit(1);
	}
	
}else{
	// 起動中のため、リロードさせるようにする。
}

// CSS表示
function view_css( $model )
{
	echo "	<link rel=\"stylesheet\" href=\"css/dbs.css\">\n";
}

// jQuery表示
function view_jquery()
{
	echo "		<script type=\"text/javascript\" src=\"./js/jquery-1.9.1.min.js\"></script>\n";
}

// jQuery表示（サブディレクトリ用）
function view_jquery_sub()
{
	echo "		<script type=\"text/javascript\" src=\"../js/jquery-1.9.1.min.js\"></script>\n";
}

// OEMコード取得
function get_customer(){
	global $system_conf;
	if( is_file( SYSTEM_CONF ) ){		// システム設定
		$oem = hexdec($system_conf["DBSSystem"]["CustumInfo"]);
	}
	
	return $oem;
}

// タイトル表示
function view_title( &$sys, $sjis_flag = 0 )
{
	global $oem_customer;

	if( $sjis_flag == 1 ){
		echo "		<meta http-equiv=\"content-type\" content=\"text/html;charset=shift_jis\" />\n";
	}else{
		echo "		<meta http-equiv=\"content-type\" content=\"text/html;charset=UTF-8\" />\n";
	}
	$cst = get_customer();
	echo "		<title>".$sys['DBSSystem']['UnitName']." - ". $oem_customer[$cst] ."</title>\n";
	echo "		<meta content=\"". $oem_customer[$cst] ."\" name=\"Author\" />\n";
	echo "		<meta content=\"".$sys['DBSSystem']['UnitName']."\" name=\"Description\" />\n";
	echo "		<meta name=\"copyright\" content=\"". $oem_customer[$cst] ."\" />\n";
	echo "		<meta name=\"robots\" content=\"INDEX,FOLLOW\" />\n";
	echo "		<meta name=\"robots\" content=\"ALL\" />\n";
	echo "		<meta http-equiv=\"Content-Script-Type\" content=\"text/javascript\" />\n";
	echo "		<meta http-equiv=\"Content-Style-Type\" content=\"text/css\" />\n";
	echo "		<noscript>\n";
	echo "		<meta http-equiv=\"refresh\" content=\"0; URL=error.html\" />\n";
	echo "		</noscript>\n";
}

// 設定画面用CSS表示
function view_css_left(){
	global $oem_css;
	$cst = get_customer();
	echo "		<link rel=\"stylesheet\" href=\"./".$oem_css[$cst]."/body_left.css\">\n";
}

// 設定画面用CSS表示（サブディレクトリ用）
function view_css_left_sub(){
	global $oem_css;
	$cst = get_customer();
	echo "		<link rel=\"stylesheet\" href=\"../".$oem_css[$cst]."/body_left.css\" />\n";
}

// ステータス画面用CSS表示
function view_css_right(){
	global $oem_css;
	$cst = get_customer();
	echo "		<link rel=\"stylesheet\" href=\"./".$oem_css[$cst]."/body_right.css\" />\n";
}

// ステータス画面用CSS表示(サブディレクトリ用)
function view_css_right_sub(){
	global $oem_css;
	$cst = get_customer();
	echo "		<link rel=\"stylesheet\" href=\"../".$oem_css[$cst]."/body_right.css\" />\n";
}


// 半角記号を全角記号に変換
function kigou2zenkaku( $string ){
	$before = array('/!/', '/"/', '/#/', '/\$/', '/%/', '/&/', "/'/", '/\(/', '/\)/', '/=/', '/~/', '/\|/', '/-/', '/\^/', '/\\\\/',
			'/`/', '/\{/', '/@/' , '/\[/', '/\+/', '/\*/', '/}/', '/;/', '/:/', '/]/', '/</', '/>/', '/\?/', '/_/', '/,/', '/\./', '/\//', '/｢/', '/｣/');
	$after = array('！', '”', '＃', '＄', '％', '＆', '’', '（', '）', '＝', '～', '｜', '－', '＾', '￥',
			'｀', '｛', '＠', '［', '＋', '＊', '｝', '；', '：', '］', '＜', '＞', '？', '＿', '，', '．', '／', '「', '」');
	foreach( $before as $i => $pattern ){
		$replacement = $after[$i];
		$string = preg_replace( $pattern, $replacement, $string );
	}

	return $string;
}

// MACアドレスフォーマットチェック
function check_mac($ip){
	if(preg_match('/^([a-fA-F0-9][a-fA-F0-9]:){5}[a-fA-F0-9][a-fA-F0-9]/', $ip)){
		return true;
	}
	return false;
}

// IPアドレスフォーマットチェック
function check_ip($ip, $check_end = false){
	if(preg_match('/^(([1-9]?[0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]).){3}([1-9]?[0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$/', $ip)){
			// 末尾が0か255の場合はNGにする
		$ips = preg_split( "/[.]/", $ip );
		
		if( count($ips) < 4){
			return false;
		}
		
		if( $check_end ){
			if( ( $ips[3] == 0 ) || ( $ips[3] == 255 ) ){
					return false;
			}
		}
		return true;
	}
	return false;
}

// マルチキャストIPアドレスフォーマットチェック
function check_multicast_ip($ip){
	if(preg_match('/^(([1-9]?[0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]).){3}([1-9]?[0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$/', $ip)){
		// 224.0.0.1 ～ 239.255.255.254 の範囲でOKとする
		$ips = preg_split( "/[.]/", $ip );
		
		if( count($ips) < 4){
			return false;
		}

		if( ( 224 <= $ips[0] ) && ( $ips[0] <= 239 ) ){
			return true;
		}
		return false;
	}
	return false;
}

// マルチキャストIPの場合にマックアドレスを作成する
function make_multicast_mac($ip){
	if( check_multicast_ip($ip) ){
		// IPアドレスからマルチキャストアドレスを作成
		$ips = preg_split( "/[.]/", $ip );
		
		return ( "01:00:5E:". sprintf( "%02X:%02X:%02X", ( 0x7F & intval( $ips[1] ) ), $ips[2], $ips[3] ) );
	}else{
		return false;
	}
}

// ネットマスクのチェック
function check_netmask( $mask ){
	if(preg_match('/^(([1-9]?[0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]).){3}([1-9]?[0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$/', $mask)){
		// 先頭からチェックして
		$masks = preg_split( "/[.]/", $mask );
		
		if( count($masks) < 4){
			return false;
		}
		
		$bin = sprintf( "%08b%08b%08b%08b" , $masks[ 0 ], $masks[ 1 ], $masks[ 2 ], $masks[ 3 ] );
		
		if( NETMASK1_MIN > $masks[ 0 ] ){
			return false;
		}
		
		// 最下位が252以下であること
		if( NETMASK4_MAX < $masks[ 3 ] ){
			return false;
		}
		
		// 文字列「01」パターンがあるのかチェックする
		if( preg_match( '/01/', $bin ) ){
			return false;
		}
		
		return true;
	}
	return false;
}

/*
 * IPアドレスとネットマスクの整合性チェック
 * $ipと$maskの正当性は呼び出し元で確保すること
 */
function check_ip_mask( $ip, $mask ){
	
	$ips = preg_split( "/\./", $ip );
	$masks = preg_split( "/\./", $mask );

	// IP取得
	$bin_ip = bindec( sprintf("%08b%08b%08b%08b", $ips[0], $ips[1], $ips[2], $ips[3]) );
	
	// ネットマスクを取得
	$bin_mask = bindec( sprintf("%08b%08b%08b%08b", $masks[0], $masks[1], $masks[2], $masks[3]) );
	
	if( 0 == ( $bin_ip & ~$bin_mask ) ){
		return false;
	}else if( ~$bin_mask == ( $bin_ip & ~$bin_mask )  ){
		return false;
	}
	return true;
}

// 数値チェック
function check_number($num){
	// 0-9以外が含まれていないか
	if(preg_match('/^[0-9]{1,}$/', $num)){
		return true;
	}
	return false;
}

// 数値チェック（小数点指定）
function check_number_decimal($num, $decimal){
	// 0-9以外が含まれていないか
	if(preg_match('/^([1-9][0-9]*|0)(\.[0-9]{'. $decimal .'})?$/', $num)){
		return true;
	}
	return false;
}

// 数値チェック（マイナス値もOK）
function check_number_enable_minus($num){
	// 0-9以外が含まれていないか
	if(preg_match('/^-?[0-9]{1,}$/', $num)){
		return true;
	}
	return false;
}

// 数値チェック 16進数
function check_number_hex($num, $byte){
	// 0-9,A-B以外が含まれていないか
	if(preg_match('/^([0-9A-Fa-f]){1,'. $byte* 2 .'}$/', $num)){
		return true;
	}
	return false;
}

// 数値チェック（TOTサーバオフセット値）
function check_number_tot_offset($num){
	// 0-9以外が含まれていないか
	if(preg_match('/^-?[0-9]{1,}$/', $num)){
		//±10秒を超えないこと
		if( $num >= -10000 && $num <= 10000 ){
			return true;
		}
	}
	return false;
}

// ネットワーク設定情報の保存
function save_network_conf( &$old_config, $new_config ) {
	require( get_lang_file(__FILE__) );
	global $system_conf;
	
	// 入力情報のチェック
	if( false == check_ip( $new_config['setting_ip'], true ) ){
		return array('RESULT' => false,
					 'MESSAGE' => $def_lng['MSG_IP_NG']);
	}
	if( ( false == check_ip( $new_config['setting_netmask'], false ) ) ||
		( false == check_netmask( $new_config['setting_netmask'] ) )  ){
		return array('RESULT' => false,
					 'MESSAGE' => sprintf($def_lng['MSG_NETMASK_NG'], SET_NETMASK_MAX, SET_NETMASK_MIN));
	}
	if( false == check_ip_mask( $new_config['setting_ip'], $new_config['setting_netmask'] ) ){
		return array('RESULT' => false,
					 'MESSAGE' => $def_lng['MSG_IP_MASK_NG']);
	}
	if( (strlen($new_config['setting_gw'])) &&
		( false == check_ip( $new_config['setting_gw'], true ) ) ){
		return array('RESULT' => false,
					 'MESSAGE' => $def_lng['MSG_GW_NG']);
	}
/*
	if( (strlen($new_config['setting_ntp'])) &&
		( false == check_ip( $new_config['setting_ntp'], true ) ) ){
		return array('RESULT' => false,
					 'MESSAGE' => $def_lng['MSG_NTP_NG']);
	}
*/
	if( OEM_JPNANT != $system_conf['DBSSystem']['CustumInfo'] ){
		if( false == check_ip( $new_config['setting_dnsp'] ) ){
			return array('RESULT' => false,
						 'MESSAGE' => $def_lng['MSG_DNS_P_NG']);
		}
		if( false == check_ip( $new_config['setting_dnss'] ) ){
			return array('RESULT' => false,
						 'MESSAGE' => $def_lng['MSG_DNS_S_NG']);
		}
	}
	
	$old_config['DBSNetwork']['IP']       = $new_config['setting_ip'];
	$old_config['DBSNetwork']['NetMask']  = $new_config['setting_netmask'];
	$old_config['DBSNetwork']['Gateway']  = $new_config['setting_gw'];
//	$old_config['DBSNetwork']['NTP']      = $new_config['setting_ntp'];
	if( OEM_JPNANT == $system_conf['DBSSystem']['CustumInfo'] ){
		$old_config['DBSNetwork']['DnsP']     = $new_config['setting_gw'];
		$old_config['DBSNetwork']['DnsS']     = $new_config['setting_gw'];
	}else{
		$old_config['DBSNetwork']['DnsP']     = $new_config['setting_dnsp'];
		$old_config['DBSNetwork']['DnsS']     = $new_config['setting_dnss'];
	}
	
/*	今は未使用 設定するようになったらコメント解除
	$old_config['DBSNetwork']['Syslog']   = $new_config['setting_syslog'];
	$old_config['DBSNetwork']['snmp']     = $new_config['setting_snmp'];
	$old_config['DBSNetwork']['Download'] = $new_config['setting_download'];
 */
	
	$filename['Setup']	 = NETWORK_CONF;
	$filename['Save']	 = NETWORK_CONF_SD;
	$result =  save_ini_file_setup_save( $filename, $old_config );
	if( $result['RESULT'] == true ){
		$result['MESSAGE'] = $def_lng['MSG_IP_OK'];
	}
	return $result;
}

// 日時情報を設定
function save_datetime_conf( &$old_config, $new_config, $current_config ) {
	require( get_lang_file(__FILE__) );
	
	// 入力チェック
	if( $new_config['time_set_method'] == 1){
		if( !check_number($new_config['time_adjust_int']) ){
			return array('RESULT'  => false,
						 'MESSAGE' => $def_lng['MSG_INTV_NG_NUM']);
		}
		if( $new_config['time_adjust_int'] < 60 || 2147483647 < $new_config['time_adjust_int'] ){
			return array('RESULT'  => false,
						 'MESSAGE' => $def_lng['MSG_INTV_NG_RNG']);
		}
		$old_config['DBSSystem']['TimeAdjustInt'] = $new_config['time_adjust_int'];
	}
	
	$old_config['DBSSystem']['ModifyDate'] = date('Y/m/d');
	$old_config['DBSSystem']['ModifyTime'] = date('H:i:s');

	$old_config['DBSSystem']['TimeAdjust'] = $new_config['time_set_method'];

	// 手動の場合のみ入力された時刻を設定する
	if( $new_config['time_set_method'] == '0'){
		// dateコマンドを実行
		$new_config['setting_date'] = strtr($new_config['setting_date'], '/', '.');
		
		$command = "date -s \"" . $new_config['setting_date'] . "-" . $new_config['setting_time'] . "\"\n";
		// パーミッションの関係で実行不可
//		$res = system( $command );
		// 入力情報のチェック
	}

	// ファイルへ保存
	$filename['Setup']	 = SYSTEM_CONF;
	$filename['Save']	 = SYSTEM_CONF_SD;
	return save_ini_file_setup_save( $filename, $old_config );
}

function save_auto_reset_conf( &$old_config, $new_config, $current_config )
{
	$old_config['DBSSystem']['AutoReset'] = $new_config['auto_reset'];
	$old_config['DBSSystem']['AutoResetMode'] = $new_config['auto_reset_timing'];
	$old_config['DBSSystem']['AutoResetTime'] = sprintf( '%02d:%02d:00', $new_config['auto_reset_time_h'], $new_config['auto_reset_time_m'] );
	
	if( 0 == $new_config['auto_reset_timing'] ){
		// 特に設定なし
	}else if( 1 == $new_config['auto_reset_timing'] ){
		$old_config['DBSSystem']['AutoResetWeek'] = $new_config['auto_reset_week'];
	}else {
		$old_config['DBSSystem']['AutoResetMday'] = $new_config['auto_reset_day'];
	}

	// ファイルへ保存
	$filename['Setup']	 = SYSTEM_CONF;
	$filename['Save']	 = SYSTEM_CONF_SD;
	return save_ini_file_setup_save( $filename, $old_config );
}

function save_language_conf( &$old_config, $new_config, $current_config )
{
	$old_config['DBSSystem']['Language'] = $new_config['language'];

	// ファイルへ保存
	$filename['Setup']	 = SYSTEM_CONF;
	$filename['Save']	 = SYSTEM_CONF_SD;
	return save_ini_file_setup_save( $filename, $old_config );
}

// 日時情報を設定
function save_current_datetime_conf( &$save_config ) {
	require( get_lang_file(__FILE__) );
	
	// ファイルへ保存
	if( false == save_ini_file( CURRENT_CONF, $save_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => $def_lng['MSG_SAVE_NG']);
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => $def_lng['MSG_SAVE_OK']);
	}
}

// *.iniのファイル保存
// $savename	出力先ファイル
// $config		保存するini情報が保存された連想配列
function save_ini_file($savename, $config, $is_echo = true){
	$str = "";
	foreach( $config as $key1 => $val1 ){
		if( strlen( $key1 ) > 0 ){
			$str .= "[".$key1."]\n";

			foreach( $val1 as $key2 => $val2 ){
				// $val2から改行キーを削除
				$val2 = str_replace("\r", "", $val2);
				$val2 = str_replace("\n", "", $val2);
				
				$str .= $key2."=".$val2."\n";
			}
		}
	}

	$handle = fopen( $savename, "w+" );
	if( false != $handle ) {
		if( false != flock( $handle, LOCK_EX ) ) {
			fwrite( $handle, $str );
			flock( $handle, LOCK_UN );
		}else{
			return false;
		}
		fclose( $handle );
	}else {
		return false;
	}
	
	system('sync');
	
	if( $is_echo ){
		// パイプファイルに更新を通知する
		if( substr($savename, 0, strlen(CONF_DIR)) == CONF_DIR ){
			// RAMディレクトリの場合にはパイプファイルへの書き込み
			system( "echo '[SetupChange]\nFileName=". $savename ."' > ".MAINCONTROL );
		}
	}
	
	return true;
}


// *.iniのファイル保存
// $filename_array	出力先ファイル配列 $filename_array['Setup']、$filename_array['Save']を指定
// $config			保存するini情報が保存された連想配列
function save_ini_file_setup_save($filename_array, $config, $is_echo = true){
	require( get_lang_file(__FILE__) );
	
	// ファイルへ保存
	global $system_conf;
	
	$option_info = ( hexdec( $system_conf['DBSSystem']['OptionInfo'] ) );
	
	if( $option_info & 0x01000000 || check_tuner8toip() ){		// EEPROMに保存、もしくはTuner8ToIPの場合はSetupのみに保存
		if( !isset( $filename_array['Setup'] ) ){
			return array('RESULT'  => false,
						 'MESSAGE' => $def_lng['MSG_SAVE_NG_INT']);
		}else{
			if( false == save_ini_file( $filename_array['Setup'], $config, $is_echo ) ) {
				return array('RESULT'  => false,
							 'MESSAGE' => $def_lng['MSG_SAVE_NG']);
			}else{
				return array('RESULT'  => true,
							 'MESSAGE' => $def_lng['MSG_SAVE_OK']);
			}
		}
	}else{
		if( !isset( $filename_array['Setup'] ) || !isset( $filename_array['Save'] ) ){
			return array('RESULT'  => false,
						 'MESSAGE' => $def_lng['MSG_SAVE_NG_INT']);
		}else{
			// ファイルへ保存
			if( false == save_ini_file( $filename_array['Setup'], $config, $is_echo ) ) {
				return array('RESULT'  => false,
							 'MESSAGE' => $def_lng['MSG_SAVE_NG']);
			}
			if( false == save_ini_file( $filename_array['Save'], $config, $is_echo ) ) {
				return array('RESULT'  => false,
							 'MESSAGE' => $def_lng['MSG_SAVE_NG']);
			}else{
				return array('RESULT'  => true,
							 'MESSAGE' => $def_lng['MSG_SAVE_OK']);
			}
		}
	}
}

// APR1-MD5パスワードを生成
function crypt_apr1_md5( $newpasswd )
{
	$salt = substr(str_shuffle("abcdefghijklmnopqrstuvwxyz0123456789"), 0, 8);
	$len = strlen($newpasswd);
	$text = $newpasswd.'$apr1$'.$salt;
	$bin = pack("H32", md5($newpasswd.$salt.$newpasswd));
	for($i = $len; $i > 0; $i -= 16) { $text .= substr($bin, 0, min(16, $i)); }
	for($i = $len; $i > 0; $i >>= 1) { $text .= ($i & 1) ? chr(0) : $newpasswd{0}; }
	$bin = pack("H32", md5($text));
	for($i = 0; $i < 1000; $i++)
	{
		$new = ($i & 1) ? $newpasswd : $bin;
		if ($i % 3) $new .= $salt;
		if ($i % 7) $new .= $newpasswd;
		$new .= ($i & 1) ? $bin : $newpasswd;
		$bin = pack("H32", md5($new));
	}
	for ($i = 0; $i < 5; $i++)
	{
		$k = $i + 6;
		$j = $i + 12;
		if ($j == 16) $j = 5;
		$tmp = $bin[$i].$bin[$k].$bin[$j].$tmp;
	}
	$tmp = chr(0).chr(0).$bin[11].$tmp;
	$tmp = strtr(strrev(substr(base64_encode($tmp), 2)),
	"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",
	"./0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz");

	return "$"."apr1"."$".$salt."$".$tmp;
}

// .htpasswdの変更
function save_htpasswd( $env, $savename )
{
	require( get_lang_file(__FILE__) );
	
	$user_len = mb_strlen($env["USER"], 'UTF-8');
	$pass_len = mb_strlen($env["PASS"], 'UTF-8');
	
	// パスワードが確認用と異なる
	if( strcmp($env["PASS"], $env["VERIFY"]) ){
		return array('RESULT'  => false,
					 'MESSAGE' => $def_lng['MSG_PASS_NG']);
	}
	// 使用できない記号が含まれている(ASCII文字以外と特定記号 " # & ' : \)
	if( ( 0 < preg_match('/[^\x21-\x7E]|[\x22\x23\x26\x27\x3a\x5c]/', $env["USER"]) ) ||
			 ( 0 < preg_match('/[^\x21-\x7E]|[\x22\x23\x26\x27\x3a\x5c]/', $env["PASS"]) ) ){
		return array('RESULT'  => false,
					 'MESSAGE' => $def_lng['MSG_SECURITY_NG']);
	}
	// ユーザー名が4文字以上20字以内になっていない
	if( (4 > $user_len) || (20 < $user_len) ){
		return array('RESULT'  => false,
					 'MESSAGE' => $def_lng['MSG_SECURITY_NG']);
	}
	// パスワードが4文字以上20字以内になっていない
	if( (4 > $pass_len) || (20 < $pass_len) ){
		return array('RESULT'  => false,
					 'MESSAGE' => $def_lng['MSG_SECURITY_NG']);
	}
	// 監視装置実装時のNHK要望の為未使用 パスワードが英数字記号を混在した8文字以上20文字以内になっていない
/*
	if( 1 > preg_match('/\A(?=.*?[a-z])(?=.*?\d)(?=.*?[!-\/:-@[-`{-~])[!-~]{8,20}+\z/i', $env["PASS"]) ){
		return -3;
	}
*/
	// 変更が無ければファイル更新せずに終了
	if( !(strcmp($_SERVER['PHP_AUTH_USER'] ,$env["USER"])) &&
	    !(strcmp($_SERVER['PHP_AUTH_PW'] ,$env["PASS"])) ){
		return array('RESULT'  => true,
					 'MESSAGE' => $def_lng['MSG_SAVE_OK']);
	}
	
	// .htpasswdに記載する文字列作成
	$value = $_POST[USER] . ":" .crypt_apr1_md5( $env["PASS"] )."\n";
	
	// ファイル更新
	$handle = fopen( $savename, "r+" );	// 排他制御のため"r+"で開く
	if( $handle != FALSE ){
		flock( $handle, LOCK_EX );		// 他で開いていたらここで待たされる
		ftruncate( $handle, 0);			// ファイル長を0にする
		fwrite( $handle, $value );
		fclose( $handle );
		copy( $savename, SD_SECURITY_CONF );
		system("sudo systemctl reload apache2;sync"); // Apache2をリロード
		$result['RESULT'] = true;
		$result['MESSAGE'] = $def_lng['MSG_SAVE_OK'];
	}else{
		// ファイルオープンエラー
		return array('RESULT'  => false,
					 'MESSAGE' => $def_lng['MSG_SAVE_NG']);
	}
	return $result;
}

// 設定ファイルのダウンロード
function ini_download(){
	// 圧縮
	$cmd = "tar cvzf " . COMP_FILE . " " . CONF_DIR . "*";
	
	echo $cmd . "<br>\n";
	
	system($cmd);
	
	// 送信
	header('Content-Type: application/octet-stream'); 
	header('Content-Disposition: attachment; filename="'. COMP_FILE .'"'); 
	header('Content-Length: '.filesize(COMP_FILE));
	readfile(COMP_FILE);
	
}

// HHMM形式の表示用変換
function format_HHMM( $hhmm ){
	return substr($hhmm, 0, 2) . ":" .
		   substr($hhmm, 2, 2) . "";
//	return substr($hhmm, 0, 2) . "時" .
//		   substr($hhmm, 2, 2) . "分";
}

// YYYYMMDDHHMMSS形式の表示用変換
function format_YYYYMMDDHHMMSS( $yyyymmddhhmmss ){
	if( strlen($yyyymmddhhmmss) < 14 ){
		return "";
	}
	
	return substr($yyyymmddhhmmss, 0, 4) . "/" .
		   substr($yyyymmddhhmmss, 4, 2) . "/" .
		   substr($yyyymmddhhmmss, 6, 2) . "-" .
		   substr($yyyymmddhhmmss, 8, 2) . ":" .
		   substr($yyyymmddhhmmss, 10, 2) . ":" .
		   substr($yyyymmddhhmmss, 12, 2) . "";
}

// YYYYMMDDHHMMSS形式の表示用変換
function format_YYYYMMDDHHMM( $yyyymmddhhmmss ){
	if( strlen($yyyymmddhhmmss) < 14 ){
		return "";
	}
	
	return substr($yyyymmddhhmmss, 0, 4) . "/" .
		   substr($yyyymmddhhmmss, 4, 2) . "/" .
		   substr($yyyymmddhhmmss, 6, 2) . "-" .
		   substr($yyyymmddhhmmss, 8, 2) . ":" .
		   substr($yyyymmddhhmmss, 10, 2);
//	return substr($hhmm, 0, 2) . "時" .
//		   substr($hhmm, 2, 2) . "分";
}

/**
 * INIファイルの読み込み
 * @param type $filename	INIファイル
 * @return 配列				[セクション名][パラメータ名]を添え字にした連想配列
 * @note					parse_ini_fileでは値に設定できないファイルがあるため独自に作成
 */
function my_parse_ini_file( $filename )
{
	if( !file_exists( $filename ) ){
		return NULL;
	}
	
	if( !( $fp = fopen ( $filename, "r" ) ) ) {
		return NULL;
	}
/*
	if( !flock( $fp, LOCK_EX ) ){    //排他的ロック
		fclose( $fp );
		return NULL;
	}
 */
	$result = array();
	$section = "";
	$param = "";
	
	while( !feof( $fp ) ) {
		$read = fgets( $fp );
		//echo $read;
		
		// コメントを削除
		$pos = strpos( $read, ';' );
		if( false != $pos ){
			$read = substr( $read , 0, $pos);
		}
		
		// 空白、タブ、改行コードを除去
		$read = trim($read, " \t\r\n");
		
		if(strlen($read ) == 0 ){
			continue;
		}
		
		if( '[' == substr($read, 0, 1 ) ){
			$section = trim($read, "[]");
		}else if( strpos( $read, '=' ) ){
			$param = preg_split('/=/', $read);
			if( 2 <= count($param) ){
				$param[0] = trim($param[0], " \t\r\n");
				$result[$section][$param[0]] = trim( $param[1], " \t\r\n" );
				for( $i = 2 ; $i < count($param) ; $i++ ){
					$result[$section][$param[0]] = $result[$section][$param[0]] . '=' . trim($param[$i], " \t\r\n");
				}
			}else{
				// INIファイルのフォーマットエラー
				return NULL;
			}
		}
	}
	fclose ($fp);
	return $result;
}

/*
 * ファイルサイズを単位を調整して表示
 */
function show_filesize( $size, $show_unit = false ){
	$cnt = 0;
	$unit = array( "B", "KB", "MB", "GB", "TB", "PB" );
	$size = doubleval( $size );
	while( $size > 1000 ){
		$size /= 1000;
		$cnt++;
	}
	if( $show_unit ){
		if( $cnt ){
			return sprintf( "%.1f ", round($size, 1, 2) ) . $unit[$cnt];
		}else{
			return $size . " " . $unit[$cnt];
		}
	}else{
		if( $cnt ){
			return sprintf( "%.1f ", round($size, 1, 2) );
		}else{
			return $size;
		}
	}
}

/*
 * filesizeが32bitのため、lsコマンドで出力されるファイルサイズを
 * 使用してファイルサイズを取得する関数
 */
function real_filesize( $filename, $format = false ){
	if( $format ){
		$size = doubleval( exec( "ls -al $filename | awk '{print $5}'" ) );
		$cnt = 0;
		$unit = array( "B", "KB", "MB", "GB", "TB", "PB" );
		while( $size > 1000 ){
			$size /= 1000;
			$cnt++;
		}
		if( $cnt ){
			return sprintf( "%.1f ", round($size, 1, 2) ) . $unit[$cnt];
		}else{
			return $size . " " . $unit[$cnt];
		}
	}else{
		return exec( "ls -al $filename | awk '{print $5}'" );
	}
}

/*
 * 共通言語ファイルを取得する
 */
function get_common_lang_file(){
	global $system_conf;
	$parse = pathinfo( __FILE__ );
	
	if( ( 1 == $system_conf['DBSSystem']['Language'] ) && 
		file_exists( $parse['dirname'] . '/lng/common.en' ) ){
		// 英語
		return $parse['dirname'] . '/lng/common.en';
	}else{
		// デフォルトは日本語
		return $parse['dirname'] . '/lng/common.jp';
	}
}

/*
 * 言語ファイルを取得する
 */
function get_lang_file( $filepath ){
	global $system_conf;
	$parse = pathinfo( $filepath );
	
	if( ( 1 == $system_conf['DBSSystem']['Language'] ) && 
		file_exists( $parse['dirname'] . '/lng/' . $parse['filename'] . '.en' ) ){
		// 英語
		return $parse['dirname'] . '/lng/' . $parse['filename'] . '.en';
	}else{
		// デフォルトは日本語
		return $parse['dirname'] . '/lng/' . $parse['filename'] . '.jp';
	}
}
?>
