<?php
	// POST処理
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		if( @$_POST['download'] == 'true' ){
			system( "cd /var/www/log ; tar cvzpf log.tar.gz * > /dev/null" );
			
			header('Content-Type: application/octet-stream'); 
			header('Content-Disposition: attachment; filename="log.tar.gz"'); 
			header('Content-Length: '.filesize("/var/www/log/log.tar.gz"));
			readfile("/var/www/log/log.tar.gz");
			
			system( "rm /var/www/log/log.tar.gz" );
			exit;
			return;
		}
	}
	// 共通情報の読み込み
	require_once("./libdefault.php");
	require_once("./libfunction.php");
	require_once( get_lang_file(__FILE__) );
	date_default_timezone_set("Asia/Tokyo");
	
	// POST処理
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		if( @$_POST['delete'] == 'true' ){
			// dbs7mainにLOG_DELETEを投げる
			system( "echo LOG_DELETE > MAINCONTROL" );
			// 削除する時間待ち
			sleep( 5 );
		}
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">	
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left();
?>
		<link rel="stylesheet" href="./css/jquery.ui.all.css">
		<script type="text/javascript" src="./js/common.js"></script>
		<script type="text/javascript" src="./js/jquery-1.9.1.min.js"></script>
		<script type="text/javascript" src="./js/jquery-ui.min.js"></script>		
		<script type="text/javascript" src="./js/jquery.ui.datepicker-ja.min.js"></script>
		<script type="text/javascript">
		<!--
			$(function() {
				$( "#from" ).datepicker({
					defaultDate: "+1w",
					minDate:"-1Y +1D",
					maxDate: 0,
					changeMonth: true,
					numberOfMonths: 1,
					onClose: function( selectedDate ) {
						$( "#to" ).datepicker( "option", "minDate", selectedDate );
					}
				});
				$( "#to" ).datepicker({
					defaultDate: "+1w",
					minDate:"-1Y +1D",
					maxDate: 0,
					changeMonth: true,
					numberOfMonths: 1,
					onClose: function( selectedDate ) {
						$( "#from" ).datepicker( "option", "maxDate", selectedDate );
					}
				});
			});
		-->
		</script>
	</head>
	<body>
		<div class="page_body">
			<h3 class="table_caption"><?php echo $lng['TC0']; ?></h3>
<?php
	if( $system_conf['DBSSystem']['CustumInfo'] == 0 ){
		//	現在の日付をデフォルト値に設定
		
		$from = date( "Y/m/d" );
		$to = date( "Y/m/d" );
		if($_SERVER['REQUEST_METHOD'] == "POST"){
			if( @$_POST['update_range'] == 'true' ){
				$from = $_POST['from'];
				$to = $_POST['to'];
			}
		}
?>
			<form method="POST">
				<?php echo $lng['LBL_RANGE']; ?><br/>
				<label for="from"><?php echo $lng['LBL_START']; ?></label>
				<input type="text" id="from" name="from" size="10" value="<?php echo $from; ?>"/>
				<label for="to"><?php echo $lng['LBL_END']; ?></label>
				<input type="text" id="to" name="to" size="10" value="<?php echo $to; ?>"/>
				<input type="hidden" name="update_range" value="true"/>
				<input type="submit" value="<?php echo $lng['LBL_UPDATE']; ?>">
			</form>
			<br/>
<?php
	}else{
		$from = date( "Y/m/d", strtotime("- 1 years + 1days") );
		$to = date( "Y/m/d" );
	}
	
	$split_from = preg_split( "/\//" , $from );
	$split_to = preg_split( "/\//" , $to );
	
	$month_of_day = array( 0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 );
?>
			<table>
				<tr>
					<th style="text-align:center;"><?php echo $lng['TB0_TH0']; ?></th>
<?php
	if( $system_conf['DBSSystem']['CustumInfo'] == 0 ){
?>
					<th style="text-align:center;">Link</th>
<?php
	}
?>
				</tr>
<?php
	$m = intval($split_from[1]);
	$d = intval($split_from[2]);
	$count = 0;
	
	for( $y = $split_from[0] ; $y <= $split_to[0] ; $y++ ){
		for(  ; $m <= 12 ; $m++ ){
			// 閏年？
			if( checkdate( $m, 29, $y ) ){
				$month_of_day[2] = 29;
			}else{
				$month_of_day[2] = 28;
			}
			for(  ; $d <= $month_of_day[intval($m)] ; $d++ ){
				
				$file_path = search_dir_file( LOG_DIR_PATH . sprintf("/%02d/%02d", $m, $d) , LOG_FILE_EXT, true, true );
				
				//echo  LOG_DIR_PATH . sprintf("/%02d/%02d/", $m, $d) . "\n" ;
				
				ksort( $file_path );
				if( count( $file_path ) ){
					foreach ( $file_path as $datetime => $path ){
						$count++;
			?>
							<tr>
<?php
	if( $system_conf['DBSSystem']['CustumInfo'] == 0 ){
?>
								<td style="text-align:center; padding-top: 0.05em; padding-bottom: 0.05em;">
									<?php echo date("Y/m/d H:i:s",$datetime); ?>
								</td>
								<td style="text-align:center; padding-top: 0.05em; padding-bottom: 0.05em;">
									<a href="<?php echo $path ?>" target="_blank"><?php echo $lng['LBL_DISPLAY']; ?></a>
								</td>
<?php
	}else{
?>
								<td style="text-align:center; padding-top: 0.05em; padding-bottom: 0.05em;">
									<a href="<?php echo $path ?>" target="_blank"><?php echo date("Y/m/d H:i:s",$datetime); ?></a>
								</td>
<?php
	}
?>
							</tr>
			<?php
					}
				}
				if( $y == $split_to[0] && $m == $split_to[1] && $d == $split_to[2] ) break;
			}
			$d = 1;
			if( $y == $split_to[0] && $m == $split_to[1] ) break;
		}
		$m = 1;
	}
	
	if( $count == 0 ){
		if( $system_conf['DBSSystem']['CustumInfo'] == 0 ){
			echo( "<tr><td colspan=\"2\">". $lng['MSG_NO_LOG'] ."</td><tr>" );
		}else{
			echo( "<tr><td>". $lng['MSG_NO_LOG'] ."</td><tr>" );
		}
	}
?>
			</table>
			<table style="border: 0px; margin-top: 1px;">
				<tr>
					<td style="border: 0px;text-align: left; padding: 0px;">
						<form action="log_list.php" method="POST" onSubmit="return checkDialog('<?php echo $lng['MSG_DELETE_LOG']; ?>')">
							<input type="hidden" name="delete" value="true"/>
							<input type="submit" value="<?php echo $lng['LBL_DELETE']; ?>"/>
						</form>
					</td>
<?php
	if( $system_conf['DBSSystem']['CustumInfo'] == 0 ){
?>
					<td style="border: 0px; text-align: right; padding: 0px;">
						<form action="log_list.php" method="POST" onSubmit="return checkDialog('<?php echo $lng['MSG_DOWNLOAD']; ?>')">
							<input type="hidden" name="download" value="true"/>
							<input type="submit" value="<?php echo $lng['LBL_DOWNLOAD']; ?>"/>
						</form>
					</td>
<?php
	}
?>
				</tr>
			</table>
		</div>
	</body>
</html>
