<?php
if( 0 == strncmp( dirname(__FILE__), 'C:\xampp\htdocs', strlen( 'C:\xampp\htdocs' ) ) ){
	require_once( 'C:\xampp\htdocs\xampp\web\libdefault.php' );
	define( 'UPLOAD_ZIP',	 'C:\xampp\htdocs\xampp\tmp\logupload.zip' );
}else{
	require_once( '/var/www/libdefault.php' );
	define( 'UPLOAD_ZIP',	 '/var/www/logupload.zip' );
}

define( 'CRLF',	"\r\n" );

// dbs7mainが作成したzipファイルをサーバーにアップロードする
function upload_file( $server, $security_key, $path ){
	//ファイルアップロードを伴う場合、multipartで送信
	$boundary = '---------------------------'.time();
	$contentType = "Content-Type: multipart/form-data; boundary=" . $boundary;
	$data = '';
	
	$data .= "--$boundary" . CRLF;
	$data .= 'Content-Disposition: form-data; name=key' . CRLF . CRLF;
	$data .= $security_key . CRLF;
	
	$data .= "--$boundary" . CRLF;
	$data .= sprintf( 'Content-Disposition: form-data; name="%s"; filename="%s"%s', 'UploadFile', basename( $path ), CRLF );
	$data .= 'Content-Type: application/octet-stream'. CRLF . CRLF;
	$data .= file_get_contents( $path ) . CRLF;
	$data .= "--$boundary--" . CRLF;
	
	$headers = array(
		$contentType,
		'Content-Length: ' . strlen( $data ),
	);
	
	$options = array(
		'http' => array(
			'method' => 'POST',
			'content' => $data,
			'header'  => implode( CRLF, $headers )
		)
	);
	return file_get_contents( $server, false, stream_context_create( $options ) );
}

$setup_conf = my_parse_ini_file( LOGUPLOAD_CONF );

// セキュリティキーをGETで送る場合にはここで置換処理を実行
// 必要が無ければコメントアウト
$server = str_replace( "[security key]", $setup_conf[ 'LogUpLoad' ][ 'KeyCode' ], $setup_conf[ 'LogUpLoad' ][ 'Server' ] );

$dbg = upload_file( $server, $setup_conf[ 'LogUpLoad' ][ 'KeyCode' ], UPLOAD_ZIP );

// デバッグ出力用 
// var_dump( $dbg );
?>