<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("magnum_hdsd_lib.php");
	
	$loading = false;
	
	// ネットワーク情報の読み込み
	if( is_file( NETWORK_CONF ) ){		// ネットワーク情報
		// $network_conf = parse_ini_file( NETWORK_CONF, true );
		$network_conf = my_parse_ini_file( NETWORK_CONF );
		if( NULL == $network_conf ){
			echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
			echo "Now loading...";
			exit(1);
		}
	}else{
		//echo "INI File Not Found(".NETWORK_CONF.")<br>\n";
		//exit(1);
		$loading = true;
	}
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_status_file( $function_conf, $_GET['board'] );

		if( is_file(  $ini_file ) ){
			// $status_conf = parse_ini_file( $ini_file, true );
			$status_conf = my_parse_ini_file( $ini_file );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			//echo "INI File Not Found(". $ini_file .")<br>\n";
			//exit(1);
			$loading = true;
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 class="table_caption">HDエンコーダ設定値</h3>
			<table>
				<tr>
					<th width="150px">エンコーダタイプ</th>
					<td>
<?php
	if( $status_conf['MAGNUM']['MODE'] == 0 ){
		echo "						" . $encode_type[$status_conf['MAGNUM']['MODE']] . "\n";
	}else{
		echo "						" . $encode_type[$status_conf['MAGNUM']['MODE']][$status_conf['MAGNUM']['NTSC_PAL']] . "\n";
	}
?>
					</td>
				</tr>
				<tr>
					<th>エンコーダ</th>
					<td><?php echo ($status_conf['HD1']['ENABLE'] == 0) ? "停止" : "起動" ; ?></td>
				</tr>
				<tr>
					<th>エンコードモード</th>
					<td><?php echo ($status_conf['HD1']['ENC_MODE'] == 0) ? "MPEG" : "H.264" ; ?></td>
				</tr>
				<tr>
					<th>入力種別</th>
					<td>
						<?php echo $input_type_hd[ $status_conf['HD1']['INPUT_TYPE'] ]; ?>

					</td>
				</tr>
				<tr>
					<th>HDビデオフォーマット</th>
					<td><?php echo ($status_conf['HD1']['VIDEO_FORMAT'] == 0) ? "1920x1080" : "1440x1080" ; ?></td>
				</tr>
				<tr>
					<th>ビデオレート</th>
					<td><?php echo $status_conf['HD1']['VIDEO_RATE']; ?> bps</td>
				</tr>
				<tr>
					<th>エンコードディレイ</th>
					<td><?php echo $status_conf['HD1']['DELAY']; ?> msec</td>
				</tr>
				<tr>
					<th>アスペクト比</th>
					<td><?php echo ($status_conf['HD1']['ASPECT'] == 0) ? "16:9" : "4:3" ; ?></td>
				</tr>
				<tr>
					<th>オーディオモード</th>
					<td>
<?php
	switch( $status_conf['HD1']['AUDIO_MODE'] ){
		case 0:
			echo "						モノラル\n";
			break;
		case 1:
			echo "						ステレオ\n";
			break;
		case 2:
			echo "						DUAL\n";
			break;
		case 3:
			echo "						EXT\n";
			break;
	}
?>
					</td>
				</tr>
				<tr>
					<th>Audio Rate</th>
					<td>
<?php
	switch( $status_conf['HD1']['AUDIO_RATE'] ){
		case 0:
			echo "						48\n";
			break;
		case 1:
			echo "						64\n";
			break;
		case 2:
			echo "						96\n";
			break;
		case 3:
			echo "						128\n";
			break;

		case 4:
			echo "						192\n";
			break;
		case 5:
			echo "						256\n";
			break;
		case 6:
			echo "						320\n";
			break;
		case 7:
			echo "						384\n";
			break;
	}
?>
					 kbps
					</td>
					
				</tr>
			</table>
			<br />
			<br />
			<h3 class="table_caption">HDエンコーダ動作状態</h3>
			<table>
				<tr>
					<th width="200px" colspan="2">エンコード状態</th>
					<?php echo ($status_conf['STATUS_HD1']['ENC'] != 0) ? "<td width=\"200px\" class=\"on\" colspan=\"2\">動作中</td>\n" : "<td width=\"200px\" class=\"off\" colspan=\"2\">停止中</td>\n" ; ?>
				</tr>
<?php
	if($status_conf['STATUS_HD1']['ENC'] != 0){
?>
				<tr>
					<th width="200px" colspan="2">入力状態</th>
					<?php echo ($status_conf['STATUS_HD1']['INPUT_LOCK'] != 0) ? "<td width=\"200px\" class=\"on\" colspan=\"2\">入力信号有り</td>\n" : "<td width=\"200px\" class=\"off\" colspan=\"2\">入力信号無し</td>\n" ; ?>
				</tr>
				<tr>
					<th colspan="2">Video TS Error</th>
					<?php echo ($status_conf['STATUS_HD1']['ERR_V_TS'] == 0) ? "<td width=\"200px\" class=\"on\" colspan=\"2\">エラー無し</td>\n" : "<td width=\"200px\" class=\"off\" colspan=\"2\">エラー有り</td>\n" ; ?>
				</tr>
				<tr>
					<th colspan="2">Audio TS Error</th>
					<?php echo ($status_conf['STATUS_HD1']['ERR_A_TS'] == 0) ? "<td width=\"200px\" class=\"on\" colspan=\"2\">エラー無し</td>\n" : "<td width=\"200px\" class=\"off\" colspan=\"2\">エラー有り</td>\n" ; ?>
				</tr>
				<tr>
					<th colspan="2">入力フォーマット</th>
					<td class="on" colspan="2">						
<?php
	switch( $status_conf['STATUS_HD1']['FORMAT'] ){
		case 0:
			echo "						1080/59.94\n";
			break;
		case 1:
			echo "						1080/50\n";
			break;
		case 2:
			echo "						525/59.94\n";
			break;
		case 3:
			echo "						625/50\n";
			break;
	}
?>
					</td>
				</tr>				
				<tr>
					<th width="80px" class="graph_title_th">
						ﾋﾞﾃﾞｵﾚｰﾄ
					</th>
					
					<td width="120px" class="graph_bitrate_td">
						<?php echo sprintf( "%.3f", $status_conf['STATUS_HD1']['VIDEO_RATE'] * MAGNUM_HD_VIDEO_RATE_LSB_INI ); ?>Mbps
					</td>
					<td width="<?php echo MAGNUM_GRAPH_WIDTH;?>px" colspan="2" class="graph_base">
						<?php draw_graph( 0, MAGNUM_HD_VIDEO_RATE_MAX * MAGNUM_HD_VIDEO_RATE_LSB, $status_conf['STATUS_HD1']['VIDEO_RATE'] * MAGNUM_HD_VIDEO_RATE_LSB_INI, "graph_div_ok" ) ?>									
					</td>
				</tr>
				<tr>
					<td width="200px" colspan="2" class="scale_none"></td>
					<td width="100px" class="scale_left" align="left">　</td>
					<td width="100px"class="scale_right" align="right">　</td>
				</tr>
				<tr>
					<td width="200px" colspan="2" class="scale_none"></td>
					<td width="100px" class="scale_none" align="left">0Mbps</td>
					<td width="100px" class="scale_none" align="right"><?php echo ( MAGNUM_HD_VIDEO_RATE_MAX * MAGNUM_HD_VIDEO_RATE_LSB ); ?>Mbps</td>
				</tr>
				<tr>
					<th width="80px" class="graph_title_th">
						ｵｰﾃﾞｨｵﾚｰﾄ
					</th>
					
					<td width="120px" class="graph_bitrate_td">
						<?php echo sprintf( "%.3f", $status_conf['STATUS_HD1']['AUDIO_RATE'] * MAGNUM_HD_AUDIO_RATE_LSB_INI ); ?>kbps
					</td>
					<td width="<?php echo MAGNUM_GRAPH_WIDTH;?>px" colspan="2" class="graph_base">
						<?php draw_graph( 0, MAGNUM_HD_AUDIO_RATE_MAX * MAGNUM_HD_AUDIO_RATE_LSB, $status_conf['STATUS_HD1']['AUDIO_RATE'] * MAGNUM_HD_AUDIO_RATE_LSB_INI, "graph_div_ok" ) ?>
					</td>
				</tr>
								
				<tr>
					<td colspan="2" class="scale_none"></td>
					<td width="100px" class="scale_left" align="left">　</td>
					<td width="100px" class="scale_right" align="right">　</td>
				</tr>
				<tr>
					<td colspan="2" class="scale_none"></td>
					<td  width="100px" class="scale_none" align="left">0kbps</td>
					<td  width="100px" class="scale_none" align="right"><?php echo ( MAGNUM_HD_AUDIO_RATE_MAX * MAGNUM_HD_AUDIO_RATE_LSB ); ?>kbps</td>
				</tr>
<?php
	}
?>
			</table>
			<br/>
			<br/>
			<h3 class="table_caption">機器ステータス</h3>
			<table>
				<tr>
					<th width="150px">MAGNUMモデル</th>
					<td>
<?php
	switch( $status_conf['STATUS']['MODEL'] ){
		case 0:
			echo "						HDx1/SDx4\n";
			break;
		case 1:
			echo "						SDx4\n";
			break;
	}
?>
					</td>
				</tr>
				<tr>
					<th width="150px">ブート状態</th>
					<td>
<?php
	switch( $status_conf['STATUS']['BOOT'] ){
		case 0:
			echo "						ブート中\n";
			break;
		case 1:
			echo "						起動\n";
			break;
	}
?>
					</td>
				</tr>
			</table>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
