<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("./maintenance_lib.php");
	
	if(file_exists( LOGUPLOAD_CONF ) ){
		$setup_conf = my_parse_ini_file( LOGUPLOAD_CONF );
	}else{
		echo "INI File Not Found(". LOGUPLOAD_CONF .")<br>\n";
		exit(1);
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
		<script type="text/javascript" src="../js/common.js"></script>
	</head>
	<body>
		<div class="page_body">
			<form action="log_up_load_setting_ctrl.php" method="POST">
				<h3 class="table_caption">ログアップロード</h3>
				<table>
					<tr>
						<th width="50%">状態</th>
						<td>
							<select name="Enable">
								<option value="0"<?php echo (($setup_conf['LogUpLoad']['Enable'] == 0) ? " selected":""); ?>>無効</option>
								<option value="1"<?php echo (($setup_conf['LogUpLoad']['Enable'] == 1) ? " selected":""); ?>>有効</option>
							</select>							
						</td>
					</tr>
					<tr>
						<th>ログアップロードサーバ</th>
						<td>
							<input type="text" name="Server" size="25" value="<?php echo $setup_conf['LogUpLoad']['Server']; ?>" />
						</td>
					</tr>
					<tr>
						<th>アップロード時間</th>
						<td>
							毎日　
<?php
	$set_hour =  substr( $setup_conf['LogUpLoad']['UpLoadTime'], 0, 2 );
	$set_min =  substr( $setup_conf['LogUpLoad']['UpLoadTime'], 3, 2 );
?>
							<select name="UpLoadTime_h">
<?php
	for( $i = 0 ; $i < 24 ; $i++ ){
		echo "								<option value=\"".$i."\"" . (($set_hour == $i) ? " selected":"") . ">".  sprintf("%02d", $i)."</option>\n";
	}
?>
							</select>
							時
							<select name="UpLoadTime_m">
<?php
	for( $i = 0 ; $i < 60 ; $i++ ){
		echo "								<option value=\"".$i."\"" . (($set_min == $i) ? " selected":"") . ">".  sprintf("%02d", $i)."</option>\n";
	}
?>
							</select>
							分
						</td>
					</tr>
					<tr>
						<th>セキュリティキー</th>
						<td>
							<input type="text" name="KeyCode" size="25" value="<?php echo $setup_conf['LogUpLoad']['KeyCode']; ?>" />
						</td>
					</tr>
				</table>
				<input type="hidden" name="set_log_up_load" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
				<input type="submit" value="設定">
			</form>
			<br/>
			<br/>
			<form action="log_up_load_setting_ctrl.php" method="POST">
				<h3 class="table_caption">強制アップロード</h3>
				<table>
					<tr>
						<th width="50%">アップロード</th>
						<td>
							<input type="submit" value="開始" />
						</td>
					</tr>
				</table>
				<input type="hidden" name="start_up_load" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
			</form>
		</div>
	</body>
</html>

