<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mamedo_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
			
			$ini_file = get_status_file( $function_conf, $_GET['board'] );
			if( is_file(  $ini_file ) ){
				$status_conf = parse_ini_file( $ini_file, true );
			}
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
	view_jquery_sub();
?>
		<script type="text/javascript" src="../js/mamedo_ctrl.js"></script>
	</head>
	<body>
		<div class="page_body">
			<form action="./mamedo_setup_ctrl.php" method="POST">
				<h3 class="table_caption">デコーダ設定</h3>
				<table class="list">
					<tr>
						<th>入力選択</th>
						<td>
							<select name="mamedo_input">
								<option value="<?php echo INPUT_TYPE_INSIDE;?>" <?php echo(($setup_conf['MAMEDO']['INPUT'] == INPUT_TYPE_INSIDE) ? 'selected' : '' ); ?>>内部</option>
								<option value="<?php echo INPUT_TYPE_OUTSIDE;?>" <?php echo(($setup_conf['MAMEDO']['INPUT'] == INPUT_TYPE_OUTSIDE) ? 'selected' : '' ); ?>>ASI</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>出力選択</th>
						<td>
							<select name="mamedo_output">
								<option value="<?php echo OUTPUT_TYPE_SDI;?>"<?php echo(($setup_conf['MAMEDO']['OUTPUT'] == OUTPUT_TYPE_SDI) ? ' selected' : '' ); ?>>SDI</option>
								<option value="<?php echo OUTPUT_TYPE_COMPOSITE;?>"<?php echo(($setup_conf['MAMEDO']['OUTPUT'] == OUTPUT_TYPE_COMPOSITE) ? ' selected' : '' ); ?>>コンポジット</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>プログラム選択</th>
						<td>
							<select name="mamedo_program">
<?php /*								<option value="<?php echo PROGRAM_TYPE_AUTO;?>"<?php echo(($setup_conf['MAMEDO']['SEL_PROGRAM'] == PROGRAM_TYPE_AUTO) ? ' selected' : '' ); ?>>自動</option> */ ?>
<?php
// ステータスで読み込んだプログラム分だけ表示する
foreach ($status_conf as $key => $value) {
	if($key == 'MAMEDO'){
		for($i = 0 ; $i < PROGRAM_MXX ; $i++ ){
			$program_no = sprintf('PROGRAM_%02X_NO', $i + 1 );
//			$program_name = sprintf('PROGRAM_%02X_NAME', $i );
//			if( isset($status_conf['MAMEDO'][$program_no]) && isset($status_conf['MAMEDO'][$program_name])){
			if( isset($status_conf['MAMEDO'][$program_no]) ){
				if( '' !=  $status_conf['MAMEDO'][$program_no] ){
					echo "								<option value=\"$i\"" . (($setup_conf['MAMEDO']['SEL_PROGRAM'] == $i) ? ' selected' : '' ) . ">" . sprintf( "%d", hexdec($status_conf['MAMEDO'][$program_no])) . " (0x" . sprintf( "%04X", hexdec( $status_conf['MAMEDO'][$program_no] ) ) .  ")</option>\n";
				}
			}else{
				break;
			}
		}
	}
}
?>
							</select>
							<input type="button" value="リロード" onclick="location.reload();" />
						</td>
					</tr>
				</table>
				<input type="hidden" name="mamedo" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="設定">
			</form>
			<br/>
			<br/>
			<h3 class="table_caption">デコーダ操作</h3>
			<form action="./mamedo_setup_ctrl.php" method="POST">
			<table class="list">
				<tr>
					<td>
<!--						<input type="button" name="mamedo_scan" class="mamedo_scan" id="mamedo_scan" value="再スキャン" title="デコーダへの入力信号を再スキャンします" />-->
						<input type="submit" value="再スキャン" title="デコーダへの入力信号を再スキャンします" />
					</td>
				</tr>
			</table>
				
			<div style="width:400px">
				<font size="-1" color="red">※ デコーダステータスのプログラムに表示したいプログラムがない場合等に再スキャンを実行してください。</font>
			</div>
				
			<input type="hidden" name="scan" value="true">
			<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
			</form>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
