<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mamedo_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	$board = "";
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		if(isset($_POST['board'])){
			$board =  $_POST['board'];
		}
	}else if($_SERVER['REQUEST_METHOD'] == "GET"){
		$board =  $_GET['board'];
	}
	if($board != '' && !isset($_POST['scan'])){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $board );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
		
		if($_SERVER['REQUEST_METHOD'] == "POST"){
			if( $_POST['mamedo'] == 'true' ){			// MAMEDOの設定
				$result = save_conf_mamedo($setup_conf, $_POST, $ini_file);
			}
		}
		
	}else if( isset($_POST['scan']) && 'true' == $_POST['scan'] ){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $board );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
		
		// $result = reset_program_mamedo($setup_conf, $ini_file);
		
		system("echo [MamedoScan] > MAINCONTROL");
		$result = array('RESULT'  => true,
						'MESSAGE' => 'スキャンを開始しました。');
	}
	$result['BACK_URL'] = "./mamedo_setup.php?board=". $board;

	// 結果の表示
	require_once("../libsetresult.php");
?>
