<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
		<script type="text/javascript" src="../js/magnum_hdsd.js"></script>
		
<SCRIPT language="JavaScript">
<!--
function	statusChange(){
	setInputForm(set_epg.elements['status'].value);
}
function	setInputForm(sel){
	if( sel == 0 ){
		// すべて無効
		set_epg.elements['epg_file'].disabled = true;
		set_epg.elements['dvb_ts_no'].disabled = true;
<?php
for( $epg_no = EPG_NUM_START ; $epg_no <= EPG_NUM_END ; $epg_no += EPG_NUM_INC ){
	echo "		set_epg.elements['epg_name[".$epg_no."]'].disabled = true;\n";
	echo "		set_epg.elements['epg_cont[".$epg_no."]'].disabled = true;\n";
	echo "		set_epg.elements['epg_count[".$epg_no."]'].disabled = true;\n";
}
?>
	}else if( sel == 1 ) {
		// 固定設定のみ有効
		set_epg.elements['epg_file'].disabled = true;
		set_epg.elements['dvb_ts_no'].disabled = true;
<?php
for( $epg_no = EPG_NUM_START ; $epg_no <= EPG_NUM_END ; $epg_no += EPG_NUM_INC ){
	echo "		set_epg.elements['epg_name[".$epg_no."]'].disabled = false;\n";
	echo "		set_epg.elements['epg_cont[".$epg_no."]'].disabled = false;\n";
	echo "		set_epg.elements['epg_count[".$epg_no."]'].disabled = false;\n";
}
?>
	}else{
		// ファイル入力を有効
		set_epg.elements['epg_file'].disabled = false;
		set_epg.elements['dvb_ts_no'].disabled = false;
<?php
for( $epg_no = EPG_NUM_START ; $epg_no <= EPG_NUM_END ; $epg_no += EPG_NUM_INC ){
	echo "		set_epg.elements['epg_name[".$epg_no."]'].disabled = true;\n";
	echo "		set_epg.elements['epg_cont[".$epg_no."]'].disabled = true;\n";
	echo "		set_epg.elements['epg_count[".$epg_no."]'].disabled = true;\n";
}
?>
	}
}
function	checkLen(obj, ch_no){
	if( set_epg.elements['epg_cont['+ch_no+']'].value.length > <?php echo EPG_CONTENTS_MAX; ?> ){
		alert( '最大'+<?php echo EPG_CONTENTS_MAX; ?>+'文字まで入力可能です。' );
		set_epg.elements['epg_cont['+ch_no+']'].value = set_epg.elements['epg_cont['+ch_no+']'].value.substring(0, <?php echo EPG_CONTENTS_MAX; ?>);
	}else{
		set_epg.elements['epg_count['+ch_no+']'].value = set_epg.elements['epg_cont['+ch_no+']'].value.length;
	}
	set_epg.elements['epg_count['+ch_no+']'].value = set_epg.elements['epg_cont['+ch_no+']'].value.length;
}
// -->
</SCRIPT>
	</head>
	<body  onload="setInputForm( <?php echo $setup_conf['EPG']['STATUS']; ?>);">
		<div class="page_body">
			<form action="mux_set_epg_ctrl.php" method="POST" name="set_epg" enctype="multipart/form-data">
				<h3 class="table_caption">EPG設定</h3>
				<table class="list">
					<tr>
						<th width="150px">番組ガイド</th>
						<td>
							<select name="status" onchange="statusChange()">
								<option value="0"<?php echo (($setup_conf['EPG']['STATUS'] == 0) ? " selected":""); ?>>無し</option>
								<option value="1"<?php echo (($setup_conf['EPG']['STATUS'] == 1) ? " selected":""); ?>>固定(下記内容)</option>
<?php
//	if(file_exists(EPG_FILE_PATH)){		// ファイルがないと表示されないのでコメントアウト
		echo "								<option value=\"2\"" . (($setup_conf['EPG']['STATUS']==2) ? " selected" : "" ) . ">ファイル指定</option>\n";
//	}
?>
							</select>
						</td>
					</tr>
				</table>
				<br/>
				<br/>
				<h3 class="table_caption">固定設定</h3>
				<table>
					<tr>
						<th>#</th>
						<th>番組名</th>
						<th>内容</th>
					</tr>
<?php 
	for( $epg_no = EPG_NUM_START ; $epg_no <= EPG_NUM_END ; $epg_no += EPG_NUM_INC ){
?>
					<tr>
						<th><?php echo $epg_no; ?></th>
						<td>
							<input type="text" name="epg_name[<?php echo $epg_no; ?>]" value="<?php echo $setup_conf['EPG'.$epg_no]['NAME']; ?>" maxlength="10" size="10"/></td>
						</td>
						<td>
							<textarea type="text" name="epg_cont[<?php echo $epg_no; ?>]" maxlength="128" size="60" rows="3" size="10" wrap="soft" onkeyup="checkLen(this, <?php echo $epg_no; ?>)"><?php echo $setup_conf['EPG'.$epg_no]['CONTENTS']; ?></textarea>
							<br />
							<input type="text" name="epg_count[<?php echo $epg_no; ?>]" value="<?php echo mb_strlen($setup_conf['EPG'.$epg_no]['CONTENTS'], 'UTF-8'); ?>" size="2" />文字（最大<?php echo EPG_CONTENTS_MAX; ?>文字）
						</td>
					</tr>
<?php
	}
?>
				</table>
				<br />
				<br />
				<h3 class="table_caption">ファイル指定</h3>
				<table>
					<tr>
						<th>DVB No.</th>
						<td>
							<select name="dvb_ts_no" id="dvb_ts_no">
<?php
	for($dvb_no = 1 ; $dvb_no <= DVB_END ; $dvb_no += DVB_INC){
		if($setup_conf['BML']['DVB_NO'] == $dvb_no) continue;
		echo "								<option value=\"" . $dvb_no . "\"". (( $setup_conf['EPG_FILE_PID']['DVB_NO'] == $dvb_no ) ? "selected" : "") . ">" . $dvb_no . "</option>\n";
	}
?>
							</select>
						</td>
					</tr>
					<tr>
						<th>設定済みファイル</th>
						<td>
<!--							<a href="<?php echo $setup_conf['EPG_FILE_PID']['FILE_PATH']; ?>"><?php echo basename($setup_conf['EPG_FILE_PID']['FILE_PATH']); ?></a>-->
							<?php echo basename($setup_conf['EPG_FILE_PID']['FILE_PATH']); ?>
						</td>
					</tr>
					<tr>
						<th>設定ファイル</th>
						<td>
							<input type="file" name="epg_file" size="20" /><br/>
							ファイルを変更する場合にのみ指定して下さい。
						</td>
					</tr>
				</table>
				<input type="hidden" name="set_epg" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
				<input type="submit" value="設定">
			</form>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
