<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_lib.php");
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// PSIの拡張機能の設定ファイルを取得する
		$status_file = get_status_file($function_conf, $_GET['board']);
		
		if( is_file( $status_file ) ){
			// $status = parse_ini_file( $status_file, true );
			$status = my_parse_ini_file( $status_file );
			if( NULL == $status ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			//echo "INI File Not Found(". $status_file .")<br>\n";
			//exit(1);
			$loading = true;
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 class="table_caption">マルチプレクサ入力ステータス</h3>
			<table>
				<tr>
					<th width="150px">マルチプレクサ</th>
					<td>
						<?php echo (($status['INPUT']['STATUS'] == 0) ? "停止":"起動"); ?>
					</td>
				</tr>
				<tr>
					<th width="150px">ベース基板入力</th>
					<td class="<?php echo (($status['INPUT']['STATUS'] == 0)? "off": "on"); ?>">
<?php 
	switch ($status['INPUT']['TYPE']){
		case 0:
			echo "						無し";
			break;
		case 1:
			echo "						ASI";
			break;
		case 2:
			echo "						チューナ";
			break;
		case 3:
			echo "						VoIP Rx";
			break;
		case 4:
			echo "						SATA";
			break;
	}
?>
					</td>
				</tr>
			</table>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
