<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_lib.php");
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// PSIの拡張機能の設定ファイルを取得する
		$status_file = get_status_file($function_conf, $_GET['board']);
		
		if( is_file( $status_file ) ){
			// $status = parse_ini_file( $status_file, true );
			$status = my_parse_ini_file( $status_file );
			if( NULL == $status ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			//echo "INI File Not Found(". $status_file .")<br>\n";
			//exit(1);
			$loading = true;
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<script type="text/javascript" src="../js/magnum_hdsd.js"></script>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 class="table_caption">マルチプレクサステータス</h3>
			<table>
<?php
// 200はtdの幅
$w =  200 / ( MUX_RATE_MAX * MUX_RATE_LSB );
foreach($status as $key1 => $val1){
	if( $key1 != 'MULTIPLEXER_RATE') continue;	// [MULTIPLEXER_RATE]のパラメータのみ表示
	if( strlen( $key1 ) > 0 ){
		foreach( $val1 as $key2 => $val2 ){
			echo "				<tr><td width=\"80px\" class=\"graph_title_td\">". $key2 . "</td><td width=\"120px\" class=\"graph_title_td\">". $val2 . "Mbps</td>".
								"<td width=\"200px\"  class=\"graph_base\">".
								"<table style=\"width: " . ((round( $val2 * $w ) <= 0) ? 1 : round( $val2 * $w ) ). "px; height: 20px; border-top:0px; background-color: ". GRAPH_COLOR .";\"><tr><td class=\"graph_td\"></td></tr></table>".
								"</td></tr>\n";
		}
	}
}
?>
			</table>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
