<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_in_lib.php");
	

	if( ( $system_conf['DBSSystem']['CustumInfo'] == OEM_DKK ) &&
		( is_fucnction($function_conf, BOARD_TYPE_VOIP_TX) ) ){
		// 電気興行でVoIP TX装置の場合は編集可能にする
		$fixed_in_pid_ts1 = array(
			0   => FALSE,
			1   => FALSE,
			2   => FALSE,
			3   => FALSE,
			4   => FALSE,
			5   => FALSE,
			6   => FALSE,
			7   => FALSE,
			8   => FALSE,
			9   => FALSE,
			10  => FALSE,
			11  => FALSE,
			12  => FALSE,
			13  => FALSE,
			14  => FALSE,
			15  => FALSE,
			16  => FALSE,
			17  => FALSE,
			18  => FALSE,
			19  => FALSE,
		);

		$fixed_in_pid_ts2 = array(
			0   => FALSE,
			1   => FALSE,
			2   => FALSE,
			3   => FALSE,
			4   => FALSE,
			5   => FALSE,
			6   => FALSE,
			7   => FALSE,
			8   => FALSE,
			9   => FALSE,
			10  => FALSE,
			11  => FALSE,
			12  => FALSE,
			13  => FALSE,
			14  => FALSE,
			15  => FALSE,
			16  => FALSE,
			17  => FALSE,
			18  => FALSE,
			19  => FALSE,
		);
	}else{
		$fixed_in_pid_ts1 = array(
			0   => TRUE,
			1   => TRUE,
			2   => TRUE,
			3   => TRUE,
			4   => TRUE,
			5   => TRUE,
			6   => TRUE,
			7   => TRUE,
			8   => TRUE,
			9   => TRUE,
			10  => TRUE,
			11  => TRUE,
			12  => FALSE,
			13  => FALSE,
			14  => FALSE,
			15  => FALSE,
			16  => FALSE,
			17  => FALSE,
			18  => FALSE,
			19  => FALSE,
		);

		$fixed_in_pid_ts2 = array(
			0   => TRUE,
			1   => TRUE,
			2   => TRUE,
			3   => FALSE,
			4   => FALSE,
			5   => FALSE,
			6   => FALSE,
			7   => FALSE,
			8   => FALSE,
			9   => FALSE,
			10  => FALSE,
			11  => FALSE,
			12  => FALSE,
			13  => FALSE,
			14  => FALSE,
			15  => FALSE,
			16  => FALSE,
			17  => FALSE,
			18  => FALSE,
			19  => FALSE,
		);
	}
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		
		$board_type = substr( $_GET['board'], 0, 2 );
		$board_no = substr( $_GET['board'], 3, 2 );
		
		if($board_type == BOARD_TYPE_OFDM){
			// OFDMのMUXはファイル名が固定
			$ini_file['Save'] = sprintf( SETUP_OFDM_MUX_SAVE, $board_no );
			$ini_file['Setup'] = sprintf( SETUP_OFDM_MUX_CONF, $board_no );
		}else{
			// Setupファイル名を取得
			$ini_file = get_setup_file( $function_conf, $_GET['board'] );
		}
		
		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
		
		$borad_info = get_board_info($function_conf, $_GET['board']);
	}
	
	// MUX IN テーブル表示関数
	function mux_in_set_show_table( $title, $filter, $ts_no ){
		global $setup_conf;
		global $fixed_in_pid_ts1;
		global $fixed_in_pid_ts2;
		if( $ts_no == 1 ){
			$fixed_in_pid_ts = $fixed_in_pid_ts1;
		}  else {
			$fixed_in_pid_ts = $fixed_in_pid_ts2;
		}
?>
			<form action="mux_in_set_pid_ctrl.php" method="POST" name="set_input">
				<h3 class="table_caption"><?php echo $title; ?></h3>
				<table>
					<tr>
						<th width="100px">状態</th>
						<td>
							<select name="status">
								<option value="0"<?php echo (($setup_conf[$filter]['STATUS'] == 0) ? " selected":""); ?>>無効</option>
								<option value="1"<?php echo (($setup_conf[$filter]['STATUS'] == 1) ? " selected":""); ?>>有効</option>
							</select>							
						</td>
					</tr>
				</table>
				<br/>
				<table>
					<tr>
						<th style="text-align: center; padding: 0.1em;">#</th>
						<th style="text-align: center; padding: 0.1em;">PMT</th>
						<th style="text-align: center; padding: 0.1em;">入力PID</th>
						<th style="text-align: center; padding: 0.1em;">変換後PID</th>
						<th style="text-align: center;"><span title="ストリームタイプ(stream_type)">ST</span></th>
						<th style="text-align: center;"><span title="コンポーネントタグ(component_tag)">CT</span></th>
					</tr>
<?php 
	for( $pid_no = INPUT_PID_START ; $pid_no <= INPUT_PID_END ; $pid_no += INPUT_PID_INC ){
?>
					<tr align="center">
						<th style="text-align: center; padding: 0em;"><?php echo $pid_no; ?></th>
						<td style="text-align: center; padding: 0em;">
							<input type="checkbox" name="input_pid_enable[<?php echo $pid_no; ?>]" <?php echo ($setup_conf[$filter]['SETTING'.$pid_no]) ? "checked" : ""; ?> />
						</td>
						<td style="text-align: center; padding: 0.1em;">
<?php
	if( isset($fixed_in_pid_ts[$pid_no]) && $fixed_in_pid_ts[$pid_no] ){
		$hex_pid = str_replace("0x", "", $setup_conf[$filter]['INPUT'.$pid_no]);
		echo '							0x'. $hex_pid . "\n";
		echo '							<input type="hidden" name="input_pid_input['. $pid_no .']" value="' . $hex_pid . '">' . "\n";
	}else{
?>
							0x<input type="text" size="5" name="input_pid_input[<?php echo $pid_no; ?>]" value="<?php echo str_replace("0x", "", $setup_conf[$filter]['INPUT'.$pid_no]); ?>" size="10"/>
<?php
	}
?>
						</td>
						<td style="text-align: center; padding: 0.1em;">
							0x<input type="text" size="5" name="input_pid_changed[<?php echo $pid_no; ?>]" value="<?php echo str_replace("0x", "", $setup_conf[$filter]['CHANGED'.$pid_no]); ?>" size="10"/>
						</td>
						<td style="text-align: center; padding: 0.1em;">							
							0x<input type="text" value="<?php echo sprintf("%02X", hexdec($setup_conf[$filter]['STREAM_TYPE'.$pid_no])); ?>" name="input_pid_stream_type[<?php echo $pid_no; ?>]" size="1" maxlength="2" />
						</td>
						<td style="text-align: center; padding: 0.1em;">
							0x<input type="text" value="<?php echo sprintf("%02X", hexdec($setup_conf[$filter]['COMPONENT_TAG'.$pid_no])); ?>" name="input_pid_component_tag[<?php echo $pid_no; ?>]" size="1" maxlength="2" />
						</td>
					</tr>
<?php
	}
?>
				</table>
				<input type="hidden" name="set_input_pid" value="true">
				<input type="hidden" name="ts" value="<?php echo $ts_no; ?>">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
				<input type="submit" value="設定">
			</form>
<?php
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
	</head>
	<body>
		<div class="page_body">			
<?php
	mux_in_set_show_table( "TS入力1　(フルセグ) PIDフィルター", 'FILTER0', 1 );	
?>

			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>

