<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// ʏ̓ǂݍ
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_inputsrc_lib.php");
	
	require_once( get_common_lang_file() );
	$lang_path = (__DIR__).DIRECTORY_SEPARATOR."mux_inputsrc_set_pid_func.php";
	require_once( get_lang_file($lang_path) );	// Languaget@Cǂݍ
	
	// DBS_Function.iniɕۑĂt@C擾
	if($_GET['board'] != ''){
		$borad_info = get_board_info($function_conf, $_GET['board']);
		if( isset( $borad_info['FilterSetup'] )){
			if( is_file( $borad_info['FilterSetup'] ) ){
				$setup_conf = parse_ini_file( $borad_info['FilterSetup'], true );
			}else {
				echo "INI File Not Found(". $borad_info['FilterSetup'] .")<br>\n";
				exit(1);
			}
		}
	}
	require_once './mux_inputsrc_set_pid_func.php';
	if( isset($_GET['service']) ){
		$service = $_GET['service'];
	}else{
		$service = 0;	// T[rX0Jn
	}
	if( isset($_GET['ts']) ){
		$ts = $_GET['ts'];
	}else{
		$ts = 1;	// ts1Jn(1:tZO, 2:ZO)
	}
	$note_label = array(
		"Video",		"Audio",		"PCR",
		"Free",			"Free",			"Free",
		"Free",			"Free",			"Free",
		"Free",			"Free",			"Free",
		"Free",			"Free",			"Free",
	);
?>
	<head>
<?php
	// ʃwb_[\
	view_title( $system_conf );
	view_css_left_sub();
?>
	</head>
	<body>
		<div class="page_body">
			<form action="mux_inputsrc_set_pid_ctrl.php" method="POST">
				<h3 class="table_caption">
<?php
if( $ts == 1 ){
	echo 'Fullseg TV'.($service+1)." ".$lng['TC0'];
}else{
	echo 'Oneseg'." ".$lng['TC0'];
}
$filter = 'FILTER'.($ts-1);
?>
				</h3>
				<table>
					<tr>
						<th width="100px"><?php echo $lng['TB0_TH0']; ?></th>
						<td>
							<select name="status">
								<option value="0"<?php echo (($setup_conf[$filter]['STATUS'] == 0) ? " selected" : ""); ?>><?php echo $lng['LBL_DISABLE']; ?></option>
								<option value="1"<?php echo (($setup_conf[$filter]['STATUS'] == 1) ? " selected" : ""); ?>><?php echo $lng['LBL_ENABLE']; ?></option>
							</select>
							<?php if($ts==1){echo $lng['TB0_TD0'];}?>
						</td>
					</tr>
				</table>
				<br>
				<table style="width:500px">
					<tr>
						<th style="text-align: center; padding: 0.1em;"><?php echo $lng['TB1_TH0']; ?></th>
					<!--	<th style="text-align: center; padding: 0.1em;"><?php echo $lng['TB1_TH1']; ?></th>	-->
						<th style="text-align: center; padding: 0.1em;"><?php echo $lng['TB1_TH2']; ?></th>
						<th style="text-align: center; padding: 0.1em;"><?php echo $lng['TB1_TH3']; ?></th>
						<th style="text-align: center;"><span title="<?php echo $lng['TITLE_ST']; ?>"><?php echo $lng['TB1_TH4']; ?></span></th>
						<th style="text-align: center;"><span title="<?php echo $lng['TITLE_CT']; ?>"><?php echo $lng['TB1_TH5']; ?></span></th>
						<th style="text-align: center; padding: 0.1em; width:100px;"><?php echo $lng['TB1_TH6']; ?></th>
					</tr>
			<?php
			for ($pid_no = $service*15, $pid_max = $service*15 + 15, $pid_start = $service*15,$i=0;
				$pid_no < $pid_max ; $pid_no++, $i++) {
				if (!isset($setup_conf[$filter]['SETTING' . $pid_no])) {
					break;
				}
			?>
				<tr align="center">
					<th style="text-align: center; padding: 0em;"><?php echo $i; ?></th>
					<td style="text-align: center; padding: 0.1em;">
						<input type="hidden" name="input_pid_enable[<?php echo $pid_no; ?>]" value="1" />
						0x<input type="text" size="5" name="input_pid_input[<?php echo $pid_no; ?>]" value="<?php echo str_replace("0x", "", $setup_conf[$filter]['INPUT' . $pid_no]); ?>" />
					</td>
					<td style="text-align: center; padding: 0.1em;">
						0x<input type="text" size="5" name="input_pid_changed[<?php echo $pid_no; ?>]" value="<?php echo str_replace("0x", "", $setup_conf[$filter]['CHANGED' . $pid_no]); ?>" />
					<td style="text-align: center; padding: 0.1em;">
						0x<input type="text" value="<?php echo sprintf("%02X", hexdec($setup_conf[$filter]['STREAM_TYPE' . $pid_no])); ?>" name="input_pid_stream_type[<?php echo $pid_no; ?>]" size="1" maxlength="2" />
					</td>
					<td style="text-align: center; padding: 0.1em;">
						0x<input type="text" value="<?php echo sprintf("%02X", hexdec($setup_conf[$filter]['COMPONENT_TAG' . $pid_no])); ?>" name="input_pid_component_tag[<?php echo $pid_no; ?>]" size="1" maxlength="2" />
					</td>
					<td style="text-align: center; padding: 0.1em;"><?php echo $note_label[$pid_no-$pid_start]; ?></td>
				</tr>
			<?php
			}// for() end
			?>
				</table>
				<input type="hidden" name="set_mux2_pid" value="true">
				<input type="hidden" name="ts" value="<?php echo $_GET['ts'];?>">
				<input type="hidden" name="service" value="<?php echo $_GET['service'];?>">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
				<input type="submit" value="<?php echo $clng['SUBMIT'] ?>">
			</form>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
