<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_inputsrc_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	$board = "";
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		$board =  $_POST['board'];
	}else if($_SERVER['REQUEST_METHOD'] == "GET"){
		$board =  $_GET['board'];
	}
	if($board != ''){
		$board_id = explode('_',$board);
		// Setupファイル名を取得
		$borad_info = get_board_info($function_conf, $board);
		
		if( isset( $borad_info['FilterSetup'] )){
			if( is_file( $borad_info['FilterSetup'] ) ){
				$setup_conf = parse_ini_file( $borad_info['FilterSetup'], true );
			}else {
				echo "INI File Not Found(". $borad_info['FilterSetup'] .")<br>\n";
				exit(1);
			}
			$ini_file['Setup'] = $borad_info['FilterSetup'];
			$ini_file['Save']  = $borad_info['FilterSave'];
		}
	}
	
	$result = false;
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		if( (isset($_POST['set_input_pid']) && ($_POST['set_input_pid'] == 'true')) ||
			(isset($_POST['set_mux2_pid']) && ($_POST['set_mux2_pid'] == 'true')) ){
			$result = save_conf_input_pid($setup_conf, $_POST, $ini_file);
		}
		if( BOARD_TYPE_MUX_2 == $board_id[0] ){
			$service = 0;
			if( isset($_POST['service']) ){
				$service = $_POST['service'];
			}
			$ts = 1;
			if( isset($_POST['ts']) ){
				$ts = $_POST['ts'];
			}
			$result['BACK_URL'] = "./mux2_inputsrc_set_pid.php?board=".$board."&ts=".$ts."&service=".$service;
		}else {
			$result['BACK_URL'] = "./mux_inputsrc_set_pid.php?board=". $board;
		}
	}
	// 結果の表示
	require_once("../libsetresult.php");
?>
