<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require("output_sw_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file(__FILE__) );	// Languageファイル読み込み
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );
		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
	
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
	view_jquery_sub();
?>
		<script type="text/javascript" src="channel_sel.js"></script>
	</head>
	<body>
		<div class="page_body">
			<form action="./output_sw_set_ctrl.php" method="post">
				<h3 class="table_caption"><?php echo $lng['TC0']; ?></h3>
				<table class="list">
					<tr>
						<th style="text-align: center; width:10%;"><?php echo $lng['TB0_TH0']; ?></th>
						<th style="text-align: center;"><?php echo $lng['TB0_TH1']; ?></th>
					</tr>
<?php
	for( $i = 0 ; $i < STREAM_NUM ; $i++ ){
?>
					<tr>
						<th style="text-align: center;"><?php echo $i + 1; ?></th>
						<td>
							<select name="output<?php echo $i; ?>">
<?php
	foreach( $label_output as $key => $val ){
?>
								<option value="<?php echo $key; ?>"<?php echo ($key == $setup_conf['output'.$i]['Type'])? ' selected':'';?>><?php echo $val; ?></option>
<?php
	}
?>
							</select>
						</td>
					</tr>					
<?php
	}
?>
				</table>
				<input type="hidden" name="output_sw_base" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="<?php echo $clng['SUBMIT']; ?>">
			</form>
		</div>
	</body>
</html>
