<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("output_sw_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file( __FILE__ ) );
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_status_file( $function_conf, $_GET['board'] );

		if( is_file(  $ini_file ) ){
			$status_conf = my_parse_ini_file( $ini_file );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			$loading = true;
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="5">
	</head>
	<body>
<?php
	if( $loading ){
		echo "Now loading...";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 class="table_caption"><?php echo $lng['TC0'] ?></h3>
			<table class="list">
				<tr>
					<th style="text-align: center; width:10%;"><?php echo $lng['TB0_TH0']; ?></th>
					<th style="text-align: center;"><?php echo $lng['TB0_TH1']; ?></th>
				</tr>

<?php
	for( $i = 0 ; $i < STREAM_NUM ; $i++ ){
?>
				<tr>
					<th style="text-align: center;"><?php echo $i + 1; ?></th>
					<td>
<?php
		echo ( $label_output[hexdec( $status_conf['output'.$i]['Type'] ) ] );
?>
					</td>
				</tr>
<?php
	}
?>
			</table>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>