<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("psi_si_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	$board = "";
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		$board =  $_POST['board'];
	}else if($_SERVER['REQUEST_METHOD'] == "GET"){
		$board =  $_GET['board'];
	}
	if($board != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $board );

		if( is_file( $ini_file['Setup'] ) ){
			// $setup_conf = parse_ini_file( $ini_file['Setup'], true );
			$setup_conf = my_parse_ini_file( $ini_file['Setup'] );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
		
		if($_SERVER['REQUEST_METHOD'] == "POST"){
			if( $_POST['set_epg'] == 'true' ){
				$_POST = strip_magic_quotes_slashes( $_POST );
				$result = save_conf_epg($setup_conf, $_POST, $ini_file);
				if( false != $result['RESULT'] ){
					if( $_POST['status'] == 2 ){
						if(is_uploaded_file($_FILES["epg_file"]["tmp_name"] )) {
							if ( move_uploaded_file($_FILES["epg_file"]["tmp_name"], EPG_SETUP_PATH.$_FILES["epg_file"]["name"] )) {
								chmod( EPG_SETUP_PATH.$_FILES["epg_file"]["name"], 0666 );
								// ファイル名を保存
								$result = save_conf_epg_file( $setup_conf, EPG_SETUP_PATH.$_FILES["epg_file"]["name"], $ini_file );
							} else {
								return array('RESULT'  => false,
											 'MESSAGE' => 'ファイルのアップデートに失敗しました。');
							}
						}
					}
				}
			}
		}
		$result['BACK_URL'] = "./psi_si_set_epg.php?board=". $board;
	}
	// 結果の表示
	require_once("../libsetresult.php");
?>