<?php
	
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("psi_si_lib.php");
	
	if($_SERVER['REQUEST_METHOD'] == 'POST'){
		if( isset($_POST['upload']) && $_POST['upload'] == 'true' ){
			if(is_uploaded_file($_FILES['upfile']['tmp_name'] )) {
				if( !isset( $_POST['psi_si_file_type'] ) ){
					$result = array('RESULT'  => false,
									'MESSAGE' => 'ファイル形式を選択して下さい。' );
				}else {
					if( 0 == $_POST['psi_si_file_type'] ){
						// バイナリの場合
						$set_file    = CONF_DIR . '/' . $psi_si_binary_file[ $_POST['file_type'] ]['filename'];
						$set_file_sd = SD_DIR . '/' . $psi_si_binary_file[ $_POST['file_type'] ]['filename'];
					}else{
						$set_file    = PSI_SI_TEXT_FILE;
						$set_file_sd = PSI_SI_TEXT_FILE_SD;
						exit;	// 使わないのでとめておく
					}
					if ( move_uploaded_file($_FILES["upfile"]["tmp_name"], $set_file_sd ) ){
						copy( $set_file_sd, $set_file );
						ini_set( 'display_errors', 0 );		// バーミッションでWarnningが出るときがあるので非表示
						chmod( $set_file_sd, 0666 );
						chmod( $set_file, 0666 );
						ini_set( 'display_errors', 1 );
						$ini_file = get_setup_file( $function_conf, $_POST['board'] );
						if( is_file( $ini_file['Setup'] ) ){
							$setup_conf = parse_ini_file( $ini_file['Setup'], true );
							// INIファイルの書き換え
							psi_si_save_conf( $setup_conf, $_POST, $ini_file );
						}
						
						$result = array('RESULT'  => true,
										'MESSAGE' => $_FILES["upfile"]["name"] ."を機器にアップロードしました。" );
					} else {
						$result = array('RESULT'  => false,
										'MESSAGE' => "ファイルのアップデートに失敗しました。入力に間違いがないか確認してください。" );
					}
				}
			} else {
				$result = array('RESULT'  => false,
								'MESSAGE' => "ファイルのアップデートに失敗しました。ファイル名の指定ミス、ファイルサイズがオーバしています。" );
			}
			$result['BACK_URL'] = "./psi_si_set_file.php?board=". $_POST['board'];
		}else if( isset($_POST['download']) && $_POST['download'] == "true" ){
			// ファイルの存在チェックとパス取得
			$filename = $psi_si_binary_file[ $_POST['file_no'] ][ 'filename' ];
			$filepath = CONF_DIR . '/' . $filename;
			if( file_exists( CONF_DIR . '/' . $filepath ) ){
				$result = array('RESULT'  => false,
								'MESSAGE' => "ダウンロードするファイルが存在しません。" );
			}else{
				ini_set( 'display_errors', 0 );
				// ファイル転送
				header('Content-Type: application/octet-stream'); 
				header('Content-Disposition: attachment; filename="'. $filename .'"'); 
				header('Content-Length: '. filesize( $filepath ) );
				readfile( $filepath );
				
				exit;
			}
			$result['BACK_URL'] = "./psi_si_set_file.php?board=". $_POST['board'];
		}else{
			$result = array('RESULT'  => false,
							'MESSAGE' => "処理に失敗しました。" );
			$result['BACK_URL'] = "../body_left.php";
		}
	}
	// 結果の表示
	require_once("../libsetresult.php");
?>
