<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("psi_si_lib.php");
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// PSIの拡張機能の設定ファイルを取得する
		$status_file = get_status_file($function_conf, $_GET['board']);
		if( is_file( $status_file ) ){
			// $status = parse_ini_file( $status_file, true );
			$status = my_parse_ini_file( $status_file );
			if( NULL == $status ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			//echo "INI File Not Found(". $status_file .")<br>\n";
			//exit(1);
			$loading = true;
		}
	}
?>
	<head>
		<META http-equiv="Content-Type" content="text/html;charset=UTF-8">
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 class="table_caption">PSI/SI設定ファイル</h3>
			<table>
				<tr>
					<th style="table-layout:fixed; width:100px;">設定ファイル名</th>
<?php
	if( 0 == $status['PSI']['PSI_SW'] ){
		$file_path = PSI_SI_BIN_FILE_SD;
		$is_file = file_exists($file_path);
	}else{
		$file_path = PSI_SI_TEXT_FILE_SD;
		$is_file = file_exists($file_path);
	}
?>
					<td class="<?php echo (( $is_file ) ? "on":"off"); ?>">
						<?php echo (($is_file) ? basename($file_path):"File not found."); ?>
					</td>
				</tr>
				<tr>
					<th>ファイル形式</th>
					<td class="<?php echo (( $is_file ) ? "on":"off"); ?>">
						<?php echo (($is_file) ? ((0 == $status['PSI']['PSI_SW'])?"バイナリ形式":"テキスト形式"):"File not found."); ?>
					</td>
				</tr>
			</table>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
