<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("rvoip_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	$board = "";
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		$board =  $_POST['board'];
	}else if($_SERVER['REQUEST_METHOD'] == "GET"){
		exit(1);
	}
	
	if($board != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $board );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
		
		if($_SERVER['REQUEST_METHOD'] == "POST"){
			if( @$_POST['network_base'] == 'true' ){			// ネットワークの設定
				$result = save_conf_voip($setup_conf, $_POST, $ini_file);
			}else if( @$_POST['stream'] == 'true' ){
				$result = save_conf_stream($setup_conf, $_POST, $ini_file);
			}else if( @$_POST['stream_simple'] == 'true' ){
				$result = save_conf_stream_simple($setup_conf, $_POST, $ini_file);
			}else if( @$_POST['asi_setting'] == 'true' ){
				$result = save_conf_asi_setting($setup_conf, $_POST, $ini_file);
			}else if( @$_POST['src'] == 'true' ){
				$result = save_conf_stream_no($setup_conf, $_POST, $ini_file, $_POST['stream_no']);
			}else if( @$_POST['counter_reset'] == 'true' ){
				$result = control_counter_reset( $_POST['stream_no'] );
			}
			
			
			
		}
		if( isset( $_POST['detail'] ) && $_POST['detail'] == 'true' ){
			$result['BACK_URL'] = "./rvoip_network_set_detail.php?board=". $board;
		}else if( isset( $_POST['src'] ) && $_POST['src'] == 'true' ){
			$result['BACK_URL'] = "./rvoip_network_set_src.php?board=". $board . "&n=". ($_POST['stream_no'] + 1);
		}else if( isset( $_POST['counter_reset'] ) && $_POST['counter_reset'] == 'true' ){
			$result['BACK_URL'] = "./rvoip_network_set_src.php?board=". $board . "&n=". ($_POST['stream_no'] + 1);
		}else{
			$result['BACK_URL'] = "./rvoip_network_set.php?board=". $board;
		}
	}
	// 結果の表示
	require_once("../libsetresult.php");
?>
