<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("rvoiptx_lib.php");
	
	require_once( get_common_lang_file() );
	
	$board_tx1 = '8F_02';
	$board_tx2 = '8F_03';
	$board_rx1 = '8E_04';
	
	$board_tx1_link = '<a xlink:href="../rvoiptx/rvoiptx_status.php?board='. $board_tx1 . '" target="Display_Status">';
	$board_tx2_link = '<a xlink:href="../rvoiptx/rvoiptx_status.php?board='. $board_tx2 . '" target="Display_Status">';
	$board_rx1_link = '<a xlink:href="../rvoip/rvoip_status.php?board='. $board_rx1 . '" target="Display_Status">';
	
	function load_block_ini( $board ){
		global $function_conf;
		
		$ini = get_status_file( $function_conf, $board );
		if( is_file( $ini ) ){
			$status_conf = parse_ini_file( $ini, true );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
			return $status_conf;
		}else {
			echo "INI File Not Found(". $ini .")<br>\n";
			exit(1);
		}
	}
	
	$status_conf_rx1 = load_block_ini( $board_rx1 );
	$status_conf_tx1 = load_block_ini( $board_tx1 );
	$status_conf_tx2 = load_block_ini( $board_tx2 );
	
	//var_dump($status_conf_rx1);
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
	view_jquery_sub();
?>
		<script type="text/javascript">
				
		$(function(){
			$(document).ready(function(){
				
				
				var $t_src = $('#text_src')[0];
				
				$t_src.textContent = '<?php echo$status_conf_rx1['STREAM0']['RxYourIPAddr']; ?>';
				
				var $a_rcv = $('#arrow_recv_in')[0];
<?php
	if( 0 == $status_conf_rx1['STREAM0']['ValidRtpPacket'] ){ // OFF 
		
?>
				$a_rcv.setAttribute("style", "fill:#ff9696;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}else{  // ON 
?>
				$a_rcv.setAttribute("style", "fill:#96ff96;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}
?>
				
				// VoIP Rx
				var $t_rcv = $('#text_recv')[0];
				$t_rcv.textContent = '<?php echo $status_conf_rx1['RVOIPRx']['RxIP'] .'/'. get_netmask_bit($status_conf_rx1['RVOIPRx']['Mask']); ?>';
				var $r_rcv = $('#rect_recv')[0];
<?php
	if( 0 == $status_conf_rx1['RVOIPRx']['Status'] ){ // OFF 
		
?>
				$r_rcv.setAttribute("style", "fill:#ff9696;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}else{  // ON 
?>
				$r_rcv.setAttribute("style", "fill:#96ff96;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}
?>
				
				var $a_rcv_out1 = $('#arrow_recv_out1')[0];
<?php
	if( 0 == $status_conf_tx1['STREAM0']['TsValid'] ){ // OFF 
		
?>
				$a_rcv_out1.setAttribute("style", "fill:#ff9696;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}else{  // ON 
?>
				$a_rcv_out1.setAttribute("style", "fill:#96ff96;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}
?>
				var $a_rcv_out2 = $('#arrow_recv_out2')[0];
<?php
	if( 0 == $status_conf_tx2['STREAM0']['TsValid'] ){ // OFF 
		
?>
				$a_rcv_out2.setAttribute("style", "fill:#ff9696;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}else{  // ON 
?>
				$a_rcv_out2.setAttribute("style", "fill:#96ff96;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}
?>
				
				// VoIP Tx1
				var $t_send = $('#text_send1')[0];
				$t_send.textContent = '<?php echo $status_conf_tx1['RVOIPTx']['TxIP'] .'/'. get_netmask_bit($status_conf_tx1['RVOIPTx']['Mask']); ?>';
				var $r_snd = $('#rect_send1')[0];
				<?php if( 0 == $status_conf_tx1['RVOIPTx']['Status'] ){ // OFF ?>
				$r_snd.setAttribute("style", "fill:#ff9696;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
				<?php }else{  // ON ?>
				$r_snd.setAttribute("style", "fill:#96ff96;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
				<?php }?>
				
				// VoIP Tx2
				var $t_send2 = $('#text_send2')[0];
				$t_send2.textContent = '<?php echo $status_conf_tx2['RVOIPTx']['TxIP'] .'/'. get_netmask_bit($status_conf_tx2['RVOIPTx']['Mask']); ?>';
				var $r_snd2 = $('#rect_send2')[0];
				<?php if( 0 == $status_conf_tx2['RVOIPTx']['Status'] ){ // OFF ?>
				$r_snd2.setAttribute("style", "fill:#ff9696;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
				<?php }else{  // ON ?>
				$r_snd2.setAttribute("style", "fill:#96ff96;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
				<?php }?>
				
				
				var $a_snd_out1 = $('#arrow_send_out1')[0];
<?php
	if( 0 >= $status_conf_tx1['STREAM0']['ValidPacketNum'] ){ // OFF 
		
?>
				$a_snd_out1.setAttribute("style", "fill:#ff9696;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}else{  // ON 
?>
				$a_snd_out1.setAttribute("style", "fill:#96ff96;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}
?>
				
				var $a_snd_out2 = $('#arrow_send_out2')[0];
<?php
	if( 0 >= $status_conf_tx2['STREAM0']['ValidPacketNum'] ){ // OFF 
		
?>
				$a_snd_out2.setAttribute("style", "fill:#ff9696;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}else{  // ON 
?>
				$a_snd_out2.setAttribute("style", "fill:#96ff96;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}
?>

					
				// 宛先
				var $t_dst1 = $('#text_dest1')[0];
				$t_dst1.textContent = '<?php echo $status_conf_tx1['STREAM0']['YourIpAddr']; ?>';
				var $t_dst2 = $('#text_dest2')[0];
				$t_dst2.textContent = '<?php echo $status_conf_tx2['STREAM0']['YourIpAddr']; ?>';

				
				
				
				
				
				
				
				return ;
				
				var net_block = document.getElementById('network_block').contentDocument;
				var $bk = ($( net_block ))[0];
				
				// 送信元
				var $t_src = $('#text_src', $bk)[0];
				$t_src.textContent = '<?php echo $status_conf_rx1['STREAM0']['RxYourIPAddr']; ?>';
				
				
				var $a_rcv = $('#arrow_recv_in', $bk)[0];
<?php
	if( 0 == $status_conf_rx1['STREAM0']['ValidRtpPacket'] ){ // OFF 
		
?>
				$a_rcv.setAttribute("style", "fill:#ff9696;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}else{  // ON 
?>
				$a_rcv.setAttribute("style", "fill:#96ff96;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}
?>
				
				// VoIP Rx
				var $t_rcv = $('#text_recv', $bk)[0];
				$t_rcv.textContent = '<?php echo $status_conf_rx1['RVOIPRx']['RxIP'] .'/'. get_netmask_bit($status_conf_rx1['RVOIPRx']['Mask']); ?>';
				var $r_rcv = $('#rect_recv', $bk)[0];
<?php
	if( 0 == $status_conf_rx1['RVOIPRx']['Status'] ){ // OFF 
		
?>
				$r_rcv.setAttribute("style", "fill:#ff9696;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}else{  // ON 
?>
				$r_rcv.setAttribute("style", "fill:#96ff96;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}
?>
			
			
				var $a_rcv_out1 = $('#arrow_recv_out1', $bk)[0];
<?php
	if( 0 == $status_conf_tx1['STREAM0']['TsValid'] ){ // OFF 
		
?>
				$a_rcv_out1.setAttribute("style", "fill:#ff9696;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}else{  // ON 
?>
				$a_rcv_out1.setAttribute("style", "fill:#96ff96;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}
?>
				var $a_rcv_out2 = $('#arrow_recv_out2', $bk)[0];
<?php
	if( 0 == $status_conf_tx2['STREAM0']['TsValid'] ){ // OFF 
		
?>
				$a_rcv_out2.setAttribute("style", "fill:#ff9696;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}else{  // ON 
?>
				$a_rcv_out2.setAttribute("style", "fill:#96ff96;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}
?>

			
			
			
				
				// VoIP Tx1
				var $t_send = $('#text_send1', $bk)[0];
				$t_send.textContent = '<?php echo $status_conf_tx1['RVOIPTx']['TxIP'] .'/'. get_netmask_bit($status_conf_tx1['RVOIPTx']['Mask']); ?>';
				var $r_snd = $('#rect_send1', $bk)[0];
				<?php if( 0 == $status_conf_tx1['RVOIPTx']['Status'] ){ // OFF ?>
				$r_snd.setAttribute("style", "fill:#ff9696;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
				<?php }else{  // ON ?>
				$r_snd.setAttribute("style", "fill:#96ff96;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
				<?php }?>
				
				// VoIP Tx2
				var $t_send2 = $('#text_send2', $bk)[0];
				$t_send2.textContent = '<?php echo $status_conf_tx2['RVOIPTx']['TxIP'] .'/'. get_netmask_bit($status_conf_tx2['RVOIPTx']['Mask']); ?>';
				var $r_snd2 = $('#rect_send2', $bk)[0];
				<?php if( 0 == $status_conf_tx2['RVOIPTx']['Status'] ){ // OFF ?>
				$r_snd2.setAttribute("style", "fill:#ff9696;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
				<?php }else{  // ON ?>
				$r_snd2.setAttribute("style", "fill:#96ff96;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
				<?php }?>
				
				
				var $a_snd_out1 = $('#arrow_send_out1', $bk)[0];
<?php
	if( 0 >= $status_conf_tx1['STREAM0']['ValidPacketNum'] ){ // OFF 
		
?>
				$a_snd_out1.setAttribute("style", "fill:#ff9696;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}else{  // ON 
?>
				$a_snd_out1.setAttribute("style", "fill:#96ff96;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}
?>
				
				var $a_snd_out2 = $('#arrow_send_out2', $bk)[0];
<?php
	if( 0 >= $status_conf_tx2['STREAM0']['ValidPacketNum'] ){ // OFF 
		
?>
				$a_snd_out2.setAttribute("style", "fill:#ff9696;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}else{  // ON 
?>
				$a_snd_out2.setAttribute("style", "fill:#96ff96;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.74882066000000003;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0");
<?php
	}
?>

					
				// 宛先
				var $t_dst1 = $('#text_dest1', $bk)[0];
				$t_dst1.textContent = '<?php echo $status_conf_tx1['STREAM0']['YourIpAddr']; ?>';
				var $t_dst2 = $('#text_dest2', $bk)[0];
				$t_dst2.textContent = '<?php echo $status_conf_tx2['STREAM0']['YourIpAddr']; ?>';
			});
		});
		-->
		</script>
		<script type="text/javascript" src="../js/rvoiptx.js"></script>
		
		<style type="text/css">
		tr.unit{
			color: #fff;
			background: #00AA00;
		}
		td{
			border:none;
			border:#ddd solid 0px;
		}
		a{
			color:yellow;
		}
		</style>
		<META HTTP-EQUIV="Refresh" CONTENT="5">
	</head>
	<body>
		<div class="page_body">
<!--			<h3 class="table_caption">構成図</h3>
			<table class="list" style="text-align: center; border:none;">				
				<tr>
					<td width="100px">送信元</td>
					<td width="300px" colspan="2"><?php echo $status_conf_rx1['STREAM0']['RxYourIPAddr']; ?></td>
				</tr>
				<tr>
					<td></td>
					<td colspan="2">↓</td>
				</tr>
				<tr class="unit">
					<td>受信I/F</td>
					<td colspan="2"><a href="./rvoiptx_network_set.php?board=8F_01"><?php echo $status_conf_rx1['RVOIPRx']['RxIP'];?></a></td>
				</tr>
				<tr class="unit">
					<td></td>
					<td style="text-align:right; padding-right:3em;">↓</td>
					<td style="text-align:left; padding-left:3em;">↓</td>
				</tr>
				<tr class="unit">
					<td>送信I/F</td>
					<td><a href="./rvoiptx_network_set.php?board=8F_01"><?php echo $status_conf_tx1['RVOIPTx']['TxIP'];?></a></td>
					<td><a href="./rvoiptx_network_set.php?board=8F_02"><?php echo $status_conf_tx2['RVOIPTx']['TxIP'];?></a></td>
				</tr>
				<tr>
					<td></td>
					<td>↓</td>
					<td>↓</td>
				</tr>
				<tr>
					<td>宛先</td>
					<td><?php echo $status_conf_tx1['STREAM0']['YourIpAddr']; ?></td>
					<td><?php echo $status_conf_tx2['STREAM0']['YourIpAddr']; ?></td>
				</tr>	
			</table>
			<br/>
			<br/>-->
			<h3 class="table_caption">IPネットワーク動作状態</h3>
			<div style="text-align: center; width: 400px; margin-top: 20px;">
<!--
				<embed id="network_block" type="image/svg+xml" src="kousei.svg" />
				<object id="network_block" data="../images/rvoip_status.svg" type="image/svg+xml" width="400px" align="center"></object>
-->
				<?php include_once '../images/rvoip_hnu1000.svg'; ?>
			</div>
			
		</div>
	</body>
</html>
