<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("rvoiptx_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file( __FILE__ ) );
	
	$board_tx1 = '8F_02';
	$board_tx2 = '8F_03';
	$board_rx1 = '8E_04';
	
	$board_tx1_link = '<a xlink:href="../rvoiptx/rvoiptx_status.php?board='. $board_tx1 . '&bk=t" target="Display_Status">';
	$board_tx2_link = '<a xlink:href="../rvoiptx/rvoiptx_status.php?board='. $board_tx2 . '&bk=t" target="Display_Status">';
	$board_rx1_link = '<a xlink:href="../rvoip/rvoip_status.php?board='. $board_rx1 . '&bk=t" target="Display_Status">';
	
	function load_block_ini( $board ){
		global $function_conf;
		
		$ini = get_status_file( $function_conf, $board );
		if( is_file( $ini ) ){
			$status_conf = my_parse_ini_file( $ini );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
			return $status_conf;
		}else {
			echo "INI File Not Found(". $ini .")<br>\n";
			exit(1);
		}
	}
	
	$status_conf_rx1 = load_block_ini( $board_rx1 );
	$status_conf_tx1 = load_block_ini( $board_tx1 );
	$status_conf_tx2 = load_block_ini( $board_tx2 );
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
	view_jquery_sub();
?>
		<script type="text/javascript">
		$(function(){
			$(document).ready(function(){
				var recv1 = <?php echo ( ( 0 == $status_conf_rx1['STREAM0']['ValidRtpPacket'] ) || ( 0 == $status_conf_rx1['RVOIPRx']['Link'] ) || ( 0 == $status_conf_rx1['RVOIPRx']['Status'] ) ) ? 'false' : 'true'; ?>;
				var send1 = <?php echo ( ( 0 >= $status_conf_tx1['RVOIPTx']['TxRtpRate'] ) || ( 0 == $status_conf_tx1['RVOIPTx']['Link'] ) || ( 0 == $status_conf_tx1['RVOIPTx']['Status'] ) || ( !check_multicast_ip( $status_conf_tx1['STREAM0']['YourIpAddr'] ) && ( 0 == strcmp( '00:00:00:00:00:00', $status_conf_tx1['STREAM0']['YourMacAddr'] ) ) ) ) ? 'false' : 'true'; ?>;
				var send2 = <?php echo ( ( 0 >= $status_conf_tx2['RVOIPTx']['TxRtpRate'] ) || ( 0 == $status_conf_tx2['RVOIPTx']['Link'] ) || ( 0 == $status_conf_tx2['RVOIPTx']['Status'] ) || ( !check_multicast_ip( $status_conf_tx2['STREAM0']['YourIpAddr'] ) && ( 0 == strcmp( '00:00:00:00:00:00', $status_conf_tx2['STREAM0']['YourMacAddr'] ) ) ) ) ? 'false' : 'true'; ?>;
				$(this).set_interface( null, $('#text_src')[0], '<?php echo $status_conf_rx1['STREAM0']['RxYourIPAddr']; ?>', true );
				$(this).set_interface( $('#arrow_recv_in')[0], null, '', recv1 );
				$(this).set_interface( $('#rect_recv')[0], $('#text_recv')[0], '<?php echo $status_conf_rx1['RVOIPRx']['RxIP'] .'/'. get_netmask_bit($status_conf_rx1['RVOIPRx']['Mask']); ?>', <?php echo ( 0 == $status_conf_rx1['RVOIPRx']['Status'] )?'false':'true'; ?> );
				$(this).set_interface( $('#arrow_recv_out1')[0], null, '', recv1 );
				$(this).set_interface( $('#arrow_recv_out2')[0], null, '', recv1 );
				$(this).set_interface( $('#rect_send1')[0], $('#text_send1')[0], '<?php echo $status_conf_tx1['RVOIPTx']['TxIP'] .'/'. get_netmask_bit($status_conf_tx1['RVOIPTx']['Mask']); ?>', <?php echo ( 0 == $status_conf_tx1['RVOIPTx']['Status'] )?'false':'true'; ?> );
				$(this).set_interface( $('#rect_send2')[0], $('#text_send2')[0], '<?php echo $status_conf_tx2['RVOIPTx']['TxIP'] .'/'. get_netmask_bit($status_conf_tx2['RVOIPTx']['Mask']); ?>', <?php echo ( 0 == $status_conf_tx2['RVOIPTx']['Status'] )?'false':'true'; ?> );
				$(this).set_interface( $('#arrow_send_out1')[0], null, '', send1 );
				$(this).set_interface( $('#arrow_send_out2')[0], null, '', send2 );
				$(this).set_interface( null, $('#text_dest1')[0], '<?php echo $status_conf_tx1['STREAM0']['YourIpAddr']; ?>', true );
				$(this).set_interface( null, $('#text_dest2')[0], '<?php echo $status_conf_tx2['STREAM0']['YourIpAddr']; ?>', true );
			});
		});
		-->
		</script>
		<script type="text/javascript" src="../js/rvoiptx.js"></script>
		<META HTTP-EQUIV="Refresh" CONTENT="5">
	</head>
	<body>
		<div class="page_body">
<!--			<h3 class="table_caption">構成図</h3>
			<table class="list" style="text-align: center; border:none;">				
				<tr>
					<td width="100px">送信元</td>
					<td width="300px" colspan="2"><?php echo $status_conf_rx1['STREAM0']['RxYourIPAddr']; ?></td>
				</tr>
				<tr>
					<td></td>
					<td colspan="2">↓</td>
				</tr>
				<tr class="unit">
					<td>受信I/F</td>
					<td colspan="2"><a href="./rvoiptx_network_set.php?board=8F_01"><?php echo $status_conf_rx1['RVOIPRx']['RxIP'];?></a></td>
				</tr>
				<tr class="unit">
					<td></td>
					<td style="text-align:right; padding-right:3em;">↓</td>
					<td style="text-align:left; padding-left:3em;">↓</td>
				</tr>
				<tr class="unit">
					<td>送信I/F</td>
					<td><a href="./rvoiptx_network_set.php?board=8F_01"><?php echo $status_conf_tx1['RVOIPTx']['TxIP'];?></a></td>
					<td><a href="./rvoiptx_network_set.php?board=8F_02"><?php echo $status_conf_tx2['RVOIPTx']['TxIP'];?></a></td>
				</tr>
				<tr>
					<td></td>
					<td>↓</td>
					<td>↓</td>
				</tr>
				<tr>
					<td>宛先</td>
					<td><?php echo $status_conf_tx1['STREAM0']['YourIpAddr']; ?></td>
					<td><?php echo $status_conf_tx2['STREAM0']['YourIpAddr']; ?></td>
				</tr>	
			</table>
			<br/>
			<br/>-->
			<h3 class="table_caption"><?php echo $lng['TC0']; ?></h3>
			<div style="text-align: center; width: 400px; margin-top: 20px;">
				<?php include_once '../images/rvoip_hnu1000.svg'; ?>
				<!--[if lt IE 9]>
				<p class="warning"><?php echo $lng['SVG_WARNNING']; ?></p>
				<![endif]-->
			</div>
		</div>
	</body>
</html>
