<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("rvoiptx_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file( __FILE__ ) );
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
	
	$boards = preg_split( "/_/" , $_GET['board'] );
	$board_id = intval( $boards[1] );
	
	$option_info = (hexdec($system_conf['DBSSystem']['OptionInfo']));
	
	if( is_file( NETWORK_CONF ) ){
		$network_conf = parse_ini_file( NETWORK_CONF, true );
	}
	if( is_file( CURRENT_CONF ) ){
		$current_conf = parse_ini_file( CURRENT_CONF, true );
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
	view_jquery_sub();
?>
		<script type="text/javascript" src="../js/rvoiptx.js"></script>
	</head>
	<body>
		<div class="page_body">
<?php	if( isset( $_GET['bk'] ) && ( 't' == $_GET['bk'] ) ){ show_back_button(); } ?>
			<form action="./rvoiptx_network_set_ctrl.php" method="POST">
<?php
	if( 1 < $board_id ){
?>
				<h3 class="table_caption"><?php echo sprintf( $lng['TC0_ID'], $board_id - 1 ) ?></h3>
<?php
	}else{
?>
				<h3 class="table_caption"><?php echo $lng['TC0']; ?></h3>
<?php
	}
?>
				<table class="list">
					<tr>
						<th style="width:40%;"><?php echo $lng['TB0_TH0']; ?></th>
						<td>
							<select name='status'>
								<option value="0"<?php echo (($setup_conf['RVOIPTx']['Status'] == 0) ? " selected":""); ?>><?php echo $lng['LBL_STOP']; ?></option>
								<option value="1"<?php echo (($setup_conf['RVOIPTx']['Status'] == 1) ? " selected":""); ?>><?php echo $lng['LBL_PLAY']; ?></option>
							</select>
						</td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH1']; ?></th>
						<td><?php echo $setup_conf['RVOIPTx']['MAC']; ?></td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH2']; ?></th>
						<td><input type="text" name="setting_tx_ip" value="<?php echo $setup_conf['RVOIPTx']['TxIP']; ?>" /></td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH3']; ?></th>
						<td><input type="text" name="setting_net_mask" value="<?php echo $setup_conf['RVOIPTx']['Mask']; ?>" /></td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH4']; ?></th>
						<td><input type="text" name="setting_gw_ip" value="<?php echo $setup_conf['RVOIPTx']['GwIP']; ?>" /></td>
					</tr>
<!--
					<tr>
						<th><?php echo $lng['TB0_TH5']; ?></th>
						<td>
							<select name="firewall">
<?php
	for( $i = 0 ; $i < count( $firewall_label ) ; $i++ ){
?>
								<option value="<?php echo $i;?>"<?php echo (  $setup_conf['RVOIPTx']['Firewall'] == $i ) ? " selected" : ""; ?>><?php echo $firewall_label[$i] ?></option>
<?php
	}
?>
							</select>
						</td>
					</tr>
-->
					<tr>
						<th><?php echo $lng['TB1_TH7']; ?></th>
						<td>
							<select name="ts_p_ip_0">
								<option value="1"<?php echo (($setup_conf['STREAM0']['TsPIp'] == 1) ? " selected":""); ?>>1</option>
								<option value="2"<?php echo (($setup_conf['STREAM0']['TsPIp'] == 2) ? " selected":""); ?>>2</option>
								<option value="3"<?php echo (($setup_conf['STREAM0']['TsPIp'] == 3) ? " selected":""); ?>>3</option>
								<option value="4"<?php echo (($setup_conf['STREAM0']['TsPIp'] == 4) ? " selected":""); ?>>4</option>
								<option value="5"<?php echo (($setup_conf['STREAM0']['TsPIp'] == 5) ? " selected":""); ?>>5</option>
								<option value="6"<?php echo (($setup_conf['STREAM0']['TsPIp'] == 6) ? " selected":""); ?>>6</option>
								<option value="7"<?php echo (($setup_conf['STREAM0']['TsPIp'] == 7) ? " selected":""); ?>>7</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>FEC ROW</th>
						<td>
							<select name="setting_fec_d_status_0" >
								<option value="0"<?php echo (($setup_conf['STREAM0']['EnableRowFec'] == 0) ? " selected":""); ?>>OFF</option>
								<option value="1"<?php echo (($setup_conf['STREAM0']['EnableRowFec'] != 0) ? " selected":""); ?>>ON</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>FEC COLUMN</th>
						<td>
							<select name="setting_fec_l_status_0" >
								<option value="0"<?php echo (($setup_conf['STREAM0']['EnableColumnFec'] == 0) ? " selected":""); ?>>OFF</option>
								<option value="1"<?php echo (($setup_conf['STREAM0']['EnableColumnFec'] != 0) ? " selected":""); ?>>ON</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>FEC L param</th>
						<td>
							<select name="setting_fec_d_0" style="width: 50px">
<?php
	for( $j = 1 ; $j <= 20 ; $j++ ){
		echo "								<option value=\"".$j."\"". (($setup_conf['STREAM0']['RowFec'] == $j) ? " selected":"") . ">" . $j . "</option>\n";
	}
?>
							</select>
						</td>
					</tr>
					<tr>
						<th>FEC D param</th>
						<td>
							<select name="setting_fec_l_0" style="width: 50px">
<?php
	for( $j = 4 ; $j <= 20 ; $j++ ){
		echo "								<option value=\"".$j."\"". (($setup_conf['STREAM0']['ColumnFec'] == $j) ? " selected":"") . ">" . $j . "</option>\n";
	}
?>
							</select>
						</td>
					</tr>
				</table>
				<input type="hidden" name="network_base" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="<?php echo $clng['SUBMIT']; ?>">
			</form>
<?php
	if( 4 == $board_id ){		// Sub IDが4の場合にのみ設定画面を表示
?>
			<br/>
			<br/>
			<form action="./rvoiptx_network_set_ctrl.php" method="post">
				<h4 class="table_caption">ASI設定</h4>
				<table>
					<tr>
						<th>ASI選択0</th>
						<td>
							<select name="asi_select0" class="asi_select0">
								<option value="1"<?php echo (($setup_conf['RVOIPTx']['AsiSelect0'] == 1) ? " selected":""); ?>>外部TS選択</option>
								<option value="0"<?php echo (($setup_conf['RVOIPTx']['AsiSelect0'] == 0) ? " selected":""); ?>>ポート1 IP選択</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>ASI選択1</th>
						<td>
							<select name="asi_select1" class="asi_select1">
								<option value="1"<?php echo (($setup_conf['RVOIPTx']['AsiSelect1'] == 1) ? " selected":""); ?>>外部TS選択</option>
								<option value="0"<?php echo (($setup_conf['RVOIPTx']['AsiSelect1'] == 0) ? " selected":""); ?>>ポート2 IP選択</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>ASI選択2</th>
						<td>
							<select name="asi_select2" class="asi_select2">
								<option value="1"<?php echo (($setup_conf['RVOIPTx']['AsiSelect2'] == 1) ? " selected":""); ?>>外部TS選択</option>
								<option value="0"<?php echo (($setup_conf['RVOIPTx']['AsiSelect2'] == 0) ? " selected":""); ?>>ポート3 IP選択</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>ASI選択3</th>
						<td>
							<select name="asi_select3" class="asi_select3">
								<option value="1"<?php echo (($setup_conf['RVOIPTx']['AsiSelect3'] == 1) ? " selected":""); ?>>外部TS選択</option>
								<option value="0"<?php echo (($setup_conf['RVOIPTx']['AsiSelect3'] == 0) ? " selected":""); ?>>ポート4 IP選択</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>ASI0入出力モード</th>
						<td>
							<select name="asi_tx_mode0">
								<option value="1"<?php echo ($setup_conf['RVOIPTx']['AsiTxMode0']=='1') ? " selected" : ""; ?>>ASI出力</option>
								<option value="0"<?php echo ($setup_conf['RVOIPTx']['AsiTxMode0']=='0') ? " selected" : ""; ?>>ASI入力</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>ASI1入出力モード</th>
						<td>
							<select name="asi_tx_mode1">
								<option value="1"<?php echo ($setup_conf['RVOIPTx']['AsiTxMode1']=='1') ? " selected" : ""; ?>>ASI出力</option>
								<option value="0"<?php echo ($setup_conf['RVOIPTx']['AsiTxMode1']=='0') ? " selected" : ""; ?>>ASI入力</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>ASI2入出力モード</th>
						<td>
							<select name="asi_tx_mode2">
								<option value="1"<?php echo ($setup_conf['RVOIPTx']['AsiTxMode2']=='1') ? " selected" : ""; ?>>ASI出力</option>
								<option value="0"<?php echo ($setup_conf['RVOIPTx']['AsiTxMode2']=='0') ? " selected" : ""; ?>>ASI入力</option>
							</select>
						</td>
					</tr>
				</table>
				<input type="hidden" name="asi_setting" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="設定">
			</form>
<?php
	}
?>		
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
