<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("rvoiptx_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file( __FILE__ ) );
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
	view_jquery_sub();
?>
		<script type="text/javascript">
		$(function(){
			jQuery.event.add(window, "load", function(){
				$(this).updateStream(0);
				$(this).updateUseRedundant(<?php echo $setup_conf['RVOIPTx']['UseRedundant']; ?>);
			});
			
			$(".stream_select").change(function(){
				
				$(this).updateStream($('.stream_select option:selected').val());
			});
			
			jQuery.fn.extend({
				updateStream:function(sel){
					var i;
					for( i = 0 ; i <  <?php echo RVOIP_STREAM_NUM ?> ; i++ ){
						var name = ".stream" + i;
						$(name).hide();
					}
					
					name = ".stream" + sel;
					$(name).show();
				}
			});
			
			$(".use_redundant").change(function(){
				var sel = $(".use_redundant").val();
				$(this).updateUseRedundant(sel);
			});
			
			jQuery.fn.extend({
				updateUseRedundant:function(sel){
					if( sel == '1' ){
						$(".stream_redundant").show();
					}else{
						$(".stream_redundant").hide();
					}
				}
			});
		});
		
		-->
		</script>
		<script type="text/javascript" src="../js/rvoiptx.js"></script>
	</head>
	<body>
		<div class="page_body">
			<form action="./rvoiptx_network_set_ctrl.php" method="POST">
				<h3 class="table_caption"><?php echo $lng['TC0']; ?></h3>
				<table>
					<tr>
						<th style="width:40%;"><?php echo $lng['TB0_TH0']; ?></th>
						<td>
							<select name="stream_select" class="stream_select">
<?php
	for( $i = 0 ; $i < RVOIP_STREAM_NUM ; $i++ ){
?>
								<option value="<?php echo $i; ?>"><?php echo $i; ?></option>
<?php
	}
?>
							</select>
						</td>
					</tr>
<?php
	for( $i = 0 ; $i < RVOIP_STREAM_NUM ; $i++ ){
?>
					<tr class="stream<?php echo $i; ?>">
						<th><?php echo $lng['TB0_TH1']; ?></th>
						<td>
							<select name="enable_ts_<?php echo $i ?>">
								<option value="0"<?php echo ($setup_conf['STREAM' . $i]['EnableTs']=='0') ? " selected" : ""; ?>><?php echo $lng['LBL_NOT_SEND']; ?></option>
								<option value="1"<?php echo ($setup_conf['STREAM' . $i]['EnableTs']=='1') ? " selected" : ""; ?>><?php echo $lng['LBL_SEND']; ?></option>
							</select>
						</td>
					</tr>					
					<tr class="stream<?php echo $i; ?>">
						<th><?php echo $lng['TB0_TH2']; ?></th>
						<td>
							<input name="rx_your_ip_addr<?php echo $i; ?>" type="text" value="<?php echo $setup_conf['STREAM' . $i]['YourIpAddr'] ?>" />
						</td>
					</tr>
					<tr class="stream<?php echo $i; ?>">
						<th><?php echo $lng['TB0_TH3']; ?></th>
						<td>
							<input name="rx_udp_port<?php echo $i; ?>" type="text" value="<?php echo $setup_conf['STREAM' . $i]['YourUdpPort'] ?>" size="6" />
						</td>
					</tr>
					
					<tr class="stream<?php echo $i; ?>">
						<th><?php echo $lng['TB0_TH4']; ?></th>
						<td>
							<select name="ts_send_no_<?php echo $i ?>">
<?php
	for( $j = 0 ; $j < RVOIP_STREAM_NUM ; $j++ ){
?>
								<option value="<?php echo $j; ?>"<?php echo (($setup_conf['STREAM' . $i]['TsSendNo'] == $j) ? " selected":""); ?>><?php echo $j; ?></option>
<?php
	}
?>
							</select>
						</td>
					</tr>
					
					
					<tr class="stream<?php echo $i; ?>">
						<th><?php echo $lng['TB0_TH5']; ?></th>
						<td>
							<select name="ts_p_ip_<?php echo $i ?>">
								<option value="1"<?php echo (($setup_conf['STREAM' . $i]['TsPIp'] == 1) ? " selected":""); ?>>1</option>
								<option value="2"<?php echo (($setup_conf['STREAM' . $i]['TsPIp'] == 2) ? " selected":""); ?>>2</option>
								<option value="3"<?php echo (($setup_conf['STREAM' . $i]['TsPIp'] == 3) ? " selected":""); ?>>3</option>
								<option value="4"<?php echo (($setup_conf['STREAM' . $i]['TsPIp'] == 4) ? " selected":""); ?>>4</option>
								<option value="5"<?php echo (($setup_conf['STREAM' . $i]['TsPIp'] == 5) ? " selected":""); ?>>5</option>
								<option value="6"<?php echo (($setup_conf['STREAM' . $i]['TsPIp'] == 6) ? " selected":""); ?>>6</option>
								<option value="7"<?php echo (($setup_conf['STREAM' . $i]['TsPIp'] == 7) ? " selected":""); ?>>7</option>
							</select>
						</td>
					</tr>
					<tr class="stream<?php echo $i; ?>">
						<th>FEC ROW</th>
						<td>
							<select name="setting_fec_d_status_<?php echo $i ?>" class="setting_fec_d_status">
								<option value="0"<?php echo (($setup_conf['STREAM' . $i]['EnableRowFec'] == 0) ? " selected":""); ?>>OFF</option>
								<option value="1"<?php echo (($setup_conf['STREAM' . $i]['EnableRowFec'] != 0) ? " selected":""); ?>>ON</option>
							</select>
							<select name="setting_fec_d_<?php echo $i ?>" class="setting_fec_d" <?php echo (($setup_conf['STREAM' . $i]['EnableRowFec'] == 0) ? "disabled=disabled" : "") ?> style="width: 50px">
<?php
	for( $j = 2 ; $j <= 20 ; $j++ ){
		echo "								<option value=\"".$j."\"". (($setup_conf['STREAM' . $i]['RowFec'] == $j) ? " selected":"") . ">" . $j . "</option>\n";
	}
?>
							</select>
						</td>
					</tr>
					<tr class="stream<?php echo $i; ?>">
						<th>FEC COLUMN</th>
						<td>
							<select name="setting_fec_l_status_<?php echo $i ?>" class="setting_fec_l_status">
								<option value="0"<?php echo (($setup_conf['STREAM' . $i]['EnableColumnFec'] == 0) ? " selected":""); ?>>OFF</option>
								<option value="1"<?php echo (($setup_conf['STREAM' . $i]['EnableColumnFec'] != 0) ? " selected":""); ?>>ON</option>
							</select>
							<select name="setting_fec_l_<?php echo $i ?>" class="setting_fec_l" <?php echo (($setup_conf['STREAM' . $i]['EnableColumnFec'] == 0) ? "disabled=disabled" : "") ?> style="width: 50px">
<?php
	for( $j = 2 ; $j <= 20 ; $j++ ){
		echo "								<option value=\"".$j."\"". (($setup_conf['STREAM' . $i]['ColumnFec'] == $j) ? " selected":"") . ">" . $j . "</option>\n";
	}
?>
							</select>
						</td>
					</tr>
					<tr class="stream<?php echo $i; ?>">
						<th>SSRC</th>
						<td>
							<input name="tx_ssrc<?php echo $i; ?>" type="text" value="<?php echo $setup_conf['STREAM' . $i]['Ssrc'] ?>" size="6" />
						</td>
					</tr>
<?php
		if(is_debug()){
			// デバッグ時のみ表示したい項目があれば以下に追加
?>
<?php
		}
	}
?>
				</table>
				<input type="hidden" name="detail" value="true">
				<input type="hidden" name="stream" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="<?php echo $clng['SUBMIT'] ?>">
			</form>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
