<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("schedule_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = my_parse_ini_file( $ini_file['Setup'] );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
		<script type="text/javascript" src="../js/common.js"></script>
	</head>
	<body>
		<div class="page_body">
			<form action="schedule_set_ctrl.php" method="POST" name="set_input">
				<h3 class="table_caption">ファイルダウンロード設定</h3>
				<table>
					<tr>
						<th width="50%">状態</th>
						<td>
							<select name="enable">
								<option value="0"<?php echo (($setup_conf['Schedule']['ENABLE'] == 0) ? " selected":""); ?>>無効</option>
								<option value="1"<?php echo (($setup_conf['Schedule']['ENABLE'] == 1) ? " selected":""); ?>>有効</option>
							</select>							
						</td>
					</tr>
					<tr>
						<th>ダウンロードリスト更新時間</th>
						<td>
							毎日　
<?php
	$set_hour =  substr( $setup_conf['Schedule']['DL_TIME'], 0, 2 );
	$set_min =  substr( $setup_conf['Schedule']['DL_TIME'], 2, 2 );
?>
							<select name="list_download_time_h">
<?php
	for( $i = 0 ; $i < 24 ; $i++ ){
		echo "								<option value=\"".$i."\"" . (($set_hour == $i) ? " selected":"") . ">".  sprintf("%02d", $i)."</option>\n";
	}
?>
							</select>
							時
							<select name="list_download_time_m">
<?php
	for( $i = 0 ; $i < 60 ; $i++ ){
		echo "								<option value=\"".$i."\"" . (($set_min == $i) ? " selected":"") . ">".  sprintf("%02d", $i)."</option>\n";
	}
?>
							</select>
							分
						</td>
					</tr>
					<tr>
						<th>サーバーアドレス</th>
						<td>
							<input type="text" name="url" size="25" value="<?php echo $setup_conf['Schedule']['URL']; ?>" />
						</td>
					</tr>
					<tr>
						<th>セキュリティキー</th>
						<td>
							<input type="text" name="key" size="25" value="<?php echo $setup_conf['Schedule']['KEY']; ?>" />
						</td>
					</tr>
				</table>
				<input type="hidden" name="set_schedule" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
				<input type="submit" value="設定">
			</form>
			<br/>
			<br/>
			<form action="schedule_set_ctrl.php" method="POST" name="set_input">
				<h3 class="table_caption">強制ダウンロード</h3>
				<table>
					<tr>
						<th width="50%">強制ダウンロード</th>
						<td>
							<input type="submit" value="開始" />
						</td>
					</tr>
				</table>
				<input type="hidden" name="start_download" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
			</form>
			<br/>
			<br/>
			<form action="schedule_set_ctrl.php" method="POST" name="stop_download" onSubmit="return checkDialog('一度中断すると元には戻せません。中断しますか？')">
				<h3 class="table_caption">ファイルダウンロード操作</h3>
				<table>
					<tr>
						<th width="50%">ダウンロードの中断</th>
						<td>
							<input type="submit" value="中断" />
						</td>
					</tr>
				</table>
				<input type="hidden" name="stop_download" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
			</form>			
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>

