<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("schedule_lib.php");
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		$status_file = get_status_file($function_conf, $_GET['board']);
		if( is_file( $status_file ) ){
			
			if( $_SERVER['DOCUMENT_ROOT'] != 'C:/xampp/htdocs' ){
				system( "cp -rf $status_file /tmp/". basename( $status_file ) );
				$status_file = "/tmp/". basename( $status_file );
			}
			
			$status = my_parse_ini_file( $status_file );
		}else {
			$loading = true;
		}
	}
?>
	<head>
		<META http-equiv="Content-Type" content="text/html;charset=UTF-8">
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 class="table_caption">ファイルダウンロードスケジュールステータス</h3>
			<table style="table-layout:fixed;">
				<tr>
					<th width="150px" style="width:150px; table-layout:fixed;">状態</th>
					<td class="<?php echo (($status['Schedule']['ENABLE'] != 0) ? "on":"off"); ?>">
						<?php echo (($status['Schedule']['ENABLE'] != 0) ? "有効":"無効"); ?>
					</td>
				</tr>
				<tr>
					<th>ダウンロードリスト更新時間</th>
					<td>毎日 <?php echo format_HHMM($status['Schedule']['DL_TIME']); ?></td>
				</tr>
				<tr>
					<th>サーバーアドレス</th>
					<td style="width:150px; word-wrap: break-word;">
						<div width="150px"><?php echo str_replace( '>', '&gt;', str_replace( '<', '&lt;', $status['Schedule']['URL'] )); ?></div>
					</td>
				</tr>
				<tr>
					<th>最終実行日時</th>
					<td style="width:150px; word-wrap: break-word;">
						<div width="150px"><?php echo ( 0 <= $status['Schedule']['LAST_ERROR'] ) ? format_YYYYMMDDHHMMSS($status['Schedule']['LAST_DATETIME'] ) : '-'; ?></div>
					</td>
				</tr>
				<tr>
					<th>最終取得結果</th>
					<td class="<?php echo (($status['Schedule']['LAST_ERROR'] <= 0) ? "on":"off"); ?>">
<?php
	if( 0 <= $status['Schedule']['LAST_ERROR'] ){
		$error = (isset($hwget_result[$status['Schedule']['LAST_ERROR']]['message'])) ? $hwget_result[$status['Schedule']['LAST_ERROR']]['message'] : "失敗" ;
	}else if( -2 == $status['Schedule']['LAST_ERROR'] ){
		$error = "ダウンロード無し";
	}else if( -1 == $status['Schedule']['LAST_ERROR'] ){
		$error = "ダウンロード中";
	}
?>
						<div width="150px"><?php echo $error; ?></div>
					</td>
				</tr>
			</table>
			<br/>
			<br/>
			<h3 class="table_caption">ダウンロードリスト情報</h3>
<?php
	// ダウンロードリストの統計情報を取得
	$cnt_all		 = $status['Total']['ALL'];
	$cnt_wait		 = $status['Total']['WAIT'];
	$cnt_dwn		 = $status['Total']['DOWN'];
	$cnt_end		 = $status['Total']['END'];
	$cnt_fail		 = $status['Total']['FAIL'];
	$cnt_stp		 = $status['Total']['STOP'];
	$cnt_skip		 = $status['Total']['SKIP'];
	$download_item	 = sprintf( "FILE%04d", $status['Total']['DOWNLOADING'] );
?>
			<table style="table-layout:fixed;">
				<tr>
					<th width="150px" style="width:250px; table-layout:fixed;">全ファイル数</th>
					<td style="text-align: center;"><?php echo $cnt_all; ?></td>
				</tr>
				<tr>
					<th width="150px" style="width:150px; table-layout:fixed;">既存ファイル数</th>
					<td style="text-align: center;"><?php echo $cnt_skip; ?></td>
				</tr>
				<tr>
					<th width="150px" style="width:150px; table-layout:fixed;">ダウンロード対象ファイル数</th>
					<td style="text-align: center;"><?php echo $cnt_all - $cnt_skip; ?></td>
				</tr>
				<tr>
					<th width="150px" style="width:150px; table-layout:fixed;">ダウンロード済みファイル数</th>
					<td style="text-align: center;"><?php echo $cnt_end; ?></td>
				</tr>
				<tr>
					<th width="150px" style="width:150px; table-layout:fixed;">ダウンロード中ファイル数</th>
					<td style="text-align: center;"><?php echo $cnt_dwn; ?></td>
				</tr>
				<tr>
					<th width="150px" style="width:150px; table-layout:fixed;">ダウンロード待ちファイル数</th>
					<td style="text-align: center;"><?php echo $cnt_wait; ?></td>
				</tr>
				<tr>
					<th width="150px" style="width:150px; table-layout:fixed;">ダウンロード中止ファイル数</th>
					<td style="text-align: center;"><?php echo $cnt_stp; ?></td>
				</tr>
				<tr>
					<th width="150px" style="width:150px; table-layout:fixed;">ダウンロードリスト</th>
					<td style="text-align: center;"><a href="./schedule_status_download_detail.php?board=<?php echo $_GET['board']; ?>" target="_blank">表示</a></td>
				</tr>
			</table>
			<br/>
			<br/>
			<h3 class="table_caption">ダウンロードリスト処理情報</h3>
			<table style="table-layout:fixed;">
				<tr>
					<th width="150px" style="width:150px; table-layout:fixed;">ファイル名</th>
<?php
	if( isset($status[$download_item]) && ( 0 == $status[$download_item]['TYPE'] ) ){	// DLﾘｽﾄの場合
?>
					<td style="text-align: left; word-wrap: break-word;"><?php echo (isset($status[$download_item])) ? $FILE_TYPE[ $status[$download_item]['TYPE'] ]  : '-'; ?></td>
<?php
	}else{
?>
					<td style="text-align: left; word-wrap: break-word;"><?php echo (isset($status[$download_item])) ? basename( $status[$download_item]['PATH'] ) : '-'; ?></td>
<?php
	}
?>
				</tr>
				<tr>
					<th width="150px" style="width:150px; table-layout:fixed;">開始時刻</th>
					<td style="text-align: left;"><?php echo (isset($status[$download_item])) ? format_YYYYMMDDHHMMSS( $status[$download_item]['START_DATETIME'] ) : '-'; ?></td>
				</tr>
				<tr>
					<th width="150px" style="width:150px; table-layout:fixed;">リトライ回数</th>
					<td style="text-align: left;"><?php echo (isset($status[$download_item])) ? ( $status[$download_item]['NUM'] ) : '-'; ?></td>
				</tr>
			</table>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
