<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("../liberror.php");
	require_once("../ofdm/ofdm_lib.php");
	require_once("./fact_rf_lib.php");
	
	// Setupファイルの読込
	$setup_conf = get_rf_conf_file($function_conf);
	
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_jquery_sub();
	view_css_left_sub();
?>
	</head>
	<body>
		<div class="page_body">
			<form action="fact_rf_ctrl.php" method="POST" name="fact_rf" class="fact_rf">
				<h3 class="table_caption">RF工場出荷設定表示ON/OFF</h3>
				<table class="list">
<?php
	if( 0 >= count($setup_conf)){
		echo "					<tr><td>OFDM変調器が搭載されていません</td></tr>";
	}else{
?>
					<tr>
						<th width="150px">設定画面表示</th>
						<td>
							<select name='show_rf_setting'>
								<option value="0"<?php echo ((is_fact()) ? " selected":""); ?>>非表示</option>
								<option value="1"<?php echo ((is_fact()) ? " selected":""); ?>>表示</option>
							</select>
						</td>
					</tr>
<?php
	}
?>
				</table>
				<input type="hidden" name="fact_rf_setting" value="true">
				<input type="submit" value="設定">
			</form>
		</div>
	</body>
</html>
