<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("./libdefault.php");
	require_once("./libfunction.php");
	require_once("./input_sw/input_sw_lib.php");
	
	$cst = get_customer();
	$links = array( OEM_NONE    => 'http://www.hirotech.com',
					OEM_YOOZMA  => 'http://www.yoozma.jp',
					OEM_DKK     => 'http://www.denkikogyo.co.jp',
					OEM_JPNANT	=> 'http://www.nippon-antenna.co.jp' );
	
	$logos = array( OEM_NONE    => 'images/hirotech_logos.png',
					OEM_YOOZMA  => 'images/logo_yoozma.gif',
					OEM_DKK     => 'images/logo_dkk.png',
					OEM_JPNANT  => 'images/logo_jpnant2.jpg' );
	
	// TOTステータスファイル情報を取得する
	$ini_file = '/var/hirotech/conf/Status_05_01.txt';
	if( is_file(  $ini_file ) ){
		$status_conf = my_parse_ini_file( $ini_file );
		if( NULL == $status_conf ){
			echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
			echo "Now loading...";
			exit(1);
		}
	}
	
	date_default_timezone_set("Asia/Tokyo");
?>

<script type="text/javascript" language="javascript">
	setTimeout("location.reload()",10000);
</script>

	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
?>
		<link rel="stylesheet" href="<?php echo $oem_css[get_customer()] ?>/top.css">
	</head>
	<body>
		<table cellSpacing="0" cellPadding="0" width="99%" height="100%" align="center" border="0">
			<tr>
				<td rowspan="2" width=30% align="left"><img src="<?php echo $logos[$cst]; ?>" border="0"></a></td>
				<td rowspan="2" width=40% align="center" class="model"><?php echo $system_conf['DBSSystem']['UnitName']; ?></td>
				<td width=30% align="right" valign="middle" class="version">
				</td>
			</tr>
			<tr>
<?php
	if ( $system_conf['DBSSystem']['HeaderTime'] == 1 && $status_conf["TOTStatus"]["Now_TOTNTP"] == 1){
				$date = new DateTime();
?>
				<td width=30% align="right" valign="middle" class="time">
				<p id="RealtimeClockArea"></p>
				<script type="text/javascript">

				var startDateTime = new Date("<?php echo $date->format('Y/m/d H:i:s O'); ?>");
				function showClock() {
					var	nowTime		=	startDateTime;
					var	nowYear		=	nowTime.getFullYear();	// 年
					var	nowMonth	=	nowTime.getMonth() + 1;	// 月
					var	nowDay		=	nowTime.getDate();		// 日
					var	nowHour		=	nowTime.getHours();		// 時
					var	nowMin		=	nowTime.getMinutes();	// 分
					var	nowSec		=	nowTime.getSeconds();	// 秒

					// 数値が1桁の場合、頭に0を付けて2桁で表示する指定
					if( nowMonth < 10 ){
						nowMonth = "0" + nowMonth;
					}
					if( nowDay < 10 ){
						nowDay = "0" + nowDay;
					}
					if( nowHour < 10 ){
						nowHour = "0" + nowHour;
					}
					if( nowMin < 10 ){
						nowMin = "0" + nowMin;
					}
					if( nowSec < 10 ){
						nowSec = "0" + nowSec;
					}

					// フォーマット
					var clock = nowYear + "/" + nowMonth + "/" + nowDay + "  " + nowHour + ":" + nowMin + ":" + nowSec;

					//日付時刻表示
					document.getElementById( "RealtimeClockArea" ).innerHTML= clock.toLocaleString();

					//1秒進める
					nowTime.setSeconds( nowTime.getSeconds() + 1 );

					// 1000ミリ秒ごとに処理を実効
					window.setTimeout( 'showClock()', 1000);
				}
				window.onload = showClock;

				</script>
				</td>
<?php
	}
?>
			</tr>
		</table>
	</body>
</html>
