<?php
	$UHF_table = array( "13", "14", "15", "16", "17", "18", "19", "20", "21",
	"22","23","24","25","26","27","28","29","30","31","32","33","34","35","36",
	"37","38","39","40","41","42","43","44","45","46","47","48","49","50","51",
	"52","53","54","55","56","57","58","59","60","61","62");
	$ISDB_T_table = array( $UHF_table );
	
	function get_Setup_05_01_file(){
		$fname = sprintf(INI_SETUP_FILE_OPT_FORMAT,"05",1);
		$Setup_05_01 = parse_ini_file($fname,true);
		return($Setup_05_01);
	}
	
	function show_ch_type($Setup_05_01){
		echo "					<tr>\n";
		echo "						<th style=\"width:40%;\">チャンネルタイプ</th>\n";
		echo "						<td>\n";
		echo "						UHF\n";
		echo "						</td>\n";
		echo "					</tr>\n";
	}
	
	function show_ch_num($Setup_05_01){
		global $ISDB_T_table,$ISDB_S_table,$ISDB_S_TSID_table;
		foreach($ISDB_T_table as $v1 => $ch_type){
			$str = "UHF";
			echo "						<tr class=\"ch_number".$v1."\">\n";
			echo "							<th style=\"width:40%;\">チャンネル番号</th>\n";
			echo "							<td>\n";
			echo "								<select name=\"Set_TOT_CH_".$str."\">\n";
			$flag = false;
			foreach( $ch_type as $v2 => $v3){
				if( $v1 == $Setup_05_01["TOT"]["Set_TOT_CH_TYPE"] ){
					if( $v3 == $Setup_05_01["TOT"]["Set_TOT_CH_NUM"]){
						$flag = true;
					}
				}
				if($flag == true){
					echo "									<option value=\"".$v3."\" selected>".$str."-".$v3."</option>\n";
				}else{
					echo "									<option value=\"".$v3."\">".$str."-".$v3."</option>\n";
				}
				$flag = false;
			}
			echo "								</select>\n";
			echo "							</td>\n";
			echo "						</tr>\n";
		}
/*	日アン要望により未使用となった
		echo "	<tr>\n";
		echo "		<th style=\"width:40%;\">オフセット値</th>\n";
		echo "	<td>";
		printf( "<input type=\"text\" size=\"7\" maxlength=\"6\" name=\"offset\" value=\"{$Setup_05_01["TOT"]["Set_TOT_OFFSET"]}\">[msec]");
		echo "	</td>";
		echo "	</tr>\n";
*/
	}
	
	function show_stratum_num($Setup_05_01){
		$stratum = $Setup_05_01["TOT"]["Set_TOT_STRATUM"];
		
		echo "<tr>\n";
		echo "	<th style=\"width:40%;\">stratum設定</th>\n";
		echo "		<td>";
		echo "			<select name=\"stratum\">\n";
		for( $i = 1; $i <= 15; $i++ ){
			echo "			<option value=\"". $i ."\"" . (($stratum == $i)?" selected":"") . ">".$i."</option>\n";
		}
		echo "			</select>\n";
		echo "	</td>";
		echo "</tr>\n";
	}
	
	function save_conf_tuner( &$old_config, $new_config, $filename, $system_conf )
	{
		//	入力情報のチェック
/*	日アン要望により未使用となった
		if( false == check_number_tot_offset( $new_config['offset'] ) ){
			return array('RESULT'  => false,
						 'MESSAGE' => '入力したオフセット値が不正です。<br>
									   オフセット値は-10000～10000の範囲で設定可能です。' );
		}
*/
		
		$old_config['TOT']['Set_TOT_CH_NUM'] = $new_config['Set_TOT_CH_UHF'];
		//$old_config['TOT']['Set_TOT_OFFSET'] = $new_config['offset'];	//日アン要望により未使用となった
		if( OEM_JPNANT != $system_conf['DBSSystem']['CustumInfo'] ){
			$old_config['TOT']['Set_TOT_STRATUM'] = $new_config['stratum'];
		}
		
		// ファイルへ保存
		if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
			return array('RESULT'  => false,
						 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
		}
		if( false == save_ini_file( $filename['Save'], $old_config ) ) {
			return array('RESULT'  => false,
						 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
		}else{
			return array('RESULT'  => true,
						 'MESSAGE' => '設定が正常に終了しました。');
		}
	}
?>
