<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("tuner_lib.php");
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_status_file( $function_conf, $_GET['board'] );

		if( is_file(  $ini_file ) ){
			$status_conf = my_parse_ini_file( $ini_file );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			$loading = true;
		}
	}
	
	$level	= (int)$status_conf["TOTStatus"]["Now_TOTLevel"];
	$lock	= (int)$status_conf["TOTStatus"]["Now_TunerLock"];
	$ber	= (int)$status_conf["TOTStatus"]["Now_TOTber"];
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="5">
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
	<div class="page_body">
		<h3 class="table_caption">Tuner ステータス</h3>
		<h4 class="table_caption">ステータス</h4>
		<table class="list">

<?php	// TOT取得状況
	echo "<tr>\n";
		echo "<th>TOT取得状況</th>\n";
		if( $lock == 0 ){
			printf( "<td class=\"off\">未取得</td>" );
		}else{
			printf( "<td class=\"on\">取得中</td>" );
		}
	echo "</tr>\n";
?>
			
			<tr>
				<th width="170px">物理チャンネル</th>
<?php // 物理チャンネル
				echo "<td class=\"on\">".$status_conf['TOTStatus']['Now_TOTCHNUM']."</td>\n";
?>
			</tr>

<?php	// BER
	echo "<tr>\n";
		echo "<th>BER</th>\n";
		if( $lock == 0 ){
			printf( "<td class=\"off\">...</td>" );
		}else if( $ber <= 1 ){
			printf( "<td class=\"on\">OK</td>" );
		}else{
			printf( "<td class=\"on\">Warning</td>" );
		}
	echo "</tr>\n";
?>

<?php	// 時刻表示
	date_default_timezone_set("Asia/Tokyo");
	echo "<tr>\n";
		echo "<th>TOT更新日時</th>\n";
		if( $status_conf["TOTStatus"]["Now_TOTNTP"] == 0 ){
			printf( "<td class=\"on\">取得中</td>" );
		}else{
			printf( "<td class=\"on\">%s<br />%s</td>" , $status_conf["TOTStatus"]["Now_TOTDATE"], $status_conf["TOTStatus"]["Now_TOTTIME"] );
		}
	echo "</tr>\n";
?>

<?php	// NTP Stratum
	if( OEM_JPNANT != $system_conf['DBSSystem']['CustumInfo'] ){
		echo "<tr>\n";
			echo "<th>NTP Stratum</th>\n";
			printf( "<td class=\"on\">%s</td>" , $status_conf['TOTStatus']['Now_TOTSTRATUM'] );
		echo "</tr>\n";
	}
?>
			</table>
			<br/>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
