<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require("transcoder_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file( __FILE__ ) );
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );
		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
	
	if( is_file( TS_PID_FILE ) ){
		$pid_conf = parse_ini_file( TS_PID_FILE, true );
	}else {
		echo "TS data not found.<br>\n";
		exit(1);
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
	view_jquery_sub();
?>
		<script type="text/javascript" src="channel_sel.js"></script>
		<style type="text/css">
 <!--
 .col_odd{ 
	 background: #ffeeee; 
	 background: #ddd; 
 }
 .col_eve{ 
	 background: #eeeeff; 
	 background: #eee; 
 }
 -->
		 </style>
	</head>
	<body>
		<div class="page_body">
			<form action="./transcoder_set_ctrl.php" method="post">
<?php 
	for( $i = 0 ; $i < $setup_conf['base']['TranscoderNum'] ; $i++ ){
?>
				<h3 class="table_caption"><?php echo sprintf($lng['TC0'], $i + 1) ?></h3>
				<table>
					<tr>
						<th style="text-align: center;"></th>
						<th style="text-align: center;" class="col_odd">PMT</th>
						<th style="text-align: center;" class="col_eve">PCR</th>
						<th style="text-align: center;" class="col_odd">Video</th>
						<th style="text-align: center;" class="col_eve">Audio</th>
					</tr>
					<tr>
						<th style="text-align: center; padding-left: 0.5em; padding-right: 0.5em;" rowspan="2"><?php echo $lng['TB0_TH0']; ?></th>
						<td style="text-align: center; padding-left: 0em; padding-right: 0em;" class="col_odd">
							<select name="pmt<?php echo $i; ?>_enable">
								<option value="1"<?php echo ( $pid_conf['PMT'.$i]['Enable'] == '1' ) ? " selected" : "" ; ?>><?php echo $lng['LBL_ENABLE']; ?></option>
								<option value="0"<?php echo ( $pid_conf['PMT'.$i]['Enable'] == '0' ) ? " selected" : "" ; ?>><?php echo $lng['LBL_DISABLE']; ?></option>
							</select>
						</td>
						<td style="text-align: center; padding-left: 0em; padding-right: 0em;" class="col_eve">
							<select name="pcr<?php echo $i; ?>_enable">
								<option value="1"<?php echo ( $pid_conf['PCR'.$i]['Enable'] == '1' ) ? " selected" : "" ; ?>><?php echo $lng['LBL_ENABLE']; ?></option>
								<option value="0"<?php echo ( $pid_conf['PCR'.$i]['Enable'] == '0' ) ? " selected" : "" ; ?>><?php echo $lng['LBL_DISABLE']; ?></option>
							</select>
						</td>
						<td style="text-align: center; padding-left: 0em; padding-right: 0em;" class="col_odd">
							<select name="video<?php echo $i; ?>_enable">
								<option value="1"<?php echo ( $pid_conf['VIDEO'.$i]['Enable'] == '1' ) ? " selected" : "" ; ?>><?php echo $lng['LBL_ENABLE']; ?></option>
								<option value="0"<?php echo ( $pid_conf['VIDEO'.$i]['Enable'] == '0' ) ? " selected" : "" ; ?>><?php echo $lng['LBL_DISABLE']; ?></option>
							</select>
						</td>
						<td style="text-align: center; padding-left: 0em; padding-right: 0em;" class="col_eve">
							<select name="audio<?php echo $i; ?>_enable">
								<option value="1"<?php echo ( $pid_conf['AUDIO'.$i]['Enable'] == '1' ) ? " selected" : "" ; ?>><?php echo $lng['LBL_ENABLE']; ?></option>
								<option value="0"<?php echo ( $pid_conf['AUDIO'.$i]['Enable'] == '0' ) ? " selected" : "" ; ?>><?php echo $lng['LBL_DISABLE']; ?></option>
							</select>
						</td>
					</tr>
					<tr>
<!--						<th style="text-align: center; padding-left: 0.5em; padding-right: 0.5em;">入力PID</th>-->
						<td style="padding-left: 0em; padding-right: 0em; text-align: center;" class="col_odd">
							0x<input type="text" size="4" maxlength="4" name="pmt<?php echo $i; ?>_pid_in" value="<?php echo $pid_conf['PMT'.$i]['PidIn']; ?>"/>
						</td>
						<td style="padding-left: 0em; padding-right: 0em; text-align: center;" class="col_eve">
							0x<input type="text" size="4" maxlength="4" name="pcr<?php echo $i; ?>_pid_in" value="<?php echo $pid_conf['PCR'.$i]['PidIn']; ?>"/>
						</td>
						<td style="padding-left: 0em; padding-right: 0em; text-align: center;" class="col_odd">
							0x<input type="text" size="4" maxlength="4" name="video<?php echo $i; ?>_pid_in" value="<?php echo $pid_conf['VIDEO'.$i]['PidIn']; ?>"/>
						</td>
						<td style="padding-left: 0em; padding-right: 0em; text-align: center;" class="col_eve">
							0x<input type="text" size="4" maxlength="4" name="audio<?php echo $i; ?>_pid_in" value="<?php echo $pid_conf['AUDIO'.$i]['PidIn']; ?>"/>
						</td>
					</tr>
					<tr>
						<th style="text-align: center; padding-left: 0.5em; padding-right: 0.5em;" rowspan="2"><?php echo $lng['TB0_TH1']; ?></th>
						<td style="text-align: center; padding-left: 0em; padding-right: 0em;" class="col_odd">
							<select name="pmt<?php echo $i; ?>_enable_pid_out">
								<option value="1"<?php echo ( $pid_conf['PMT'.$i]['EnablePidOut'] == '1' ) ? " selected" : "" ; ?>><?php echo $lng['LBL_ENABLE']; ?></option>
								<option value="0"<?php echo ( $pid_conf['PMT'.$i]['EnablePidOut'] == '0' ) ? " selected" : "" ; ?>><?php echo $lng['LBL_DISABLE']; ?></option>
							</select>
						</td>
						<td style="text-align: center; padding-left: 0em; padding-right: 0em;" class="col_eve">
							<select name="pcr<?php echo $i; ?>_enable_pid_out">
								<option value="1"<?php echo ( $pid_conf['PCR'.$i]['EnablePidOut'] == '1' ) ? " selected" : "" ; ?>><?php echo $lng['LBL_ENABLE']; ?></option>
								<option value="0"<?php echo ( $pid_conf['PCR'.$i]['EnablePidOut'] == '0' ) ? " selected" : "" ; ?>><?php echo $lng['LBL_DISABLE']; ?></option>
							</select>
						</td>
						<td style="text-align: center; padding-left: 0em; padding-right: 0em;" class="col_odd">
							<select name="video<?php echo $i; ?>_enable_pid_out">
								<option value="1"<?php echo ( $pid_conf['VIDEO'.$i]['EnablePidOut'] == '1' ) ? " selected" : "" ; ?>><?php echo $lng['LBL_ENABLE']; ?></option>
								<option value="0"<?php echo ( $pid_conf['VIDEO'.$i]['EnablePidOut'] == '0' ) ? " selected" : "" ; ?>><?php echo $lng['LBL_DISABLE']; ?></option>
							</select>
						</td>
						<td style="text-align: center; padding-left: 0em; padding-right: 0em;" class="col_eve">
							<select name="audio<?php echo $i; ?>_enable_pid_out">
								<option value="1"<?php echo ( $pid_conf['AUDIO'.$i]['EnablePidOut'] == '1' ) ? " selected" : "" ; ?>><?php echo $lng['LBL_ENABLE']; ?></option>
								<option value="0"<?php echo ( $pid_conf['AUDIO'.$i]['EnablePidOut'] == '0' ) ? " selected" : "" ; ?>><?php echo $lng['LBL_DISABLE']; ?></option>
							</select>
						</td>
					</tr>
					<tr>
<!--						<th style="text-align: center; padding-left: 0.5em; padding-right: 0.5em;">出力PID</th>-->
						<td style="padding-left: 0em; padding-right: 0em; text-align: center;" class="col_odd">
							0x<input type="text" size="4" maxlength="4" name="pmt<?php echo $i; ?>_pid_out" value="<?php echo $pid_conf['PMT'.$i]['PidOut']; ?>"/>
						</td>
						<td style="padding-left: 0em; padding-right: 0em; text-align: center;" class="col_eve">
							0x<input type="text" size="4" maxlength="4" name="pcr<?php echo $i; ?>_pid_out" value="<?php echo $pid_conf['PCR'.$i]['PidOut']; ?>"/>
						</td>
						<td style="padding-left: 0em; padding-right: 0em; text-align: center;" class="col_odd">
							0x<input type="text" size="4" maxlength="4" name="video<?php echo $i; ?>_pid_out" value="<?php echo $pid_conf['VIDEO'.$i]['PidOut']; ?>"/>
						</td>
						<td style="padding-left: 0em; padding-right: 0em; text-align: center;" class="col_eve">
							0x<input type="text" size="4" maxlength="4" name="audio<?php echo $i; ?>_pid_out" value="<?php echo $pid_conf['AUDIO'.$i]['PidOut']; ?>"/>
						</td>
					</tr>
				</table>
				<br/>
<?php
	}
?>
				<input type="hidden" name="pid_filter_setting" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="<?php echo $clng['SUBMIT']; ?>">
			</form>
			<br />
			<br />
		</div>
	</body>
</html>
