<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("transcoder_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file( __FILE__ ) );
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_status_file( $function_conf, $_GET['board'] );

		if( is_file(  $ini_file ) ){
			$status_conf = my_parse_ini_file( $ini_file );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			$loading = true;
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="5">
	</head>
	<body>
<?php
	if( $loading ){
		echo "Now loading...";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
<?php /* ?>
			<h3 class="table_caption"><?php echo $lng['TC0'] ?></h3>
			<table class="list">
				<tr>
					<th style="width:200px;"><?php echo $lng['TB0_TH0'] ?></th>
					<td class=<?php echo ($status_conf['base']['Status'])? "\"on\"":"\"off\""; ?>><?php echo ($status_conf['base']['Status'])? "ON":"OFF"; ?></td>
				</tr>				
				<tr>
					<th><?php echo $lng['TB0_TH1'] ?></th>
					<td><?php echo number_format( calc_transcoder_bitrate( $status_conf['base']['MuxPacketRateValidPacketNum'] + $status_conf['base']['MuxPacketRateNullPacketNum'] )); ?> bps</td>
				</tr>			
				<tr>
					<th><?php echo $lng['TB0_TH2'] ?></th>
					<td><?php echo number_format($status_conf['base']['MuxPacketRateValidPacketNum'] * 188 * 8); ?> bps</td>
				</tr>			
				<tr>
					<th><?php echo $lng['TB0_TH3'] ?></th>
					<td><?php echo number_format($status_conf['base']['MuxPacketRateNullPacketNum'] * 188 * 8); ?> bps</td>
				</tr>
<?php
			$bitrate_all = calc_transcoder_bitrate( $status_conf['base']['MuxPacketRateValidPacketNum'] + $status_conf['base']['MuxPacketRateNullPacketNum'] );
			$bitrate = calc_transcoder_bitrate( $status_conf['base']['MuxPacketRateValidPacketNum'] );
?>				
				<tr>
					<th rowspan="1"><?php echo $lng['TB0_TH4'] ?></th>
					<td class="graph_base">
<?php 
							draw_graph( TRANSCODER_TOTAL_BITRATE_MIN, TRANSCODER_TOTAL_BITRATE_MAX, $bitrate_all, "graph_div_ng" );
							draw_graph( TRANSCODER_TOTAL_BITRATE_MIN, $bitrate_all, $bitrate, "graph_div_ok" );
?>
					</td>
				</tr>
			</table>
			<br/>
			<br/>
<?php
 * 
 */
	for( $i = 0 ; $i < $status_conf['base']['TranscoderNum'] ; $i++ ){
?>
			<h3 class="table_caption"><?php echo sprintf( $lng['TC1'], $i + 1); ?></h3>
			<table class="list">
				<tr>
					<th style="width:200px;"><?php echo $lng['TB1_TH0'] ?></th>
					<td class=<?php echo ($status_conf['transcoder'.$i]['Status'])? "\"on\"":"\"off\""; ?>><?php echo ($status_conf['transcoder'.$i]['Status'])? "ON":"OFF"; ?></td>
				</tr>
<?php
		if($status_conf['transcoder'.$i]['Status']){
			$bitrate_all = calc_transcoder_bitrate( $status_conf['transcoder'.$i]['TunerPacketRateValidPacketNum'] + $status_conf['transcoder'.$i]['TunerPacketRateNullPacketNum'] );
			$bitrate = calc_transcoder_bitrate( $status_conf['transcoder'.$i]['TunerPacketRateValidPacketNum'] );
?>				
				<tr>
					<th rowspan="2"><?php echo $lng['TB1_TH1'] ?></th>
					<td class=<?php echo ($status_conf['transcoder'.$i]['Status'])? "\"on\"":"\"off\""; ?>><?php echo ($status_conf['transcoder'.$i]['Status']) ? number_format( $bitrate_all ) . ' bps' :"-"; ?></td>
				</tr>
				<tr>
					<td class="graph_base">
<?php
						if($status_conf['transcoder'.$i]['Status']){
							draw_graph( TUNER_BITRATE_MIN, TUNER_BITRATE_MAX, $bitrate_all, "graph_div_ng" );
							draw_graph( TUNER_BITRATE_MIN, $bitrate_all, $bitrate, "graph_div_ok" );
						}
?>
					</td>
				</tr>
<?php
		}
		if($status_conf['transcoder'.$i]['Status']){
			$bitrate_all = calc_transcoder_bitrate( $status_conf['transcoder'.$i]['TranscoderInPacketRateValidPacketNum'] + $status_conf['transcoder'.$i]['TranscoderInPacketRateNullPacketNum'] );
			$bitrate = calc_transcoder_bitrate( $status_conf['transcoder'.$i]['TranscoderInPacketRateValidPacketNum'] );
?>				
				<tr>
					<th rowspan="2"><?php echo $lng['TB1_TH2'] ?></th>
					<td class=<?php echo ($status_conf['transcoder'.$i]['Status'])? "\"on\"":"\"off\""; ?>><?php echo ($status_conf['transcoder'.$i]['Status']) ? number_format( $bitrate_all ) . ' bps' :"-"; ?></td>
				</tr>
				<tr>
					<td class="graph_base">
<?php 
							draw_graph( TRANSCODER_IN_BITRATE_MIN, TRANSCODER_IN_BITRATE_MAX, $bitrate_all, "graph_div_ng" );
							draw_graph( TRANSCODER_IN_BITRATE_MIN, $bitrate_all, $bitrate, "graph_div_ok" );
?>
					</td>
				</tr>
<?php
			$bitrate_all = calc_transcoder_bitrate( $status_conf['transcoder'.$i]['TranscoderOutPacketRateValidPacketNum'] + $status_conf['transcoder'.$i]['TranscoderOutPacketRateNullPacketNum'] );
			$bitrate = calc_transcoder_bitrate( $status_conf['transcoder'.$i]['TranscoderOutPacketRateValidPacketNum'] );
?>				
				<tr>
					<th rowspan="2"><?php echo $lng['TB1_TH3'] ?></th>
					<td class=<?php echo ($status_conf['transcoder'.$i]['Status'])? "\"on\"":"\"off\""; ?>><?php echo ($status_conf['transcoder'.$i]['Status']) ? number_format( $bitrate_all ) . ' bps' :"-"; ?></td>
				</tr>
				<tr>
					<td class="graph_base">
<?php 
							draw_graph( TRANSCODER_IN_BITRATE_MIN, TRANSCODER_IN_BITRATE_MAX, $bitrate_all, "graph_div_ng" );
							draw_graph( TRANSCODER_IN_BITRATE_MIN, $bitrate_all, $bitrate, "graph_div_ok" );
?>
					</td>
				</tr>
<?php
		}
?>
			</table>
<?php
	}
?>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
0