<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require("tuner_lib.php");
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );
		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
	view_jquery_sub();
?>
		<script type="text/javascript" src="channel_sel.js"></script>
	</head>
	<body>
		<div class="page_body">
			<form action="./tuner_set_ctrl.php" method="POST">
				<h3 class="table_caption">Tuner 設定</h3>
				<h4 class="table_caption">物理チャンネル設定</h4>
				<table class="list">
<?php
					show_ch_type($setup_conf);
					show_ch_num($setup_conf);
?>
				</table>
				<h4 class="table_caption">チューナ出力レート設定</h4>
				<table class="list">
<?php
					show_rate_setting($setup_conf);
?>
				</table>
				<input type="hidden" name="pcr_auto" value="1">
				<input type="hidden" name="tuner" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="設定">
			</form>
		</div>
	</body>
</html>
