<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file(__FILE__) );
	
	// ネットワーク情報の読み込み
	if( is_file( NETWORK_CONF ) ){		// ネットワーク情報
		$network_conf = parse_ini_file( NETWORK_CONF, true );
	}else{
		echo "INI File Not Found(".NETWORK_CONF.")<br>\n";
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
	</head>
	<body>
		<div class="page_body">
<?php
	if($_SERVER['REQUEST_METHOD'] == "POST"){
		if( $_POST['ini_get'] == 'true' ){			// ネットワークの設定
			ini_download();
		}
	}
?>
			<h3 class="table_caption"><?php echo $lng['TC0']; ?></h3>
			<table class="list">
				<tr>
					<th width="150"><?php echo $lng['TB0_TH0']; ?></th>
					<td valign="bottom">
						<form action="unit_download.php" method="POST">
							<input type="hidden" name="ini_get" value="true">
							<input type="submit" value="<?php echo $lng['LBL_DOWNLOAD']; ?>">
						</form>
					</td>
				</tr>
			</table>
			<br />
			<br />
			<form action="unit_file_ctrl.php" method="POST" enctype="multipart/form-data">
				<h3 class="table_caption"><?php echo $lng['TC1']; ?></h3>
				<table class="list">
					<tr>
						<th nowrap align="center"><?php echo $lng['TB1_TH0']; ?></th>
						<td valign="bottom">
							<input type="file" name="upfile" size="25" />
						</td>
					</tr>
				</table>
				<input type="hidden" name="upload" value="true">
				<input type="submit" value="<?php echo $lng['LBL_UPDATE']; ?>">
			</form>
		</div>
	</body>
</html>
