<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("voip_lib.php");
	
	$loading = false;

	require_once( get_common_lang_file() );
	require_once( get_lang_file(__FILE__) );	// Languageファイル読み込み
	
	// ネットワーク情報の読み込み
	if( is_file( NETWORK_CONF ) ){		// ネットワーク情報
		$network_conf = my_parse_ini_file( NETWORK_CONF );
		if( NULL == $network_conf ){
			echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
			echo "Now loading...";
			exit(1);
		}
	}else{
		//echo "INI File Not Found(".NETWORK_CONF.")<br>\n";
		//exit(1);
		$loading = true;
	}
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_status_file( $function_conf, $_GET['board'] );

		if( is_file(  $ini_file ) ){
			$status_conf = my_parse_ini_file( $ini_file );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			echo "INI File Not Found(". $ini_file .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "Loading...";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 class="table_caption"><?php echo $lng['TC0']; ?></h3>
			<h4 class="table_caption"><?php echo $lng['TC0_0']; ?></h4>
			<table class="list">
				<tr>
					<th width="180px"><?php echo $lng['TB0_TH0']; ?></th>
					<td class=<?php echo ($status_conf['VOIPRx']['Status'])? "\"on\"":"\"off\""; ?>><?php echo ($status_conf['VOIPRx']['Status'])? $lng['LBL_PLAY']:$lng['LBL_STOP']; ?></td>

				</tr>
				<tr>
					<th><?php echo $lng['TB0_TH1']; ?></th>
					<td class=<?php echo ($status_conf['VOIPRx']['Status'])? "\"on\"":"\"on\""; ?>><?php echo $status_conf['VOIPRx']['MAC']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB0_TH2']; ?></th>
					<td class=<?php echo ($status_conf['VOIPRx']['Status'])? "\"on\"":"\"on\""; ?>><?php echo $status_conf['VOIPRx']['RxIP']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB0_TH3']; ?></th>
<?php
	if( '0' == $status_conf['VOIPRx']['EnableMultiCast']  ) {
?>
					<td class="off"><?php echo $lng['LBL_MULTI_DIS']; ?></td>
<?php
	}else{
?>
					<td class=<?php echo ($status_conf['VOIPRx']['Status'])? "\"on\"":"\"on\""; ?>><?php echo $status_conf['VOIPRx']['MultiCast']; ?></td>
<?php
	}
?>
				</tr>
				<tr>
					<th><?php echo $lng['TB0_TH4']; ?></th>
					<td class=<?php echo ($status_conf['VOIPRx']['Status'])? "\"on\"":"\"on\""; ?>><?php echo $status_conf['VOIPRx']['Port']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB0_TH5']; ?></th>
					<td class=<?php echo ($status_conf['VOIPRx']['Status'])? "\"on\"":"\"on\""; ?>><?php echo $status_conf['VOIPRx']['IPBuffSize']; ?></td>
				</tr>
			</table>
			<br/>
			<br/>
			<h4 class="table_caption"><?php echo $lng['TC1_0']; ?></h4>
			<table>
<?php
	if($status_conf['VOIPRx']['Status'] == 0){
?>
				<tr>
					<th width="180px"><?php echo $lng['TB1_TH0']; ?></th>
					<td class="on">-</td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH1']; ?></th>
					<td class="on">-</td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH2']; ?></th>
					<td class="on">-</td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH3']; ?></th>
					<td class="on">-</td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH4']; ?></th>
					<td class="on">-</td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH5']; ?></th>
					<td class="on">-</td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH6']; ?></th>
					<td class="on">-</td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH7']; ?></th>
					<td class="on">-</td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH8']; ?></th>
					<td class="on">-</td>
				</tr>				
<?php
	}else{
?>
				<tr>
					<th width="180px"><?php echo $lng['TB1_TH0']; ?></th>
					<td class=<?php echo ($status_conf['VOIPRx']['Status'])? "\"on\"":"\"off\""; ?>><?php echo $status_conf['VOIPRx']['PacketNum']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH1']; ?></th>
					<td class=<?php echo ($status_conf['VOIPRx']['Status'])? "\"on\"":"\"off\""; ?>><?php echo $status_conf['VOIPRx']['FEC-D']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH2']; ?></th>
					<td class=<?php echo ($status_conf['VOIPRx']['Status'])? "\"on\"":"\"off\""; ?>><?php echo $status_conf['VOIPRx']['FEC-L']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH3']; ?></th>
					<td class=<?php echo ($status_conf['VOIPRx']['Status'])? "\"on\"":"\"off\""; ?>><?php echo $status_conf['VOIPRx']['RecvPacket']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH4']; ?></th>
					<td class=<?php echo ($status_conf['VOIPRx']['Status'])? "\"on\"":"\"off\""; ?>><?php echo $status_conf['VOIPRx']['MissPacket']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH5']; ?></th>
					<td class=<?php echo ($status_conf['VOIPRx']['Status'])? "\"on\"":"\"off\""; ?>><?php echo $status_conf['VOIPRx']['FECRecover']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH6']; ?></th>
					<td class=<?php echo ($status_conf['VOIPRx']['Status'])? "\"on\"":"\"off\""; ?>><?php echo round( $status_conf['VOIPRx']['BitRate'] / 1000000, 3 ); ?> Mbps</td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH7']; ?></th>
					<td class=<?php echo ($status_conf['VOIPRx']['Status'])? "\"on\"":"\"off\""; ?>><?php echo $status_conf['VOIPRx']['CCError']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB1_TH8']; ?></th>
					<td class=<?php echo ($status_conf['VOIPRx']['Status'])? "\"on\"":"\"off\""; ?>><?php echo $status_conf['VOIPRx']['PacketSize']; ?></td>
				</tr>
<?php
	}
?>
			</table>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
